-- MySQL dump 10.9
--
-- Host: localhost    Database: 
-- ------------------------------------------------------
-- Server version	4.1.20

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `mysql`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mysql` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `mysql`;

--
-- Table structure for table `columns_priv`
--

DROP TABLE IF EXISTS `columns_priv`;
CREATE TABLE `columns_priv` (
  `Host` char(60) collate utf8_bin NOT NULL default '',
  `Db` char(64) collate utf8_bin NOT NULL default '',
  `User` char(16) collate utf8_bin NOT NULL default '',
  `Table_name` char(64) collate utf8_bin NOT NULL default '',
  `Column_name` char(64) collate utf8_bin NOT NULL default '',
  `Timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `Column_priv` set('Select','Insert','Update','References') character set utf8 NOT NULL default '',
  PRIMARY KEY  (`Host`,`Db`,`User`,`Table_name`,`Column_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Column privileges';

--
-- Dumping data for table `columns_priv`
--


/*!40000 ALTER TABLE `columns_priv` DISABLE KEYS */;
LOCK TABLES `columns_priv` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `columns_priv` ENABLE KEYS */;

--
-- Table structure for table `db`
--

DROP TABLE IF EXISTS `db`;
CREATE TABLE `db` (
  `Host` char(60) collate utf8_bin NOT NULL default '',
  `Db` char(64) collate utf8_bin NOT NULL default '',
  `User` char(16) collate utf8_bin NOT NULL default '',
  `Select_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Insert_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Update_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Delete_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Create_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Drop_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Grant_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `References_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Index_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Alter_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Create_tmp_table_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Lock_tables_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  PRIMARY KEY  (`Host`,`Db`,`User`),
  KEY `User` (`User`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Database privileges';

--
-- Dumping data for table `db`
--


/*!40000 ALTER TABLE `db` DISABLE KEYS */;
LOCK TABLES `db` WRITE;
INSERT INTO `db` VALUES ('%','test','','Y','Y','Y','Y','Y','Y','N','Y','Y','Y','Y','Y'),('%','test\\_%','','Y','Y','Y','Y','Y','Y','N','Y','Y','Y','Y','Y'),('localhost','test','pao','Y','N','N','N','N','N','N','N','N','N','N','N');
UNLOCK TABLES;
/*!40000 ALTER TABLE `db` ENABLE KEYS */;

--
-- Table structure for table `func`
--

DROP TABLE IF EXISTS `func`;
CREATE TABLE `func` (
  `name` char(64) collate utf8_bin NOT NULL default '',
  `ret` tinyint(1) NOT NULL default '0',
  `dl` char(128) collate utf8_bin NOT NULL default '',
  `type` enum('function','aggregate') character set utf8 NOT NULL default 'function',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='User defined functions';

--
-- Dumping data for table `func`
--


/*!40000 ALTER TABLE `func` DISABLE KEYS */;
LOCK TABLES `func` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `func` ENABLE KEYS */;

--
-- Table structure for table `help_category`
--

DROP TABLE IF EXISTS `help_category`;
CREATE TABLE `help_category` (
  `help_category_id` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `parent_category_id` smallint(5) unsigned default NULL,
  `url` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`help_category_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='help categories';

--
-- Dumping data for table `help_category`
--


/*!40000 ALTER TABLE `help_category` DISABLE KEYS */;
LOCK TABLES `help_category` WRITE;
INSERT INTO `help_category` VALUES (1,'Geographic',0,''),(2,'Polygon properties',29,''),(3,'WKT',29,''),(4,'Numeric Functions',33,''),(5,'MBR',29,''),(6,'Control flow functions',33,''),(7,'Transactions',30,''),(8,'Account Management',30,''),(9,'Point properties',29,''),(10,'Encryption Functions',33,''),(11,'LineString properties',29,''),(12,'Logical operators',33,''),(13,'Miscellaneous Functions',33,''),(14,'Functions and Modifiers for Use with GROUP BY',30,''),(15,'Information Functions',33,''),(16,'Storage Engines',30,''),(17,'Comparison operators',33,''),(18,'Bit Functions',33,''),(19,'Table Maintenance',30,''),(20,'Data Types',30,''),(21,'Geometry constructors',29,''),(22,'GeometryCollection properties',1,''),(23,'Administration',30,''),(24,'Data Manipulation',30,''),(25,'Geometry relations',29,''),(26,'Language Structure',30,''),(27,'Date and Time Functions',33,''),(28,'WKB',29,''),(29,'Geographic Features',30,''),(30,'Contents',0,''),(31,'Geometry properties',29,''),(32,'String Functions',33,''),(33,'Functions',30,''),(34,'Data Definition',30,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `help_category` ENABLE KEYS */;

--
-- Table structure for table `help_keyword`
--

DROP TABLE IF EXISTS `help_keyword`;
CREATE TABLE `help_keyword` (
  `help_keyword_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`help_keyword_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='help keywords';

--
-- Dumping data for table `help_keyword`
--


/*!40000 ALTER TABLE `help_keyword` DISABLE KEYS */;
LOCK TABLES `help_keyword` WRITE;
INSERT INTO `help_keyword` VALUES (0,'MIN'),(1,'JOIN'),(2,'SERIALIZABLE'),(3,'REPLACE'),(4,'RETURNS'),(5,'MASTER_SSL_CA'),(6,'NCHAR'),(7,'COLUMNS'),(8,'WORK'),(9,'DATETIME'),(10,'MODE'),(11,'OPEN'),(12,'INTEGER'),(13,'ESCAPE'),(14,'VALUE'),(15,'GEOMETRYCOLLECTIONFROMWKB'),(16,'SQL_BIG_RESULT'),(17,'DROP'),(18,'EVENTS'),(19,'MONTH'),(20,'DUPLICATE'),(21,'REPLICATION'),(22,'INNODB'),(23,'YEAR_MONTH'),(24,'SUBJECT'),(25,'PREPARE'),(26,'LOCK'),(27,'NDB'),(28,'CHECK'),(29,'FULL'),(30,'INT4'),(31,'BY'),(32,'NO'),(33,'MINUTE'),(34,'DATA'),(35,'DAY'),(36,'SHARE'),(37,'RAID_CHUNKSIZE'),(38,'REAL'),(39,'SEPARATOR'),(40,'DELETE'),(41,'ON'),(42,'CLOSE'),(43,'X509'),(44,'USE'),(45,'WHERE'),(46,'PRIVILEGES'),(47,'SPATIAL'),(48,'SUPER'),(49,'SQL_BUFFER_RESULT'),(50,'IGNORE'),(51,'QUICK'),(52,'SIGNED'),(53,'SECURITY'),(54,'POLYGONFROMWKB'),(55,'NDBCLUSTER'),(56,'FALSE'),(57,'LEVEL'),(58,'FORCE'),(59,'BINARY'),(60,'TO'),(61,'CHANGE'),(62,'HOUR_MINUTE'),(63,'UPDATE'),(64,'INTO'),(65,'VARYING'),(66,'HOUR_SECOND'),(67,'VARIABLE'),(68,'ROLLBACK'),(69,'MAX'),(70,'PROCEDURE'),(71,'RTREE'),(72,'TIMESTAMP'),(73,'IMPORT'),(74,'AGAINST'),(75,'CHECKSUM'),(76,'COUNT'),(77,'LONGBINARY'),(78,'THEN'),(79,'INSERT'),(80,'ENGINES'),(81,'DAY_SECOND'),(82,'EXISTS'),(83,'BOOLEAN'),(84,'MOD'),(85,'DEFAULT'),(86,'TYPE'),(87,'NO_WRITE_TO_BINLOG'),(88,'RESET'),(89,'BIGINT'),(90,'SET'),(91,'ISSUER'),(92,'DATE'),(93,'STATUS'),(94,'FULLTEXT'),(95,'COMMENT'),(96,'MASTER_CONNECT_RETRY'),(97,'INNER'),(98,'STOP'),(99,'MASTER_LOG_FILE'),(100,'MRG_MYISAM'),(101,'PRECISION'),(102,'REQUIRE'),(103,'TRAILING'),(104,'LONG'),(105,'OPTION'),(106,'ELSE'),(107,'DEALLOCATE'),(108,'IO_THREAD'),(109,'CASE'),(110,'CIPHER'),(111,'FROM'),(112,'READ'),(113,'LEFT'),(114,'MINUTE_SECOND'),(115,'COMPACT'),(116,'DEC'),(117,'FOR'),(118,'WARNINGS'),(119,'MIN_ROWS'),(120,'STRING'),(121,'FUNCTION'),(122,'ENCLOSED'),(123,'AGGREGATE'),(124,'FIELDS'),(125,'INT3'),(126,'ARCHIVE'),(127,'ADD'),(128,'AVG_ROW_LENGTH'),(129,'FLOAT4'),(130,'STRIPED'),(131,'REPEATABLE'),(132,'INFILE'),(133,'ORDER'),(134,'USING'),(135,'MIDDLEINT'),(136,'GRANT'),(137,'UNSIGNED'),(138,'DECIMAL'),(139,'GEOMETRYFROMTEXT'),(140,'INDEXES'),(141,'FOREIGN'),(142,'CACHE'),(143,'HOSTS'),(144,'COMMIT'),(145,'LEADING'),(146,'SNAPSHOT'),(147,'LOAD'),(148,'SQL_CACHE'),(149,'CONVERT'),(150,'DYNAMIC'),(151,'POLYGONFROMTEXT'),(152,'BYTE'),(153,'LINESTRINGFROMWKB'),(154,'GLOBAL'),(155,'BERKELEYDB'),(156,'WHEN'),(157,'HAVING'),(158,'AS'),(159,'STARTING'),(160,'RELOAD'),(161,'AUTOCOMMIT'),(162,'REVOKE'),(163,'GRANTS'),(164,'OUTER'),(165,'FLOOR'),(166,'WITH'),(167,'STD'),(168,'AFTER'),(169,'CSV'),(170,'DISABLE'),(171,'OUTFILE'),(172,'LOW_PRIORITY'),(173,'FILE'),(174,'BDB'),(175,'SONAME'),(176,'POW'),(177,'MULTIPOINTFROMWKB'),(178,'INDEX'),(179,'MULTIPOINTFROMTEXT'),(180,'BACKUP'),(181,'MULTILINESTRINGFROMWKB'),(182,'EXTENDED'),(183,'CROSS'),(184,'NATIONAL'),(185,'GROUP'),(186,'ZEROFILL'),(187,'CLIENT'),(188,'MASTER_PASSWORD'),(189,'RELAY_LOG_FILE'),(190,'TRUE'),(191,'CHARACTER'),(192,'MASTER_USER'),(193,'ENGINE'),(194,'TABLE'),(195,'INSERT_METHOD'),(196,'CASCADE'),(197,'RELAY_LOG_POS'),(198,'SQL_CALC_FOUND_ROWS'),(199,'MYISAM'),(200,'MODIFY'),(201,'MATCH'),(202,'MASTER_LOG_POS'),(203,'DESC'),(204,'DISTINCTROW'),(205,'TIME'),(206,'NUMERIC'),(207,'EXPANSION'),(208,'GEOMETRYCOLLECTIONFROMTEXT'),(209,'RAID_CHUNKS'),(210,'FLUSH'),(211,'CREATE'),(212,'ISAM'),(213,'MAX_UPDATES_PER_HOUR'),(214,'INT2'),(215,'PROCESSLIST'),(216,'LOGS'),(217,'HEAP'),(218,'SOUNDS'),(219,'BETWEEN'),(220,'MULTILINESTRINGFROMTEXT'),(221,'PACK_KEYS'),(222,'FAST'),(223,'VALUES'),(224,'VARCHARACTER'),(225,'BEFORE'),(226,'SHOW'),(227,'REDUNDANT'),(228,'ALL'),(229,'USER_RESOURCES'),(230,'PARTIAL'),(231,'BINLOG'),(232,'END'),(233,'SECOND'),(234,'AND'),(235,'FLOAT8'),(236,'PREV'),(237,'HOUR'),(238,'SELECT'),(239,'DATABASES'),(240,'OR'),(241,'IDENTIFIED'),(242,'MASTER_SSL_CIPHER'),(243,'SQL_SLAVE_SKIP_COUNTER'),(244,'BOTH'),(245,'BOOL'),(246,'YEAR'),(247,'MASTER_PORT'),(248,'CONCURRENT'),(249,'UNIQUE'),(250,'PROCESS'),(251,'CONSISTENT'),(252,'MASTER_SSL'),(253,'DATE_ADD'),(254,'MAX_CONNECTIONS_PER_HOUR'),(255,'LIKE'),(256,'IN'),(257,'COLUMN'),(258,'DUMPFILE'),(259,'USAGE'),(260,'EXECUTE'),(261,'MEMORY'),(262,'CEIL'),(263,'QUERY'),(264,'MASTER_HOST'),(265,'LINES'),(266,'SQL_THREAD'),(267,'MAX_QUERIES_PER_HOUR'),(268,'MULTIPOLYGONFROMWKB'),(269,'MASTER_SSL_CERT'),(270,'DAY_MINUTE'),(271,'TRANSACTION'),(272,'DATE_SUB'),(273,'GEOMETRYFROMWKB'),(274,'RENAME'),(275,'INT1'),(276,'ALTER'),(277,'MAX_ROWS'),(278,'RIGHT'),(279,'STRAIGHT_JOIN'),(280,'NATURAL'),(281,'VARIABLES'),(282,'ESCAPED'),(283,'SHA1'),(284,'PASSWORD'),(285,'RAID_TYPE'),(286,'CHAR'),(287,'OFFSET'),(288,'NEXT'),(289,'SQL_LOG_BIN'),(290,'ERRORS'),(291,'TEMPORARY'),(292,'SQL_SMALL_RESULT'),(293,'COMMITTED'),(294,'DELAY_KEY_WRITE'),(295,'BEGIN'),(296,'MEDIUM'),(297,'INTERVAL'),(298,'SSL'),(299,'DAY_HOUR'),(300,'REFERENCES'),(301,'AES_ENCRYPT'),(302,'STORAGE'),(303,'ISOLATION'),(304,'INT8'),(305,'RESTRICT'),(306,'LINESTRINGFROMTEXT'),(307,'UNCOMMITTED'),(308,'IS'),(309,'NOT'),(310,'DES_KEY_FILE'),(311,'COMPRESSED'),(312,'START'),(313,'IF'),(314,'SAVEPOINT'),(315,'PRIMARY'),(316,'INNOBASE'),(317,'LAST'),(318,'KEYS'),(319,'LIMIT'),(320,'KEY'),(321,'MERGE'),(322,'SQL_NO_CACHE'),(323,'DELAYED'),(324,'CONSTRAINT'),(325,'SERIAL'),(326,'ACTION'),(327,'WRITE'),(328,'SESSION'),(329,'DATABASE'),(330,'NULL'),(331,'USE_FRM'),(332,'SLAVE'),(333,'TERMINATED'),(334,'ASC'),(335,'ENABLE'),(336,'OPTIONALLY'),(337,'DIRECTORY'),(338,'MAX_USER_CONNECTIONS'),(339,'DISTINCT'),(340,'LOCAL'),(341,'MASTER_SSL_KEY'),(342,'NONE'),(343,'TABLES'),(344,'<>'),(345,'RLIKE'),(346,'COLLATION'),(347,'SHUTDOWN'),(348,'HIGH_PRIORITY'),(349,'BTREE'),(350,'FIRST'),(351,'TYPES'),(352,'MASTER'),(353,'FIXED'),(354,'RAID0'),(355,'MULTIPOLYGONFROMTEXT'),(356,'ROW_FORMAT');
UNLOCK TABLES;
/*!40000 ALTER TABLE `help_keyword` ENABLE KEYS */;

--
-- Table structure for table `help_relation`
--

DROP TABLE IF EXISTS `help_relation`;
CREATE TABLE `help_relation` (
  `help_topic_id` int(10) unsigned NOT NULL default '0',
  `help_keyword_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`help_keyword_id`,`help_topic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='keyword-topic relation';

--
-- Dumping data for table `help_relation`
--


/*!40000 ALTER TABLE `help_relation` DISABLE KEYS */;
LOCK TABLES `help_relation` WRITE;
INSERT INTO `help_relation` VALUES (388,0),(290,1),(362,2),(344,3),(166,4),(147,5),(349,6),(13,7),(281,7),(110,8),(308,9),(61,10),(290,10),(76,11),(99,11),(281,11),(166,12),(407,12),(311,13),(193,14),(78,15),(290,16),(60,17),(148,17),(188,17),(221,17),(333,17),(375,17),(90,18),(19,19),(74,20),(158,21),(281,22),(328,22),(380,22),(19,23),(158,24),(22,25),(188,25),(290,26),(380,27),(380,28),(13,29),(281,29),(367,29),(380,29),(407,30),(33,31),(58,31),(158,31),(290,31),(296,31),(344,31),(375,31),(380,31),(380,32),(384,32),(19,33),(86,34),(344,34),(380,34),(19,35),(290,36),(380,37),(166,38),(255,38),(296,39),(380,40),(384,40),(0,41),(384,41),(76,42),(158,43),(0,44),(33,45),(58,45),(76,45),(152,46),(158,46),(199,46),(168,47),(375,47),(158,48),(290,49),(0,50),(58,50),(74,50),(290,50),(344,50),(375,50),(33,51),(340,51),(378,51),(308,52),(158,53),(63,54),(393,54),(380,55),(314,56),(362,57),(0,58),(243,59),(308,59),(147,60),(372,60),(376,60),(147,61),(375,61),(19,62),(74,63),(290,63),(384,63),(29,64),(74,64),(247,64),(290,64),(207,65),(19,66),(96,67),(110,68),(372,68),(388,69),(290,70),(168,71),(69,72),(149,72),(344,73),(61,74),(380,75),(46,76),(268,76),(352,76),(230,77),(342,78),(74,79),(153,79),(397,79),(226,80),(281,80),(19,81),(119,82),(148,82),(221,82),(15,83),(61,83),(135,84),(74,85),(193,85),(375,85),(380,85),(375,86),(380,86),(83,87),(267,87),(378,87),(382,87),(24,88),(115,88),(212,88),(177,89),(29,90),(58,90),(110,90),(144,90),(169,90),(271,90),(375,90),(384,90),(402,90),(158,91),(19,92),(97,92),(211,92),(308,92),(39,93),(102,93),(171,93),(178,93),(281,93),(300,93),(328,93),(168,94),(375,94),(380,94),(380,95),(147,96),(0,97),(36,98),(147,99),(380,100),(255,101),(158,102),(369,103),(230,104),(158,105),(342,106),(188,107),(36,108),(266,108),(342,109),(158,110),(33,111),(86,111),(90,111),(281,111),(290,111),(295,111),(369,111),(23,112),(76,112),(362,112),(0,113),(19,114),(380,115),(165,116),(281,117),(290,117),(268,118),(281,118),(380,119),(166,120),(166,121),(333,121),(344,122),(166,123),(281,124),(344,124),(202,125),(380,126),(41,127),(375,127),(375,128),(380,128),(130,129),(380,130),(362,131),(344,132),(33,133),(58,133),(290,133),(296,133),(375,133),(0,134),(33,134),(59,134),(202,135),(158,136),(15,137),(95,137),(130,137),(165,137),(255,137),(308,137),(407,137),(120,138),(337,139),(281,140),(375,141),(380,141),(384,141),(72,142),(115,142),(247,142),(109,143),(281,143),(110,144),(369,145),(110,146),(86,147),(247,147),(295,147),(344,147),(290,148),(308,149),(380,150),(323,151),(377,152),(366,153),(96,154),(144,154),(284,154),(362,154),(380,155),(342,156),(290,157),(0,158),(23,158),(290,158),(344,159),(158,160),(110,161),(199,162),(151,163),(281,163),(0,164),(177,165),(61,166),(158,166),(334,167),(375,168),(344,169),(380,169),(375,170),(290,171),(23,172),(29,172),(33,172),(58,172),(74,172),(344,172),(158,173),(127,174),(380,174),(166,175),(394,176),(374,177),(0,178),(41,178),(60,178),(72,178),(168,178),(247,178),(251,178),(281,178),(375,178),(380,178),(346,179),(292,180),(217,181),(378,182),(0,183),(207,184),(349,184),(290,185),(15,186),(95,186),(130,186),(165,186),(255,186),(407,186),(158,187),(147,188),(147,189),(314,190),(169,191),(207,191),(271,191),(349,191),(147,192),(281,193),(300,193),(375,193),(380,193),(41,194),(171,194),(221,194),(222,194),(281,194),(292,194),(295,194),(380,195),(221,196),(380,196),(384,196),(147,197),(290,198),(380,199),(375,200),(61,201),(147,202),(269,203),(290,203),(296,203),(290,204),(256,205),(307,205),(308,205),(165,206),(61,207),(196,208),(380,209),(115,210),(41,211),(119,211),(166,211),(168,211),(222,211),(252,211),(281,211),(380,211),(380,212),(158,213),(184,214),(281,215),(367,215),(127,216),(243,216),(281,216),(300,216),(380,217),(309,218),(111,219),(77,220),(380,221),(340,222),(29,223),(207,224),(376,225),(13,226),(39,226),(46,226),(90,226),(99,226),(102,226),(109,226),(122,226),(127,226),(151,226),(152,226),(171,226),(178,226),(222,226),(226,226),(238,226),(243,226),(251,226),(252,226),(268,226),(271,226),(284,226),(300,226),(328,226),(367,226),(400,226),(380,227),(158,228),(199,228),(248,228),(290,228),(267,229),(380,230),(90,231),(342,232),(19,233),(111,234),(257,234),(255,235),(76,236),(19,237),(29,238),(206,238),(122,239),(281,239),(105,240),(158,241),(147,242),(144,243),(369,244),(15,245),(80,245),(19,246),(147,247),(344,248),(375,249),(158,250),(110,251),(147,252),(19,253),(158,254),(281,255),(309,255),(61,256),(90,256),(290,256),(375,257),(290,258),(158,259),(59,260),(158,260),(290,261),(363,262),(61,263),(115,263),(147,264),(344,265),(36,266),(266,266),(158,267),(91,268),(147,269),(19,270),(110,271),(362,271),(19,272),(108,273),(375,274),(15,275),(41,276),(158,276),(375,276),(380,277),(0,278),(0,279),(290,279),(0,280),(281,281),(284,281),(344,282),(229,283),(158,284),(380,285),(308,286),(377,286),(290,287),(76,288),(402,289),(46,290),(281,290),(221,291),(290,292),(362,293),(380,294),(110,295),(340,296),(19,297),(158,298),(19,299),(158,300),(380,300),(384,300),(404,301),(226,302),(362,303),(95,304),(221,305),(384,305),(38,306),(362,307),(302,308),(119,309),(254,309),(267,310),(380,311),(110,312),(266,312),(119,313),(148,313),(221,313),(391,313),(372,314),(375,315),(380,316),(76,317),(251,318),(281,318),(375,318),(33,319),(58,319),(76,319),(90,319),(290,319),(41,320),(74,320),(375,320),(380,320),(384,320),(380,321),(290,322),(29,323),(74,323),(397,323),(375,324),(380,324),(193,325),(380,325),(380,326),(384,326),(23,327),(96,328),(284,328),(362,328),(119,329),(148,329),(252,329),(281,329),(302,330),(384,330),(378,331),(24,332),(36,332),(109,332),(178,332),(266,332),(344,333),(290,334),(296,334),(375,335),(344,336),(380,337),(158,338),(248,339),(290,339),(296,339),(352,339),(388,339),(23,340),(83,340),(267,340),(344,340),(378,340),(382,340),(147,341),(158,342),(23,343),(99,343),(238,343),(281,343),(403,344),(17,345),(400,346),(158,347),(74,348),(290,348),(168,349),(76,350),(375,350),(380,350),(281,351),(39,352),(86,352),(147,352),(212,352),(243,352),(295,352),(165,353),(380,353),(380,354),(157,355),(380,356);
UNLOCK TABLES;
/*!40000 ALTER TABLE `help_relation` ENABLE KEYS */;

--
-- Table structure for table `help_topic`
--

DROP TABLE IF EXISTS `help_topic`;
CREATE TABLE `help_topic` (
  `help_topic_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `help_category_id` smallint(5) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `example` text NOT NULL,
  `url` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`help_topic_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='help topics';

--
-- Dumping data for table `help_topic`
--


/*!40000 ALTER TABLE `help_topic` DISABLE KEYS */;
LOCK TABLES `help_topic` WRITE;
INSERT INTO `help_topic` VALUES (0,'JOIN',24,'MySQL supports the following JOIN syntaxes for the table_references\npart of SELECT statements and multiple-table DELETE and UPDATE\nstatements:\n\ntable_reference, table_reference\ntable_reference [INNER | CROSS] JOIN table_reference [join_condition]\ntable_reference STRAIGHT_JOIN table_reference\ntable_reference LEFT [OUTER] JOIN table_reference join_condition\ntable_reference NATURAL [LEFT [OUTER]] JOIN table_reference\n{ ON table_reference LEFT OUTER JOIN table_reference\n    ON conditional_expr }\ntable_reference RIGHT [OUTER] JOIN table_reference join_condition\ntable_reference NATURAL [RIGHT [OUTER]] JOIN table_reference\n\ntable_reference is defined as:\n\ntbl_name [[AS] alias]\n    [{USE|IGNORE|FORCE} INDEX (key_list)]\n\njoin_condition is defined as:\n\nON conditional_expr | USING (column_list)\n','SELECT table1.* FROM table1\n  LEFT JOIN table2 ON table1.id=table2.id\n  WHERE table2.id IS NULL;\n','join'),(1,'HEX',32,'Syntax:\nHEX(N_or_S)\n\nIf N_or_S is a number, returns a string representation of the\nhexadecimal value of N, where N is a longlong (BIGINT) number. This is\nequivalent to CONV(N,10,16).\n\nFrom MySQL 4.0.1 and up, if N_or_S is a string, returns a hexadecimal\nstring representation of N_or_S where each character in N_or_S is\nconverted to two hexadecimal digits.\n','mysql> SELECT HEX(255);\n        -> \'FF\'\nmysql> SELECT 0x616263;\n        -> \'abc\'\nmysql> SELECT HEX(\'abc\');\n        -> 616263\n','string-functions'),(2,'REPLACE',32,'Syntax:\nREPLACE(str,from_str,to_str)\n\nReturns the string str with all occurrences of the string from_str\nreplaced by the string to_str. REPLACE() performs a case-sensitive\nmatch when searching for from_str.\n','mysql> SELECT REPLACE(\'www.mysql.com\', \'w\', \'Ww\');\n        -> \'WwWwWw.mysql.com\'\n','string-functions'),(3,'CONTAINS',25,'Contains(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 completely contains g2.\n','','functions-that-test-spatial-relationships-between-geometries'),(4,'SRID',31,'SRID(g)\n\nReturns an integer indicating the Spatial Reference System ID for the\ngeometry value g.\n\nIn MySQL, the SRID value is just an integer associated with the\ngeometry value. All calculations are done assuming Euclidean (planar)\ngeometry.\n','mysql> SELECT SRID(GeomFromText(\'LineString(1 1,2 2)\',101));\n+-----------------------------------------------+\n| SRID(GeomFromText(\'LineString(1 1,2 2)\',101)) |\n+-----------------------------------------------+\n|                                           101 |\n+-----------------------------------------------+\n','general-geometry-property-functions'),(5,'CURRENT_TIMESTAMP',27,'Syntax:\nCURRENT_TIMESTAMP, CURRENT_TIMESTAMP()\n\nCURRENT_TIMESTAMP and CURRENT_TIMESTAMP() are synonyms for NOW().\n','','date-and-time-functions'),(6,'VARIANCE',14,'Syntax:\nVARIANCE(expr)\n\nReturns the population standard variance of expr. This is an extension\nto standard SQL, available in MySQL 4.1 or later.\n\nVARIANCE() returns NULL if there were no matching rows.\n','','group-by-functions'),(7,'CONCAT',32,'Syntax:\nCONCAT(str1,str2,...)\n\nReturns the string that results from concatenating the arguments. May\nhave one or more arguments. If all arguments are non-binary strings,\nthe result is a non-binary string. If the arguments include any binary\nstrings, the result is a binary string. A numeric argument is converted\nto its equivalent binary string form; if you want to avoid that, you\ncan use an explicit type cast, as in this example:\n\nSELECT CONCAT(CAST(int_col AS CHAR), char_col);\n\nCONCAT() returns NULL if any argument is NULL.\n','mysql> SELECT CONCAT(\'My\', \'S\', \'QL\');\n        -> \'MySQL\'\nmysql> SELECT CONCAT(\'My\', NULL, \'QL\');\n        -> NULL\nmysql> SELECT CONCAT(14.3);\n        -> \'14.3\'\n','string-functions'),(8,'GEOMETRY HIERARCHY',29,'Geometry is the base class. It is an abstract class. The instantiable\nsubclasses of Geometry are restricted to zero-, one-, and\ntwo-dimensional geometric objects that exist in two-dimensional\ncoordinate space. All instantiable geometry classes are defined so that\nvalid instances of a geometry class are topologically closed (that is,\nall defined geometries include their boundary).\n\nThe base Geometry class has subclasses for Point, Curve, Surface, and\nGeometryCollection:\n\no Point represents zero-dimensional objects.\n\no Curve represents one-dimensional objects, and has subclass\n  LineString, with sub-subclasses Line and LinearRing.\n\no Surface is designed for two-dimensional objects and has subclass\n  Polygon.\n\no GeometryCollection has specialized zero-, one-, and two-dimensional\n  collection classes named MultiPoint, MultiLineString, and\n  MultiPolygon for modeling geometries corresponding to collections of\n  Points, LineStrings, and Polygons, respectively. MultiCurve and\n  MultiSurface are introduced as abstract superclasses that generalize\n  the collection interfaces to handle Curves and Surfaces.\n\nGeometry, Curve, Surface, MultiCurve, and MultiSurface are defined as\nnon-instantiable classes. They define a common set of methods for their\nsubclasses and are included for extensibility.\n\nPoint, LineString, Polygon, GeometryCollection, MultiPoint,\nMultiLineString, and MultiPolygon are instantiable classes.\n','','gis-geometry-class-hierarchy'),(9,'CHAR FUNCTION',32,'Syntax:\nCHAR(N,... [USING charset_name])\n\nCHAR() interprets each argument N as an integer and returns a string\nconsisting of the characters given by the code values of those\nintegers. NULL values are skipped.\nCHAR() returns a string in the connection character set. As of MySQL\n4.1.16, the optional USING clause may be used to produce a string in a\ngiven character set:\n\nmysql> SELECT CHARSET(CHAR(0x65)), CHARSET(CHAR(0x65 USING utf8));\n+---------------------+--------------------------------+\n| CHARSET(CHAR(0x65)) | CHARSET(CHAR(0x65 USING utf8)) |\n+---------------------+--------------------------------+\n| latin1              | utf8                           |\n+---------------------+--------------------------------+\n','mysql> SELECT CHAR(77,121,83,81,\'76\');\n        -> \'MySQL\'\nmysql> SELECT CHAR(77,77.3,\'77.3\');\n        -> \'MMM\'\n','string-functions'),(10,'DATETIME',20,'DATETIME\n\nA date and time combination. The supported range is \'1000-01-01\n00:00:00\' to \'9999-12-31 23:59:59\'. MySQL displays DATETIME values in\n\'YYYY-MM-DD HH:MM:SS\' format, but allows you to assign values to\nDATETIME columns using either strings or numbers.\n','','date-and-time-type-overview'),(11,'INTEGER',20,'INTEGER[(M)] [UNSIGNED] [ZEROFILL]\n\nThis type is a synonym for INT.\n','','numeric-type-overview'),(12,'LOWER',32,'Syntax:\nLOWER(str)\n\nReturns the string str with all characters changed to lowercase\naccording to the current character set mapping. The default is latin1\n(cp1252 West European).\n','mysql> SELECT LOWER(\'QUADRATICALLY\');\n        -> \'quadratically\'\n','string-functions'),(13,'SHOW COLUMNS',24,'Syntax:\nSHOW [FULL] COLUMNS FROM tbl_name [FROM db_name] [LIKE \'pattern\']\n\nSHOW COLUMNS displays information about the columns in a given table.\n\nIf the data types differ from what you expect them to be based on your\nCREATE TABLE statement, note that MySQL sometimes changes data types\nwhen you create or alter a table. The conditions for which this occurs\nare described in [silent-column-changes].\n\nThe FULL keyword can be used from MySQL 3.23.32 on. It causes the\noutput to include the privileges you have for each column. As of MySQL\n4.1, FULL also causes any per-column comments to be displayed.\n\nYou can use db_name.tbl_name as an alternative to the tbl_name FROM\ndb_name syntax. In other words, these two statements are equivalent:\n\nmysql> SHOW COLUMNS FROM mytable FROM mydb;\nmysql> SHOW COLUMNS FROM mydb.mytable;\n\nSHOW FIELDS is a synonym for SHOW COLUMNS. You can also list a table\'s\ncolumns with the mysqlshow db_name tbl_name command.\n\nThe DESCRIBE statement provides information similar to SHOW COLUMNS.\nSee [describe].\n','','show-columns'),(14,'MONTH',27,'Syntax:\nMONTH(date)\n\nReturns the month for date, in the range 0 to 12.\n','mysql> SELECT MONTH(\'1998-02-03\');\n        -> 2\n','date-and-time-functions'),(15,'TINYINT',20,'TINYINT[(M)] [UNSIGNED] [ZEROFILL]\n\nA very small integer. The signed range is -128 to 127. The unsigned\nrange is 0 to 255.\n','','numeric-type-overview'),(16,'MASTER_POS_WAIT',13,'Syntax:\nMASTER_POS_WAIT(log_name,log_pos[,timeout])\n\nThis function is useful for control of master/slave synchronization. It\nblocks until the slave has read and applied all updates up to the\nspecified position in the master log. The return value is the number of\nlog events the slave had to wait for to advance to the specified\nposition. The function returns NULL if the slave SQL thread is not\nstarted, the slave\'s master information is not initialized, the\narguments are incorrect, or an error occurs. It returns -1 if the\ntimeout has been exceeded. If the slave SQL thread stops while\nMASTER_POS_WAIT() is waiting, the function returns NULL. If the slave\nis past the specified position, the function returns immediately.\n','','miscellaneous-functions'),(17,'REGEXP',32,'Syntax:\nexpr REGEXP pat expr RLIKE pat\n\nPerforms a pattern match of a string expression expr against a pattern\npat. The pattern can be an extended regular expression. The syntax for\nregular expressions is discussed in [regexp]. Returns 1 if expr matches\npat; otherwise it returns 0. If either expr or pat is NULL, the result\nis NULL. RLIKE is a synonym for REGEXP, provided for mSQL\ncompatibility.\n\nThe pattern need not be a literal string. For example, it can be\nspecified as a string expression or table column.\n\nNote: Because MySQL uses the C escape syntax in strings (for example,\n`\\n\' to represent the newline character), you must double any `\\\' that\nyou use in your REGEXP strings.\n\nAs of MySQL 3.23.4, REGEXP is not case sensitive, except when used with\nbinary strings.\n','mysql> SELECT \'Monty!\' REGEXP \'m%y%%\';\n        -> 0\nmysql> SELECT \'Monty!\' REGEXP \'.*\';\n        -> 1\nmysql> SELECT \'new*\\n*line\' REGEXP \'new\\\\*.\\\\*line\';\n        -> 1\nmysql> SELECT \'a\' REGEXP \'A\', \'a\' REGEXP BINARY \'A\';\n        -> 1  0\nmysql> SELECT \'a\' REGEXP \'^[a-d]\';\n        -> 1\n','string-comparison-functions'),(18,'^',18,'Syntax:\n^\n\nBitwise XOR:\n','mysql> SELECT 1 ^ 1;\n        -> 0\nmysql> SELECT 1 ^ 0;\n        -> 1\nmysql> SELECT 11 ^ 3;\n        -> 8\n','bit-functions'),(19,'DATE OPERATIONS',27,'Syntax:\nDATE_ADD(date,INTERVAL expr type), DATE_SUB(date,INTERVAL expr type)\n\nThese functions perform date arithmetic. date is a DATETIME or DATE\nvalue specifying the starting date. expr is an expression specifying\nthe interval value to be added or subtracted from the starting date.\nexpr is a string; it may start with a `-\' for negative intervals. type\nis a keyword indicating how the expression should be interpreted.\n','mysql> SELECT \'1997-12-31 23:59:59\' + INTERVAL 1 SECOND;\n        -> \'1998-01-01 00:00:00\'\nmysql> SELECT INTERVAL 1 DAY + \'1997-12-31\';\n        -> \'1998-01-01\'\nmysql> SELECT \'1998-01-01\' - INTERVAL 1 SECOND;\n        -> \'1997-12-31 23:59:59\'\nmysql> SELECT DATE_ADD(\'1997-12-31 23:59:59\',\n    ->                 INTERVAL 1 SECOND);\n        -> \'1998-01-01 00:00:00\'\nmysql> SELECT DATE_ADD(\'1997-12-31 23:59:59\',\n    ->                 INTERVAL 1 DAY);\n        -> \'1998-01-01 23:59:59\'\nmysql> SELECT DATE_ADD(\'1997-12-31 23:59:59\',\n    ->                 INTERVAL \'1:1\' MINUTE_SECOND);\n        -> \'1998-01-01 00:01:00\'\nmysql> SELECT DATE_SUB(\'1998-01-01 00:00:00\',\n    ->                 INTERVAL \'1 1:1:1\' DAY_SECOND);\n        -> \'1997-12-30 22:58:59\'\nmysql> SELECT DATE_ADD(\'1998-01-01 00:00:00\',\n    ->                 INTERVAL \'-1 10\' DAY_HOUR);\n        -> \'1997-12-30 14:00:00\'\nmysql> SELECT DATE_SUB(\'1998-01-02\', INTERVAL 31 DAY);\n        -> \'1997-12-02\'\nmysql> SELECT DATE_ADD(\'1992-12-31 23:59:59.000002\',\n    ->            INTERVAL \'1.999999\' SECOND_MICROSECOND);\n        -> \'1993-01-01 00:00:01.000001\'\n','date-and-time-functions'),(20,'WITHIN',25,'Within(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 is spatially within g2.\n','','functions-that-test-spatial-relationships-between-geometries'),(21,'WEEK',27,'Syntax:\nWEEK(date[,mode])\n\nThis function returns the week number for date. The two-argument form\nof WEEK() allows you to specify whether the week starts on Sunday or\nMonday and whether the return value should be in the range from 0 to 53\nor from 1 to 53. If the mode argument is omitted, the value of the\ndefault_week_format system variable is used (or 0 before MySQL 4.0.14).\nSee [server-system-variables].\n','mysql> SELECT WEEK(\'1998-02-20\');\n        -> 7\nmysql> SELECT WEEK(\'1998-02-20\',0);\n        -> 7\nmysql> SELECT WEEK(\'1998-02-20\',1);\n        -> 8\nmysql> SELECT WEEK(\'1998-12-31\',1);\n        -> 53\n','date-and-time-functions'),(22,'PREPARE',24,'Syntax:\nPREPARE stmt_name FROM preparable_stmt\n\nThe PREPARE statement prepares a statement and assigns it a name,\nstmt_name, by which to refer to the statement later. Statement names\nare not case sensitive. preparable_stmt is either a string literal or a\nuser variable that contains the text of the statement. The text must\nrepresent a single SQL statement, not multiple statements. Within the\nstatement, `?\' characters can be used as parameter markers to indicate\nwhere data values are to be bound to the query later when you execute\nit. The `?\' characters should not be enclosed within quotes, even if\nyou intend to bind them to string values. Parameter markers can be used\nonly where data values should appear, not for SQL keywords,\nidentifiers, and so forth.\n\nIf a prepared statement with the given name already exists, it is\ndeallocated implicitly before the new statement is prepared. This means\nthat if the new statement contains an error and cannot be prepared, an\nerror is returned and no statement with the given name exists.\n\nThe scope of a prepared statement is the client session within which it\nis created. Other clients cannot see it.\n','','sqlps'),(23,'LOCK',7,'Syntax:\nLOCK TABLES\n    tbl_name [AS alias] {READ [LOCAL] | [LOW_PRIORITY] WRITE}\n    [, tbl_name [AS alias] {READ [LOCAL] | [LOW_PRIORITY] WRITE}] ...\nUNLOCK TABLES\n\nLOCK TABLES locks tables for the current thread. If any of the tables\nare locked by other threads, it blocks until all locks can be acquired.\nUNLOCK TABLES releases any locks held by the current thread. All tables\nthat are locked by the current thread are implicitly unlocked when the\nthread issues another LOCK TABLES, or when the connection to the server\nis closed.\n\nA table lock protects only against inappropriate reads or writes by\nother clients. The client holding the lock, even a read lock, can\nperform table-level operations such as DROP TABLE.\n','','lock-tables'),(24,'RESET SLAVE',24,'Syntax:\nRESET SLAVE\n\nRESET SLAVE makes the slave forget its replication position in the\nmaster\'s binary logs. This statement is meant to be used for a clean\nstart: It deletes the master.info and relay-log.info files, all the\nrelay logs, and starts a new relay log.\n\nNote: All relay logs are deleted, even if they have not been completely\nexecuted by the slave SQL thread. (This is a condition likely to exist\non a replication slave if you have issued a STOP SLAVE statement or if\nthe slave is highly loaded.)\n\nConnection information stored in the master.info file is immediately\nreset using any values specified in the corresponding startup options.\nThis information includes values such as master host, master port,\nmaster user, and master password. If the slave SQL thread was in the\nmiddle of replicating temporary tables when it was stopped, and RESET\nSLAVE is issued, these replicated temporary tables are deleted on the\nslave.\n\nThis statement was named FLUSH SLAVE before MySQL 3.23.26.\n','','reset-slave'),(25,'POLYGON',21,'Polygon(ls1,ls2,...)\n\nConstructs a WKB Polygon value from a number of WKB LineString\narguments. If any argument does not represent the WKB of a LinearRing\n(that is, not a closed and simple LineString) the return value is NULL.\n','','gis-mysql-specific-functions'),(26,'MINUTE',27,'Syntax:\nMINUTE(time)\n\nReturns the minute for time, in the range 0 to 59.\n','mysql> SELECT MINUTE(\'98-02-03 10:05:03\');\n        -> 5\n','date-and-time-functions'),(27,'DAY',27,'Syntax:\nDAY(date)\n\nDAY() is a synonym for DAYOFMONTH(). It is available as of MySQL 4.1.1.\n','','date-and-time-functions'),(28,'MID',32,'Syntax:\nMID(str,pos,len)\n\nMID(str,pos,len) is a synonym for SUBSTRING(str,pos,len).\n','','string-functions'),(29,'REPLACE INTO',24,'Syntax:\nREPLACE [LOW_PRIORITY | DELAYED]\n    [INTO] tbl_name [(col_name,...)]\n    VALUES ({expr | DEFAULT},...),(...),...\n\nOr:\n\nREPLACE [LOW_PRIORITY | DELAYED]\n    [INTO] tbl_name\n    SET col_name={expr | DEFAULT}, ...\n\nOr:\n\nREPLACE [LOW_PRIORITY | DELAYED]\n    [INTO] tbl_name [(col_name,...)]\n    SELECT ...\n\nREPLACE works exactly like INSERT, except that if an old row in the\ntable has the same value as a new row for a PRIMARY KEY or a UNIQUE\nindex, the old row is deleted before the new row is inserted. See\n[insert].\n\nREPLACE is a MySQL extension to the SQL standard. It either inserts, or\ndeletes and inserts. If you\'re looking for a statement that follows the\nSQL standard, and that either inserts or updates, see\n[insert-on-duplicate]. INSERT ... ON DUPLICATE KEY UPDATE is available\nas of MySQL 4.1.0.\n\nNote that unless the table has a PRIMARY KEY or UNIQUE index, using a\nREPLACE statement makes no sense. It becomes equivalent to INSERT,\nbecause there is no index to be used to determine whether a new row\nduplicates another.\n\nValues for all columns are taken from the values specified in the\nREPLACE statement. Any missing columns are set to their default values,\njust as happens for INSERT. You cannot refer to values from the current\nrow and use them in the new row. If you use an assignment such as SET\ncol_name = col_name + 1, the reference to the column name on the right\nhand side is treated as DEFAULT(col_name), so the assignment is\nequivalent to SET col_name = DEFAULT(col_name) + 1.\n\nTo use REPLACE, you must have both the INSERT and DELETE privileges for\nthe table.\n','','replace'),(30,'UUID',13,'Syntax:\nUUID()\n\nReturns a Universal Unique Identifier (UUID) generated according to\n\"DCE 1.1: Remote Procedure Call\" (Appendix A) CAE (Common Applications\nEnvironment) Specifications published by The Open Group in October 1997\n(Document Number C706,\nhttp://www.opengroup.org/public/pubs/catalog/c706.htm).\n\nA UUID is designed as a number that is globally unique in space and\ntime. Two calls to UUID() are expected to generate two different\nvalues, even if these calls are performed on two separate computers\nthat are not connected to each other.\n\nA UUID is a 128-bit number represented by a string of five hexadecimal\nnumbers in aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee format:\n\no The first three numbers are generated from a timestamp.\n\no The fourth number preserves temporal uniqueness in case the timestamp\n  value loses monotonicity (for example, due to daylight saving time).\n\no The fifth number is an IEEE 802 node number that provides spatial\n  uniqueness. A random number is substituted if the latter is not\n  available (for example, because the host computer has no Ethernet\n  card, or we do not know how to find the hardware address of an\n  interface on your operating system). In this case, spatial uniqueness\n  cannot be guaranteed. Nevertheless, a collision should have very low\n  probability.\n\n  Currently, the MAC address of an interface is taken into account only\n  on FreeBSD and Linux. On other operating systems, MySQL uses a\n  randomly generated 48-bit number.\n','mysql> SELECT UUID();\n        -> \'6ccd780c-baba-1026-9564-0040f4311e29\'\n','miscellaneous-functions'),(31,'LINESTRING',21,'LineString(pt1,pt2,...)\n\nConstructs a WKB LineString value from a number of WKB Point arguments.\nIf any argument is not a WKB Point, the return value is NULL. If the\nnumber of Point arguments is less than two, the return value is NULL.\n','','gis-mysql-specific-functions'),(32,'CONNECTION_ID',15,'Syntax:\nCONNECTION_ID()\n\nReturns the connection ID (thread ID) for the connection. Every\nconnection has an ID that is unique among the set of currently\nconnected clients.\n','mysql> SELECT CONNECTION_ID();\n        -> 23786\n','information-functions'),(33,'DELETE',24,'Syntax:\nSingle-table syntax:\n\nDELETE [LOW_PRIORITY] [QUICK] [IGNORE] FROM tbl_name\n    [WHERE where_condition]\n    [ORDER BY ...]\n    [LIMIT row_count]\n\nMultiple-table syntax:\n\nDELETE [LOW_PRIORITY] [QUICK] [IGNORE]\n    tbl_name[.*] [, tbl_name[.*]] ...\n    FROM table_references\n    [WHERE where_condition]\n\nOr:\n\nDELETE [LOW_PRIORITY] [QUICK] [IGNORE]\n    FROM tbl_name[.*] [, tbl_name[.*]] ...\n    USING table_references\n    [WHERE where_condition]\n\nFor the single-table syntax, the DELETE statement deletes rows from\ntbl_name and returns the number of rows deleted. The WHERE clause, if\ngiven, specifies the conditions that identify which rows to delete.\nWith no WHERE clause, all rows are deleted. If the ORDER BY clause is\nspecified, the rows are deleted in the order that is specified. The\nLIMIT clause places a limit on the number of rows that can be deleted.\n\nFor the multiple-table syntax, DELETE deletes from each tbl_name the\nrows that satisfy the conditions. In this case, ORDER BY and LIMIT\ncannot be used.\n\nwhere_condition is an expression that evaluates to true for each row to\nbe deleted. It is specified as described in [select].\n\nAs stated, a DELETE statement with no WHERE clause deletes all rows. A\nfaster way to do this, when you do not want to know the number of\ndeleted rows, is to use TRUNCATE TABLE. See [truncate].\n','','delete'),(34,'ROUND',4,'Syntax:\nROUND(X), ROUND(X,D)\n\nReturns the argument X, rounded to the nearest integer. With two\narguments, returns X rounded to D decimal places. D can be negative to\ncause D digits left of the decimal point of the value X to become zero.\n','mysql> SELECT ROUND(-1.23);\n        -> -1\nmysql> SELECT ROUND(-1.58);\n        -> -2\nmysql> SELECT ROUND(1.58);\n        -> 2\nmysql> SELECT ROUND(1.298, 1);\n        -> 1.3\nmysql> SELECT ROUND(1.298, 0);\n        -> 1\nmysql> SELECT ROUND(23.298, -1);\n        -> 20\n','mathematical-functions'),(35,'NULLIF',6,'Syntax:\nNULLIF(expr1,expr2)\n\nReturns NULL if expr1 = expr2 is true, otherwise returns expr1. This is\nthe same as CASE WHEN expr1 = expr2 THEN NULL ELSE expr1 END.\n','mysql> SELECT NULLIF(1,1);\n        -> NULL\nmysql> SELECT NULLIF(1,2);\n        -> 1\n','control-flow-functions'),(36,'STOP SLAVE',24,'Syntax:\nSTOP SLAVE [thread_type [, thread_type] ... ]\n\nthread_type: IO_THREAD | SQL_THREAD\n\nStops the slave threads. STOP SLAVE requires the SUPER privilege.\n\nLike START SLAVE, as of MySQL 4.0.2, this statement may be used with\nthe IO_THREAD and SQL_THREAD options to name the thread or threads to\nbe stopped.\n','','stop-slave'),(37,'TIMEDIFF',27,'Syntax:\nTIMEDIFF(expr,expr2)\n\nTIMEDIFF() returns the time between the start time expr and the end\ntime expr2. expr and expr2 are time or date-and-time expressions, but\nboth must be of the same type.\n','mysql> SELECT TIMEDIFF(\'2000:01:01 00:00:00\',\n    ->                 \'2000:01:01 00:00:00.000001\');\n        -> \'-00:00:00.000001\'\nmysql> SELECT TIMEDIFF(\'1997-12-31 23:59:59.000001\',\n    ->                 \'1997-12-30 01:01:01.000002\');\n        -> \'46:58:57.999999\'\n','date-and-time-functions'),(38,'LINEFROMTEXT',3,'LineFromText(wkt[,srid]), LineStringFromText(wkt[,srid])\n\nConstructs a LINESTRING value using its WKT representation and SRID.\n','','gis-wkt-functions'),(39,'SHOW MASTER STATUS',24,'Provides status information about the binary log files of the master.\nExample:\n\nmysql > SHOW MASTER STATUS;\n+---------------+----------+--------------+------------------+\n| File          | Position | Binlog_Do_DB | Binlog_Ignore_DB |\n+---------------+----------+--------------+------------------+\n| mysql-bin.003 | 73       | test         | manual,mysql     |\n+---------------+----------+--------------+------------------+\n','','show-master-status'),(40,'ADDTIME',27,'Syntax:\nADDTIME(expr,expr2)\n\nADDTIME() adds expr2 to expr and returns the result. expr is a time or\ndatetime expression, and expr2 is a time expression.\n','mysql> SELECT ADDTIME(\'1997-12-31 23:59:59.999999\',\n    ->                \'1 1:1:1.000002\');\n        -> \'1998-01-02 01:01:01.000001\'\nmysql> SELECT ADDTIME(\'01:00:00.999999\', \'02:00:00.999998\');\n        -> \'03:00:01.999997\'\n','date-and-time-functions'),(41,'SPATIAL',29,'MySQL can create spatial indexes using syntax similar to that for\ncreating regular indexes, but extended with the SPATIAL keyword.\nCurrently, spatial columns that are indexed must be declared NOT NULL.\nThe following examples demonstrate how to create spatial indexes:\n\no With CREATE TABLE:\n\nCREATE TABLE geom (g GEOMETRY NOT NULL, SPATIAL INDEX(g));\n\no With ALTER TABLE:\n\nALTER TABLE geom ADD SPATIAL INDEX(g);\n\no With CREATE INDEX:\n\nCREATE SPATIAL INDEX sp_index ON geom (g);\n\nTo drop spatial indexes, use ALTER TABLE or DROP INDEX:\n\no With ALTER TABLE:\n\nALTER TABLE geom DROP INDEX g;\n\no With DROP INDEX:\n\nDROP INDEX sp_index ON geom;\n\nExample: Suppose that a table geom contains more than 32,000\ngeometries, which are stored in the column g of type GEOMETRY. The\ntable also has an AUTO_INCREMENT column fid for storing object ID\nvalues.\n','','creating-spatial-indexes'),(42,'UPPER',32,'Syntax:\nUPPER(str)\n\nReturns the string str with all characters changed to uppercase\naccording to the current character set mapping. The default is latin1\n(cp1252 West European).\n','mysql> SELECT UPPER(\'Hej\');\n        -> \'HEJ\'\n','string-functions'),(43,'FROM_UNIXTIME',27,'Syntax:\nFROM_UNIXTIME(unix_timestamp), FROM_UNIXTIME(unix_timestamp,format)\n\nReturns a representation of the unix_timestamp argument as a value in\n\'YYYY-MM-DD HH:MM:SS\' or YYYYMMDDHHMMSS format, depending on whether\nthe function is used in a string or numeric context. unix_timestamp is\nan internal timestamp value such as is produced by the UNIX_TIMESTAMP()\nfunction.\n\nIf format is given, the result is formatted according to the format\nstring, which is used the same way as listed in the entry for the\nDATE_FORMAT() function.\n','mysql> SELECT FROM_UNIXTIME(875996580);\n        -> \'1997-10-04 22:23:00\'\nmysql> SELECT FROM_UNIXTIME(875996580) + 0;\n        -> 19971004222300\nmysql> SELECT FROM_UNIXTIME(UNIX_TIMESTAMP(),\n    ->                      \'%Y %D %M %h:%i:%s %x\');\n        -> \'2003 6th August 06:22:58 2003\'\n','date-and-time-functions'),(44,'MEDIUMBLOB',20,'MEDIUMBLOB\n\nA BLOB column with a maximum length of 16,777,215 (224 - 1) bytes.\n','','string-type-overview'),(45,'IFNULL',6,'Syntax:\nIFNULL(expr1,expr2)\n\nIf expr1 is not NULL, IFNULL() returns expr1; otherwise it returns\nexpr2. IFNULL() returns a numeric or string value, depending on the\ncontext in which it is used.\n','mysql> SELECT IFNULL(1,0);\n        -> 1\nmysql> SELECT IFNULL(NULL,10);\n        -> 10\nmysql> SELECT IFNULL(1/0,10);\n        -> 10\nmysql> SELECT IFNULL(1/0,\'yes\');\n        -> \'yes\'\n','control-flow-functions'),(46,'SHOW ERRORS',24,'Syntax:\nSHOW ERRORS [LIMIT [offset,] row_count]\nSHOW COUNT(*) ERRORS\n\nThis statement is similar to SHOW WARNINGS, except that instead of\ndisplaying errors, warnings, and notes, it displays only errors. SHOW\nERRORS is available as of MySQL 4.1.0.\n\nThe LIMIT clause has the same syntax as for the SELECT statement. See\n[select].\n\nThe SHOW COUNT(*) ERRORS statement displays the number of errors. You\ncan also retrieve this number from the error_count variable:\n\nSHOW COUNT(*) ERRORS;\nSELECT @@error_count;\n','','show-errors'),(47,'LEAST',17,'Syntax:\nLEAST(value1,value2,...)\n\nWith two or more arguments, returns the smallest (minimum-valued)\nargument. The arguments are compared using the following rules:\n\no If the return value is used in an INTEGER context or all arguments\n  are integer-valued, they are compared as integers.\n\no If the return value is used in a REAL context or all arguments are\n  real-valued, they are compared as reals.\n\no If any argument is a case-sensitive string, the arguments are\n  compared as case-sensitive strings.\n\no In all other cases, the arguments are compared as case-insensitive\n  strings.\n','mysql> SELECT LEAST(2,0);\n        -> 0\nmysql> SELECT LEAST(34.0,3.0,5.0,767.0);\n        -> 3.0\nmysql> SELECT LEAST(\'B\',\'A\',\'C\');\n        -> \'A\'\n','comparison-operators'),(48,'=',17,'=\n\nEqual:\n','mysql> SELECT 1 = 0;\n        -> 0\nmysql> SELECT \'0\' = 0;\n        -> 1\nmysql> SELECT \'0.0\' = 0;\n        -> 1\nmysql> SELECT \'0.01\' = 0;\n        -> 0\nmysql> SELECT \'.01\' = 0.01;\n        -> 1\n','comparison-operators'),(49,'REVERSE',32,'Syntax:\nREVERSE(str)\n\nReturns the string str with the order of the characters reversed.\n','mysql> SELECT REVERSE(\'abc\');\n        -> \'cba\'\n','string-functions'),(50,'ISNULL',17,'Syntax:\nISNULL(expr)\n\nIf expr is NULL, ISNULL() returns 1, otherwise it returns 0.\n','mysql> SELECT ISNULL(1+1);\n        -> 0\nmysql> SELECT ISNULL(1/0);\n        -> 1\n','comparison-operators'),(51,'BINARY',20,'BINARY(M)\n\nThe BINARY type is similar to the CHAR type, but stores binary byte\nstrings rather than non-binary character strings.\n\nThis type was added in MySQL 4.1.2.\n','','string-type-overview'),(52,'BLOB DATA TYPE',20,'A BLOB is a binary large object that can hold a variable amount of\ndata. The four BLOB types are TINYBLOB, BLOB, MEDIUMBLOB, and LONGBLOB.\nThese differ only in the maximum length of the values they can hold.\nThe four TEXT types are TINYTEXT, TEXT, MEDIUMTEXT, and LONGTEXT. These\ncorrespond to the four BLOB types and have the same maximum lengths and\nstorage requirements. See [storage-requirements]. No lettercase\nconversion for TEXT or BLOB columns takes place during storage or\nretrieval.\n','','blob'),(53,'BOUNDARY',31,'Boundary(g)\n\nReturns a geometry that is the closure of the combinatorial boundary of\nthe geometry value g.\n','','general-geometry-property-functions'),(54,'POINT',21,'Point(x,y)\n\nConstructs a WKB Point using its coordinates.\n','','gis-mysql-specific-functions'),(55,'CURRENT_USER',15,'Syntax:\nCURRENT_USER, CURRENT_USER()\n\nReturns the username and hostname combination for the MySQL account\nthat the server used to authenticate the current client. This account\ndetermines your access privileges.\n\nThe value of CURRENT_USER() can differ from the value of USER().\n','mysql> SELECT USER();\n        -> \'davida@localhost\'\nmysql> SELECT * FROM mysql.user;\nERROR 1044: Access denied for user \'\'@\'localhost\' to\ndatabase \'mysql\'\nmysql> SELECT CURRENT_USER();\n        -> \'@localhost\'\n','information-functions'),(56,'LCASE',32,'Syntax:\nLCASE(str)\n\nLCASE() is a synonym for LOWER().\n','','string-functions'),(57,'<=',17,'Syntax:\n<=\n\nLess than or equal:\n','mysql> SELECT 0.1 <= 2;\n        -> 1\n','comparison-operators'),(58,'UPDATE',24,'Syntax:\nSingle-table syntax:\n\nUPDATE [LOW_PRIORITY] [IGNORE] tbl_name\n    SET col_name1=expr1 [, col_name2=expr2 ...]\n    [WHERE where_condition]\n    [ORDER BY ...]\n    [LIMIT row_count]\n\nMultiple-table syntax:\n\nUPDATE [LOW_PRIORITY] [IGNORE] table_references\n    SET col_name1=expr1 [, col_name2=expr2 ...]\n    [WHERE where_condition]\n\nFor the single-table syntax, the UPDATE statement updates columns of\nexisting rows in tbl_name with new values. The SET clause indicates\nwhich columns to modify and the values they should be given. The WHERE\nclause, if given, specifies the conditions that identify which rows to\nupdate. With no WHERE clause, all rows are updated. If the ORDER BY\nclause is specified, the rows are updated in the order that is\nspecified. The LIMIT clause places a limit on the number of rows that\ncan be updated.\n\nFor the multiple-table syntax, UPDATE updates rows in each table named\nin table_references that satisfy the conditions. In this case, ORDER BY\nand LIMIT cannot be used.\n\nwhere_condition is an expression that evaluates to true for each row to\nbe updated. It is specified as described in [select].\n\nThe UPDATE statement supports the following modifiers:\n\no If you use the LOW_PRIORITY keyword, execution of the UPDATE is\n  delayed until no other clients are reading from the table.\n\no If you use the IGNORE keyword, the update statement does not abort\n  even if errors occur during the update. Rows for which duplicate-key\n  conflicts occur are not updated. Rows for which columns are updated\n  to values that would cause data conversion errors are updated to the\n  closet valid values instead.\n','','update'),(59,'EXECUTE STATEMENT',24,'Syntax:\nEXECUTE stmt_name [USING @var_name [, @var_name] ...]\n\nAfter preparing a statement, you execute it with an EXECUTE statement\nthat refers to the prepared statement name. If the prepared statement\ncontains any parameter markers, you must supply a USING clause that\nlists user variables containing the values to be bound to the\nparameters. Parameter values can be supplied only by user variables,\nand the USING clause must name exactly as many variables as the number\nof parameter markers in the statement.\n\nYou can execute a given prepared statement multiple times, passing\ndifferent variables to it or setting the variables to different values\nbefore each execution.\n','','sqlps'),(60,'DROP INDEX',34,'Syntax:\nDROP INDEX index_name ON tbl_name\n\nDROP INDEX drops the index named index_name from the table tbl_name. In\nMySQL 3.22 or later, DROP INDEX is mapped to an ALTER TABLE statement\nto drop the index. See [alter-table]. DROP INDEX does not do anything\nprior to MySQL 3.22.\n','','drop-index'),(61,'MATCH AGAINST',32,'Syntax:\nMATCH (col1,col2,...) AGAINST (expr [search_modifier])\n\nsearch_modifier: { IN BOOLEAN MODE | WITH QUERY EXPANSION }\n\nAs of MySQL 3.23.23, MySQL has support for full-text indexing and\nsearching:\n\no A full-text index in MySQL is an index of type FULLTEXT.\n\no Full-text indexes can be used only with MyISAM tables, and can be\n  created only for CHAR, VARCHAR, or TEXT columns.\n\no A FULLTEXT index definition can be given in the CREATE TABLE\n  statement when a table is created, or added later using ALTER TABLE\n  or CREATE INDEX.\n\no For large datasets, it is much faster to load your data into a table\n  that has no FULLTEXT index and then create the index after that, than\n  to load data into a table that has an existing FULLTEXT index.\n\nFull-text searching is performed using MATCH() ... AGAINST syntax.\nMATCH() takes a comma-separated list that names the columns to be\nsearched. AGAINST takes a string to search for, and an optional\nmodifier that indicates what type of search to perform. The search\nstring must be a literal string, not a variable or a column name. There\nare three types of full-text searches:\n\no A boolean search interprets the search string using the rules of a\n  special query language. The string contains the words to search for.\n  It can also contain operators that specify requirements such that a\n  word must be present or absent in matching rows, or that it should be\n  weighted higher or lower than usual. Common words such as \"some\" or\n  \"then\" are stopwords and do not match if present in the search\n  string. The IN BOOLEAN MODE modifier specifies a boolean search. For\n  more information, see [fulltext-boolean].\n\no A natural language search interprets the search string as a phrase in\n  natural human language (a phrase in free text). There are no special\n  operators. The stopword list applies. In addition, words that are\n  present in more than 50% of the rows are considered common and do not\n  match. Full-text searches are natural language searches if no\n  modifier is given.\n\no A query expansion search is a modification of a natural language\n  search. The search string is used to perform a natural language\n  search. Then words from the most relevant rows returned by the search\n  are added to the search string and the search is done again. The\n  query returns the rows from the second search. The WITH QUERY\n  EXPANSION modifier specifies a query expansion search. For more\n  information, see [fulltext-query-expansion].\n','mysql> SELECT id, body, MATCH (title,body) AGAINST\n    -> (\'Security implications of running MySQL as root\') AS score\n    -> FROM articles WHERE MATCH (title,body) AGAINST\n    -> (\'Security implications of running MySQL as root\');\n+----+-------------------------------------+-----------------+\n| id | body                                | score           |\n+----+-------------------------------------+-----------------+\n|  4 | 1. Never run mysqld as root. 2. ... | 1.5219271183014 |\n|  6 | When configured properly, MySQL ... | 1.3114095926285 |\n+----+-------------------------------------+-----------------+\n2 rows in set (0.00 sec)\n','fulltext-search'),(62,'ABS',4,'Syntax:\nABS(X)\n\nReturns the absolute value of X.\n','mysql> SELECT ABS(2);\n        -> 2\nmysql> SELECT ABS(-32);\n        -> 32\n','mathematical-functions'),(63,'POLYFROMWKB',28,'PolyFromWKB(wkb[,srid]), PolygonFromWKB(wkb[,srid])\n\nConstructs a POLYGON value using its WKB representation and SRID.\n','','gis-wkb-functions'),(64,'NOT LIKE',32,'Syntax:\nexpr NOT LIKE pat [ESCAPE \'escape_char\']\n\nThis is the same as NOT (expr LIKE pat [ESCAPE \'escape_char\']).\n','','string-comparison-functions'),(65,'SPACE',32,'Syntax:\nSPACE(N)\n\nReturns a string consisting of N space characters.\n','mysql> SELECT SPACE(6);\n        -> \'      \'\n','string-functions'),(66,'MBR DEFINITION',5,'Its MBR (Minimum Bounding Rectangle), or Envelope. This is the bounding\ngeometry, formed by the minimum and maximum (X,Y) coordinates:\n','((MINX MINY, MAXX MINY, MAXX MAXY, MINX MAXY, MINX MINY))\n','gis-class-geometry'),(67,'GEOMETRYCOLLECTION',21,'GeometryCollection(g1,g2,...)\n\nConstructs a WKB GeometryCollection. If any argument is not a\nwell-formed WKB representation of a geometry, the return value is NULL.\n','','gis-mysql-specific-functions'),(68,'*',4,'Syntax:\n*\n\nMultiplication:\n','mysql> SELECT 3*5;\n        -> 15\nmysql> SELECT 18014398509481984*18014398509481984.0;\n        -> 324518553658426726783156020576256.0\nmysql> SELECT 18014398509481984*18014398509481984;\n        -> 0\n','arithmetic-functions'),(69,'TIMESTAMP',20,'TIMESTAMP[(M)]\n\nA timestamp. The range is \'1970-01-01 00:00:00\' to partway through the\nyear 2037.\n\nA TIMESTAMP column is useful for recording the date and time of an\nINSERT or UPDATE operation. By default, the first TIMESTAMP column in a\ntable is automatically set to the date and time of the most recent\noperation if you do not assign it a value yourself. You can also set\nany TIMESTAMP column to the current date and time by assigning it a\nNULL value. Variations on automatic initialization and update\nproperties are described in [timestamp-4-1].\n\nIn MySQL 4.1, TIMESTAMP is returned as a string with the format\n\'YYYY-MM-DD HH:MM:SS\'. Display widths (used as described in the\nfollowing paragraphs) are no longer supported; the display width is\nfixed at 19 characters. To obtain the value as a number, you should add\n+0 to the timestamp column.\n\nIn MySQL 4.0 and earlier, TIMESTAMP values are displayed in\nYYYYMMDDHHMMSS, YYMMDDHHMMSS, YYYYMMDD, or YYMMDD format, depending on\nwhether M is 14 (or missing), 12, 8, or 6, but allows you to assign\nvalues to TIMESTAMP columns using either strings or numbers. The M\nargument affects only how a TIMESTAMP column is displayed, not storage.\nIts values always are stored using four bytes each. From MySQL 4.0.12,\nthe --new option can be used to make the server behave as in MySQL 4.1.\n\nNote that TIMESTAMP(M) columns where M is 8 or 14 are reported to be\nnumbers, whereas other TIMESTAMP(M) columns are reported to be strings.\nThis is just to ensure that you can reliably dump and restore the table\nwith these types.\n\nNote: The behavior of TIMESTAMP columns changed considerably in MySQL\n4.1. For complete information on the differences with regard to this\ndata type in MySQL 4.1 and later versions (as opposed to MySQL 4.0 and\nearlier versions), be sure to see [timestamp-pre-4-1], and\n[timestamp-4-1].\n','','date-and-time-type-overview'),(70,'DES_DECRYPT',10,'Syntax:\nDES_DECRYPT(crypt_str[,key_str])\n\nDecrypts a string encrypted with DES_ENCRYPT(). If an error occurs,\nthis function returns NULL.\n\nNote that this function works only if MySQL has been configured with\nSSL support. See [secure-connections].\n\nIf no key_str argument is given, DES_DECRYPT() examines the first byte\nof the encrypted string to determine the DES key number that was used\nto encrypt the original string, and then reads the key from the DES key\nfile to decrypt the message. For this to work, the user must have the\nSUPER privilege. The key file can be specified with the --des-key-file\nserver option.\n\nIf you pass this function a key_str argument, that string is used as\nthe key for decrypting the message.\n\nIf the crypt_str argument does not appear to be an encrypted string,\nMySQL returns the given crypt_str.\n','','encryption-functions'),(71,'ENDPOINT',11,'EndPoint(ls)\n\nReturns the Point that is the endpoint of the LineString value ls.\n','mysql> SET @ls = \'LineString(1 1,2 2,3 3)\';\nmysql> SELECT AsText(EndPoint(GeomFromText(@ls)));\n+-------------------------------------+\n| AsText(EndPoint(GeomFromText(@ls))) |\n+-------------------------------------+\n| POINT(3 3)                          |\n+-------------------------------------+\n','linestring-property-functions'),(72,'CACHE INDEX',24,'Syntax:\nCACHE INDEX\n  tbl_index_list [, tbl_index_list] ...\n  IN key_cache_name\n\ntbl_index_list:\n  tbl_name [[INDEX|KEY] (index_name[, index_name] ...)]\n\nThe CACHE INDEX statement assigns table indexes to a specific key\ncache. It is used only for MyISAM tables.\n\nThe following statement assigns indexes from the tables t1, t2, and t3\nto the key cache named hot_cache:\n\nmysql> CACHE INDEX t1, t2, t3 IN hot_cache;\n+---------+--------------------+----------+----------+\n| Table   | Op                 | Msg_type | Msg_text |\n+---------+--------------------+----------+----------+\n| test.t1 | assign_to_keycache | status   | OK       |\n| test.t2 | assign_to_keycache | status   | OK       |\n| test.t3 | assign_to_keycache | status   | OK       |\n+---------+--------------------+----------+----------+\n','','cache-index'),(73,'COMPRESS',10,'Syntax:\nCOMPRESS(string_to_compress)\n\nCompresses a string and returns the result as a binary string. This\nfunction requires MySQL to have been compiled with a compression\nlibrary such as zlib. Otherwise, the return value is always NULL. The\ncompressed string can be uncompressed with UNCOMPRESS().\n','mysql> SELECT LENGTH(COMPRESS(REPEAT(\'a\',1000)));\n        -> 21\nmysql> SELECT LENGTH(COMPRESS(\'\'));\n        -> 0\nmysql> SELECT LENGTH(COMPRESS(\'a\'));\n        -> 13\nmysql> SELECT LENGTH(COMPRESS(REPEAT(\'a\',16)));\n        -> 15\n','encryption-functions'),(74,'INSERT',24,'Syntax:\nINSERT [LOW_PRIORITY | DELAYED | HIGH_PRIORITY] [IGNORE]\n    [INTO] tbl_name [(col_name,...)]\n    VALUES ({expr | DEFAULT},...),(...),...\n    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]\n\nOr:\n\nINSERT [LOW_PRIORITY | DELAYED | HIGH_PRIORITY] [IGNORE]\n    [INTO] tbl_name\n    SET col_name={expr | DEFAULT}, ...\n    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]\n\nOr:\n\nINSERT [LOW_PRIORITY | HIGH_PRIORITY] [IGNORE]\n    [INTO] tbl_name [(col_name,...)]\n    SELECT ...\n    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]\n\nINSERT inserts new rows into an existing table. The INSERT ... VALUES\nand INSERT ... SET forms of the statement insert rows based on\nexplicitly specified values. The INSERT ... SELECT form inserts rows\nselected from another table or tables. The INSERT ... VALUES form with\nmultiple value lists is supported in MySQL 3.22.5 or later. The INSERT\n... SET syntax is supported in MySQL 3.22.10 or later. INSERT ...\nSELECT is discussed further in [insert-select].\n','','insert'),(75,'COUNT',14,'Syntax:\nCOUNT(expr)\n\nReturns a count of the number of non-NULL values in the rows retrieved\nby a SELECT statement. The result is a BIGINT value.\n\nCOUNT() returns 0 if there were no matching rows.\n','mysql> SELECT student.student_name,COUNT(*)\n    ->        FROM student,course\n    ->        WHERE student.student_id=course.student_id\n    ->        GROUP BY student_name;\n','group-by-functions'),(76,'HANDLER',24,'Syntax:\nHANDLER tbl_name OPEN [ AS alias ]\nHANDLER tbl_name READ index_name { = | >= | <= | < } (value1,value2,...)\n    [ WHERE where_condition ] [LIMIT ... ]\nHANDLER tbl_name READ index_name { FIRST | NEXT | PREV | LAST }\n    [ WHERE where_condition ] [LIMIT ... ]\nHANDLER tbl_name READ { FIRST | NEXT }\n    [ WHERE where_condition ] [LIMIT ... ]\nHANDLER tbl_name CLOSE\n\nThe HANDLER statement provides direct access to table storage engine\ninterfaces. It is available for MyISAM tables as MySQL 4.0.0 and InnoDB\ntables as of MySQL 4.0.3.\n','','handler'),(77,'MLINEFROMTEXT',3,'MLineFromText(wkt[,srid]), MultiLineStringFromText(wkt[,srid])\n\nConstructs a MULTILINESTRING value using its WKT representation and\nSRID.\n','','gis-wkt-functions'),(78,'GEOMCOLLFROMWKB',28,'GeomCollFromWKB(wkb[,srid]), GeometryCollectionFromWKB(wkb[,srid])\n\nConstructs a GEOMETRYCOLLECTION value using its WKB representation and\nSRID.\n','','gis-wkb-functions'),(79,'RENAME TABLE',34,'Syntax:\nRENAME TABLE tbl_name TO new_tbl_name\n    [, tbl_name2 TO new_tbl_name2] ...\n\nThis statement renames one or more tables. It was added in MySQL\n3.23.23.\n\nThe rename operation is done atomically, which means that no other\nthread can access any of the tables while the rename is running. For\nexample, if you have an existing table old_table, you can create\nanother table new_table that has the same structure but is empty, and\nthen replace the existing table with the empty one as follows (assuming\nthat backup_table does not already exist):\n','CREATE TABLE new_table (...);\nRENAME TABLE old_table TO backup_table, new_table TO old_table;\n','rename-table'),(80,'BOOLEAN',20,'BOOL, BOOLEAN\n\nThese types are synonyms for TINYINT(1). The BOOLEAN synonym was added\nin MySQL 4.1.0. A value of zero is considered false. Non-zero values\nare considered true.\n','','numeric-type-overview'),(81,'DEFAULT',13,'Syntax:\nDEFAULT(col_name)\n\nReturns the default value for a table column.\n','mysql> UPDATE t SET i = DEFAULT(i)+1 WHERE id < 100;\n','miscellaneous-functions'),(82,'TINYTEXT',20,'TINYTEXT\n\nA TEXT column with a maximum length of 255 (28 - 1) characters.\n','','string-type-overview'),(83,'OPTIMIZE TABLE',19,'Syntax:\nOPTIMIZE [LOCAL | NO_WRITE_TO_BINLOG] TABLE tbl_name [, tbl_name] ...\n\nOPTIMIZE TABLE should be used if you have deleted a large part of a\ntable or if you have made many changes to a table with variable-length\nrows (tables that have VARCHAR, VARBINARY, BLOB, or TEXT columns).\nDeleted rows are maintained in a linked list and subsequent INSERT\noperations reuse old row positions. You can use OPTIMIZE TABLE to\nreclaim the unused space and to defragment the data file.\n\nThis statement requires SELECT and INSERT privileges for the table.\n','','optimize-table'),(84,'DECODE',10,'Syntax:\nDECODE(crypt_str,pass_str)\n\nDecrypts the encrypted string crypt_str using pass_str as the password.\ncrypt_str should be a string returned from ENCODE().\n','','encryption-functions'),(85,'<=>',17,'Syntax:\n<=>\n\nNULL-safe equal. This operator performs an equality comparison like the\n= operator, but returns 1 rather than NULL if both operands are NULL,\nand 0 rather than NULL if one operand is NULL.\n','mysql> SELECT 1 <=> 1, NULL <=> NULL, 1 <=> NULL;\n        -> 1, 1, 0\nmysql> SELECT 1 = 1, NULL = NULL, 1 = NULL;\n        -> 1, NULL, NULL\n','comparison-operators'),(86,'LOAD DATA FROM MASTER',24,'Syntax:\nLOAD DATA FROM MASTER\n\nThis statement takes a snapshot of the master and copies it to the\nslave. It updates the values of MASTER_LOG_FILE and MASTER_LOG_POS so\nthat the slave starts replicating from the correct position. Any table\nand database exclusion rules specified with the --replicate-*-do-* and\n--replicate-*-ignore-* options are honored. --replicate-rewrite-db is\nnot taken into account because a user could use this option to set up a\nnon-unique mapping such as --replicate-rewrite-db=\"db1->db3\" and\n--replicate-rewrite-db=\"db2->db3\", which would confuse the slave when\nloading tables from the master.\n\nUse of this statement is subject to the following conditions:\n\no It works only for MyISAM tables. Attempting to load a non-MyISAM\n  table results in the following error:\n\nERROR 1189 (08S01): Net error reading from master\n\no It acquires a global read lock on the master while taking the\n  snapshot, which prevents updates on the master during the load\n  operation.\n\nIf you are loading large tables, you might have to increase the values\nof net_read_timeout and net_write_timeout on both the master and slave\nservers. See [server-system-variables].\n\nNote that LOAD DATA FROM MASTER does not copy any tables from the mysql\ndatabase. This makes it easy to have different users and privileges on\nthe master and the slave.\n\nTo use LOAD DATA FROM MASTER, the replication account that is used to\nconnect to the master must have the RELOAD and SUPER privileges on the\nmaster and the SELECT privilege for all master tables you want to load.\nAll master tables for which the user does not have the SELECT privilege\nare ignored by LOAD DATA FROM MASTER. This is because the master hides\nthem from the user: LOAD DATA FROM MASTER calls SHOW DATABASES to know\nthe master databases to load, but SHOW DATABASES returns only databases\nfor which the user has some privilege. See [show-databases]. On the\nslave side, the user that issues LOAD DATA FROM MASTER must have\nprivileges for dropping and creating the databases and tables that are\ncopied.\n','','load-data-from-master'),(87,'RESET',24,'Syntax:\nRESET reset_option [, reset_option] ...\n\nThe RESET statement is used to clear the state of various server\noperations. You must have the RELOAD privilege to execute RESET.\n\nRESET acts as a stronger version of the FLUSH statement. See [flush].\n','','reset'),(88,'GET_LOCK',13,'Syntax:\nGET_LOCK(str,timeout)\n\nTries to obtain a lock with a name given by the string str, using a\ntimeout of timeout seconds. Returns 1 if the lock was obtained\nsuccessfully, 0 if the attempt timed out (for example, because another\nclient has previously locked the name), or NULL if an error occurred\n(such as running out of memory or the thread was killed with mysqladmin\nkill). If you have a lock obtained with GET_LOCK(), it is released when\nyou execute RELEASE_LOCK(), execute a new GET_LOCK(), or your\nconnection terminates (either normally or abnormally). Locks obtained\nwith GET_LOCK() do not interact with transactions. That is, committing\na transaction does not release any such locks obtained during the\ntransaction.\n\nThis function can be used to implement application locks or to simulate\nrecord locks. Names are locked on a server-wide basis. If a name has\nbeen locked by one client, GET_LOCK() blocks any request by another\nclient for a lock with the same name. This allows clients that agree on\na given lock name to use the name to perform cooperative advisory\nlocking. But be aware that it also allows a client that is not among\nthe set of cooperating clients to lock a name, either inadvertently or\ndeliberately, and thus prevent any of the cooperating clients from\nlocking that name. One way to reduce the likelihood of this is to use\nlock names that are database-specific or application-specific. For\nexample, use lock names of the form db_name.str or app_name.str.\n','mysql> SELECT GET_LOCK(\'lock1\',10);\n        -> 1\nmysql> SELECT IS_FREE_LOCK(\'lock2\');\n        -> 1\nmysql> SELECT GET_LOCK(\'lock2\',10);\n        -> 1\nmysql> SELECT RELEASE_LOCK(\'lock2\');\n        -> 1\nmysql> SELECT RELEASE_LOCK(\'lock1\');\n        -> NULL\n','miscellaneous-functions'),(89,'UCASE',32,'Syntax:\nUCASE(str)\n\nUCASE() is a synonym for UPPER().\n','','string-functions'),(90,'SHOW BINLOG EVENTS',24,'Syntax:\nSHOW BINLOG EVENTS\n   [IN \'log_name\'] [FROM pos] [LIMIT [offset,] row_count]\n\nShows the events in the binary log. If you do not specify \'log_name\',\nthe first binary log is displayed.\n','','show-binlog-events'),(91,'MPOLYFROMWKB',28,'MPolyFromWKB(wkb[,srid]), MultiPolygonFromWKB(wkb[,srid])\n\nConstructs a MULTIPOLYGON value using its WKB representation and SRID.\n','','gis-wkb-functions'),(92,'DO',24,'Syntax:\nDO expr [, expr] ...\n\nDO executes the expressions but does not return any results. In most\nrespects, DO is shorthand for SELECT expr, ..., but has the advantage\nthat it is slightly faster when you do not care about the result.\n\nDO is useful primarily with functions that have side effects, such as\nRELEASE_LOCK().\n','','do'),(93,'CURTIME',27,'Syntax:\nCURTIME()\n\nReturns the current time as a value in \'HH:MM:SS\' or HHMMSS format,\ndepending on whether the function is used in a string or numeric\ncontext.\n','mysql> SELECT CURTIME();\n        -> \'23:50:26\'\nmysql> SELECT CURTIME() + 0;\n        -> 235026\n','date-and-time-functions'),(94,'CHAR_LENGTH',32,'Syntax:\nCHAR_LENGTH(str)\n\nReturns the length of the string str, measured in characters. A\nmulti-byte character counts as a single character. This means that for\na string containing five two-byte characters, LENGTH() returns 10,\nwhereas CHAR_LENGTH() returns 5.\n','','string-functions'),(95,'BIGINT',20,'BIGINT[(M)] [UNSIGNED] [ZEROFILL]\n\nA large integer. The signed range is -9223372036854775808 to\n9223372036854775807. The unsigned range is 0 to 18446744073709551615.\n','','numeric-type-overview'),(96,'SET',24,'Syntax:\nSET variable_assignment [, variable_assignment] ...\n\nvariable_assignment:\n      user_var_name = expr\n    | [GLOBAL | SESSION] system_var_name = expr\n    | [@@global. | @@session. | @@]system_var_name = expr\n\nThe SET statement assigns values to different types of variables that\naffect the operation of the server or your client. Older versions of\nMySQL employed SET OPTION, but this syntax is deprecated in favor of\nSET without OPTION.\n','','set-option'),(97,'DATE',20,'DATE\n\nA date. The supported range is \'1000-01-01\' to \'9999-12-31\'. MySQL\ndisplays DATE values in \'YYYY-MM-DD\' format, but allows you to assign\nvalues to DATE columns using either strings or numbers.\n','','date-and-time-type-overview'),(98,'CONV',32,'Syntax:\nCONV(N,from_base,to_base)\n\nConverts numbers between different number bases. Returns a string\nrepresentation of the number N, converted from base from_base to base\nto_base. Returns NULL if any argument is NULL. The argument N is\ninterpreted as an integer, but may be specified as an integer or a\nstring. The minimum base is 2 and the maximum base is 36. If to_base is\na negative number, N is regarded as a signed number. Otherwise, N is\ntreated as unsigned. CONV() works with 64-bit precision.\n','mysql> SELECT CONV(\'a\',16,2);\n        -> \'1010\'\nmysql> SELECT CONV(\'6E\',18,8);\n        -> \'172\'\nmysql> SELECT CONV(-17,10,-18);\n        -> \'-H\'\nmysql> SELECT CONV(10+\'10\'+\'10\'+0xa,10,10);\n        -> \'40\'\n','string-functions'),(99,'SHOW OPEN TABLES',24,'Syntax:\nSHOW OPEN TABLES\n\nSHOW OPEN TABLES lists the non-TEMPORARY tables that are currently open\nin the table cache. See [table-cache].\n','','show-open-tables'),(100,'EXTRACT',27,'Syntax:\nEXTRACT(type FROM date)\n\nThe EXTRACT() function uses the same kinds of interval type specifiers\nas DATE_ADD() or DATE_SUB(), but extracts parts from the date rather\nthan performing date arithmetic.\n','mysql> SELECT EXTRACT(YEAR FROM \'1999-07-02\');\n       -> 1999\nmysql> SELECT EXTRACT(YEAR_MONTH FROM \'1999-07-02 01:02:03\');\n       -> 199907\nmysql> SELECT EXTRACT(DAY_MINUTE FROM \'1999-07-02 01:02:03\');\n       -> 20102\nmysql> SELECT EXTRACT(MICROSECOND\n    ->                FROM \'2003-01-02 10:30:00.00123\');\n        -> 123\n','date-and-time-functions'),(101,'ENCRYPT',10,'Syntax:\nENCRYPT(str[,salt])\n\nEncrypts str using the Unix crypt() system call and returns a binary\nstring. The salt argument should be a string with two characters. (As\nof MySQL 3.22.16, salt may be longer than two characters.) If no salt\nargument is given, a random value is used.\n','mysql> SELECT ENCRYPT(\'hello\');\n        -> \'VxuFAJXVARROc\'\n','encryption-functions'),(102,'SHOW STATUS',24,'Syntax:\nSHOW STATUS [LIKE \'pattern\']\n\nSHOW STATUS provides server status information. This information also\ncan be obtained using the mysqladmin extended-status command.\nWith a LIKE clause, the statement displays only rows for those\nvariables with names that match the pattern:\n\nmysql> SHOW STATUS LIKE \'Key%\';\n+--------------------+----------+\n| Variable_name      | Value    |\n+--------------------+----------+\n| Key_blocks_used    | 14955    |\n| Key_read_requests  | 96854827 |\n| Key_reads          | 162040   |\n| Key_write_requests | 7589728  |\n| Key_writes         | 3813196  |\n+--------------------+----------+\n','','show-status'),(103,'OLD_PASSWORD',10,'Syntax:\nOLD_PASSWORD(str)\n\nOLD_PASSWORD() is available as of MySQL 4.1, when the implementation of\nPASSWORD() was changed to improve security. OLD_PASSWORD() returns the\nvalue of the pre-4.1 implementation of PASSWORD() as a binary string,\nand is intended to permit you to reset passwords for any pre-4.1\nclients that need to connect to your version 4.1 MySQL server without\nlocking them out. See [password-hashing].\n','','encryption-functions'),(104,'FORMAT',32,'Syntax:\nFORMAT(X,D)\n\nFormats the number X to a format like \'#,###,###.##\', rounded to D\ndecimal places, and returns the result as a string. If D is 0, the\nresult has no decimal point or fractional part.\n','mysql> SELECT FORMAT(12332.123456, 4);\n        -> \'12,332.1235\'\nmysql> SELECT FORMAT(12332.1,4);\n        -> \'12,332.1000\'\nmysql> SELECT FORMAT(12332.2,0);\n        -> \'12,332\'\n','string-functions'),(105,'||',12,'Syntax:\nOR, ||\n\nLogical OR. When both operands are non-NULL, the result is 1 if any\noperand is non-zero, and 0 otherwise. With a NULL operand, the result\nis 1 if the other operand is non-zero, and NULL otherwise. If both\noperands are NULL, the result is NULL.\n','mysql> SELECT 1 || 1;\n        -> 1\nmysql> SELECT 1 || 0;\n        -> 1\nmysql> SELECT 0 || 0;\n        -> 0\nmysql> SELECT 0 || NULL;\n        -> NULL\nmysql> SELECT 1 || NULL;\n        -> 1\n','logical-operators'),(106,'BIT_LENGTH',32,'Syntax:\nBIT_LENGTH(str)\n\nReturns the length of the string str in bits.\n','mysql> SELECT BIT_LENGTH(\'text\');\n        -> 32\n','string-functions'),(107,'EXTERIORRING',2,'ExteriorRing(poly)\n\nReturns the exterior ring of the Polygon value poly as a LineString.\n','mysql> SET @poly =\n    -> \'Polygon((0 0,0 3,3 3,3 0,0 0),(1 1,1 2,2 2,2 1,1 1))\';\nmysql> SELECT AsText(ExteriorRing(GeomFromText(@poly)));\n+-------------------------------------------+\n| AsText(ExteriorRing(GeomFromText(@poly))) |\n+-------------------------------------------+\n| LINESTRING(0 0,0 3,3 3,3 0,0 0)           |\n+-------------------------------------------+\n','polygon-property-functions'),(108,'GEOMFROMWKB',28,'GeomFromWKB(wkb[,srid]), GeometryFromWKB(wkb[,srid])\n\nConstructs a geometry value of any type using its WKB representation\nand SRID.\n','','gis-wkb-functions'),(109,'SHOW SLAVE HOSTS',24,'Syntax:\nSHOW SLAVE HOSTS\n\nDisplays a list of replication slaves currently registered with the\nmaster. Any slave not started with the --report-host=slave_name option\nis not visible in this list.\n','','show-slave-hosts'),(110,'START TRANSACTION',7,'Syntax:\nSTART TRANSACTION | BEGIN [WORK]\nCOMMIT\nROLLBACK\nSET AUTOCOMMIT = {0 | 1}\n\nThe START TRANSACTION and BEGIN statement begin a new transaction.\nCOMMIT commits the current transaction, making its changes permanent.\nROLLBACK rolls back the current transaction, canceling its changes. The\nSET AUTOCOMMIT statement disables or enables the default autocommit\nmode for the current connection.\n\nBy default, MySQL runs with autocommit mode enabled. This means that as\nsoon as you execute a statement that updates (modifies) a table, MySQL\nstores the update on disk.\n\nIf you are using a transaction-safe storage engine (such as InnoDB,\nBDB, or NDB Cluster), you can disable autocommit mode with the\nfollowing statement:\n\nSET AUTOCOMMIT=0;\n\nAfter disabling autocommit mode by setting the AUTOCOMMIT variable to\nzero, you must use COMMIT to store your changes to disk or ROLLBACK if\nyou want to ignore the changes you have made since the beginning of\nyour transaction.\n\nTo disable autocommit mode for a single series of statements, use the\nSTART TRANSACTION statement:\n','START TRANSACTION;\nSELECT @A:=SUM(salary) FROM table1 WHERE type=1;\nUPDATE table2 SET summary=@A WHERE type=1;\nCOMMIT;\n','commit'),(111,'BETWEEN AND',17,'Syntax:\nexpr BETWEEN min AND max\n\nIf expr is greater than or equal to min and expr is less than or equal\nto max, BETWEEN returns 1, otherwise it returns 0. This is equivalent\nto the expression (min <= expr AND expr <= max) if all the arguments\nare of the same type. Otherwise type conversion takes place according\nto the rules described in [type-conversion], but applied to all the\nthree arguments. Note: Before MySQL 4.0.5, arguments were converted to\nthe type of expr instead.\n','mysql> SELECT 1 BETWEEN 2 AND 3;\n        -> 0\nmysql> SELECT \'b\' BETWEEN \'a\' AND \'c\';\n        -> 1\nmysql> SELECT 2 BETWEEN 2 AND \'3\';\n        -> 1\nmysql> SELECT 2 BETWEEN 2 AND \'x-3\';\n        -> 0\n','comparison-operators'),(112,'MULTIPOLYGON',21,'MultiPolygon(poly1,poly2,...)\n\nConstructs a WKB MultiPolygon value from a set of WKB Polygon\narguments. If any argument is not a WKB Polygon, the return value is\nNULL.\n','','gis-mysql-specific-functions'),(113,'TIME_FORMAT',27,'Syntax:\nTIME_FORMAT(time,format)\n\nThis is used like the DATE_FORMAT() function, but the format string may\ncontain format specifiers only for hours, minutes, and seconds. Other\nspecifiers produce a NULL value or 0.\n','mysql> SELECT TIME_FORMAT(\'100:00:00\', \'%H %k %h %I %l\');\n        -> \'100 100 04 04 4\'\n','date-and-time-functions'),(114,'LEFT',32,'Syntax:\nLEFT(str,len)\n\nReturns the leftmost len characters from the string str.\n','mysql> SELECT LEFT(\'foobarbar\', 5);\n        -> \'fooba\'\n','string-functions'),(115,'FLUSH QUERY CACHE',23,'You can defragment the query cache to better utilize its memory with\nthe FLUSH QUERY CACHE statement. The statement does not remove any\nqueries from the cache.\n\nThe RESET QUERY CACHE statement removes all query results from the\nquery cache. The FLUSH TABLES statement also does this.\n','','query-cache-status-and-maintenance'),(116,'SET DATA TYPE',20,'SET(\'value1\',\'value2\',...)\n\nA set. A string object that can have zero or more values, each of which\nmust be chosen from the list of values \'value1\', \'value2\', ... A SET\ncolumn can have a maximum of 64 members. SET values are represented\ninternally as integers.\n','','string-type-overview'),(117,'RAND',4,'Syntax:\nRAND(), RAND(N)\n\nReturns a random floating-point value v between 0 and 1 inclusive (that\nis, in the range 0 <= v <= 1.0). If an integer argument N is specified,\nit is used as the seed value, which produces a repeatable sequence.\n','mysql> SELECT RAND();\n        -> 0.9233482386203\nmysql> SELECT RAND(20);\n        -> 0.15888261251047\nmysql> SELECT RAND(20);\n        -> 0.15888261251047\nmysql> SELECT RAND();\n        -> 0.63553050033332\nmysql> SELECT RAND();\n        -> 0.70100469486881\nmysql> SELECT RAND(20);\n        -> 0.15888261251047\n','mathematical-functions'),(118,'RPAD',32,'Syntax:\nRPAD(str,len,padstr)\n\nReturns the string str, right-padded with the string padstr to a length\nof len characters. If str is longer than len, the return value is\nshortened to len characters.\n','mysql> SELECT RPAD(\'hi\',5,\'?\');\n        -> \'hi???\'\nmysql> SELECT RPAD(\'hi\',1,\'?\');\n        -> \'h\'\n','string-functions'),(119,'CREATE DATABASE',34,'Syntax:\nCREATE DATABASE [IF NOT EXISTS] db_name\n    [create_specification [, create_specification] ...]\n\ncreate_specification:\n    [DEFAULT] CHARACTER SET charset_name\n  | [DEFAULT] COLLATE collation_name\n\nCREATE DATABASE creates a database with the given name. To use this\nstatement, you need the CREATE privilege for the database.\n','','create-database'),(120,'DEC',20,'DEC[(M[,D])] [UNSIGNED] [ZEROFILL], NUMERIC[(M[,D])] [UNSIGNED]\n[ZEROFILL], FIXED[(M[,D])] [UNSIGNED] [ZEROFILL]\n\nThese types are synonyms for DECIMAL. The FIXED synonym was added in\nMySQL 4.1.0 for compatibility with other database systems.\n','','numeric-type-overview'),(121,'ELT',32,'Syntax:\nELT(N,str1,str2,str3,...)\n\nReturns str1 if N = 1, str2 if N = 2, and so on. Returns NULL if N is\nless than 1 or greater than the number of arguments. ELT() is the\ncomplement of FIELD().\n','mysql> SELECT ELT(1, \'ej\', \'Heja\', \'hej\', \'foo\');\n        -> \'ej\'\nmysql> SELECT ELT(4, \'ej\', \'Heja\', \'hej\', \'foo\');\n        -> \'foo\'\n','string-functions'),(122,'SHOW DATABASES',24,'Syntax:\nSHOW DATABASES [LIKE \'pattern\']\n\nSHOW DATABASES lists the databases on the MySQL server host. As of\nMySQL 4.0.2, you see only those databases for which you have some kind\nof privilege, if you do not have the global SHOW DATABASES privilege.\nYou can also get this list using the mysqlshow command.\n\nIf the server was started with the --skip-show-database option, you\ncannot use this statement at all unless you have the SHOW DATABASES\nprivilege.\n','','show-databases'),(123,'~',18,'Syntax:\n~\n\nInvert all bits.\n','mysql> SELECT 5 & ~1;\n        -> 4\n','bit-functions'),(124,'TEXT',20,'TEXT[(M)]\n\nA TEXT column with a maximum length of 65,535 (216 - 1) characters.\n\nBeginning with MySQL 4.1, an optional length M can be given for this\ntype. MySQL creates the column as the smallest TEXT type large enough\nto hold values M characters long.\n','','string-type-overview'),(125,'CONCAT_WS',32,'Syntax:\nCONCAT_WS(separator,str1,str2,...)\n\nCONCAT_WS() stands for Concatenate With Separator and is a special form\nof CONCAT(). The first argument is the separator for the rest of the\narguments. The separator is added between the strings to be\nconcatenated. The separator can be a string, as can the rest of the\narguments. If the separator is NULL, the result is NULL.\n','mysql> SELECT CONCAT_WS(\',\',\'First name\',\'Second name\',\'Last Name\');\n        -> \'First name,Second name,Last Name\'\nmysql> SELECT CONCAT_WS(\',\',\'First name\',NULL,\'Last Name\');\n        -> \'First name,Last Name\'\n','string-functions'),(126,'ASIN',4,'Syntax:\nASIN(X)\n\nReturns the arc sine of X, that is, the value whose sine is X. Returns\nNULL if X is not in the range -1 to 1.\n','mysql> SELECT ASIN(0.2);\n        -> 0.201358\nmysql> SELECT ASIN(\'foo\');\n        -> 0.000000\n','mathematical-functions'),(127,'SHOW LOGS',24,'Syntax:\nSHOW [BDB] LOGS\n\nSHOW LOGS displays status information about existing BDB log files. It\nwas implemented in MySQL 3.23.29. An alias for it (available as of\nMySQL 4.1.1) is SHOW BDB LOGS. As of MySQL 4.1.2, this statement is\ndeprecated and SHOW ENGINE BDB LOGS should be used instead. See\n[show-engine].\n','','show-logs'),(128,'SIGN',4,'Syntax:\nSIGN(X)\n\nReturns the sign of the argument as -1, 0, or 1, depending on whether X\nis negative, zero, or positive.\n','mysql> SELECT SIGN(-32);\n        -> -1\nmysql> SELECT SIGN(0);\n        -> 0\nmysql> SELECT SIGN(234);\n        -> 1\n','mathematical-functions'),(129,'SEC_TO_TIME',27,'Syntax:\nSEC_TO_TIME(seconds)\n\nReturns the seconds argument, converted to hours, minutes, and seconds,\nas a value in \'HH:MM:SS\' or HHMMSS format, depending on whether the\nfunction is used in a string or numeric context.\n','mysql> SELECT SEC_TO_TIME(2378);\n        -> \'00:39:38\'\nmysql> SELECT SEC_TO_TIME(2378) + 0;\n        -> 3938\n','date-and-time-functions'),(130,'FLOAT',20,'FLOAT[(M,D)] [UNSIGNED] [ZEROFILL]\n\nA small (single-precision) floating-point number. Allowable values are\n-3.402823466E+38 to -1.175494351E-38, 0, and 1.175494351E-38 to\n3.402823466E+38. These are the theoretical limits, based on the IEEE\nstandard. The actual range might be slightly smaller depending on your\nhardware or operating system.\n\nM is the total number of decimal digits and D is the number of digits\nfollowing the decimal point. If M and D are omitted, values are stored\nto the limits allowed by the hardware. A single-precision\nfloating-point number is accurate to approximately 7 decimal places.\n\nUNSIGNED, if specified, disallows negative values.\n\nUsing FLOAT might give you some unexpected problems because all\ncalculations in MySQL are done with double precision. See\n[no-matching-rows].\n','','numeric-type-overview'),(131,'LOCATE',32,'Syntax:\nLOCATE(substr,str), LOCATE(substr,str,pos)\n\nThe first syntax returns the position of the first occurrence of\nsubstring substr in string str. The second syntax returns the position\nof the first occurrence of substring substr in string str, starting at\nposition pos. Returns 0 if substr is not in str.\n','mysql> SELECT LOCATE(\'bar\', \'foobarbar\');\n        -> 4\nmysql> SELECT LOCATE(\'xbar\', \'foobar\');\n        -> 0\nmysql> SELECT LOCATE(\'bar\', \'foobarbar\', 5);\n        -> 7\n','string-functions'),(132,'CHARSET',15,'Syntax:\nCHARSET(str)\n\nReturns the character set of the string argument.\n','mysql> SELECT CHARSET(\'abc\');\n        -> \'latin1\'\nmysql> SELECT CHARSET(CONVERT(\'abc\' USING utf8));\n        -> \'utf8\'\nmysql> SELECT CHARSET(USER());\n        -> \'utf8\'\n','information-functions'),(133,'SUBDATE',27,'Syntax:\nSUBDATE(date,INTERVAL expr type), SUBDATE(expr,days)\n\nWhen invoked with the INTERVAL form of the second argument, SUBDATE()\nis a synonym for DATE_SUB(). For information on the INTERVAL argument,\nsee the discussion for DATE_ADD().\n\nmysql> SELECT DATE_SUB(\'1998-01-02\', INTERVAL 31 DAY);\n        -> \'1997-12-02\'\nmysql> SELECT SUBDATE(\'1998-01-02\', INTERVAL 31 DAY);\n        -> \'1997-12-02\'\n\nAs of MySQL 4.1.1, the second syntax is allowed, where expr is a date\nor datetime expression and days is the number of days to be subtracted\nfrom expr.\n\nmysql> SELECT SUBDATE(\'1998-01-02 12:00:00\', 31);\n        -> \'1997-12-02 12:00:00\'\n\nNote: You cannot use format \"%X%V\" to convert a year-week string to a\ndate because the combination of a year and week does not uniquely\nidentify a year and month if the week crosses a month boundary. To\nconvert a year-week to a date, then you should also specify the\nweekday:\n\nmysql> SELECT STR_TO_DATE(\'200442 Monday\', \'%X%V %W\');\n        -> \'2004-10-18\'\n','','date-and-time-functions'),(134,'DAYOFYEAR',27,'Syntax:\nDAYOFYEAR(date)\n\nReturns the day of the year for date, in the range 1 to 366.\n','mysql> SELECT DAYOFYEAR(\'1998-02-03\');\n        -> 34\n','date-and-time-functions'),(135,'%',4,'Syntax:\nMOD(N,M), N % M, N MOD M\n\nModulo operation. Returns the remainder of N divided by M.\n','mysql> SELECT MOD(234, 10);\n        -> 4\nmysql> SELECT 253 % 7;\n        -> 1\nmysql> SELECT MOD(29,9);\n        -> 2\nmysql> SELECT 29 MOD 9;\n        -> 2\n','mathematical-functions'),(136,'LONGTEXT',20,'LONGTEXT\n\nA TEXT column with a maximum length of 4,294,967,295 or 4GB (232 - 1)\ncharacters. Up to MySQL 3.23, the client/server protocol and MyISAM\ntables had a limit of 16MB per communication packet or table row. From\nMySQL 4.0, the maximum allowed length of LONGTEXT columns depends on\nthe configured maximum packet size in the client/server protocol and\navailable memory.\n','','string-type-overview'),(137,'DISJOINT',25,'Disjoint(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 is spatially disjoint from (does\nnot intersect) g2.\n','','functions-that-test-spatial-relationships-between-geometries'),(138,'KILL',24,'Syntax:\nKILL thread_id\n\nEach connection to mysqld runs in a separate thread. You can see which\nthreads are running with the SHOW PROCESSLIST statement and kill a\nthread with the KILL thread_id statement.\n\nIf you have the PROCESS privilege, you can see all threads. If you have\nthe SUPER privilege, you can kill all threads and statements.\nOtherwise, you can see and kill only your own threads and statements.\n\nYou can also use the mysqladmin processlist and mysqladmin kill\ncommands to examine and kill threads.\n\nNote: You cannot use KILL with the Embedded MySQL Server library,\nbecause the embedded server merely runs inside the threads of the host\napplication. It does not create any connection threads of its own.\n','','kill'),(139,'ASTEXT',3,'AsText(g)\n\nConverts a value in internal geometry format to its WKT representation\nand returns the string result.\n','mysql> SET @g = \'LineString(1 1,2 2,3 3)\';\nmysql> SELECT AsText(GeomFromText(@g));\n+--------------------------+\n| AsText(GeomFromText(@g)) |\n+--------------------------+\n| LINESTRING(1 1,2 2,3 3)  |\n+--------------------------+\n','functions-to-convert-geometries-between-formats'),(140,'LPAD',32,'Syntax:\nLPAD(str,len,padstr)\n\nReturns the string str, left-padded with the string padstr to a length\nof len characters. If str is longer than len, the return value is\nshortened to len characters.\n\n','mysql> SELECT LPAD(\'hi\',4,\'??\');\n        -> \'??hi\'\nmysql> SELECT LPAD(\'hi\',1,\'??\');\n        -> \'h\'\n','string-functions'),(141,'RESTORE TABLE',19,'Syntax:\nRESTORE TABLE tbl_name [, tbl_name] ... FROM \'/path/to/backup/directory\'\n\nRESTORE TABLE restores the table or tables from a backup that was made\nwith BACKUP TABLE. Existing tables are not overwritten; if you try to\nrestore over an existing table, an error occurs. Just as for BACKUP\nTABLE, RESTORE TABLE currently works only for MyISAM tables. The\ndirectory should be specified as a full pathname.\n\nThe backup for each table consists of its .frm format file and .MYD\ndata file. The restore operation restores those files, and then uses\nthem to rebuild the .MYI index file. Restoring takes longer than\nbacking up due to the need to rebuild the indexes. The more indexes the\ntable has, the longer it takes.\n','','restore-table'),(142,'OVERLAPS',25,'Overlaps(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 spatially overlaps g2. The term\nspatially overlaps is used if two geometries intersect and their\nintersection results in a geometry of the same dimension but not equal\nto either of the given geometries.\n','','functions-that-test-spatial-relationships-between-geometries'),(143,'NUMGEOMETRIES',22,'NumGeometries(gc)\n\nReturns the number of geometries in the GeometryCollection value gc.\n','mysql> SET @gc = \'GeometryCollection(Point(1 1),LineString(2 2, 3 3))\';\nmysql> SELECT NumGeometries(GeomFromText(@gc));\n+----------------------------------+\n| NumGeometries(GeomFromText(@gc)) |\n+----------------------------------+\n|                                2 |\n+----------------------------------+\n','geometrycollection-property-functions'),(144,'SET GLOBAL SQL_SLAVE_SKIP_COUNTER',24,'Syntax:\nSET GLOBAL SQL_SLAVE_SKIP_COUNTER = N\n\nThis statement skips the next N events from the master. This is useful\nfor recovering from replication stops caused by a statement.\n\nThis statement is valid only when the slave thread is not running.\nOtherwise, it produces an error.\n\nBefore MySQL 4.0, omit the GLOBAL keyword from the statement.\n','','set-global-sql-slave-skip-counter'),(145,'MONTHNAME',27,'Syntax:\nMONTHNAME(date)\n\nReturns the full name of the month for date.\n','mysql> SELECT MONTHNAME(\'1998-02-05\');\n        -> \'February\'\n','date-and-time-functions'),(146,'MBREQUAL',5,'MBREqual(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangles of\nthe two geometries g1 and g2 are the same.\n','','relations-on-geometry-mbr'),(147,'CHANGE MASTER TO',24,'Syntax:\nCHANGE MASTER TO master_def [, master_def] ...\n\nmaster_def:\n    MASTER_HOST = \'host_name\'\n  | MASTER_USER = \'user_name\'\n  | MASTER_PASSWORD = \'password\'\n  | MASTER_PORT = port_num\n  | MASTER_CONNECT_RETRY = count\n  | MASTER_LOG_FILE = \'master_log_name\'\n  | MASTER_LOG_POS = master_log_pos\n  | RELAY_LOG_FILE = \'relay_log_name\'\n  | RELAY_LOG_POS = relay_log_pos\n  | MASTER_SSL = {0|1}\n  | MASTER_SSL_CA = \'ca_file_name\'\n  | MASTER_SSL_CAPATH = \'ca_directory_name\'\n  | MASTER_SSL_CERT = \'cert_file_name\'\n  | MASTER_SSL_KEY = \'key_file_name\'\n  | MASTER_SSL_CIPHER = \'cipher_list\'\n\nCHANGE MASTER TO changes the parameters that the slave server uses for\nconnecting to and communicating with the master server. It also updates\nthe contents of the master.info and relay-log.info files.\n\nMASTER_USER, MASTER_PASSWORD, MASTER_SSL, MASTER_SSL_CA,\nMASTER_SSL_CAPATH, MASTER_SSL_CERT, MASTER_SSL_KEY, and\nMASTER_SSL_CIPHER provide information to the slave about how to connect\nto its master.\n\nThe relay log options (RELAY_LOG_FILE and RELAY_LOG_POS) are available\nbeginning with MySQL 4.0.\n\nThe SSL options (MASTER_SSL, MASTER_SSL_CA, MASTER_SSL_CAPATH,\nMASTER_SSL_CERT, MASTER_SSL_KEY, and MASTER_SSL_CIPHER) are available\nbeginning with MySQL 4.1.1. You can change these options even on slaves\nthat are compiled without SSL support. They are saved to the\nmaster.info file, but are ignored unless you use a server that has SSL\nsupport enabled.\n\nIf you don\'t specify a given parameter, it keeps its old value, except\nas indicated in the following discussion. For example, if the password\nto connect to your MySQL master has changed, you just need to issue\nthese statements to tell the slave about the new password:\n\nSTOP SLAVE; -- if replication was running\nCHANGE MASTER TO MASTER_PASSWORD=\'new3cret\';\nSTART SLAVE; -- if you want to restart replication\n\nThere is no need to specify the parameters that do not change (host,\nport, user, and so forth).\n\nMASTER_HOST and MASTER_PORT are the hostname (or IP address) of the\nmaster host and its TCP/IP port. Note that if MASTER_HOST is equal to\nlocalhost, then, like in other parts of MySQL, the port number might be\nignored (if Unix socket files can be used, for example).\n\nIf you specify MASTER_HOST or MASTER_PORT, the slave assumes that the\nmaster server is different from before (even if you specify a host or\nport value that is the same as the current value.) In this case, the\nold values for the master binary log name and position are considered\nno longer applicable, so if you do not specify MASTER_LOG_FILE and\nMASTER_LOG_POS in the statement, MASTER_LOG_FILE=\'\' and\nMASTER_LOG_POS=4 are silently appended to it.\n\nMASTER_LOG_FILE and MASTER_LOG_POS are the coordinates at which the\nslave I/O thread should begin reading from the master the next time the\nthread starts. If you specify either of them, you cannot specify\nRELAY_LOG_FILE or RELAY_LOG_POS. If neither of MASTER_LOG_FILE or\nMASTER_LOG_POS are specified, the slave uses the last coordinates of\nthe slave SQL thread before CHANGE MASTER was issued. This ensures that\nreplication has no discontinuity, even if the slave SQL thread was late\ncompared to the slave I/O thread, when you just want to change, say,\nthe password to use. This safe behavior was introduced starting from\nMySQL 4.0.17 and 4.1.1. (Before these versions, the coordinates used\nwere the last coordinates of the slave I/O thread before CHANGE MASTER\nwas issued. This caused the SQL thread to possibly lose some events\nfrom the master, thus breaking replication.)\n\nCHANGE MASTER deletes all relay log files and starts a new one, unless\nyou specify RELAY_LOG_FILE or RELAY_LOG_POS. In that case, relay logs\nare kept; as of MySQL 4.1.1, the relay_log_purge global variable is set\nsilently to 0.\n\nCHANGE MASTER is useful for setting up a slave when you have the\nsnapshot of the master and have recorded the log and the offset\ncorresponding to it. After loading the snapshot into the slave, you can\nrun CHANGE MASTER TO MASTER_LOG_FILE=\'log_name_on_master\',\nMASTER_LOG_POS=log_offset_on_master on the slave.\n\nThe following example changes the master and master\'s binary log\ncoordinates. This is used when you want to set up the slave to\nreplicate the master:\n\nCHANGE MASTER TO\n  MASTER_HOST=\'master2.mycompany.com\',\n  MASTER_USER=\'replication\',\n  MASTER_PASSWORD=\'bigs3cret\',\n  MASTER_PORT=3306,\n  MASTER_LOG_FILE=\'master2-bin.001\',\n  MASTER_LOG_POS=4,\n  MASTER_CONNECT_RETRY=10;\n\nThe next example shows an operation that is less frequently employed.\nIt is used when the slave has relay logs that you want it to execute\nagain for some reason. To do this, the master need not be reachable.\nYou need only use CHANGE MASTER TO and start the SQL thread (START\nSLAVE SQL_THREAD):\n\nCHANGE MASTER TO\n  RELAY_LOG_FILE=\'slave-relay-bin.006\',\n  RELAY_LOG_POS=4025;\n','','change-master-to'),(148,'DROP DATABASE',34,'Syntax:\nDROP DATABASE [IF EXISTS] db_name\n\nDROP DATABASE drops all tables in the database and deletes the\ndatabase. Be very careful with this statement! To use DROP DATABASE,\nyou need the DROP privilege on the database.\n\nIn MySQL 3.22 or later, you can use the keywords IF EXISTS to prevent\nan error from occurring if the database does not exist.\n','','drop-database'),(149,'TIMESTAMP FUNCTION',27,'Syntax:\nTIMESTAMP(expr), TIMESTAMP(expr,expr2)\n\nWith a single argument, this function returns the date or datetime\nexpression expr as a datetime value. With two arguments, it adds the\ntime expression expr2 to the date or datetime expression expr and\nreturns the result as a datetime value.\n','mysql> SELECT TIMESTAMP(\'2003-12-31\');\n        -> \'2003-12-31 00:00:00\'\nmysql> SELECT TIMESTAMP(\'2003-12-31 12:00:00\',\'12:00:00\');\n        -> \'2004-01-01 00:00:00\'\n','date-and-time-functions'),(150,'CHARACTER_LENGTH',32,'Syntax:\nCHARACTER_LENGTH(str)\n\nCHARACTER_LENGTH() is a synonym for CHAR_LENGTH().\n','','string-functions'),(151,'SHOW GRANTS',24,'Syntax:\nSHOW GRANTS FOR user\n\nThis statement lists the GRANT statement or statements that must be\nissued to duplicate the privileges that are granted to a MySQL user\naccount. The account is named using the same format as for the GRANT\nstatement; for example, \'jeffrey\'@\'localhost\'. The user and host parts\nof the account name correspond to the User and Host column values of\nthe user table row for the account.\n\nmysql> SHOW GRANTS FOR \'root\'@\'localhost\';\n+---------------------------------------------------------------------+\n| Grants for root@localhost                                           |\n+---------------------------------------------------------------------+\n| GRANT ALL PRIVILEGES ON *.* TO \'root\'@\'localhost\' WITH GRANT OPTION |\n+---------------------------------------------------------------------+\n\nAs of MySQL 4.1.2, to list the privileges granted to the account that\nyou are using to connect to the server, you can use any of the\nfollowing statements:\n\nSHOW GRANTS;\nSHOW GRANTS FOR CURRENT_USER;\nSHOW GRANTS FOR CURRENT_USER();\n','','show-grants'),(152,'SHOW PRIVILEGES',24,'Syntax:\nSHOW PRIVILEGES\n\nSHOW PRIVILEGES shows the list of system privileges that the MySQL\nserver supports. This statement is implemented as of MySQL 4.1.0. The\nexact list of privileges depends on the version of your server.\n','','show-privileges'),(153,'INSERT FUNCTION',32,'Syntax:\nINSERT(str,pos,len,newstr)\n\nReturns the string str, with the substring beginning at position pos\nand len characters long replaced by the string newstr. Returns the\noriginal string if pos is not within the length of the string. Replaces\nthe rest of the string from position pos is len is not within the\nlength of the rest of the string. Returns NULL if any argument is NULL.\n','mysql> SELECT INSERT(\'Quadratic\', 3, 4, \'What\');\n        -> \'QuWhattic\'\nmysql> SELECT INSERT(\'Quadratic\', -1, 4, \'What\');\n        -> \'Quadratic\'\nmysql> SELECT INSERT(\'Quadratic\', 3, 100, \'What\');\n        -> \'QuWhat\'\n','string-functions'),(154,'CRC32',4,'Syntax:\nCRC32(expr)\n\nComputes a cyclic redundancy check value and returns a 32-bit unsigned\nvalue. The result is NULL if the argument is NULL. The argument is\nexpected to be a string and (if possible) is treated as one if it is\nnot.\n','mysql> SELECT CRC32(\'MySQL\');\n        -> 3259397556\n','mathematical-functions'),(155,'XOR',12,'Syntax:\nXOR\n\nLogical XOR. Returns NULL if either operand is NULL. For non-NULL\noperands, evaluates to 1 if an odd number of operands is non-zero,\notherwise 0 is returned.\n','mysql> SELECT 1 XOR 1;\n        -> 0\nmysql> SELECT 1 XOR 0;\n        -> 1\nmysql> SELECT 1 XOR NULL;\n        -> NULL\nmysql> SELECT 1 XOR 1 XOR 1;\n        -> 1\n','logical-operators'),(156,'STARTPOINT',11,'StartPoint(ls)\n\nReturns the Point that is the start point of the LineString value ls.\n','mysql> SET @ls = \'LineString(1 1,2 2,3 3)\';\nmysql> SELECT AsText(StartPoint(GeomFromText(@ls)));\n+---------------------------------------+\n| AsText(StartPoint(GeomFromText(@ls))) |\n+---------------------------------------+\n| POINT(1 1)                            |\n+---------------------------------------+\n','linestring-property-functions'),(157,'MPOLYFROMTEXT',3,'MPolyFromText(wkt[,srid]), MultiPolygonFromText(wkt[,srid])\n\nConstructs a MULTIPOLYGON value using its WKT representation and SRID.\n','','gis-wkt-functions'),(158,'GRANT',8,'Syntax:\nGRANT priv_type [(column_list)] [, priv_type [(column_list)]] ...\n    ON {tbl_name | * | *.* | db_name.*}\n    TO user [IDENTIFIED BY [PASSWORD] \'password\']\n        [, user [IDENTIFIED BY [PASSWORD] \'password\']] ...\n    [REQUIRE\n        NONE |\n        [{SSL| X509}]\n        [CIPHER \'cipher\' [AND]]\n        [ISSUER \'issuer\' [AND]]\n        [SUBJECT \'subject\']]\n    [WITH with_option [with_option] ...]\n\nwith_option =\n    GRANT OPTION\n  | MAX_QUERIES_PER_HOUR count\n  | MAX_UPDATES_PER_HOUR count\n  | MAX_CONNECTIONS_PER_HOUR count\n\nThe GRANT statement enables system administrators to create MySQL user\naccounts and to grant rights to accounts. To use GRANT, you must have\nthe GRANT OPTION privilege, and you must have the privileges that you\nare granting. GRANT is implemented in MySQL 3.22.11 or later. For\nearlier MySQL versions, it does nothing. The REVOKE statement is\nrelated and enables administrators to remove account privileges. See\n[revoke].\n\nMySQL account information is stored in the tables of the mysql\ndatabase. This database and the access control system are discussed\nextensively in [database-administration], which you should consult for\nadditional details.\n\nImportant: Some releases of MySQL introduce changes to the structure of\nthe grant tables to add new privileges or features. Whenever you update\nto a new version of MySQL, you should update your grant tables to make\nsure that they have the current structure so that you can take\nadvantage of any new capabilities. See [mysql-fix-privilege-tables].\n\nIf the grant tables hold privilege rows that contain mixed-case\ndatabase or table names and the lower_case_table_names system variable\nis set to a non-zero value, REVOKE cannot be used to revoke these\nprivileges. It will be necessary to manipulate the grant tables\ndirectly. (GRANT will not create such rows when lower_case_table_names\nis set, but such rows might have been created prior to setting the\nvariable.)\n\nPrivileges can be granted at several levels:\n\no Global level\n\n  Global privileges apply to all databases on a given server. These\n  privileges are stored in the mysql.user table. GRANT ALL ON *.* and\n  REVOKE ALL ON *.* grant and revoke only global privileges.\n\no Database level\n\n  Database privileges apply to all tables in a given database. These\n  privileges are stored in the mysql.db and mysql.host tables. GRANT\n  ALL ON db_name.* and REVOKE ALL ON db_name.* grant and revoke only\n  database privileges.\n\no Table level\n\n  Table privileges apply to all columns in a given table. These\n  privileges are stored in the mysql.tables_priv table. GRANT ALL ON\n  db_name.tbl_name and REVOKE ALL ON db_name.tbl_name grant and revoke\n  only table privileges.\n\no Column level\n\n  Column privileges apply to single columns in a given table. These\n  privileges are stored in the mysql.columns_priv table. When using\n  REVOKE, you must specify the same columns that were granted.\n','','grant'),(159,'MBRINTERSECTS',5,'MBRIntersects(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangles of\nthe two geometries g1 and g2 intersect.\n','','relations-on-geometry-mbr'),(160,'BIT_OR',14,'Syntax:\nBIT_OR(expr)\n\nReturns the bitwise OR of all bits in expr. The calculation is\nperformed with 64-bit (BIGINT) precision.\n','','group-by-functions'),(161,'YEARWEEK',27,'Syntax:\nYEARWEEK(date), YEARWEEK(date,start)\n\nReturns year and week for a date. The start argument works exactly like\nthe start argument to WEEK(). The year in the result may be different\nfrom the year in the date argument for the first and the last week of\nthe year.\n','mysql> SELECT YEARWEEK(\'1987-01-01\');\n        -> 198653\n','date-and-time-functions'),(162,'NOT BETWEEN',17,'Syntax:\nexpr NOT BETWEEN min AND max\n\nThis is the same as NOT (expr BETWEEN min AND max).\n','','comparison-operators'),(163,'LOG10',4,'Syntax:\nLOG10(X)\n\nReturns the base-10 logarithm of X.\n','mysql> SELECT LOG10(2);\n        -> 0.301030\nmysql> SELECT LOG10(100);\n        -> 2.000000\nmysql> SELECT LOG10(-100);\n        -> NULL\n','mathematical-functions'),(164,'SQRT',4,'Syntax:\nSQRT(X)\n\nReturns the square root of a non-negative number X.\n','mysql> SELECT SQRT(4);\n        -> 2\nmysql> SELECT SQRT(20);\n        -> 4.4721359549996\nmysql> SELECT SQRT(-16);\n        -> NULL        \n','mathematical-functions'),(165,'DECIMAL',20,'DECIMAL[(M[,D])] [UNSIGNED] [ZEROFILL]\n\nAn unpacked fixed-point number. Behaves like a CHAR column; \"unpacked\"\nmeans the number is stored as a string, using one character for each\ndigit of the value. M is the total number of digits and D is the number\nof digits after the decimal point. The decimal point and (for negative\nnumbers) the `-\' sign are not counted in M, although space for them is\nreserved. If D is 0, values have no decimal point or fractional part.\nThe maximum range of DECIMAL values is the same as for DOUBLE, but the\nactual range for a given DECIMAL column may be constrained by the\nchoice of M and D. If D is omitted, the default is 0. If M is omitted,\nthe default is 10.\n\nUNSIGNED, if specified, disallows negative values.\n\nNote: Before MySQL 3.23, the value of M must be large enough to include\nthe space needed for the sign and the decimal point characters.\n','','numeric-type-overview'),(166,'CREATE FUNCTION',33,'Syntax:\nCREATE [AGGREGATE] FUNCTION function_name RETURNS {STRING|INTEGER|REAL}\n    SONAME shared_library_name\n\nA user-defined function (UDF) is a way to extend MySQL with a new\nfunction that works like a native (built-in) MySQL function such as\nABS() or CONCAT().\n\nfunction_name is the name that should be used in SQL statements to\ninvoke the function. The RETURNS clause indicates the type of the\nfunction\'s return value. shared_library_name is the basename of the\nshared object file that contains the code that implements the function.\nThe file must be located in a directory that is searched by your\nsystem\'s dynamic linker.\n\nTo create a function, you must have the INSERT and privilege for the\nmysql database. This is necessary because CREATE FUNCTION adds a row to\nthe mysql.func system table that records the function\'s name, type, and\nshared library name. If you do not have this table, you should run the\nmysql_fix_privilege_tables script to create it. See\n[mysql-fix-privilege-tables].\n','','create-function'),(167,'GEOMETRYN',22,'GeometryN(gc,N)\n\nReturns the N-th geometry in the GeometryCollection value gc.\nGeometries are numbered beginning with 1.\n','mysql> SET @gc = \'GeometryCollection(Point(1 1),LineString(2 2, 3 3))\';\nmysql> SELECT AsText(GeometryN(GeomFromText(@gc),1));\n+----------------------------------------+\n| AsText(GeometryN(GeomFromText(@gc),1)) |\n+----------------------------------------+\n| POINT(1 1)                             |\n+----------------------------------------+\n','geometrycollection-property-functions'),(168,'CREATE INDEX',34,'Syntax:\nCREATE [UNIQUE|FULLTEXT|SPATIAL] INDEX index_name\n    [USING type_name]\n    ON tbl_name (index_col_name,...)\n\nindex_col_name:\n    col_name [(length)] [ASC | DESC]\n\nIn MySQL 3.22 or later, CREATE INDEX is mapped to an ALTER TABLE\nstatement to create indexes. See [alter-table]. The CREATE INDEX\nstatement does not do anything prior to MySQL 3.22. For more\ninformation about indexes, see [mysql-indexes].\n','','create-index'),(169,'ALTER DATABASE',34,'Syntax:\nALTER DATABASE [db_name]\n    alter_specification [, alter_specification] ...\n\nalter_specification:\n    [DEFAULT] CHARACTER SET charset_name\n  | [DEFAULT] COLLATE collation_name\n\nALTER DATABASE enables you to change the overall characteristics of a\ndatabase. These characteristics are stored in the db.opt file in the\ndatabase directory. To use ALTER DATABASE, you need the ALTER privilege\non the database.\n\nThe CHARACTER SET clause changes the default database character set.\nThe COLLATE clause changes the default database collation. [charset],\ndiscusses character set and collation names.\n','','alter-database'),(170,'<<',18,'Syntax:\n<<\n\nShifts a longlong (BIGINT) number to the left.\n','mysql> SELECT 1 << 2;\n        -> 4\n','bit-functions'),(171,'SHOW TABLE STATUS',24,'Syntax:\nSHOW TABLE STATUS [FROM db_name] [LIKE \'pattern\']\n\nSHOW TABLE STATUS works likes SHOW TABLE, but provides a lot of\ninformation about each table. You can also get this list using the\nmysqlshow --status db_name command. This statement was added in MySQL\n3.23.\n','','show-table-status'),(172,'MD5',10,'Syntax:\nMD5(str)\n\nCalculates an MD5 128-bit checksum for the string. The value is\nreturned as a binary string of 32 hex digits, or NULL if the argument\nwas NULL. The return value can, for example, be used as a hash key.\n','mysql> SELECT MD5(\'testing\');\n        -> \'ae2b1fca515949e5d54fb22b8ed95575\'\n','encryption-functions'),(173,'<',17,'Syntax:\n<\n\nLess than:\n','mysql> SELECT 2 < 2;\n        -> 0\n','comparison-operators'),(174,'UNIX_TIMESTAMP',27,'Syntax:\nUNIX_TIMESTAMP(), UNIX_TIMESTAMP(date)\n\nIf called with no argument, returns a Unix timestamp (seconds since\n\'1970-01-01 00:00:00\' UTC) as an unsigned integer. If UNIX_TIMESTAMP()\nis called with a date argument, it returns the value of the argument as\nseconds since \'1970-01-01 00:00:00\' UTC. date may be a DATE string, a\nDATETIME string, a TIMESTAMP, or a number in the format YYMMDD or\nYYYYMMDD. The server interprets date as a value in the current time\nzone and converts it to an internal value in UTC. Clients can set their\ntime zone as described in [time-zone-support].\n','mysql> SELECT UNIX_TIMESTAMP();\n        -> 882226357\nmysql> SELECT UNIX_TIMESTAMP(\'1997-10-04 22:23:00\');\n        -> 875996580\n','date-and-time-functions'),(175,'DAYOFMONTH',27,'Syntax:\nDAYOFMONTH(date)\n\nReturns the day of the month for date, in the range 0 to 31.\n','mysql> SELECT DAYOFMONTH(\'1998-02-03\');\n        -> 3\n','date-and-time-functions'),(176,'ASCII',32,'Syntax:\nASCII(str)\n\nReturns the numeric value of the leftmost character of the string str.\nReturns 0 if str is the empty string. Returns NULL if str is NULL.\nASCII() works for characters with numeric values from 0 to 255.\n','mysql> SELECT ASCII(\'2\');\n        -> 50\nmysql> SELECT ASCII(2);\n        -> 50\nmysql> SELECT ASCII(\'dx\');\n        -> 100\n','string-functions'),(177,'DIV',4,'Syntax:\nDIV\n\nInteger division. Similar to FLOOR(), but is safe with BIGINT values.\n','mysql> SELECT 5 DIV 2;\n        -> 2\n','arithmetic-functions'),(178,'SHOW SLAVE STATUS',24,'Syntax:\nSHOW SLAVE STATUS\n\nThis statement provides status information on essential parameters of\nthe slave threads. If you issue this statement using the mysql client,\nyou can use a \\G statement terminator rather than a semicolon to obtain\na more readable vertical layout:\n\nmysql> SHOW SLAVE STATUS\\G\n*************************** 1. row ***************************\n       Slave_IO_State: Waiting for master to send event\n          Master_Host: localhost\n          Master_User: root\n          Master_Port: 3306\n        Connect_Retry: 3\n      Master_Log_File: gbichot-bin.005\n  Read_Master_Log_Pos: 79\n       Relay_Log_File: gbichot-relay-bin.005\n        Relay_Log_Pos: 548\nRelay_Master_Log_File: gbichot-bin.005\n     Slave_IO_Running: Yes\n    Slave_SQL_Running: Yes\n      Replicate_Do_DB:\n  Replicate_Ignore_DB:\n           Last_Errno: 0\n           Last_Error:\n         Skip_Counter: 0\n  Exec_Master_Log_Pos: 79\n      Relay_Log_Space: 552\n      Until_Condition: None\n       Until_Log_File:\n        Until_Log_Pos: 0\n   Master_SSL_Allowed: No\n   Master_SSL_CA_File:\n   Master_SSL_CA_Path:\n      Master_SSL_Cert:\n    Master_SSL_Cipher:\n       Master_SSL_Key:\nSeconds_Behind_Master: 8\n','','show-slave-status'),(179,'GEOMETRY',29,'MySQL provides a standard way of creating spatial columns for geometry\ntypes, for example, with CREATE TABLE or ALTER TABLE. Currently,\nspatial columns are supported only for MyISAM tables.\n','CREATE TABLE geom (g GEOMETRY);\n','creating-spatial-columns'),(180,'NUMPOINTS',11,'NumPoints(ls)\n\nReturns the number of Point objects in the LineString value ls.\n','mysql> SET @ls = \'LineString(1 1,2 2,3 3)\';\nmysql> SELECT NumPoints(GeomFromText(@ls));\n+------------------------------+\n| NumPoints(GeomFromText(@ls)) |\n+------------------------------+\n|                            3 |\n+------------------------------+\n','linestring-property-functions'),(181,'&',18,'Syntax:\n&\n\nBitwise AND:\n','mysql> SELECT 29 & 15;\n        -> 13\n','bit-functions'),(182,'LOCALTIMESTAMP',27,'Syntax:\nLOCALTIMESTAMP, LOCALTIMESTAMP()\n\nLOCALTIMESTAMP and LOCALTIMESTAMP() are synonyms for NOW().\n','','date-and-time-functions'),(183,'ADDDATE',27,'Syntax:\nADDDATE(date,INTERVAL expr type), ADDDATE(expr,days)\n\nWhen invoked with the INTERVAL form of the second argument, ADDDATE()\nis a synonym for DATE_ADD(). The related function SUBDATE() is a\nsynonym for DATE_SUB(). For information on the INTERVAL argument, see\nthe discussion for DATE_ADD().\n\nmysql> SELECT DATE_ADD(\'1998-01-02\', INTERVAL 31 DAY);\n        -> \'1998-02-02\'\nmysql> SELECT ADDDATE(\'1998-01-02\', INTERVAL 31 DAY);\n        -> \'1998-02-02\'\n\nAs of MySQL 4.1.1, the second syntax is allowed. When invoked with the\ndays form of the second argument, MySQL treats it as an integer number\nof days to be added to expr.\n','mysql> SELECT ADDDATE(\'1998-01-02\', 31);\n        -> \'1998-02-02\'\n','date-and-time-functions'),(184,'SMALLINT',20,'SMALLINT[(M)] [UNSIGNED] [ZEROFILL]\n\nA small integer. The signed range is -32768 to 32767. The unsigned\nrange is 0 to 65535.\n','','numeric-type-overview'),(185,'DOUBLE PRECISION',20,'DOUBLE PRECISION[(M,D)] [UNSIGNED] [ZEROFILL], REAL[(M,D)] [UNSIGNED]\n[ZEROFILL]\n\nThese types are synonyms for DOUBLE. Exception: If the REAL_AS_FLOAT\nSQL mode is enabled, REAL is a synonym for FLOAT rather than DOUBLE.\n','','numeric-type-overview'),(186,'ORD',32,'Syntax:\nORD(str)\n\nIf the leftmost character of the string str is a multi-byte character,\nreturns the code for that character, calculated from the numeric values\nof its constituent bytes using this formula:\n\n  (1st byte code)\n+ (2nd byte code × 256)\n+ (3rd byte code × 2562) ...\n\nIf the leftmost character is not a multi-byte character, ORD() returns\nthe same value as the ASCII() function.\n','mysql> SELECT ORD(\'2\');\n        -> 50\n','string-functions'),(187,'ENVELOPE',31,'Envelope(g)\n\nReturns the Minimum Bounding Rectangle (MBR) for the geometry value g.\nThe result is returned as a Polygon value.\n\nThe polygon is defined by the corner points of the bounding box:\n\nPOLYGON((MINX MINY, MAXX MINY, MAXX MAXY, MINX MAXY, MINX MINY))\n','mysql> SELECT AsText(Envelope(GeomFromText(\'LineString(1 1,2 2)\')));\n+-------------------------------------------------------+\n| AsText(Envelope(GeomFromText(\'LineString(1 1,2 2)\'))) |\n+-------------------------------------------------------+\n| POLYGON((1 1,2 1,2 2,1 2,1 1))                        |\n+-------------------------------------------------------+\n','general-geometry-property-functions'),(188,'DEALLOCATE PREPARE',24,'Syntax:\n{DEALLOCATE | DROP} PREPARE stmt_name\n\nTo deallocate a prepared statement, use the DEALLOCATE PREPARE\nstatement. Attempting to execute a prepared statement after\ndeallocating it results in an error.\n\nIf you terminate a client session without deallocating a previously\nprepared statement, the server deallocates it automatically.\n','','sqlps'),(189,'IS_FREE_LOCK',13,'Syntax:\nIS_FREE_LOCK(str)\n\nChecks whether the lock named str is free to use (that is, not locked).\nReturns 1 if the lock is free (no one is using the lock), 0 if the lock\nis in use, and NULL if an error occurs (such as an incorrect argument).\n','','miscellaneous-functions'),(190,'TOUCHES',25,'Touches(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 spatially touches g2. Two\ngeometries spatially touch if the interiors of the geometries do not\nintersect, but the boundary of one of the geometries intersects either\nthe boundary or the interior of the other.\n','','functions-that-test-spatial-relationships-between-geometries'),(191,'INET_ATON',13,'Syntax:\nINET_ATON(expr)\n\nGiven the dotted-quad representation of a network address as a string,\nreturns an integer that represents the numeric value of the address.\nAddresses may be 4- or 8-byte addresses.\n','mysql> SELECT INET_ATON(\'209.207.224.40\');\n        -> 3520061480\n','miscellaneous-functions'),(192,'UNCOMPRESS',10,'Syntax:\nUNCOMPRESS(string_to_uncompress)\n\nUncompresses a string compressed by the COMPRESS() function. If the\nargument is not a compressed value, the result is NULL. This function\nrequires MySQL to have been compiled with a compression library such as\nzlib. Otherwise, the return value is always NULL.\n','mysql> SELECT UNCOMPRESS(COMPRESS(\'any string\'));\n        -> \'any string\'\nmysql> SELECT UNCOMPRESS(\'any string\');\n        -> NULL\n','encryption-functions'),(193,'AUTO_INCREMENT',20,'The AUTO_INCREMENT attribute can be used to generate a unique identity\nfor new rows:\n','CREATE TABLE animals (\n     id MEDIUMINT NOT NULL AUTO_INCREMENT,\n     name CHAR(30) NOT NULL,\n     PRIMARY KEY (id)\n );\n\nINSERT INTO animals (name) VALUES \n    (\'dog\'),(\'cat\'),(\'penguin\'),\n    (\'lax\'),(\'whale\'),(\'ostrich\');\n\nSELECT * FROM animals;\n','example-auto-increment'),(194,'ISSIMPLE',31,'IsSimple(g)\n\nCurrently, this function is a placeholder and should not be used. If\nimplemented, its behavior will be as described in the next paragraph.\n\nReturns 1 if the geometry value g has no anomalous geometric points,\nsuch as self-intersection or self-tangency. IsSimple() returns 0 if the\nargument is not simple, and -1 if it is NULL.\n\nThe description of each instantiable geometric class given earlier in\nthe chapter includes the specific conditions that cause an instance of\nthat class to be classified as not simple. (See\n[gis-geometry-class-hierarchy].)\n','','general-geometry-property-functions'),(195,'- BINARY',4,'Syntax:\n-\n\nSubtraction:\n','mysql> SELECT 3-5;\n        -> -2\n','arithmetic-functions'),(196,'GEOMCOLLFROMTEXT',3,'GeomCollFromText(wkt[,srid]), GeometryCollectionFromText(wkt[,srid])\n\nConstructs a GEOMETRYCOLLECTION value using its WKT representation and\nSRID.\n','','gis-wkt-functions'),(197,'WKT DEFINITION',3,'The Well-Known Text (WKT) representation of Geometry is designed to\nexchange geometry data in ASCII form.\n','','gis-wkt-format'),(198,'CURRENT_TIME',27,'Syntax:\nCURRENT_TIME, CURRENT_TIME()\n\nCURRENT_TIME and CURRENT_TIME() are synonyms for CURTIME().\n','','date-and-time-functions'),(199,'REVOKE',8,'Syntax:\nREVOKE priv_type [(column_list)] [, priv_type [(column_list)]] ...\n    ON {tbl_name | * | *.* | db_name.*}\n    FROM user [, user] ...\n\nREVOKE ALL PRIVILEGES, GRANT OPTION FROM user [, user] ...\n\nThe REVOKE statement enables system administrators to revoke privileges\nfrom MySQL accounts. To use REVOKE, you must have the GRANT OPTION\nprivilege, and you must have the privileges that you are revoking.\nREVOKE is implemented in MySQL 3.22.11 or later. For earlier MySQL\nversions, it does nothing.\n\nFor details on the levels at which privileges exist, the allowable\npriv_type values, and the syntax for specifying users and passwords,\nsee [grant]\n','','revoke'),(200,'LAST_INSERT_ID',15,'Syntax:\nLAST_INSERT_ID(), LAST_INSERT_ID(expr)\n\nReturns the first automatically generated value that was set for an\nAUTO_INCREMENT column by the most recent INSERT or UPDATE statement to\naffect such a column.\n','mysql> SELECT LAST_INSERT_ID();\n        -> 195\n','information-functions'),(201,'LAST_DAY',27,'Syntax:\nLAST_DAY(date)\n\nTakes a date or datetime value and returns the corresponding value for\nthe last day of the month. Returns NULL if the argument is invalid.\n','mysql> SELECT LAST_DAY(\'2003-02-05\');\n        -> \'2003-02-28\'\nmysql> SELECT LAST_DAY(\'2004-02-05\');\n        -> \'2004-02-29\'\nmysql> SELECT LAST_DAY(\'2004-01-01 01:01:01\');\n        -> \'2004-01-31\'\nmysql> SELECT LAST_DAY(\'2003-03-32\');\n        -> NULL\n','date-and-time-functions'),(202,'MEDIUMINT',20,'MEDIUMINT[(M)] [UNSIGNED] [ZEROFILL]\n\nA medium-sized integer. The signed range is -8388608 to 8388607. The\nunsigned range is 0 to 16777215.\n','','numeric-type-overview'),(203,'FLOOR',4,'Syntax:\nFLOOR(X)\n\nReturns the largest integer value not greater than X.\n','mysql> SELECT FLOOR(1.23);\n        -> 1\nmysql> SELECT FLOOR(-1.23);\n        -> -2\n','mathematical-functions'),(204,'RTRIM',32,'Syntax:\nRTRIM(str)\n\nReturns the string str with trailing space characters removed.\n','mysql> SELECT RTRIM(\'barbar   \');\n        -> \'barbar\'\n','string-functions'),(205,'DEGREES',4,'Syntax:\nDEGREES(X)\n\nReturns the argument X, converted from radians to degrees.\n','mysql> SELECT DEGREES(PI());\n        -> 180.000000\n','mathematical-functions'),(206,'EXPLAIN',24,'Syntax:\nEXPLAIN tbl_name\n\nOr:\n\nEXPLAIN [EXTENDED] SELECT select_options\n\nThe EXPLAIN statement can be used either as a synonym for DESCRIBE or\nas a way to obtain information about how MySQL executes a SELECT\nstatement:\n\no EXPLAIN tbl_name is synonymous with DESCRIBE tbl_name or SHOW COLUMNS\n  FROM tbl_name.\n\no When you precede a SELECT statement with the keyword EXPLAIN, MySQL\n  displays information from the optimizer about the query execution\n  plan. That is, MySQL explains how it would process the SELECT,\n  including information about how tables are joined and in which order.\n','','explain'),(207,'VARCHAR',20,'[NATIONAL] VARCHAR(M)\n\nA variable-length string. M represents the maximum column length. The\nrange of M is 1 to 255 before MySQL 4.0.2, and 0 to 255 as of MySQL\n4.0.2.\n\nNote: Trailing spaces are removed when VARCHAR values are stored. This\ndiffers from the standard SQL specification.\n\nIn MySQL 4.1, a VARCHAR column with a length specification greater than\n255 is converted to the smallest TEXT type that can hold values of the\ngiven length. For example, VARCHAR(500) is converted to TEXT, and\nVARCHAR(200000) is converted to MEDIUMTEXT. This is a compatibility\nfeature. However, this conversion affects trailing-space removal.\n\nVARCHAR is shorthand for CHARACTER VARYING.\n','','string-type-overview'),(208,'UNHEX',32,'Syntax:\n\nUNHEX(str)\n\nPerforms the inverse operation of HEX(str). That is, it interprets each\npair of hexadecimal digits in the argument as a number and converts it\nto the character represented by the number. The resulting characters\nare returned as a binary string.\n','mysql> SELECT UNHEX(\'4D7953514C\');\n        -> \'MySQL\'\nmysql> SELECT 0x4D7953514C;\n        -> \'MySQL\'\nmysql> SELECT UNHEX(HEX(\'string\'));\n        -> \'string\'\nmysql> SELECT HEX(UNHEX(\'1267\'));\n        -> \'1267\'\n','string-functions'),(209,'- UNARY',4,'Syntax:\n-\n\nUnary minus. This operator changes the sign of the argument.\n','mysql> SELECT - 2;\n        -> -2\n','arithmetic-functions'),(210,'COS',4,'Syntax:\nCOS(X)\n\nReturns the cosine of X, where X is given in radians.\n','mysql> SELECT COS(PI());\n        -> -1.000000\n','mathematical-functions'),(211,'DATE FUNCTION',27,'Syntax:\nDATE(expr)\n\nExtracts the date part of the date or datetime expression expr.\n','mysql> SELECT DATE(\'2003-12-31 01:02:03\');\n        -> \'2003-12-31\'\n','date-and-time-functions'),(212,'RESET MASTER',24,'Syntax:\nRESET MASTER\n\nDeletes all binary logs listed in the index file, resets the binary log\nindex file to be empty, and creates a new binary log file.\n\nThis statement was named FLUSH MASTER before MySQL 3.23.26.\n','','reset-master'),(213,'TAN',4,'Syntax:\nTAN(X)\n\nReturns the tangent of X, where X is given in radians.\n','mysql> SELECT TAN(PI());\n        -> -1.2246063538224e-16\nmysql> SELECT TAN(PI()+1);\n        -> 1.5574077246549\n','mathematical-functions'),(214,'PI',4,'Syntax:\nPI()\n\nReturns the value of π (pi). The default number of decimal places\ndisplayed is five, but MySQL uses the full double-precision value\ninternally.\n','mysql> SELECT PI();\n        -> 3.141593\nmysql> SELECT PI()+0.000000000000000000;\n        -> 3.141592653589793116\n','mathematical-functions'),(215,'WEEKOFYEAR',27,'Syntax:\nWEEKOFYEAR(date)\n\nReturns the calendar week of the date as a number in the range from 1\nto 53. WEEKOFYEAR() is a compatibility function that is equivalent to\nWEEK(date,3).\n','mysql> SELECT WEEKOFYEAR(\'1998-02-20\');\n        -> 8\n','date-and-time-functions'),(216,'/',4,'Syntax:\n/\n\nDivision:\n','mysql> SELECT 3/5;\n        -> 0.60\n','arithmetic-functions'),(217,'MLINEFROMWKB',28,'MLineFromWKB(wkb[,srid]), MultiLineStringFromWKB(wkb[,srid])\n\nConstructs a MULTILINESTRING value using its WKB representation and\nSRID.\n','','gis-wkb-functions'),(218,'LOG2',4,'Syntax:\nLOG2(X)\n\nReturns the base-2 logarithm of X.\n','mysql> SELECT LOG2(65536);\n        -> 16.000000\nmysql> SELECT LOG2(-100);\n        -> NULL\n','mathematical-functions'),(219,'SUBTIME',27,'Syntax:\nSUBTIME(expr,expr2)\n\nSUBTIME() subtracts expr2 from expr and returns the result. expr is a\ntime or datetime expression, and expr2 is a time expression.\n','mysql> SELECT SUBTIME(\'1997-12-31 23:59:59.999999\',\'1 1:1:1.000002\');\n        -> \'1997-12-30 22:58:58.999997\'\nmysql> SELECT SUBTIME(\'01:00:00.999999\', \'02:00:00.999998\');\n        -> \'-00:59:59.999999\'\n','date-and-time-functions'),(220,'UNCOMPRESSED_LENGTH',10,'Syntax:\nUNCOMPRESSED_LENGTH(compressed_string)\n\nReturns the length that the compressed string had before being\ncompressed.\n','mysql> SELECT UNCOMPRESSED_LENGTH(COMPRESS(REPEAT(\'a\',30)));\n        -> 30\n','encryption-functions'),(221,'DROP TABLE',34,'Syntax:\nDROP [TEMPORARY] TABLE [IF EXISTS]\n    tbl_name [, tbl_name] ...\n    [RESTRICT | CASCADE]\n\nDROP TABLE removes one or more tables. You must have the DROP privilege\nfor each table. All table data and the table definition are removed, so\nbe careful with this statement!\n\nIn MySQL 3.22 or later, you can use the keywords IF EXISTS to prevent\nan error from occurring for tables that do not exist. As of MySQL 4.1,\na NOTE is generated for each non-existent table when using IF EXISTS.\nSee [show-warnings].\n\nRESTRICT and CASCADE are allowed to make porting easier. For the\nmoment, they do nothing.\n\nNote: DROP TABLE automatically commits the current active transaction,\nunless you are using MySQL 4.1 or higher and the TEMPORARY keyword.\n','','drop-table'),(222,'SHOW CREATE TABLE',24,'Syntax:\nSHOW CREATE TABLE tbl_name\n\nShows the CREATE TABLE statement that creates the given table. It was\nadded in MySQL 3.23.20.\nSHOW CREATE TABLE quotes table and column names according to the value\nof the SQL_QUOTE_SHOW_CREATE option. See [set-option].\n','mysql> SHOW CREATE TABLE t\\G\n*************************** 1. row ***************************\n       Table: t\nCreate Table: CREATE TABLE t (\n  id INT(11) default NULL auto_increment,\n  s char(60) default NULL,\n  PRIMARY KEY (id)\n) ENGINE=MyISAM\n','show-create-table'),(223,'DUAL',24,'From MySQL 4.1.0 on, you are allowed to specify DUAL as a dummy table\nname in situations where no tables are referenced:\n\nmysql> SELECT 1 + 1 FROM DUAL;\n        -> 2\n\nDUAL is purely for compatibility with some other database servers that\nrequire a FROM clause. MySQL does not require the clause if no tables\nare referenced.\n','','select'),(224,'INSTR',32,'Syntax:\nINSTR(str,substr)\n\nReturns the position of the first occurrence of substring substr in\nstring str. This is the same as the two-argument form of LOCATE(),\nexcept that the order of the arguments is reversed.\n','mysql> SELECT INSTR(\'foobarbar\', \'bar\');\n        -> 4\nmysql> SELECT INSTR(\'xbar\', \'foobar\');\n        -> 0\n','string-functions'),(225,'NOW',27,'Syntax:\nNOW()\n\nReturns the current date and time as a value in \'YYYY-MM-DD HH:MM:SS\'\nor YYYYMMDDHHMMSS format, depending on whether the function is used in\na string or numeric context.\n','mysql> SELECT NOW();\n        -> \'1997-12-15 23:50:26\'\nmysql> SELECT NOW() + 0;\n        -> 19971215235026\n','date-and-time-functions'),(226,'SHOW ENGINES',24,'Syntax:\nSHOW [STORAGE] ENGINES\n\nSHOW ENGINES displays status information about the the server\'s storage\nengines. This is particularly useful for checking whether a storage\nengine is supported, or to see what the default engine is. This\nstatement is implemented in MySQL 4.1.2. SHOW TABLE TYPES is a\ndeprecated synonym.\n','','show-engines'),(227,'>=',17,'Syntax:\n>=\n\nGreater than or equal:\n','mysql> SELECT 2 >= 2;\n        -> 1\n','comparison-operators'),(228,'EXP',4,'Syntax:\nEXP(X)\n\nReturns the value of e (the base of natural logarithms) raised to the\npower of X.\n','mysql> SELECT EXP(2);\n        -> 7.389056\nmysql> SELECT EXP(-2);\n        -> 0.135335\n','mathematical-functions'),(229,'SHA',10,'Syntax:\nSHA1(str), SHA(str)\n\nCalculates an SHA-1 160-bit checksum for the string, as described in\nRFC 3174 (Secure Hash Algorithm). The value is returned as a binary\nstring of 40 hex digits, or NULL if the argument was NULL. One of the\npossible uses for this function is as a hash key. You can also use it\nas a cryptographic function for storing passwords. SHA() is synonymous\nwith SHA1().\n','mysql> SELECT SHA1(\'abc\');\n        -> \'a9993e364706816aba3e25717850c26c9cd0d89d\'\n','encryption-functions'),(230,'LONGBLOB',20,'LONGBLOB\n\nA BLOB column with a maximum length of 4,294,967,295 or 4GB (232 - 1)\nbytes. Up to MySQL 3.23, the client/server protocol and MyISAM tables\nhad a limit of 16MB per communication packet or table row. From MySQL\n4.0, the maximum allowed length of LONGBLOB columns depends on the\nconfigured maximum packet size in the client/server protocol and\navailable memory.\n','','string-type-overview'),(231,'POINTN',11,'PointN(ls,N)\n\nReturns the N-th Point in the Linestring value ls. Points are numbered\nbeginning with 1.\n','mysql> SET @ls = \'LineString(1 1,2 2,3 3)\';\nmysql> SELECT AsText(PointN(GeomFromText(@ls),2));\n+-------------------------------------+\n| AsText(PointN(GeomFromText(@ls),2)) |\n+-------------------------------------+\n| POINT(2 2)                          |\n+-------------------------------------+\n','linestring-property-functions'),(232,'YEAR DATA TYPE',20,'YEAR[(2|4)]\n\nA year in two-digit or four-digit format. The default is four-digit\nformat. In four-digit format, the allowable values are 1901 to 2155,\nand 0000. In two-digit format, the allowable values are 70 to 69,\nrepresenting years from 1970 to 2069. MySQL displays YEAR values in\nYYYY format, but allows you to assign values to YEAR columns using\neither strings or numbers. The YEAR type is unavailable prior to MySQL\n3.22.\n','','date-and-time-type-overview'),(233,'SUM',14,'Syntax:\nSUM(expr)\n\nReturns the sum of expr. If the return set has no rows, SUM() returns\nNULL.\n\nSUM() returns NULL if there were no matching rows.\n','','group-by-functions'),(234,'OCT',32,'Syntax:\nOCT(N)\n\nReturns a string representation of the octal value of N, where N is a\nlonglong (BIGINT) number. This is equivalent to CONV(N,10,8). Returns\nNULL if N is NULL.\n','mysql> SELECT OCT(12);\n        -> \'14\'\n','string-functions'),(235,'SYSDATE',27,'Syntax:\nSYSDATE()\n\nReturns the current date and time as a value in \'YYYY-MM-DD HH:MM:SS\'\nor YYYYMMDDHHMMSS format, depending on whether the function is used in\na string or numeric context.\n','','date-and-time-functions'),(236,'ASBINARY',28,'AsBinary(g)\n\nConverts a value in internal geometry format to its WKB representation\nand returns the binary result.\n','SELECT AsBinary(g) FROM geom;\n','functions-to-convert-geometries-between-formats'),(237,'REPEAT FUNCTION',32,'Syntax:\nREPEAT(str,count)\n\nReturns a string consisting of the string str repeated count times. If\ncount is less than 1, returns an empty string. Returns NULL if str or\ncount are NULL.\n','mysql> SELECT REPEAT(\'MySQL\', 3);\n        -> \'MySQLMySQLMySQL\'\n','string-functions'),(238,'SHOW TABLES',24,'Syntax:\nSHOW TABLES [FROM db_name] [LIKE \'pattern\']\n\nSHOW TABLES lists the non-TEMPORARY tables in a given database. You can\nalso get this list using the mysqlshow db_name command.\n\nThe output from SHOW TABLES contains a single column of table names.\n','','show-tables'),(239,'MAKEDATE',27,'Syntax:\nMAKEDATE(year,dayofyear)\n\nReturns a date, given year and day-of-year values. dayofyear must be\ngreater than 0 or the result is NULL.\n','mysql> SELECT MAKEDATE(2001,31), MAKEDATE(2001,32);\n        -> \'2001-01-31\', \'2001-02-01\'\nmysql> SELECT MAKEDATE(2001,365), MAKEDATE(2004,365);\n        -> \'2001-12-31\', \'2004-12-30\'\nmysql> SELECT MAKEDATE(2001,0);\n        -> NULL\n','date-and-time-functions'),(240,'BINARY OPERATOR',32,'Syntax:\nBINARY\n\nThe BINARY operator casts the string following it to a binary string.\nThis is an easy way to force a column comparison to be done byte by\nbyte rather than character by character. This causes the comparison to\nbe case sensitive even if the column isn\'t defined as BINARY or BLOB.\nBINARY also causes trailing spaces to be significant.\n','mysql> SELECT \'a\' = \'A\';\n        -> 1\nmysql> SELECT BINARY \'a\' = \'A\';\n        -> 0\nmysql> SELECT \'a\' = \'a \';\n        -> 1\nmysql> SELECT BINARY \'a\' = \'a \';\n        -> 0\n','cast-functions'),(241,'MBROVERLAPS',5,'MBROverlaps(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangles of\nthe two geometries g1 and g2 overlap.\n','','relations-on-geometry-mbr'),(242,'SOUNDEX',32,'Syntax:\nSOUNDEX(str)\n\nReturns a soundex string from str. Two strings that sound almost the\nsame should have identical soundex strings. A standard soundex string\nis four characters long, but the SOUNDEX() function returns an\narbitrarily long string. You can use SUBSTRING() on the result to get a\nstandard soundex string. All non-alphabetic characters in str are\nignored. All international alphabetic characters outside the A-Z range\nare treated as vowels.\n','mysql> SELECT SOUNDEX(\'Hello\');\n        -> \'H400\'\nmysql> SELECT SOUNDEX(\'Quadratically\');\n        -> \'Q36324\'\n','string-functions'),(243,'SHOW MASTER LOGS',24,'Syntax:\nSHOW MASTER LOGS\nSHOW BINARY LOGS\n\nLists the binary log files on the server. This statement is used as\npart of the procedure described in [purge-master-logs], that shows how\nto determine which logs can be purged.\n\nmysql> SHOW BINARY LOGS;\n+---------------+-----------+\n| Log_name      | File_size |\n+---------------+-----------+\n| binlog.000015 |    724935 |\n| binlog.000016 |    733481 |\n+---------------+-----------+\n','','show-master-logs'),(244,'MBRTOUCHES',5,'MBRTouches(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangles of\nthe two geometries g1 and g2 touch.\n','','relations-on-geometry-mbr'),(245,'INSERT SELECT',24,'Syntax:\nINSERT [LOW_PRIORITY | HIGH_PRIORITY] [IGNORE]\n    [INTO] tbl_name [(col_name,...)]\n    SELECT ...\n    [ ON DUPLICATE KEY UPDATE col_name=expr, ... ]\n\nWith INSERT ... SELECT, you can quickly insert many rows into a table\nfrom one or many tables. For example:\n\nINSERT INTO tbl_temp2 (fld_id)\n  SELECT tbl_temp1.fld_order_id\n  FROM tbl_temp1 WHERE tbl_temp1.fld_order_id > 100;\n','','insert-select'),(246,'VARBINARY',20,'VARBINARY(M)\n\nThe VARBINARY type is similar to the VARCHAR type, but stores binary\nbyte strings rather than non-binary character strings.\n\nThis type was added in MySQL 4.1.2.\n','','string-type-overview'),(247,'LOAD INDEX',24,'Syntax:\nLOAD INDEX INTO CACHE\n  tbl_index_list [, tbl_index_list] ...\n\ntbl_index_list:\n  tbl_name\n    [[INDEX|KEY] (index_name[, index_name] ...)]\n    [IGNORE LEAVES]\n\nThe LOAD INDEX INTO CACHE statement preloads a table index into the key\ncache to which it has been assigned by an explicit CACHE INDEX\nstatement, or into the default key cache otherwise. LOAD INDEX INTO\nCACHE is used only for MyISAM tables.\n\nThe IGNORE LEAVES modifier causes only blocks for the non-leaf nodes of\nthe index to be preloaded.\n','','load-index'),(248,'UNION',24,'Syntax:\nSELECT ...\nUNION [ALL | DISTINCT] SELECT ...\n[UNION [ALL | DISTINCT] SELECT ...]\n\nUNION is used to combine the result from multiple SELECT statements\ninto a single result set. UNION is available from MySQL 4.0.0 on.\n\nThe column names from the first SELECT statement are used as the column\nnames for the results returned. Selected columns listed in\ncorresponding positions of each SELECT statement should have the same\ndata type. (For example, the first column selected by the first\nstatement should have the same type as the first column selected by the\nother statements.)\n','','union'),(249,'TO_DAYS',27,'Syntax:\nTO_DAYS(date)\n\nGiven a date date, returns a day number (the number of days since year\n0).\n','mysql> SELECT TO_DAYS(950501);\n        -> 728779\nmysql> SELECT TO_DAYS(\'1997-10-07\');\n        -> 729669\n','date-and-time-functions'),(250,'NOT REGEXP',32,'Syntax:\nexpr NOT REGEXP pat, expr NOT RLIKE pat\n\nThis is the same as NOT (expr REGEXP pat).\n','','string-comparison-functions'),(251,'SHOW INDEX',24,'Syntax:\nSHOW INDEX FROM tbl_name [FROM db_name]\n\nSHOW INDEX returns table index information. The format resembles that\nof the SQLStatistics call in ODBC.\nYou can use db_name.tbl_name as an alternative to the tbl_name FROM\ndb_name syntax. These two statements are equivalent:\n\nSHOW INDEX FROM mytable FROM mydb;\nSHOW INDEX FROM mydb.mytable;\n\nSHOW KEYS is a synonym for SHOW INDEX. You can also list a table\'s\nindexes with the mysqlshow -k db_name tbl_name command.\n','','show-index'),(252,'SHOW CREATE DATABASE',24,'Syntax:\nSHOW CREATE DATABASE db_name\n\nShows the CREATE DATABASE statement that creates the given database. It\nwas added in MySQL 4.1.\n','mysql> SHOW CREATE DATABASE test\\G\n*************************** 1. row ***************************\n       Database: test\nCreate Database: CREATE DATABASE `test`\n                 /*!40100 DEFAULT CHARACTER SET latin1 */\n','show-create-database'),(253,'NOT IN',17,'Syntax:\nexpr NOT IN (value,...)\n\nThis is the same as NOT (expr IN (value,...)).\n','','comparison-operators'),(254,'!',12,'Syntax:\nNOT, !\n\nLogical NOT. Evaluates to 1 if the operand is 0, to 0 if the operand is\nnon-zero, and NOT NULL returns NULL.\n','mysql> SELECT NOT 10;\n        -> 0\nmysql> SELECT NOT 0;\n        -> 1\nmysql> SELECT NOT NULL;\n        -> NULL\nmysql> SELECT ! (1+1);\n        -> 0\nmysql> SELECT ! 1+1;\n        -> 1\n','logical-operators'),(255,'DOUBLE',20,'DOUBLE[(M,D)] [UNSIGNED] [ZEROFILL]\n\nA normal-size (double-precision) floating-point number. Allowable\nvalues are -1.7976931348623157E+308 to -2.2250738585072014E-308, 0, and\n2.2250738585072014E-308 to 1.7976931348623157E+308. These are the\ntheoretical limits, based on the IEEE standard. The actual range might\nbe slightly smaller depending on your hardware or operating system.\n\nM is the total number of decimal digits and D is the number of digits\nfollowing the decimal point. If M and D are omitted, values are stored\nto the limits allowed by the hardware. A double-precision\nfloating-point number is accurate to approximately 15 decimal places.\n\nUNSIGNED, if specified, disallows negative values.\n','','numeric-type-overview'),(256,'TIME',20,'TIME\n\nA time. The range is \'-838:59:59\' to \'838:59:59\'. MySQL displays TIME\nvalues in \'HH:MM:SS\' format, but allows you to assign values to TIME\ncolumns using either strings or numbers.\n','','date-and-time-type-overview'),(257,'&&',12,'Syntax:\nAND, &&\n\nLogical AND. Evaluates to 1 if all operands are non-zero and not NULL,\nto 0 if one or more operands are 0, otherwise NULL is returned.\n','mysql> SELECT 1 && 1;\n        -> 1\nmysql> SELECT 1 && 0;\n        -> 0\nmysql> SELECT 1 && NULL;\n        -> NULL\nmysql> SELECT 0 && NULL;\n        -> 0\nmysql> SELECT NULL && 0;\n        -> 0\n','logical-operators'),(258,'X',9,'X(p)\n\nReturns the X-coordinate value for the point p as a double-precision\nnumber.\n','mysql> SET @pt = \'Point(56.7 53.34)\';\nmysql> SELECT X(GeomFromText(@pt));\n+----------------------+\n| X(GeomFromText(@pt)) |\n+----------------------+\n|                 56.7 |\n+----------------------+\n','point-property-functions'),(259,'FOUND_ROWS',15,'Syntax:\nFOUND_ROWS()\n\nA SELECT statement may include a LIMIT clause to restrict the number of\nrows the server returns to the client. In some cases, it is desirable\nto know how many rows the statement would have returned without the\nLIMIT, but without running the statement again. To obtain this row\ncount, include a SQL_CALC_FOUND_ROWS option in the SELECT statement,\nand then invoke FOUND_ROWS() afterward:\n','mysql> SELECT SQL_CALC_FOUND_ROWS * FROM tbl_name\n    -> WHERE id > 100 LIMIT 10;\nmysql> SELECT FOUND_ROWS();\n','information-functions'),(260,'SYSTEM_USER',15,'Syntax:\nSYSTEM_USER()\n\nSYSTEM_USER() is a synonym for USER().\n','','information-functions'),(261,'CROSSES',25,'Crosses(g1,g2)\n\nReturns 1 if g1 spatially crosses g2. Returns NULL if g1 is a Polygon\nor a MultiPolygon, or if g2 is a Point or a MultiPoint. Otherwise,\nreturns 0.\n\nThe term spatially crosses denotes a spatial relation between two given\ngeometries that has the following properties:\n\no The two geometries intersect\n\no Their intersection results in a geometry that has a dimension that is\n  one less than the maximum dimension of the two given geometries\n\no Their intersection is not equal to either of the two given geometries\n','','functions-that-test-spatial-relationships-between-geometries'),(262,'TRUNCATE TABLE',24,'Syntax:\nTRUNCATE [TABLE] tbl_name\n\nTRUNCATE TABLE empties a table completely. Logically, this is\nequivalent to a DELETE statement that deletes all rows, but there are\npractical differences under some circumstances.\n\nFor InnoDB, TRUNCATE TABLE is mapped to DELETE, so there is no\ndifference.\n\nFor other storage engines, TRUNCATE TABLE differs from DELETE in the\nfollowing ways from MySQL 4.0 onward:\n\no Truncate operations drop and re-create the table, which is much\n  faster than deleting rows one by one.\n\no Truncate operations are not transaction-safe; an error occurs when\n  attempting one in the course of an active transaction or active table\n  lock.\n\no The number of deleted rows is not returned.\n\no As long as the table format file tbl_name.frm is valid, the table can\n  be re-created as an empty table with TRUNCATE TABLE, even if the data\n  or index files have become corrupted.\n\no The table handler does not remember the last used AUTO_INCREMENT\n  value, but starts counting from the beginning. This is true even for\n  MyISAM and InnoDB, which normally do not reuse sequence values.\n\nIn MySQL 3.23, TRUNCATE TABLE is mapped to COMMIT; DELETE FROM\ntbl_name, so it behaves like DELETE. See [delete].\n\nTRUNCATE TABLE is an Oracle SQL extension. This statement was added in\nMySQL 3.23.28, although from 3.23.28 to 3.23.32, the keyword TABLE must\nbe omitted.\n','','truncate'),(263,'CURRENT_DATE',27,'Syntax:\nCURRENT_DATE, CURRENT_DATE()\n\nCURRENT_DATE and CURRENT_DATE() are synonyms for CURDATE().\n','','date-and-time-functions'),(264,'BIT_XOR',14,'Syntax:\nBIT_XOR(expr)\n\nReturns the bitwise XOR of all bits in expr. The calculation is\nperformed with 64-bit (BIGINT) precision.\n','','group-by-functions'),(265,'AREA',2,'Area(poly)\n\nReturns as a double-precision number the area of the Polygon value\npoly, as measured in its spatial reference system.\n','mysql> SET @poly = \'Polygon((0 0,0 3,3 0,0 0),(1 1,1 2,2 1,1 1))\';\nmysql> SELECT Area(GeomFromText(@poly));\n+---------------------------+\n| Area(GeomFromText(@poly)) |\n+---------------------------+\n|                         4 |\n+---------------------------+\n','polygon-property-functions'),(266,'START SLAVE',24,'Syntax:\nSTART SLAVE [thread_type [, thread_type] ... ]\nSTART SLAVE [SQL_THREAD] UNTIL\n    MASTER_LOG_FILE = \'log_name\', MASTER_LOG_POS = log_pos\nSTART SLAVE [SQL_THREAD] UNTIL\n    RELAY_LOG_FILE = \'log_name\', RELAY_LOG_POS = log_pos\n\nthread_type: IO_THREAD | SQL_THREAD\n\nSTART SLAVE with no thread_type options starts both of the slave\nthreads. The I/O thread reads queries from the master server and stores\nthem in the relay log. The SQL thread reads the relay log and executes\nthe queries. START SLAVE requires the SUPER privilege.\n\nIf START SLAVE succeeds in starting the slave threads, it returns\nwithout any error. However, even in that case, it might be that the\nslave threads start and then later stop (for example, because they do\nnot manage to connect to the master or read its binary logs, or some\nother problem). START SLAVE does not warn you about this. You must\ncheck the slave\'s error log for error messages generated by the slave\nthreads, or check that they are running satisfactorily with SHOW SLAVE\nSTATUS.\n','','start-slave'),(267,'FLUSH',24,'Syntax:\nFLUSH [LOCAL | NO_WRITE_TO_BINLOG] flush_option [, flush_option] ...\n\nThe FLUSH statement clears or reloads various internal caches used by\nMySQL. To execute FLUSH, you must have the RELOAD privilege.\n\nThe RESET statement is similar to FLUSH. See [reset].\n','','flush'),(268,'SHOW WARNINGS',24,'Syntax:\nSHOW WARNINGS [LIMIT [offset,] row_count]\nSHOW COUNT(*) WARNINGS\n\nSHOW WARNINGS shows the error, warning, and note messages that resulted\nfrom the last statement that generated messages, or nothing if the last\nstatement that used a table generated no messages. This statement is\nimplemented as of MySQL 4.1.0. A related statement, SHOW ERRORS, shows\nonly the errors. See [show-errors].\n\nThe list of messages is reset for each new statement that uses a table.\n\nThe SHOW COUNT(*) WARNINGS statement displays the total number of\nerrors, warnings, and notes. You can also retrieve this number from the\nwarning_count variable:\n\nSHOW COUNT(*) WARNINGS;\nSELECT @@warning_count;\n\nThe value of warning_count might be greater than the number of messages\ndisplayed by SHOW WARNINGS if the max_error_count system variable is\nset so low that not all messages are stored. An example shown later in\nthis section demonstrates how this can happen.\n\nThe LIMIT clause has the same syntax as for the SELECT statement. See\n[select].\n','','show-warnings'),(269,'DESCRIBE',23,'Syntax:\n{DESCRIBE | DESC} tbl_name [col_name | wild]\n\nDESCRIBE provides information about the columns in a table. It is a\nshortcut for SHOW COLUMNS FROM. (See [show-columns].)\n','','describe'),(270,'DROP USER',8,'Syntax:\nDROP USER user [, user] ...\n\nThe DROP USER statement removes one or more MySQL accounts. To use it,\nyou must have the DELETE privilege for the mysql database. Each account\nis named using the same format as for the GRANT statement; for example,\n\'jeffrey\'@\'localhost\'. The user and host parts of the account name\ncorrespond to the User and Host column values of the user table row for\nthe account.\n','','drop-user'),(271,'SHOW CHARACTER SET',24,'Syntax:\nSHOW CHARACTER SET [LIKE \'pattern\']\n\nThe SHOW CHARACTER SET statement shows all available character sets. It\ntakes an optional LIKE clause that indicates which character set names\nto match. For example:\n\nmysql> SHOW CHARACTER SET LIKE \'latin%\';\n+---------+-----------------------------+-------------------+--------+\n| Charset | Description                 | Default collation | Maxlen |\n+---------+-----------------------------+-------------------+--------+\n| latin1  | cp1252 West European        | latin1_swedish_ci |      1 |\n| latin2  | ISO 8859-2 Central European | latin2_general_ci |      1 |\n| latin5  | ISO 8859-9 Turkish          | latin5_turkish_ci |      1 |\n| latin7  | ISO 8859-13 Baltic          | latin7_general_ci |      1 |\n+---------+-----------------------------+-------------------+--------+\n\nThe Maxlen column shows the maximum number of bytes required to store\none character.\n','','show-character-set'),(272,'SUBSTRING',32,'Syntax:\nSUBSTRING(str,pos), SUBSTRING(str FROM pos), SUBSTRING(str,pos,len),\nSUBSTRING(str FROM pos FOR len)\n\nThe forms without a len argument return a substring from string str\nstarting at position pos. The forms with a len argument return a\nsubstring len characters long from string str, starting at position\npos. The forms that use FROM are standard SQL syntax. Beginning with\nMySQL 4.1.0, it is possible to use a negative value for pos. In this\ncase, the beginning of the substring is pos characters from the end of\nthe string, rather than the beginning. A negative value may be used for\npos in any of the forms of this function.\n','mysql> SELECT SUBSTRING(\'Quadratically\',5);\n        -> \'ratically\'\nmysql> SELECT SUBSTRING(\'foobarbar\' FROM 4);\n        -> \'barbar\'\nmysql> SELECT SUBSTRING(\'Quadratically\',5,6);\n        -> \'ratica\'        \nmysql> SELECT SUBSTRING(\'Sakila\', -3);\n        -> \'ila\'        \nmysql> SELECT SUBSTRING(\'Sakila\', -5, 3);\n        -> \'aki\'\nmysql> SELECT SUBSTRING(\'Sakila\' FROM -4 FOR 2);\n        -> \'ki\'\n','string-functions'),(273,'ISEMPTY',31,'IsEmpty(g)\n\nReturns 1 if the geometry value g is the empty geometry, 0 if it is not\nempty, and -1 if the argument is NULL. If the geometry is empty, it\nrepresents the empty point set.\n','','general-geometry-property-functions'),(274,'LTRIM',32,'Syntax:\nLTRIM(str)\n\nReturns the string str with leading space characters removed.\n','mysql> SELECT LTRIM(\'  barbar\');\n        -> \'barbar\'\n','string-functions'),(275,'INTERSECTS',25,'Intersects(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 spatially intersects g2.\n','','functions-that-test-spatial-relationships-between-geometries'),(276,'MBRDISJOINT',5,'MBRDisjoint(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangles of\nthe two geometries g1 and g2 are disjoint (do not intersect).\n','','relations-on-geometry-mbr'),(277,'VALUES',13,'Syntax:\nVALUES(col_name)\n\nIn an INSERT ... ON DUPLICATE KEY UPDATE statement, you can use the\nVALUES(col_name) function in the UPDATE clause to refer to column\nvalues from the INSERT portion of the statement. In other words,\nVALUES(col_name) in the UPDATE clause refers to the value of col_name\nthat would be inserted, had no duplicate-key conflict occurred. This\nfunction is especially useful in multiple-row inserts. The VALUES()\nfunction is meaningful only in INSERT ... ON DUPLICATE KEY UPDATE\nstatements and returns NULL otherwise. [insert-on-duplicate].\n','mysql> INSERT INTO table (a,b,c) VALUES (1,2,3),(4,5,6)\n    -> ON DUPLICATE KEY UPDATE c=VALUES(a)+VALUES(b);\n','miscellaneous-functions'),(278,'SUBSTRING_INDEX',32,'Syntax:\nSUBSTRING_INDEX(str,delim,count)\n\nReturns the substring from string str before count occurrences of the\ndelimiter delim. If count is positive, everything to the left of the\nfinal delimiter (counting from the left) is returned. If count is\nnegative, everything to the right of the final delimiter (counting from\nthe right) is returned. SUBSTRING_INDEX() performs a case-sensitive\nmatch when searching for delim.\n','mysql> SELECT SUBSTRING_INDEX(\'www.mysql.com\', \'.\', 2);\n        -> \'www.mysql\'\nmysql> SELECT SUBSTRING_INDEX(\'www.mysql.com\', \'.\', -2);\n        -> \'mysql.com\'\n','string-functions'),(279,'ENCODE',10,'Syntax:\nENCODE(str,pass_str)\n\nEncrypt str using pass_str as the password. To decrypt the result, use\nDECODE().\n\nThe result is a binary string of the same length as str.\n','','encryption-functions'),(280,'TRUNCATE',4,'Syntax:\nTRUNCATE(X,D)\n\nReturns the number X, truncated to D decimal places. If D is 0, the\nresult has no decimal point or fractional part. D can be negative to\ncause D digits left of the decimal point of the value X to become zero.\n','mysql> SELECT TRUNCATE(1.223,1);\n        -> 1.2\nmysql> SELECT TRUNCATE(1.999,1);\n        -> 1.9\nmysql> SELECT TRUNCATE(1.999,0);\n        -> 1\nmysql> SELECT TRUNCATE(-1.999,1);\n        -> -1.9\nmysql> SELECT TRUNCATE(122,-2);\n       -> 100\nmysql> SELECT TRUNCATE(10.28*100,0);\n       -> 1027\n','mathematical-functions'),(281,'SHOW',24,'SHOW has many forms that provide information about databases, tables,\ncolumns, or status information about the server. This section describes\nthose following:\n\nSHOW [FULL] COLUMNS FROM tbl_name [FROM db_name] [LIKE \'pattern\']\nSHOW CREATE DATABASE db_name\nSHOW CREATE TABLE tbl_name\nSHOW DATABASES [LIKE \'pattern\']\nSHOW ENGINE engine_name {LOGS | STATUS }\nSHOW [STORAGE] ENGINES\nSHOW ERRORS [LIMIT [offset,] row_count]\nSHOW GRANTS FOR user\nSHOW INDEX FROM tbl_name [FROM db_name]\nSHOW INNODB STATUS\nSHOW [BDB] LOGS\nSHOW PRIVILEGES\nSHOW [FULL] PROCESSLIST\nSHOW [GLOBAL | SESSION] STATUS [LIKE \'pattern\']\nSHOW TABLE STATUS [FROM db_name] [LIKE \'pattern\']\nSHOW [OPEN] TABLES [FROM db_name] [LIKE \'pattern\']\nSHOW [GLOBAL | SESSION] VARIABLES [LIKE \'pattern\']\nSHOW WARNINGS [LIMIT [offset,] row_count]\n\nThe SHOW statement also has forms that provide information about\nreplication master and slave servers and are described in\n[replication-sql]:\n\nSHOW BINLOG EVENTS\nSHOW MASTER LOGS\nSHOW MASTER STATUS\nSHOW SLAVE HOSTS\nSHOW SLAVE STATUS\n\nIf the syntax for a given SHOW statement includes a LIKE \'pattern\'\npart, \'pattern\' is a string that can contain the SQL `%\' and `_\'\nwildcard characters. The pattern is useful for restricting statement\noutput to matching values.\n','','show'),(282,'GREATEST',17,'Syntax:\nGREATEST(value1,value2,...)\n\nWith two or more arguments, returns the largest (maximum-valued)\nargument. The arguments are compared using the same rules as for\nLEAST().\n','mysql> SELECT GREATEST(2,0);\n        -> 2\nmysql> SELECT GREATEST(34.0,3.0,5.0,767.0);\n        -> 767.0\nmysql> SELECT GREATEST(\'B\',\'A\',\'C\');\n        -> \'C\'\n','comparison-operators'),(283,'OCTETLENGTH',32,'Syntax:\nOCTET_LENGTH(str)\n\nOCTET_LENGTH() is a synonym for LENGTH().\n','','string-functions'),(284,'SHOW VARIABLES',24,'Syntax:\nSHOW [GLOBAL | SESSION] VARIABLES [LIKE \'pattern\']\n\nSHOW VARIABLES shows the values of MySQL system variables. This\ninformation also can be obtained using the mysqladmin variables\ncommand.\n\nThe GLOBAL and SESSION modifiers are new in MySQL 4.0.3. With the\nGLOBAL modifier, SHOW VARIABLES displays the values that are used for\nnew connections to MySQL. With SESSION, it displays the values that are\nin effect for the current connection. If no modifier is present, the\ndefault is SESSION. LOCAL is a synonym for SESSION.\nWith a LIKE clause, the statement displays only rows for those\nvariables with names that match the pattern. To obtain the row for a\nspecific variable, use a LIKE clause as shown:\n\nSHOW VARIABLES LIKE \'max_join_size\';\nSHOW SESSION VARIABLES LIKE \'max_join_size\';\n\nTo get a list of variables whose name match a pattern, use the `%\'\nwildcard character in a LIKE clause:\n\nSHOW VARIABLES LIKE \'%size%\';\nSHOW GLOBAL VARIABLES LIKE \'%size%\';\n\nWildcard characters can be used in any position within the pattern to\nbe matched. Strictly speaking, because `_\' is a wildcard that matches\nany single character, you should escape it as `\\_\' to match it\nliterally. In practice, this is rarely necessary.\n','','show-variables'),(285,'SECOND',27,'Syntax:\nSECOND(time)\n\nReturns the second for time, in the range 0 to 59.\n','mysql> SELECT SECOND(\'10:05:03\');\n        -> 3\n','date-and-time-functions'),(286,'BIT_AND',14,'Syntax:\nBIT_AND(expr)\n\nReturns the bitwise AND of all bits in expr. The calculation is\nperformed with 64-bit (BIGINT) precision.\n','','group-by-functions'),(287,'ATAN2',4,'Syntax:\nATAN(Y,X), ATAN2(Y,X)\n\nReturns the arc tangent of the two variables X and Y. It is similar to\ncalculating the arc tangent of Y / X, except that the signs of both\narguments are used to determine the quadrant of the result.\n','mysql> SELECT ATAN(-2,2);\n        -> -0.785398\nmysql> SELECT ATAN2(PI(),0);\n        -> 1.570796\n','mathematical-functions'),(288,'MBRCONTAINS',5,'MBRContains(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangle of g1\ncontains the Minimum Bounding Rectangle of g2.\n','mysql> SET @g1 = GeomFromText(\'Polygon((0 0,0 3,3 3,3 0,0 0))\');\nmysql> SET @g2 = GeomFromText(\'Point(1 1)\');\nmysql> SELECT MBRContains(@g1,@g2), MBRContains(@g2,@g1);\n----------------------+----------------------+\n| MBRContains(@g1,@g2) | MBRContains(@g2,@g1) |\n+----------------------+----------------------+\n|                    1 |                    0 |\n+----------------------+----------------------+\n','relations-on-geometry-mbr'),(289,'HOUR',27,'Syntax:\nHOUR(time)\n\nReturns the hour for time. The range of the return value is 0 to 23 for\ntime-of-day values. However, the range of TIME values actually is much\nlarger, so HOUR can return values greater than 23.\n','mysql> SELECT HOUR(\'10:05:03\');\n        -> 10\nmysql> SELECT HOUR(\'272:59:59\');\n        -> 272\n','date-and-time-functions'),(290,'SELECT',24,'Syntax:\nSELECT\n    [ALL | DISTINCT | DISTINCTROW ]\n      [HIGH_PRIORITY]\n      [STRAIGHT_JOIN]\n      [SQL_SMALL_RESULT] [SQL_BIG_RESULT] [SQL_BUFFER_RESULT]\n      [SQL_CACHE | SQL_NO_CACHE] [SQL_CALC_FOUND_ROWS]\n    select_expr, ...\n    [FROM table_references\n    [WHERE where_condition]\n    [GROUP BY {col_name | expr | position}\n      [ASC | DESC], ... [WITH ROLLUP]]\n    [HAVING where_condition]\n    [ORDER BY {col_name | expr | position}\n      [ASC | DESC], ...]\n    [LIMIT {[offset,] row_count | row_count OFFSET offset}]\n    [PROCEDURE procedure_name(argument_list)]\n    [INTO OUTFILE \'file_name\' export_options\n      | INTO DUMPFILE \'file_name\']\n    [FOR UPDATE | LOCK IN SHARE MODE]]\n\nSELECT is used to retrieve rows selected from one or more tables.\nSupport for UNION statements and subqueries is available as of MySQL\n4.0 and 4.1, respectively. See [union], and [subqueries].\n\nThe most commonly used clauses of SELECT statements are these:\n\no Each select_expr indicates a column that you want to retrieve. There\n  must be at least one select_expr.\n\no table_references indicates the table or tables from which to retrieve\n  rows. Its syntax is described in [join].\n\no The WHERE clause, if given, indicates the condition or conditions\n  that rows must satisfy to be selected. where_condition is an\n  expression that evaluates to true for each row to be selected. The\n  statement selects all rows if there is no WHERE clause.\n\n  In the WHERE clause, you can use any of the functions and operators\n  that MySQL supports, except for aggregate (summary) functions. See\n  [functions].\n\nSELECT can also be used to retrieve rows computed without reference to\nany table.\n','','select'),(291,'COT',4,'Syntax:\nCOT(X)\n\nReturns the cotangent of X.\n','mysql> SELECT COT(12);\n        -> -1.57267341\nmysql> SELECT COT(0);\n        -> NULL\n','mathematical-functions'),(292,'BACKUP TABLE',19,'Syntax:\nBACKUP TABLE tbl_name [, tbl_name] ... TO \'/path/to/backup/directory\'\n\nNote: This statement is deprecated. We are working on a better\nreplacement for it that will provide online backup capabilities. In the\nmeantime, the mysqlhotcopy script can be used instead.\n\nBACKUP TABLE copies to the backup directory the minimum number of table\nfiles needed to restore the table, after flushing any buffered changes\nto disk. The statement works only for MyISAM tables. It copies the .frm\ndefinition and .MYD data files. The .MYI index file can be rebuilt from\nthose two files. The directory should be specified as a full pathname.\nTo restore the table, use RESTORE TABLE.\n','','backup-table'),(293,'LOAD_FILE',32,'Syntax:\nLOAD_FILE(file_name)\n\nReads the file and returns the file contents as a string. To use this\nfunction, the file must be located on the server host, you must specify\nthe full pathname to the file, and you must have the FILE privilege.\nThe file must be readable by all and its size less than\nmax_allowed_packet bytes.\n\nIf the file does not exist or cannot be read because one of the\npreceding conditions is not satisfied, the function returns NULL.\n','mysql> UPDATE t\n            SET blob_col=LOAD_FILE(\'/tmp/picture\')\n            WHERE id=1;\n','string-functions'),(294,'POINTFROMTEXT',3,'PointFromText(wkt[,srid])\n\nConstructs a POINT value using its WKT representation and SRID.\n','','gis-wkt-functions'),(295,'LOAD TABLE FROM MASTER',24,'Syntax:\nLOAD TABLE tbl_name FROM MASTER\n\nTransfers a copy of the table from the master to the slave. This\nstatement is implemented mainly debugging LOAD DATA FROM MASTER\noperations. To use LOAD TABLE, the account used for connecting to the\nmaster server must have the RELOAD and SUPER privileges on the master\nand the SELECT privilege for the master table to load. On the slave\nside, the user that issues LOAD TABLE FROM MASTER must have privileges\nfor dropping and creating the table.\n\nThe conditions for LOAD DATA FROM MASTER apply here as well. For\nexample, LOAD TABLE FROM MASTER works only for MyISAM tables. The\ntimeout notes for LOAD DATA FROM MASTER apply as well.\n','','load-table-from-master'),(296,'GROUP_CONCAT',14,'Syntax:\nGROUP_CONCAT(expr)\n\nThis function returns a string result with the concatenated non-NULL\nvalues from a group. It returns NULL if there are no non-NULL values.\nThe full syntax is as follows:\n\nGROUP_CONCAT([DISTINCT] expr [,expr ...]\n             [ORDER BY {unsigned_integer | col_name | expr}\n                 [ASC | DESC] [,col_name ...]]\n             [SEPARATOR str_val])\n','mysql> SELECT student_name,\n    ->     GROUP_CONCAT(test_score)\n    ->     FROM student\n    ->     GROUP BY student_name;\n','group-by-functions'),(297,'DATE_FORMAT',27,'Syntax:\nDATE_FORMAT(date,format)\n\nFormats the date value according to the format string.\n','mysql> SELECT DATE_FORMAT(\'1997-10-04 22:23:00\', \'%W %M %Y\');\n        -> \'Saturday October 1997\'\nmysql> SELECT DATE_FORMAT(\'1997-10-04 22:23:00\', \'%H:%i:%s\');\n        -> \'22:23:00\'\nmysql> SELECT DATE_FORMAT(\'1997-10-04 22:23:00\',\n                          \'%D %y %a %d %m %b %j\');\n        -> \'4th 97 Sat 04 10 Oct 277\'\nmysql> SELECT DATE_FORMAT(\'1997-10-04 22:23:00\',\n                          \'%H %k %I %r %T %S %w\');\n        -> \'22 22 10 10:23:00 PM 22:23:00 00 6\'\nmysql> SELECT DATE_FORMAT(\'1999-01-01\', \'%X %V\');\n        -> \'1998 52\'\nmysql> SELECT DATE_FORMAT(\'2006-06-00\', \'%d\');\n        -> \'00\'\n','date-and-time-functions'),(298,'BENCHMARK',15,'Syntax:\nBENCHMARK(count,expr)\n\nThe BENCHMARK() function executes the expression expr repeatedly count\ntimes. It may be used to time how quickly MySQL processes the\nexpression. The result value is always 0. The intended use is from\nwithin the mysql client, which reports query execution times:\n','mysql> SELECT BENCHMARK(1000000,ENCODE(\'hello\',\'goodbye\'));\n+----------------------------------------------+\n| BENCHMARK(1000000,ENCODE(\'hello\',\'goodbye\')) |\n+----------------------------------------------+\n|                                            0 |\n+----------------------------------------------+\n1 row in set (4.74 sec)\n','information-functions'),(299,'YEAR',27,'Syntax:\nYEAR(date)\n\nReturns the year for date, in the range 1000 to 9999, or 0 for the\n\"zero\" date.\n','mysql> SELECT YEAR(\'98-02-03\');\n        -> 1998\n','date-and-time-functions'),(300,'SHOW ENGINE',24,'Syntax:\nSHOW ENGINE engine_name {LOGS | STATUS }\n\nSHOW ENGINE displays log or status information about a storage engine.\nThe following statements currently are supported:\n\nSHOW ENGINE BDB LOGS\nSHOW ENGINE INNODB STATUS\n','','show-engine'),(301,'RELEASE_LOCK',13,'Syntax:\nRELEASE_LOCK(str)\n\nReleases the lock named by the string str that was obtained with\nGET_LOCK(). Returns 1 if the lock was released, 0 if the lock was not\nestablished by this thread (in which case the lock is not released),\nand NULL if the named lock did not exist. The lock does not exist if it\nwas never obtained by a call to GET_LOCK() or if it has previously been\nreleased.\n\nThe DO statement is convenient to use with RELEASE_LOCK(). See [do].\n','','miscellaneous-functions'),(302,'IS NULL',17,'Syntax:\nIS NULL, IS NOT NULL\n\nTests whether a value is or is not NULL.\n','mysql> SELECT 1 IS NULL, 0 IS NULL, NULL IS NULL;\n        -> 0, 0, 1\nmysql> SELECT 1 IS NOT NULL, 0 IS NOT NULL, NULL IS NOT NULL;\n        -> 1, 1, 0\n','comparison-operators'),(303,'CONVERT_TZ',27,'Syntax:\nCONVERT_TZ(dt,from_tz,to_tz)\n\nCONVERT_TZ() converts a datetime value dt from the time zone given by\nfrom_tz to the time zone given by to_tz and returns the resulting\nvalue. Time zones are specified as described in [time-zone-support].\nThis function returns NULL if the arguments are invalid.\n','mysql> SELECT CONVERT_TZ(\'2004-01-01 12:00:00\',\'GMT\',\'MET\');\n        -> \'2004-01-01 13:00:00\'\nmysql> SELECT CONVERT_TZ(\'2004-01-01 12:00:00\',\'+00:00\',\'+10:00\');\n        -> \'2004-01-01 22:00:00\'\n','date-and-time-functions'),(304,'TIME_TO_SEC',27,'Syntax:\nTIME_TO_SEC(time)\n\nReturns the time argument, converted to seconds.\n','mysql> SELECT TIME_TO_SEC(\'22:23:00\');\n        -> 80580\nmysql> SELECT TIME_TO_SEC(\'00:39:38\');\n        -> 2378\n','date-and-time-functions'),(305,'WEEKDAY',27,'Syntax:\nWEEKDAY(date)\n\nReturns the weekday index for date (0 = Monday, 1 = Tuesday, ... 6 =\nSunday).\n','mysql> SELECT WEEKDAY(\'1998-02-03 22:23:00\');\n        -> 1\nmysql> SELECT WEEKDAY(\'1997-11-05\');\n        -> 2\n','date-and-time-functions'),(306,'EXPORT_SET',32,'Syntax:\nEXPORT_SET(bits,on,off[,separator[,number_of_bits]])\n\nReturns a string such that for every bit set in the value bits, you get\nan on string and for every reset bit, you get an off string. Bits in\nbits are examined from right to left (from low-order to high-order\nbits). Strings are added to the result from left to right, separated by\nthe separator string (the default being the comma character `,\'). The\nnumber of bits examined is given by number_of_bits (defaults to 64).\n','mysql> SELECT EXPORT_SET(5,\'Y\',\'N\',\',\',4);\n        -> \'Y,N,Y,N\'\nmysql> SELECT EXPORT_SET(6,\'1\',\'0\',\',\',10);\n        -> \'0,1,1,0,0,0,0,0,0,0\'\n','string-functions'),(307,'TIME FUNCTION',27,'Syntax:\nTIME(expr)\n\nExtracts the time part of the time or datetime expression expr and\nreturns it as a string.\n','mysql> SELECT TIME(\'2003-12-31 01:02:03\');\n        -> \'01:02:03\'\nmysql> SELECT TIME(\'2003-12-31 01:02:03.000123\');\n        -> \'01:02:03.000123\'\n','date-and-time-functions'),(308,'CAST',32,'Syntax:\nCAST(expr AS type), CONVERT(expr,type), CONVERT(expr USING\ntranscoding_name)\n\nThe CAST() and CONVERT() functions take a value of one type and produce\na value of another type.\n\nThe type can be one of the following values:\n\no BINARY (and BINARY[N] as of MySQL 4.1.1)\n\no CHAR (and CHAR[N] as of MySQL 4.1.1)\n\no DATE\n\no DATETIME\n\no SIGNED [INTEGER]\n\no TIME\n\no UNSIGNED [INTEGER]\n\nBINARY produces a string with the BINARY data type. See\n[binary-varbinary] for a description of how this affects comparisons.\nIf the optional length N is given, BINARY(N) causes the cast to use no\nmore than N bytes of the argument. Similarly, CHAR[N] causes the cast\nto use no more than N characters of the argument.\n\nCAST() and CONVERT() are available as of MySQL 4.0.2. The CHAR\nconversion type is available as of 4.0.6. The USING form of CONVERT()\nis available as of 4.1.0.\n\nCAST() and CONVERT(... USING ...) are standard SQL syntax. The\nnon-USING form of CONVERT() is ODBC syntax.\n\nCONVERT() with USING is used to convert data between different\ncharacter sets. In MySQL, transcoding names are the same as the\ncorresponding character set names. For example, this statement converts\nthe string \'abc\' in the default character set to the corresponding\nstring in the utf8 character set:\n\nSELECT CONVERT(\'abc\' USING utf8);\n','SELECT enum_col FROM tbl_name ORDER BY CAST(enum_col AS CHAR);\n','cast-functions'),(309,'SOUNDS LIKE',32,'Syntax:\nexpr1 SOUNDS LIKE expr2\n\nThis is the same as SOUNDEX(expr1) = SOUNDEX(expr2). It is available\nbeginning with MySQL 4.1.0.\n','','string-functions'),(310,'PERIOD_DIFF',27,'Syntax:\nPERIOD_DIFF(P1,P2)\n\nReturns the number of months between periods P1 and P2. P1 and P2\nshould be in the format YYMM or YYYYMM. Note that the period arguments\nP1 and P2 are not date values.\n','mysql> SELECT PERIOD_DIFF(9802,199703);\n        -> 11\n','date-and-time-functions'),(311,'LIKE',32,'Syntax:\nexpr LIKE pat [ESCAPE \'escape_char\']\n\nPattern matching using SQL simple regular expression comparison.\nReturns 1 (TRUE) or 0 (FALSE). If either expr or pat is NULL, the\nresult is NULL.\n\nThe pattern need not be a literal string. For example, it can be\nspecified as a string expression or table column.\n','mysql> SELECT \'David!\' LIKE \'David_\';\n        -> 1\nmysql> SELECT \'David!\' LIKE \'%D%v%\';\n        -> 1\n','string-comparison-functions'),(312,'MULTIPOINT',21,'MultiPoint(pt1,pt2,...)\n\nConstructs a WKB MultiPoint value using WKB Point arguments. If any\nargument is not a WKB Point, the return value is NULL.\n','','gis-mysql-specific-functions'),(313,'>>',18,'Syntax:\n>>\n\nShifts a longlong (BIGINT) number to the right.\n','mysql> SELECT 4 >> 2;\n        -> 1\n','bit-functions'),(314,'TRUE FALSE',26,'Beginning with MySQL 4.1, The constants TRUE and FALSE evaluate to 1\nand 0, respectively. The constant names can be written in any\nlettercase.\n\nmysql> SELECT TRUE, true, FALSE, false;\n        -> 1, 1, 0, 0\n','','boolean-values'),(315,'AVG',14,'Syntax:\nReturns the average value of expr.\n\nAVG() returns NULL if there were no matching rows.\n','mysql> SELECT student_name, AVG(test_score)\n    ->        FROM student\n    ->        GROUP BY student_name;\n','group-by-functions'),(316,'MBRWITHIN',5,'MBRWithin(g1,g2)\n\nReturns 1 or 0 to indicate whether the Minimum Bounding Rectangle of g1\nis within the Minimum Bounding Rectangle of g2.\n','mysql> SET @g1 = GeomFromText(\'Polygon((0 0,0 3,3 3,3 0,0 0))\');\nmysql> SET @g2 = GeomFromText(\'Polygon((0 0,0 5,5 5,5 0,0 0))\');\nmysql> SELECT MBRWithin(@g1,@g2), MBRWithin(@g2,@g1);\n+--------------------+--------------------+\n| MBRWithin(@g1,@g2) | MBRWithin(@g2,@g1) |\n+--------------------+--------------------+\n|                  1 |                  0 |\n+--------------------+--------------------+\n','relations-on-geometry-mbr'),(317,'IN',17,'Syntax:\nexpr IN (value,...)\n\nReturns 1 if expr is equal to any of the values in the IN list, else\nreturns 0. If all values are constants, they are evaluated according to\nthe type of expr and sorted. The search for the item then is done using\na binary search. This means IN is very quick if the IN value list\nconsists entirely of constants. Otherwise, type conversion takes place\naccording to the rules described in [type-conversion], but applied to\nall the arguments.\n','mysql> SELECT 2 IN (0,3,5,\'wefwf\');\n        -> 0\nmysql> SELECT \'wefwf\' IN (0,3,5,\'wefwf\');\n        -> 1\n','comparison-operators'),(318,'QUOTE',32,'Syntax:\nQUOTE(str)\n\nQuotes a string to produce a result that can be used as a properly\nescaped data value in an SQL statement. The string is returned enclosed\nby single quotes and with each instance of single quote (`\'\'),\nbackslash (`\\\'), ASCII NUL, and Control-Z preceded by a backslash. If\nthe argument is NULL, the return value is the word \"NULL\" without\nenclosing single quotes. The QUOTE() function was added in MySQL 4.0.3.\n','mysql> SELECT QUOTE(\'Don\\\'t!\');\n        -> \'Don\\\'t!\'\nmysql> SELECT QUOTE(NULL);\n        -> NULL\n','string-functions'),(319,'SESSION_USER',15,'Syntax:\nSESSION_USER()\n\nSESSION_USER() is a synonym for USER().\n','','information-functions'),(320,'QUARTER',27,'Syntax:\nQUARTER(date)\n\nReturns the quarter of the year for date, in the range 1 to 4.\n','mysql> SELECT QUARTER(\'98-04-01\');\n        -> 2\n','date-and-time-functions'),(321,'POSITION',32,'Syntax:\nPOSITION(substr IN str)\n\nPOSITION(substr IN str) is a synonym for LOCATE(substr,str).\n','','string-functions'),(322,'IS_USED_LOCK',13,'Syntax:\nIS_USED_LOCK(str)\n\nChecks whether the lock named str is in use (that is, locked). If so,\nit returns the connection identifier of the client that holds the lock.\nOtherwise, it returns NULL.\n','','miscellaneous-functions'),(323,'POLYFROMTEXT',3,'PolyFromText(wkt[,srid]), PolygonFromText(wkt[,srid])\n\nConstructs a POLYGON value using its WKT representation and SRID.\n','','gis-wkt-functions'),(324,'DES_ENCRYPT',10,'Syntax:\nDES_ENCRYPT(str[,{key_num|key_str}])\n\nEncrypts the string with the given key using the Triple-DES algorithm.\n','key_num des_key_str\n','encryption-functions'),(325,'LENGTH',32,'Syntax:\nLENGTH(str)\n\nReturns the length of the string str, measured in bytes. A multi-byte\ncharacter counts as multiple bytes. This means that for a string\ncontaining five two-byte characters, LENGTH() returns 10, whereas\nCHAR_LENGTH() returns 5.\n','mysql> SELECT LENGTH(\'text\');\n        -> 4\n','string-functions'),(326,'STR_TO_DATE',27,'Syntax:\nSTR_TO_DATE(str,format)\n\nThis is the inverse of the DATE_FORMAT() function. It takes a string\nstr and a format string format. STR_TO_DATE() returns a DATETIME value\nif the format string contains both date and time parts, or a DATE or\nTIME value if the string contains only date or time parts.\n\nThe date, time, or datetime values contained in str should be given in\nthe format indicated by format. For the specifiers that can be used in\nformat, see the DATE_FORMAT() function description. If str contains an\nillegal date, time, or datetime value, STR_TO_DATE() returns NULL.\n','','date-and-time-functions'),(327,'Y',9,'Y(p)\n\nReturns the Y-coordinate value for the point p as a double-precision\nnumber.\n','mysql> SET @pt = \'Point(56.7 53.34)\';\nmysql> SELECT Y(GeomFromText(@pt));\n+----------------------+\n| Y(GeomFromText(@pt)) |\n+----------------------+\n|                53.34 |\n+----------------------+\n','point-property-functions'),(328,'SHOW INNODB STATUS',24,'Syntax:\nSHOW INNODB STATUS\n\nThis statement shows extensive information about the state of the\nInnoDB storage engine. As of MySQL 4.1.2, it is deprecated and SHOW\nENGINE INNODB STATUS should be used instead. See [show-engine].\n','','show-innodb-status'),(329,'CHECKSUM TABLE',19,'Syntax:\nCHECKSUM TABLE tbl_name [, tbl_name] ... [ QUICK | EXTENDED ]\n\nCHECKSUM TABLE reports a table checksum.\n\nWith QUICK, the live table checksum is reported if it is available, or\nNULL otherwise. This is very fast. A live checksum is enabled by\nspecifying the CHECKSUM=1 table option when you create the table;\ncurrently, this is supported only for MyISAM tables. See\n[create-table].\n\nWith EXTENDED, the entire table is read row by row and the checksum is\ncalculated. This can be very slow for large tables.\n\nIf neither QUICK nor EXTENDED is specified, MySQL returns a live\nchecksum if the table storage engine supports it and scans the table\notherwise.\n\nFor a non-existent table, CHECKSUM TABLE returns NULL.\n','','checksum-table'),(330,'NUMINTERIORRINGS',2,'NumInteriorRings(poly)\n\nReturns the number of interior rings in the Polygon value poly.\n','mysql> SET @poly =\n    -> \'Polygon((0 0,0 3,3 3,3 0,0 0),(1 1,1 2,2 2,2 1,1 1))\';\nmysql> SELECT NumInteriorRings(GeomFromText(@poly));\n+---------------------------------------+\n| NumInteriorRings(GeomFromText(@poly)) |\n+---------------------------------------+\n|                                     1 |\n+---------------------------------------+\n','polygon-property-functions'),(331,'INTERIORRINGN',2,'InteriorRingN(poly,N)\n\nReturns the N-th interior ring for the Polygon value poly as a\nLineString. Rings are numbered beginning with 1.\n','mysql> SET @poly =\n    -> \'Polygon((0 0,0 3,3 3,3 0,0 0),(1 1,1 2,2 2,2 1,1 1))\';\nmysql> SELECT AsText(InteriorRingN(GeomFromText(@poly),1));\n+----------------------------------------------+\n| AsText(InteriorRingN(GeomFromText(@poly),1)) |\n+----------------------------------------------+\n| LINESTRING(1 1,1 2,2 2,2 1,1 1)              |\n+----------------------------------------------+\n','polygon-property-functions'),(332,'UTC_TIME',27,'Syntax:\nUTC_TIME, UTC_TIME()\n\nReturns the current UTC time as a value in \'HH:MM:SS\' or HHMMSS format,\ndepending on whether the function is used in a string or numeric\ncontext.\n','mysql> SELECT UTC_TIME(), UTC_TIME() + 0;\n        -> \'18:07:53\', 180753\n','date-and-time-functions'),(333,'DROP FUNCTION',33,'Syntax:\nDROP FUNCTION function_name\n\nThis statement drops the user-defined function (UDF) named\nfunction_name.\n\nTo drop a function, you must have the DELETE privilege for the mysql\ndatabase. This is because DROP FUNCTION removes a row from the\nmysql.func system table that records the function\'s name, type, and\nshared library name.\n','','drop-function'),(334,'STDDEV',14,'Syntax:\nSTD(expr) STDDEV(expr)\n\nReturns the population standard deviation of expr. This is an extension\nto standard SQL. The STDDEV() form of this function is provided for\ncompatibility with Oracle.\n\nThese functions return NULL if there were no matching rows.\n','','group-by-functions'),(335,'PERIOD_ADD',27,'Syntax:\nPERIOD_ADD(P,N)\n\nAdds N months to period P (in the format YYMM or YYYYMM). Returns a\nvalue in the format YYYYMM. Note that the period argument P is not a\ndate value.\n','mysql> SELECT PERIOD_ADD(9801,2);\n        -> 199803\n','date-and-time-functions'),(336,'|',18,'Syntax:\n|\n\nBitwise OR:\n','mysql> SELECT 29 | 15;\n        -> 31\n','bit-functions'),(337,'GEOMFROMTEXT',3,'GeomFromText(wkt[,srid]), GeometryFromText(wkt[,srid])\n\nConstructs a geometry value of any type using its WKT representation\nand SRID.\n','','gis-wkt-functions'),(338,'RIGHT',32,'Syntax:\nRIGHT(str,len)\n\nReturns the rightmost len characters from the string str.\n','mysql> SELECT RIGHT(\'foobarbar\', 4);\n        -> \'rbar\'\n','string-functions'),(339,'DATEDIFF',27,'Syntax:\nDATEDIFF(expr,expr2)\n\nDATEDIFF() returns the number of days between the start date expr and\nthe end date expr2. expr and expr2 are date or date-and-time\nexpressions. Only the date parts of the values are used in the\ncalculation.\n','mysql> SELECT DATEDIFF(\'1997-12-31 23:59:59\',\'1997-12-30\');\n        -> 1\nmysql> SELECT DATEDIFF(\'1997-11-30 23:59:59\',\'1997-12-31\');\n        -> -31\n','date-and-time-functions'),(340,'CHECK TABLE',19,'Syntax:\nCHECK TABLE tbl_name [, tbl_name] ... [option] ...\n\noption = {QUICK | FAST | MEDIUM | EXTENDED | CHANGED}\n\nCHECK TABLE checks a table or tables for errors. CHECK TABLE works for\nMyISAM and InnoDB tables. For MyISAM tables, the key statistics are\nupdated as well.\n','','check-table'),(341,'BIN',32,'Syntax:\nBIN(N)\n\nReturns a string representation of the binary value of N, where N is a\nlonglong (BIGINT) number. This is equivalent to CONV(N,10,2). Returns\nNULL if N is NULL.\n','mysql> SELECT BIN(12);\n        -> \'1100\'\n','string-functions'),(342,'CASE FUNCTION',6,'Syntax:\nCASE value WHEN [compare_value] THEN result [WHEN [compare_value] THEN\nresult ...] [ELSE result] END\n\nCASE WHEN [condition] THEN result [WHEN [condition] THEN result ...]\n[ELSE result] END\n\nThe first version returns the result where value=compare_value. The\nsecond version returns the result for the first condition that is true.\nIf there was no matching result value, the result after ELSE is\nreturned, or NULL if there is no ELSE part.\n','mysql> SELECT CASE 1 WHEN 1 THEN \'one\'\n    ->     WHEN 2 THEN \'two\' ELSE \'more\' END;\n        -> \'one\'\nmysql> SELECT CASE WHEN 1>0 THEN \'true\' ELSE \'false\' END;\n        -> \'true\'\nmysql> SELECT CASE BINARY \'B\'\n    ->     WHEN \'a\' THEN 1 WHEN \'b\' THEN 2 END;\n        -> NULL\n','control-flow-functions'),(343,'MULTILINESTRING',21,'MultiLineString(ls1,ls2,...)\n\nConstructs a WKB MultiLineString value using WKB LineString arguments.\nIf any argument is not a WKB LineString, the return value is NULL.\n','','gis-mysql-specific-functions'),(344,'LOAD DATA',24,'Syntax:\nLOAD DATA [LOW_PRIORITY | CONCURRENT] [LOCAL] INFILE \'file_name\'\n    [REPLACE | IGNORE]\n    INTO TABLE tbl_name\n    [FIELDS\n        [TERMINATED BY \'string\']\n        [[OPTIONALLY] ENCLOSED BY \'char\']\n        [ESCAPED BY \'char\']\n    ]\n    [LINES\n        [STARTING BY \'string\']\n        [TERMINATED BY \'string\']\n    ]\n    [IGNORE number LINES]\n    [(col_name,...)]\n\nThe LOAD DATA INFILE statement reads rows from a text file into a table\nat a very high speed. The filename must be given as a literal string.\n\nLOAD DATA INFILE is the complement of SELECT ... INTO OUTFILE. (See\n[select].) To write data from a table to a file, use SELECT ... INTO\nOUTFILE. To read the file back into a table, use LOAD DATA INFILE. The\nsyntax of the FIELDS and LINES clauses is the same for both statements.\nBoth clauses are optional, but FIELDS must precede LINES if both are\nspecified.\n\nFor more information about the efficiency of INSERT versus LOAD DATA\nINFILE and speeding up LOAD DATA INFILE, see [insert-speed].\n\nAs of MySQL 4.1, the character set indicated by the\ncharacter_set_database system variable is used to interpret the\ninformation in the file. SET NAMES and the setting of\ncharacter_set_client do not affect interpretation of input.\n\nNote that it is currently not possible to load data files that use the\nucs2 character set.\n\nYou can also load data files by using the mysqlimport utility; it\noperates by sending a LOAD DATA INFILE statement to the server. The\n--local option causes mysqlimport to read data files from the client\nhost. You can specify the --compress option to get better performance\nover slow networks if the client and server support the compressed\nprotocol. See [mysqlimport].\n\nIf you use LOW_PRIORITY, execution of the LOAD DATA statement is\ndelayed until no other clients are reading from the table.\n\nIf you specify CONCURRENT with a MyISAM table that satisfies the\ncondition for concurrent inserts (that is, it contains no free blocks\nin the middle), other threads can retrieve data from the table while\nLOAD DATA is executing. Using this option affects the performance of\nLOAD DATA a bit, even if no other thread is using the table at the same\ntime.\n\nThe LOCAL keyword, if specified, is interpreted with respect to the\nclient end of the connection:\n\no If LOCAL is specified, the file is read by the client program on the\n  client host and sent to the server. The file can be given as a full\n  pathname to specify its exact location. If given as a relative\n  pathname, the name is interpreted relative to the directory in which\n  the client program was started.\n\n  LOCAL is available in MySQL 3.22.6 or later.\n\no If LOCAL is not specified, the file must be located on the server\n  host and is read directly by the server. The server uses the\n  following rules to locate the file:\n\n  o If the filename is an absolute pathname, the server uses it as\n    given.\n\n  o If the filename is a relative pathname with one or more leading\n    components, the server searches for the file relative to the\n    server\'s data directory.\n\n  o If a filename with no leading components is given, the server looks\n    for the file in the database directory of the default database.\n\nNote that, in the non-LOCAL case, these rules mean that a file named as\n./myfile.txt is read from the server\'s data directory, whereas the file\nnamed as myfile.txt is read from the database directory of the default\ndatabase. For example, if db1 is the default database, the following\nLOAD DATA statement reads the file data.txt from the database directory\nfor db1, even though the statement explicitly loads the file into a\ntable in the db2 database:\n\nLOAD DATA INFILE \'data.txt\' INTO TABLE db2.my_table;\n\nWindows pathnames are specified using forward slashes rather than\nbackslashes. If you do use backslashes, you must double them.\n\nFor security reasons, when reading text files located on the server,\nthe files must either reside in the database directory or be readable\nby all. Also, to use LOAD DATA INFILE on server files, you must have\nthe FILE privilege. See [privileges-provided].\n','','load-data'),(345,'LOCALTIME',27,'Syntax:\nLOCALTIME, LOCALTIME()\n\nLOCALTIME and LOCALTIME() are synonyms for NOW().\n','','date-and-time-functions'),(346,'MPOINTFROMTEXT',3,'MPointFromText(wkt[,srid]), MultiPointFromText(wkt[,srid])\n\nConstructs a MULTIPOINT value using its WKT representation and SRID.\n','','gis-wkt-functions'),(347,'BLOB',20,'BLOB[(M)]\n\nA BLOB column with a maximum length of 65,535 (216 - 1) bytes.\n\nBeginning with MySQL 4.1, an optional length M can be given for this\ntype. MySQL creates the column as the smallest BLOB type large enough\nto hold values M bytes long.\n','','string-type-overview'),(348,'PASSWORD',10,'Syntax:\nPASSWORD(str)\n\nCalculates and returns a password string from the plaintext password\nstr and returns a binary string, or NULL if the argument was NULL. This\nis the function that is used for encrypting MySQL passwords for storage\nin the Password column of the user grant table.\n','mysql> SELECT PASSWORD(\'badpwd\');\n        -> \'7f84554057dd964b\'\n','encryption-functions'),(349,'CHAR',20,'[NATIONAL] CHAR(M)\n\nA fixed-length string that is always right-padded with spaces to the\nspecified length when stored. M represents the column length. The range\nof M is 0 to 255 characters (1 to 255 prior to MySQL 3.23).\n\nNote: Trailing spaces are removed when CHAR values are retrieved.\n\nIn MySQL 4.1, a CHAR column with a length specification greater than\n255 is converted to the smallest TEXT type that can hold values of the\ngiven length. For example, CHAR(500) is converted to TEXT, and\nCHAR(200000) is converted to MEDIUMTEXT. This is a compatibility\nfeature. However, this conversion causes the column to become a\nvariable-length column, and also affects trailing-space removal.\n','','string-type-overview'),(350,'UTC_DATE',27,'Syntax:\nUTC_DATE, UTC_DATE()\n\nReturns the current UTC date as a value in \'YYYY-MM-DD\' or YYYYMMDD\nformat, depending on whether the function is used in a string or\nnumeric context.\n','mysql> SELECT UTC_DATE(), UTC_DATE() + 0;\n        -> \'2003-08-14\', 20030814\n','date-and-time-functions'),(351,'DIMENSION',31,'Dimension(g)\n\nReturns the inherent dimension of the geometry value g. The result can\nbe -1, 0, 1, or 2. The meaning of these values is given in\n[gis-class-geometry].\n','mysql> SELECT Dimension(GeomFromText(\'LineString(1 1,2 2)\'));\n+------------------------------------------------+\n| Dimension(GeomFromText(\'LineString(1 1,2 2)\')) |\n+------------------------------------------------+\n|                                              1 |\n+------------------------------------------------+\n','general-geometry-property-functions'),(352,'COUNT DISTINCT',14,'Syntax:\nCOUNT(DISTINCT expr,[expr...])\n\nReturns a count of the number of different non-NULL values.\n\nCOUNT(DISTINCT) returns 0 if there were no matching rows.\n','mysql> SELECT COUNT(DISTINCT results) FROM student;\n','group-by-functions'),(353,'BIT',20,'BIT\n\nIn versions of MySQL up to and lincluding 4.1, BIT is a synonym for\nTINYINT(1).\n','','numeric-type-overview'),(354,'EQUALS',25,'Equals(g1,g2)\n\nReturns 1 or 0 to indicate whether g1 is spatially equal to g2.\n','','functions-that-test-spatial-relationships-between-geometries'),(355,'INTERVAL',17,'Syntax:\nINTERVAL(N,N1,N2,N3,...)\n\nReturns 0 if N < N1, 1 if N < N2 and so on or -1 if N is NULL. All\narguments are treated as integers. It is required that N1 < N2 < N3 <\n... < Nn for this function to work correctly. This is because a binary\nsearch is used (very fast).\n','mysql> SELECT INTERVAL(23, 1, 15, 17, 30, 44, 200);\n        -> 3\nmysql> SELECT INTERVAL(10, 1, 10, 100, 1000);\n        -> 2\nmysql> SELECT INTERVAL(22, 23, 30, 44, 200);\n        -> 0\n','comparison-operators'),(356,'FROM_DAYS',27,'Syntax:\nFROM_DAYS(N)\n\nGiven a day number N, returns a DATE value.\n','mysql> SELECT FROM_DAYS(729669);\n        -> \'1997-10-07\'\n','date-and-time-functions'),(357,'BIT_COUNT',18,'Syntax:\nBIT_COUNT(N)\n\nReturns the number of bits that are set in the argument N.\n','mysql> SELECT BIT_COUNT(29);\n        -> 4\n','bit-functions'),(358,'UTC_TIMESTAMP',27,'Syntax:\nUTC_TIMESTAMP, UTC_TIMESTAMP()\n\nReturns the current UTC date and time as a value in \'YYYY-MM-DD\nHH:MM:SS\' or YYYYMMDDHHMMSS format, depending on whether the function\nis used in a string or numeric context.\n','mysql> SELECT UTC_TIMESTAMP(), UTC_TIMESTAMP() + 0;\n        -> \'2003-08-14 18:08:04\', 20030814180804\n','date-and-time-functions'),(359,'+',4,'Syntax:\n+\n\nAddition:\n','mysql> SELECT 3+5;\n        -> 8\n','arithmetic-functions'),(360,'INET_NTOA',13,'Syntax:\nINET_NTOA(expr)\n\nGiven a numeric network address (4 or 8 byte), returns the dotted-quad\nrepresentation of the address as a string.\n','mysql> SELECT INET_NTOA(3520061480);\n        -> \'209.207.224.40\'\n','miscellaneous-functions'),(361,'ACOS',4,'Syntax:\nACOS(X)\n\nReturns the arc cosine of X, that is, the value whose cosine is X.\nReturns NULL if X is not in the range -1 to 1.\n','mysql> SELECT ACOS(1);\n        -> 0.000000\nmysql> SELECT ACOS(1.0001);\n        -> NULL\nmysql> SELECT ACOS(0);\n        -> 1.570796\n','mathematical-functions'),(362,'ISOLATION',7,'Syntax:\nSET [GLOBAL | SESSION] TRANSACTION ISOLATION LEVEL\n{ READ UNCOMMITTED | READ COMMITTED | REPEATABLE READ | SERIALIZABLE }\n\nThis statement sets the transaction isolation level for the next\ntransaction, globally, or for the current session.\n\nThe default behavior of SET TRANSACTION is to set the isolation level\nfor the next (not yet started) transaction. If you use the GLOBAL\nkeyword, the statement sets the default transaction level globally for\nall new connections created from that point on. Existing connections\nare unaffected. You need the SUPER privilege to do this. Using the\nSESSION keyword sets the default transaction level for all future\ntransactions performed on the current connection.\n\nFor descriptions of each InnoDB transaction isolation level, see\n[innodb-transaction-isolation]. InnoDB supports each of these levels\nfrom MySQL 4.0.5 on. The default level is REPEATABLE READ.\n\nTo set the initial default global isolation level for mysqld, use the\n--transaction-isolation option. See [server-options].\n','','set-transaction'),(363,'CEILING',4,'Syntax:\nCEILING(X), CEIL(X)\n\nReturns the smallest integer value not less than X.\n','mysql> SELECT CEILING(1.23);\n        -> 2\nmysql> SELECT CEIL(-1.23);\n        -> -1\n','mathematical-functions'),(364,'SIN',4,'Syntax:\nSIN(X)\n\nReturns the sine of X, where X is given in radians.\n','mysql> SELECT SIN(PI());\n        -> 1.2246063538224e-16\nmysql> SELECT ROUND(SIN(PI()));\n        -> 0\n','mathematical-functions'),(365,'DAYOFWEEK',27,'Syntax:\nDAYOFWEEK(date)\n\nReturns the weekday index for date (1 = Sunday, 2 = Monday, ..., 7 =\nSaturday). These index values correspond to the ODBC standard.\n','mysql> SELECT DAYOFWEEK(\'1998-02-03\');\n        -> 3\n','date-and-time-functions'),(366,'LINEFROMWKB',28,'LineFromWKB(wkb[,srid]), LineStringFromWKB(wkb[,srid])\n\nConstructs a LINESTRING value using its WKB representation and SRID.\n','','gis-wkb-functions'),(367,'SHOW PROCESSLIST',24,'Syntax:\nSHOW [FULL] PROCESSLIST\n\nSHOW PROCESSLIST shows you which threads are running. You can also get\nthis information using the mysqladmin processlist command. If you have\nthe SUPER privilege, you can see all threads. Otherwise, you can see\nonly your own threads (that is, threads associated with the MySQL\naccount that you are using). See [kill]. If you do not use the FULL\nkeyword, only the first 100 characters of each statement are shown in\nthe Info field.\n','','show-processlist'),(368,'GEOMETRYTYPE',31,'GeometryType(g)\n\nReturns as a string the name of the geometry type of which the geometry\ninstance g is a member. The name corresponds to one of the instantiable\nGeometry subclasses.\n','mysql> SELECT GeometryType(GeomFromText(\'POINT(1 1)\'));\n+------------------------------------------+\n| GeometryType(GeomFromText(\'POINT(1 1)\')) |\n+------------------------------------------+\n| POINT                                    |\n+------------------------------------------+\n','general-geometry-property-functions'),(369,'TRIM',32,'Syntax:\nTRIM([{BOTH | LEADING | TRAILING} [remstr] FROM] str), TRIM([remstr\nFROM] str)\n\nReturns the string str with all remstr prefixes or suffixes removed. If\nnone of the specifiers BOTH, LEADING, or TRAILING is given, BOTH is\nassumed. remstr is optional and, if not specified, spaces are removed.\n','mysql> SELECT TRIM(\'  bar   \');\n        -> \'bar\'\nmysql> SELECT TRIM(LEADING \'x\' FROM \'xxxbarxxx\');\n        -> \'barxxx\'\nmysql> SELECT TRIM(BOTH \'x\' FROM \'xxxbarxxx\');\n        -> \'bar\'\nmysql> SELECT TRIM(TRAILING \'xyz\' FROM \'barxxyz\');\n        -> \'barx\'\n','string-functions'),(370,'GET_FORMAT',27,'Syntax:\nGET_FORMAT(DATE|TIME|DATETIME, \'EUR\'|\'USA\'|\'JIS\'|\'ISO\'|\'INTERNAL\')\n\nReturns a format string. This function is useful in combination with\nthe DATE_FORMAT() and the STR_TO_DATE() functions.\n','mysql> SELECT DATE_FORMAT(\'2003-10-03\',GET_FORMAT(DATE,\'EUR\'));\n        -> \'03.10.2003\'\nmysql> SELECT STR_TO_DATE(\'10.31.2003\',GET_FORMAT(DATE,\'USA\'));\n        -> \'2003-10-31\'\n','date-and-time-functions'),(371,'TINYBLOB',20,'TINYBLOB\n\nA BLOB column with a maximum length of 255 (28 - 1) bytes.\n','','string-type-overview'),(372,'SAVEPOINT',7,'Syntax:\nSAVEPOINT identifier\nROLLBACK TO SAVEPOINT identifier\n\nStarting from MySQL 4.0.14 and 4.1.1, InnoDB supports the SQL\nstatements SAVEPOINT and ROLLBACK TO SAVEPOINT.\n','','savepoints'),(373,'USER',15,'Syntax:\nUSER()\n\nReturns the current MySQL username and hostname.\n','mysql> SELECT USER();\n        -> \'davida@localhost\'\n','information-functions'),(374,'MPOINTFROMWKB',28,'MPointFromWKB(wkb[,srid]), MultiPointFromWKB(wkb[,srid])\n\nConstructs a MULTIPOINT value using its WKB representation and SRID.\n','','gis-wkb-functions'),(375,'ALTER TABLE',34,'Syntax:\nALTER [IGNORE] TABLE tbl_name\n    alter_specification [, alter_specification] ...\n\nalter_specification:\n    ADD [COLUMN] column_definition [FIRST | AFTER col_name ]\n  | ADD [COLUMN] (column_definition,...)\n  | ADD {INDEX|KEY} [index_name] [index_type] (index_col_name,...)\n  | ADD [CONSTRAINT [symbol]]\n        PRIMARY KEY [index_type] (index_col_name,...)\n  | ADD [CONSTRAINT [symbol]]\n        UNIQUE [INDEX|KEY] [index_name] [index_type] (index_col_name,...)\n  | ADD [FULLTEXT|SPATIAL] [INDEX|KEY] [index_name] (index_col_name,...)\n  | ADD [CONSTRAINT [symbol]]\n        FOREIGN KEY [index_name] (index_col_name,...)\n        [reference_definition]\n  | ALTER [COLUMN] col_name {SET DEFAULT literal | DROP DEFAULT}\n  | CHANGE [COLUMN] old_col_name column_definition\n        [FIRST|AFTER col_name]\n  | MODIFY [COLUMN] column_definition [FIRST | AFTER col_name]\n  | DROP [COLUMN] col_name\n  | DROP PRIMARY KEY\n  | DROP {INDEX|KEY} index_name\n  | DROP FOREIGN KEY fk_symbol\n  | DISABLE KEYS\n  | ENABLE KEYS\n  | RENAME [TO] new_tbl_name\n  | ORDER BY col_name\n  | CONVERT TO CHARACTER SET charset_name [COLLATE collation_name]\n  | [DEFAULT] CHARACTER SET charset_name [COLLATE collation_name]\n  | DISCARD TABLESPACE\n  | IMPORT TABLESPACE\n  | table_option ...\n\nALTER TABLE enables you to change the structure of an existing table.\nFor example, you can add or delete columns, create or destroy indexes,\nchange the type of existing columns, or rename columns or the table\nitself. You can also change the comment for the table and type of the\ntable.\n','','alter-table'),(376,'PURGE MASTER LOGS',24,'Syntax:\nPURGE {MASTER | BINARY} LOGS TO \'log_name\'\nPURGE {MASTER | BINARY} LOGS BEFORE \'date\'\n\nDeletes all the binary logs listed in the log index prior to the\nspecified log or date. The logs also are removed from the list recorded\nin the log index file, so that the given log becomes the first.\n','PURGE MASTER LOGS TO \'mysql-bin.010\';\nPURGE MASTER LOGS BEFORE \'2003-04-02 22:46:26\';\n','purge-master-logs'),(377,'CHAR BYTE',20,'From MySQL 4.1.2 on, the CHAR BYTE data type is an alias for the BINARY\ndata type. This is a compatibility feature.\n','','string-type-overview'),(378,'REPAIR TABLE',19,'Syntax:\nREPAIR [LOCAL | NO_WRITE_TO_BINLOG] TABLE\n    tbl_name [, tbl_name] ... [QUICK] [EXTENDED] [USE_FRM]\n\nREPAIR TABLE repairs a possibly corrupted table. By default, it has the\nsame effect as myisamchk --recover tbl_name. REPAIR TABLE works for\nMyISAM and for ARCHIVE tables. See [myisam-storage-engine], and\n[archive-storage-engine].\n\nThis statement requires SELECT and INSERT privileges for the table.\n','','repair-table'),(379,'MERGE',34,'The MERGE storage engine was introduced in MySQL 3.23.25. It is also\nknown as the MRG_MyISAM engine.\n\nA MERGE table is a collection of identical MyISAM tables that can be\nused as one. \"Identical\" means that all tables have identical column\nand index information. You cannot merge MyISAM tables in which the\ncolumns are listed in a different order, do not have exactly the same\ncolumns, or have the indexes in different order. However, any or all of\nthe MyISAM tables can be compressed with myisampack. See [myisampack].\nDifferences in table options such as AVG_ROW_LENGTH, MAX_ROWS, or\nPACK_KEYS do not matter.\n','mysql> CREATE TABLE t1 (\n    ->    a INT NOT NULL AUTO_INCREMENT PRIMARY KEY,\n    ->    message CHAR(20)) ENGINE=MyISAM;\nmysql> CREATE TABLE t2 (\n    ->    a INT NOT NULL AUTO_INCREMENT PRIMARY KEY,\n    ->    message CHAR(20)) ENGINE=MyISAM;\nmysql> INSERT INTO t1 (message) VALUES (\'Testing\'),(\'table\'),(\'t1\');\nmysql> INSERT INTO t2 (message) VALUES (\'Testing\'),(\'table\'),(\'t2\');\nmysql> CREATE TABLE total (\n    ->    a INT NOT NULL AUTO_INCREMENT,\n    ->    message CHAR(20), INDEX(a))\n    ->    ENGINE=MERGE UNION=(t1,t2) INSERT_METHOD=LAST;\n','merge-storage-engine'),(380,'CREATE TABLE',34,'Syntax:\nCREATE [TEMPORARY] TABLE [IF NOT EXISTS] tbl_name\n    (create_definition,...)\n    [table_option ...]\n\nOr:\n\nCREATE [TEMPORARY] TABLE [IF NOT EXISTS] tbl_name\n    [(create_definition,...)]\n    [table_option ...]\n    select_statement\n\nOr:\n\nCREATE [TEMPORARY] TABLE [IF NOT EXISTS] tbl_name\n    { LIKE old_tbl_name | (LIKE old_tbl_name) }\n\ncreate_definition:\n    column_definition\n  | [CONSTRAINT [symbol]] PRIMARY KEY [index_type] (index_col_name,...)\n  | {INDEX|KEY} [index_name] [index_type] (index_col_name,...)\n  | [CONSTRAINT [symbol]] UNIQUE [INDEX|KEY]\n      [index_name] [index_type] (index_col_name,...)\n  | {FULLTEXT|SPATIAL} [INDEX|KEY] [index_name] (index_col_name,...)\n  | [CONSTRAINT [symbol]] FOREIGN KEY\n      [index_name] (index_col_name,...) [reference_definition]\n  | CHECK (expr)\n\ncolumn_definition:\n    col_name data_type [NOT NULL | NULL] [DEFAULT default_value]\n      [AUTO_INCREMENT] [UNIQUE [KEY] | [PRIMARY] KEY]\n      [COMMENT \'string\'] [reference_definition]\n\ndata_type:\n    TINYINT[(length)] [UNSIGNED] [ZEROFILL]\n  | SMALLINT[(length)] [UNSIGNED] [ZEROFILL]\n  | MEDIUMINT[(length)] [UNSIGNED] [ZEROFILL]\n  | INT[(length)] [UNSIGNED] [ZEROFILL]\n  | INTEGER[(length)] [UNSIGNED] [ZEROFILL]\n  | BIGINT[(length)] [UNSIGNED] [ZEROFILL]\n  | REAL[(length,decimals)] [UNSIGNED] [ZEROFILL]\n  | DOUBLE[(length,decimals)] [UNSIGNED] [ZEROFILL]\n  | FLOAT[(length,decimals)] [UNSIGNED] [ZEROFILL]\n  | DECIMAL(length,decimals) [UNSIGNED] [ZEROFILL]\n  | NUMERIC(length,decimals) [UNSIGNED] [ZEROFILL]\n  | DATE\n  | TIME\n  | TIMESTAMP\n  | DATETIME\n  | YEAR\n  | CHAR(length) [BINARY | ASCII | UNICODE]\n  | VARCHAR(length) [BINARY]\n  | BINARY(length)\n  | VARBINARY(length)\n  | TINYBLOB\n  | BLOB\n  | MEDIUMBLOB\n  | LONGBLOB\n  | TINYTEXT [BINARY]\n  | TEXT [BINARY]\n  | MEDIUMTEXT [BINARY]\n  | LONGTEXT [BINARY]\n  | ENUM(value1,value2,value3,...)\n  | SET(value1,value2,value3,...)\n  | spatial_type\n\nindex_col_name:\n    col_name [(length)] [ASC | DESC]\n\nreference_definition:\n    REFERENCES tbl_name [(index_col_name,...)]\n      [MATCH FULL | MATCH PARTIAL | MATCH SIMPLE]\n      [ON DELETE reference_option]\n      [ON UPDATE reference_option]\n\nreference_option:\n    RESTRICT | CASCADE | SET NULL | NO ACTION\n\ntable_option:\n    {ENGINE|TYPE} = engine_name\n  | AUTO_INCREMENT = value\n  | AVG_ROW_LENGTH = value\n  | [DEFAULT] CHARACTER SET charset_name\n  | CHECKSUM = {0 | 1}\n  | COLLATE collation_name\n  | COMMENT = \'string\'\n  | DATA DIRECTORY = \'absolute path to directory\'\n  | DELAY_KEY_WRITE = {0 | 1}\n  | INDEX DIRECTORY = \'absolute path to directory\'\n  | INSERT_METHOD = { NO | FIRST | LAST }\n  | MAX_ROWS = value\n  | MIN_ROWS = value\n  | PACK_KEYS = {0 | 1 | DEFAULT}\n  | PASSWORD = \'string\'\n  | RAID_TYPE = { 1 | STRIPED | RAID0 }\n      RAID_CHUNKS = value\n      RAID_CHUNKSIZE = value\n  | ROW_FORMAT = {DEFAULT|DYNAMIC|FIXED|COMPRESSED|REDUNDANT|COMPACT}\n  | UNION = (tbl_name[,tbl_name]...)\n\nselect_statement:\n    [IGNORE | REPLACE] [AS] SELECT ...   (Some legal select statement)\n\nCREATE TABLE creates a table with the given name. You must have the\nCREATE privilege for the table.\n\nRules for allowable table names are given in [legal-names]. By default,\nthe table is created in the default database. An error occurs if the\ntable exists, if there is no default database, or if the database does\nnot exist.\n','','create-table'),(381,'>',17,'Syntax:\n>\n\nGreater than:\n','mysql> SELECT 2 > 2;\n        -> 0\n','comparison-operators'),(382,'ANALYZE TABLE',19,'Syntax:\nANALYZE [LOCAL | NO_WRITE_TO_BINLOG] TABLE tbl_name [, tbl_name] ...\n\nANALYZE TABLE analyzes and stores the key distribution for a table.\nDuring the analysis, the table is locked with a read lock. This\nstatement works with MyISAM, BDB, and (as of MySQL 4.0.13) InnoDB\ntables. For MyISAM tables, this statement is equivalent to using\nmyisamchk --analyze.\n\nMySQL uses the stored key distribution to decide the order in which\ntables should be joined when you perform a join on something other than\na constant.\n\nThis statement requires SELECT and INSERT privileges for the table.\n','','analyze-table'),(383,'MICROSECOND',27,'Syntax:\nMICROSECOND(expr)\n\nReturns the microseconds from the time or datetime expression expr as a\nnumber in the range from 0 to 999999.\n','mysql> SELECT MICROSECOND(\'12:00:00.123456\');\n        -> 123456\nmysql> SELECT MICROSECOND(\'1997-12-31 23:59:59.000010\');\n        -> 10\n','date-and-time-functions'),(384,'CONSTRAINT',34,'The syntax of a foreign key constraint definition in InnoDB looks like\nthis:\n\n[CONSTRAINT symbol] FOREIGN KEY [id] (index_col_name, ...)\n    REFERENCES tbl_name (index_col_name, ...)\n    [ON DELETE {RESTRICT | CASCADE | SET NULL | NO ACTION}]\n    [ON UPDATE {RESTRICT | CASCADE | SET NULL | NO ACTION}]\n','CREATE TABLE product (category INT NOT NULL, id INT NOT NULL,\n                      price DECIMAL,\n                      PRIMARY KEY(category, id)) TYPE=INNODB;\nCREATE TABLE customer (id INT NOT NULL,\n                       PRIMARY KEY (id)) TYPE=INNODB;\nCREATE TABLE product_order (no INT NOT NULL AUTO_INCREMENT,\n                            product_category INT NOT NULL,\n                            product_id INT NOT NULL,\n                            customer_id INT NOT NULL,\n                            PRIMARY KEY(no),\n                            INDEX (product_category, product_id),\n                            FOREIGN KEY (product_category, product_id)\n                              REFERENCES product(category, id)\n                              ON UPDATE CASCADE ON DELETE RESTRICT,\n                            INDEX (customer_id),\n                            FOREIGN KEY (customer_id)\n                              REFERENCES customer(id)) TYPE=INNODB;\n','innodb-foreign-key-constraints'),(385,'FIELD',32,'Syntax:\nFIELD(str,str1,str2,str3,...)\n\nReturns the index (position) of str in the str1, str2, str3, ... list.\nReturns 0 if str is not found.\n\nIf all arguments to FIELD() are strings, all arguments are compared as\nstrings. If all arguments are numbers, they are compared as numbers.\nOtherwise, the arguments are compared as double.\n\nIf str is NULL, the return value is 0 because NULL fails equality\ncomparison with any value. FIELD() is the complement of ELT().\n','mysql> SELECT FIELD(\'ej\', \'Hej\', \'ej\', \'Heja\', \'hej\', \'foo\');\n        -> 2\nmysql> SELECT FIELD(\'fo\', \'Hej\', \'ej\', \'Heja\', \'hej\', \'foo\');\n        -> 0\n','string-functions'),(386,'MAKETIME',27,'Syntax:\nMAKETIME(hour,minute,second)\n\nReturns a time value calculated from the hour, minute, and second\narguments.\n','mysql> SELECT MAKETIME(12,15,30);\n        -> \'12:15:30\'\n','date-and-time-functions'),(387,'CURDATE',27,'Syntax:\nCURDATE()\n\nReturns the current date as a value in \'YYYY-MM-DD\' or YYYYMMDD format,\ndepending on whether the function is used in a string or numeric\ncontext.\n','mysql> SELECT CURDATE();\n        -> \'1997-12-15\'\nmysql> SELECT CURDATE() + 0;\n        -> 19971215\n','date-and-time-functions'),(388,'MIN MAX',14,'Syntax:\nMIN(expr), MAX(expr)\n\nReturns the minimum or maximum value of expr. MIN() and MAX() may take\na string argument; in such cases they return the minimum or maximum\nstring value. See [mysql-indexes].\n\nMIN() and MAX() return NULL if there were no matching rows.\n','mysql> SELECT student_name, MIN(test_score), MAX(test_score)\n    ->        FROM student\n    ->        GROUP BY student_name;\n','group-by-functions'),(389,'SET PASSWORD',8,'Syntax:\nSET PASSWORD [FOR user] = PASSWORD(\'some password\')\n\nThe SET PASSWORD statement assigns a password to an existing MySQL user\naccount.\n\nWith no FOR clause, this statement sets the password for the current\nuser. Any client that has connected to the server using a non-anonymous\naccount can change the password for that account.\n\nWith a FOR clause, this statement sets the password for a specific\naccount on the current server host. Only clients that have the UPDATE\nprivilege for the mysql database can do this. The user value should be\ngiven in user_name@host_name format, where user_name and host_name are\nexactly as they are listed in the User and Host columns of the\nmysql.user table entry. For example, if you had an entry with User and\nHost column values of \'bob\' and \'%.loc.gov\', you would write the\nstatement like this:\n\nSET PASSWORD FOR \'bob\'@\'%.loc.gov\' = PASSWORD(\'newpass\');\n','','set-password'),(390,'ENUM',20,'ENUM(\'value1\',\'value2\',...)\n\nAn enumeration. A string object that can have only one value, chosen\nfrom the list of values \'value1\', \'value2\', ..., NULL or the special \'\'\nerror value. An ENUM column can have a maximum of 65,535 distinct\nvalues. ENUM values are represented internally as integers.\n','','string-type-overview'),(391,'IF FUNCTION',6,'Syntax:\nIF(expr1,expr2,expr3)\n\nIf expr1 is TRUE (expr1 <> 0 and expr1 <> NULL) then IF() returns\nexpr2; otherwise it returns expr3. IF() returns a numeric or string\nvalue, depending on the context in which it is used.\n','mysql> SELECT IF(1>2,2,3);\n        -> 3\nmysql> SELECT IF(1<2,\'yes\',\'no\');\n        -> \'yes\'\nmysql> SELECT IF(STRCMP(\'test\',\'test1\'),\'no\',\'yes\');\n        -> \'no\'\n','control-flow-functions'),(392,'DATABASE',15,'Syntax:\nDATABASE()\n\nReturns the default (current) database name. As of MySQL 4.1, the\nstring uses the utf8 character set. If there is no default database,\nDATABASE() returns NULL as of MySQL 4.1.1, and the empty string before\nthat.\n','mysql> SELECT DATABASE();\n        -> \'test\'\n','information-functions'),(393,'POINTFROMWKB',28,'PointFromWKB(wkb[,srid])\n\nConstructs a POINT value using its WKB representation and SRID.\n','','gis-wkb-functions'),(394,'POWER',4,'Syntax:\nPOW(X,Y), POWER(X,Y)\n\nReturns the value of X raised to the power of Y.\n','mysql> SELECT POW(2,2);\n        -> 4.000000\nmysql> SELECT POW(2,-2);\n        -> 0.250000\n','mathematical-functions'),(395,'ATAN',4,'Syntax:\nATAN(X)\n\nReturns the arc tangent of X, that is, the value whose tangent is X.\n','mysql> SELECT ATAN(2);\n        -> 1.107149\nmysql> SELECT ATAN(-2);\n        -> -1.107149\n','mathematical-functions'),(396,'STRCMP',32,'Syntax:\nSTRCMP(expr1,expr2)\n\nSTRCMP() returns 0 if the strings are the same, -1 if the first\nargument is smaller than the second according to the current sort\norder, and 1 otherwise.\n','mysql> SELECT STRCMP(\'text\', \'text2\');\n        -> -1\nmysql> SELECT STRCMP(\'text2\', \'text\');\n        -> 1\nmysql> SELECT STRCMP(\'text\', \'text\');\n        -> 0\n','string-comparison-functions'),(397,'INSERT DELAYED',24,'Syntax:\nINSERT DELAYED ...\n\nThe DELAYED option for the INSERT statement is a MySQL extension to\nstandard SQL that is very useful if you have clients that cannot or\nneed not wait for the INSERT to complete. This is a common situation\nwhen you use MySQL for logging and you also periodically run SELECT and\nUPDATE statements that take a long time to complete. DELAYED was\nintroduced in MySQL 3.22.15.\n\nWhen a client uses INSERT DELAYED, it gets an okay from the server at\nonce, and the row is queued to be inserted when the table is not in use\nby any other thread.\n\nAnother major benefit of using INSERT DELAYED is that inserts from many\nclients are bundled together and written in one block. This is much\nfaster than performing many separate inserts.\n\nNote that INSERT DELAYED is slower than a normal INSERT if the table is\nnot otherwise in use. There is also the additional overhead for the\nserver to handle a separate thread for each table for which there are\ndelayed rows. This means that you should use INSERT DELAYED only when\nyou are really sure that you need it.\n\nThe queued rows are held only in memory until they are inserted into\nthe table. This means that if you terminate mysqld forcibly (for\nexample, with kill -9) or if mysqld dies unexpectedly, any queued rows\nthat have not been written to disk are lost.\n\nThere are some constraints on the use of DELAYED:\n\no INSERT DELAYED works only with ISAM, MyISAM, and (beginning with\n  MySQL 4.1) MEMORY tables. See [myisam-storage-engine],\n  [memory-storage-engine], and [archive-storage-engine].\n\n  For MyISAM tables, if there are no free blocks in the middle of the\n  data file, concurrent SELECT and INSERT statements are supported.\n  Under these circumstances, you very seldom need to use INSERT DELAYED\n  with MyISAM.\n\no INSERT DELAYED should be used only for INSERT statements that specify\n  value lists. This is enforced as of MySQL 4.0.18. The server ignores\n  DELAYED for INSERT ... SELECT or INSERT ... ON DUPLICATE KEY UPDATE\n  statements.\n\no Because the INSERT DELAYED statement returns immediately, before the\n  rows are inserted, you cannot use LAST_INSERT_ID() to get the\n  AUTO_INCREMENT value that the statement might generate.\n\no DELAYED rows are not visible to SELECT statements until they actually\n  have been inserted.\n\no DELAYED is ignored on slave replication servers because it could\n  cause the slave to have different data than the master.\n','','insert-delayed'),(398,'MEDIUMTEXT',20,'MEDIUMTEXT\n\nA TEXT column with a maximum length of 16,777,215 (224 - 1) characters.\n','','string-type-overview'),(399,'LN',4,'Syntax:\nLN(X)\n\nReturns the natural logarithm of X; that is, the base-e logarithm of X.\n','mysql> SELECT LN(2);\n        -> 0.693147\nmysql> SELECT LN(-2);\n        -> NULL\n','mathematical-functions'),(400,'SHOW COLLATION',24,'Syntax:\nSHOW COLLATION [LIKE \'pattern\']\n\nThe output from SHOW COLLATION includes all available character sets.\nIt takes an optional LIKE clause whose pattern indicates which\ncollation names to match. For example:\n\nmysql> SHOW COLLATION LIKE \'latin1%\';\n+-------------------+---------+----+---------+----------+---------+\n| Collation         | Charset | Id | Default | Compiled | Sortlen |\n+-------------------+---------+----+---------+----------+---------+\n| latin1_german1_ci | latin1  |  5 |         |          |       0 |\n| latin1_swedish_ci | latin1  |  8 | Yes     | Yes      |       0 |\n| latin1_danish_ci  | latin1  | 15 |         |          |       0 |\n| latin1_german2_ci | latin1  | 31 |         | Yes      |       2 |\n| latin1_bin        | latin1  | 47 |         | Yes      |       0 |\n| latin1_general_ci | latin1  | 48 |         |          |       0 |\n| latin1_general_cs | latin1  | 49 |         |          |       0 |\n| latin1_spanish_ci | latin1  | 94 |         |          |       0 |\n+-------------------+---------+----+---------+----------+---------+\n\nThe Default column indicates whether a collation is the default for its\ncharacter set. Compiled indicates whether the character set is compiled\ninto the server. Sortlen is related to the amount of memory required to\nsort strings expressed in the character set.\n','','show-collation'),(401,'LOG',4,'Syntax:\nLOG(X), LOG(B,X)\n\nIf called with one parameter, this function returns the natural\nlogarithm of X.\n','mysql> SELECT LOG(2);\n        -> 0.693147\nmysql> SELECT LOG(-2);\n        -> NULL\n','mathematical-functions'),(402,'SET SQL_LOG_BIN',24,'Syntax:\nSET SQL_LOG_BIN = {0|1}\n\nDisables or enables binary logging for the current connection\n(SQL_LOG_BIN is a session variable) if the client that has the SUPER\nprivilege. The statement is refused with an error if the client does\nnot have that privilege. (Before MySQL 4.1.2, the statement was simply\nignored in that case.)\n','','set-sql-log-bin'),(403,'!=',17,'Syntax:\n<>, !=\n\nNot equal:\n','mysql> SELECT \'.01\' <> \'0.01\';\n        -> 1\nmysql> SELECT .01 <> \'0.01\';\n        -> 0\nmysql> SELECT \'zapp\' <> \'zappp\';\n        -> 1\n','comparison-operators'),(404,'AES_DECRYPT',10,'Syntax:\nAES_ENCRYPT(str,key_str), AES_DECRYPT(crypt_str,key_str)\n\nThese functions allow encryption and decryption of data using the\nofficial AES (Advanced Encryption Standard) algorithm, previously known\nas \"Rijndael.\" Encoding with a 128-bit key length is used, but you can\nextend it up to 256 bits by modifying the source. We chose 128 bits\nbecause it is much faster and it is secure enough for most purposes.\n\nAES_ENCRYPT() encrypts a string and returns a binary string.\nAES_DESCRIPT() descrypts the encrypted string and returns the original\nstring. The input arguments may be any length. If either argument is\nNULL, the result of this function is also NULL.\n\nBecause AES is a block-level algorithm, padding is used to encode\nuneven length strings and so the result string length may be calculated\nusing this formula:\n\n16 × (trunc(string_length / 16) + 1)\n\nIf AES_DECRYPT() detects invalid data or incorrect padding, it returns\nNULL. However, it is possible for AES_DECRYPT() to return a non-NULL\nvalue (possibly garbage) if the input data or the key is invalid.\n\nYou can use the AES functions to store data in an encrypted form by\nmodifying your queries:\n','INSERT INTO t VALUES (1,AES_ENCRYPT(\'text\',\'password\'));\n','encryption-functions'),(405,'DAYNAME',27,'Syntax:\nDAYNAME(date)\n\nReturns the name of the weekday for date.\n','mysql> SELECT DAYNAME(\'1998-02-05\');\n        -> \'Thursday\'\n','date-and-time-functions'),(406,'COERCIBILITY',15,'Syntax:\nCOERCIBILITY(str)\n\nReturns the collation coercibility value of the string argument.\n','mysql> SELECT COERCIBILITY(\'abc\' COLLATE latin1_swedish_ci);\n        -> 0\nmysql> SELECT COERCIBILITY(USER());\n        -> 3\nmysql> SELECT COERCIBILITY(\'abc\');\n        -> 4\n','information-functions'),(407,'INT',20,'INT[(M)] [UNSIGNED] [ZEROFILL]\n\nA normal-size integer. The signed range is -2147483648 to 2147483647.\nThe unsigned range is 0 to 4294967295.\n','','numeric-type-overview'),(408,'GLENGTH',11,'GLength(ls)\n\nReturns as a double-precision number the length of the LineString value\nls in its associated spatial reference.\n','mysql> SET @ls = \'LineString(1 1,2 2,3 3)\';\nmysql> SELECT GLength(GeomFromText(@ls));\n+----------------------------+\n| GLength(GeomFromText(@ls)) |\n+----------------------------+\n|            2.8284271247462 |\n+----------------------------+\n','linestring-property-functions'),(409,'RADIANS',4,'Syntax:\nRADIANS(X)\n\nReturns the argument X, converted from degrees to radians. (Note that\nπ radians equals 180 degrees.)\n','mysql> SELECT RADIANS(90);\n        -> 1.570796\n','mathematical-functions'),(410,'COLLATION',15,'Syntax:\nCOLLATION(str)\n\nReturns the collation of the string argument.\n','mysql> SELECT COLLATION(\'abc\');\n        -> \'latin1_swedish_ci\'\nmysql> SELECT COLLATION(_utf8\'abc\');\n        -> \'utf8_general_ci\'\n','information-functions'),(411,'COALESCE',17,'Syntax:\nCOALESCE(value,...)\n\nReturns the first non-NULL value in the list, or NULL if there are no\nnon-NULL values.\n','mysql> SELECT COALESCE(NULL,1);\n        -> 1\nmysql> SELECT COALESCE(NULL,NULL,NULL);\n        -> NULL\n','comparison-operators'),(412,'VERSION',15,'Syntax:\nVERSION()\n\nReturns a string that indicates the MySQL server version. As of MySQL\n4.1, the string has the utf8 character set.\n','mysql> SELECT VERSION();\n        -> \'4.1.21-standard\'\n','information-functions'),(413,'MAKE_SET',32,'Syntax:\nMAKE_SET(bits,str1,str2,...)\n\nReturns a set value (a string containing substrings separated by `,\'\ncharacters) consisting of the strings that have the corresponding bit\nin bits set. str1 corresponds to bit 0, str2 to bit 1, and so on. NULL\nvalues in str1, str2, ... are not appended to the result.\n','mysql> SELECT MAKE_SET(1,\'a\',\'b\',\'c\');\n        -> \'a\'\nmysql> SELECT MAKE_SET(1 | 4,\'hello\',\'nice\',\'world\');\n        -> \'hello,world\'\nmysql> SELECT MAKE_SET(1 | 4,\'hello\',\'nice\',NULL,\'world\');\n        -> \'hello\'\nmysql> SELECT MAKE_SET(0,\'a\',\'b\',\'c\');\n        -> \'\'\n','string-functions'),(414,'FIND_IN_SET',32,'Syntax:\nFIND_IN_SET(str,strlist)\n\nReturns a value in the range of 1 to N if the string str is in the\nstring list strlist consisting of N substrings. A string list is a\nstring composed of substrings separated by `,\' characters. If the first\nargument is a constant string and the second is a column of type SET,\nthe FIND_IN_SET() function is optimized to use bit arithmetic. Returns\n0 if str is not in strlist or if strlist is the empty string. Returns\nNULL if either argument is NULL. This function does not work properly\nif the first argument contains a comma (`,\') character.\n','mysql> SELECT FIND_IN_SET(\'b\',\'a,b,c,d\');\n        -> 2\n','string-functions');
UNLOCK TABLES;
/*!40000 ALTER TABLE `help_topic` ENABLE KEYS */;

--
-- Table structure for table `host`
--

DROP TABLE IF EXISTS `host`;
CREATE TABLE `host` (
  `Host` char(60) collate utf8_bin NOT NULL default '',
  `Db` char(64) collate utf8_bin NOT NULL default '',
  `Select_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Insert_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Update_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Delete_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Create_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Drop_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Grant_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `References_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Index_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Alter_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Create_tmp_table_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Lock_tables_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  PRIMARY KEY  (`Host`,`Db`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Host privileges;  Merged with database privileges';

--
-- Dumping data for table `host`
--


/*!40000 ALTER TABLE `host` DISABLE KEYS */;
LOCK TABLES `host` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `host` ENABLE KEYS */;

--
-- Table structure for table `tables_priv`
--

DROP TABLE IF EXISTS `tables_priv`;
CREATE TABLE `tables_priv` (
  `Host` char(60) collate utf8_bin NOT NULL default '',
  `Db` char(64) collate utf8_bin NOT NULL default '',
  `User` char(16) collate utf8_bin NOT NULL default '',
  `Table_name` char(64) collate utf8_bin NOT NULL default '',
  `Grantor` char(77) collate utf8_bin NOT NULL default '',
  `Timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `Table_priv` set('Select','Insert','Update','Delete','Create','Drop','Grant','References','Index','Alter') character set utf8 NOT NULL default '',
  `Column_priv` set('Select','Insert','Update','References') character set utf8 NOT NULL default '',
  PRIMARY KEY  (`Host`,`Db`,`User`,`Table_name`),
  KEY `Grantor` (`Grantor`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Table privileges';

--
-- Dumping data for table `tables_priv`
--


/*!40000 ALTER TABLE `tables_priv` DISABLE KEYS */;
LOCK TABLES `tables_priv` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `tables_priv` ENABLE KEYS */;

--
-- Table structure for table `time_zone`
--

DROP TABLE IF EXISTS `time_zone`;
CREATE TABLE `time_zone` (
  `Time_zone_id` int(10) unsigned NOT NULL auto_increment,
  `Use_leap_seconds` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`Time_zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Time zones';

--
-- Dumping data for table `time_zone`
--


/*!40000 ALTER TABLE `time_zone` DISABLE KEYS */;
LOCK TABLES `time_zone` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `time_zone` ENABLE KEYS */;

--
-- Table structure for table `time_zone_leap_second`
--

DROP TABLE IF EXISTS `time_zone_leap_second`;
CREATE TABLE `time_zone_leap_second` (
  `Transition_time` bigint(20) NOT NULL default '0',
  `Correction` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Transition_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Leap seconds information for time zones';

--
-- Dumping data for table `time_zone_leap_second`
--


/*!40000 ALTER TABLE `time_zone_leap_second` DISABLE KEYS */;
LOCK TABLES `time_zone_leap_second` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `time_zone_leap_second` ENABLE KEYS */;

--
-- Table structure for table `time_zone_name`
--

DROP TABLE IF EXISTS `time_zone_name`;
CREATE TABLE `time_zone_name` (
  `Name` char(64) NOT NULL default '',
  `Time_zone_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`Name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Time zone names';

--
-- Dumping data for table `time_zone_name`
--


/*!40000 ALTER TABLE `time_zone_name` DISABLE KEYS */;
LOCK TABLES `time_zone_name` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `time_zone_name` ENABLE KEYS */;

--
-- Table structure for table `time_zone_transition`
--

DROP TABLE IF EXISTS `time_zone_transition`;
CREATE TABLE `time_zone_transition` (
  `Time_zone_id` int(10) unsigned NOT NULL default '0',
  `Transition_time` bigint(20) NOT NULL default '0',
  `Transition_type_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`Time_zone_id`,`Transition_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Time zone transitions';

--
-- Dumping data for table `time_zone_transition`
--


/*!40000 ALTER TABLE `time_zone_transition` DISABLE KEYS */;
LOCK TABLES `time_zone_transition` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `time_zone_transition` ENABLE KEYS */;

--
-- Table structure for table `time_zone_transition_type`
--

DROP TABLE IF EXISTS `time_zone_transition_type`;
CREATE TABLE `time_zone_transition_type` (
  `Time_zone_id` int(10) unsigned NOT NULL default '0',
  `Transition_type_id` int(10) unsigned NOT NULL default '0',
  `Offset` int(11) NOT NULL default '0',
  `Is_DST` tinyint(3) unsigned NOT NULL default '0',
  `Abbreviation` char(8) NOT NULL default '',
  PRIMARY KEY  (`Time_zone_id`,`Transition_type_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Time zone transition types';

--
-- Dumping data for table `time_zone_transition_type`
--


/*!40000 ALTER TABLE `time_zone_transition_type` DISABLE KEYS */;
LOCK TABLES `time_zone_transition_type` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `time_zone_transition_type` ENABLE KEYS */;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `Host` varchar(60) collate utf8_bin NOT NULL default '',
  `User` varchar(16) collate utf8_bin NOT NULL default '',
  `Password` varchar(41) collate utf8_bin NOT NULL default '',
  `Select_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Insert_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Update_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Delete_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Create_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Drop_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Reload_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Shutdown_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Process_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `File_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Grant_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `References_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Index_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Alter_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Show_db_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Super_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Create_tmp_table_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Lock_tables_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Execute_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Repl_slave_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `Repl_client_priv` enum('N','Y') character set utf8 NOT NULL default 'N',
  `ssl_type` enum('','ANY','X509','SPECIFIED') character set utf8 NOT NULL default '',
  `ssl_cipher` blob NOT NULL,
  `x509_issuer` blob NOT NULL,
  `x509_subject` blob NOT NULL,
  `max_questions` int(11) unsigned NOT NULL default '0',
  `max_updates` int(11) unsigned NOT NULL default '0',
  `max_connections` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`Host`,`User`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Users and global privileges';

--
-- Dumping data for table `user`
--


/*!40000 ALTER TABLE `user` DISABLE KEYS */;
LOCK TABLES `user` WRITE;
INSERT INTO `user` VALUES ('localhost','root','78d16f2627ff5865','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0),('sv.pao.ac','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0),('localhost','pao','02fad2c60ae021fc','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','N','','','','',0,0,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `user` ENABLE KEYS */;

--
-- Current Database: `test`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `test` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `test`;

--
-- Table structure for table `Koukoku`
--

DROP TABLE IF EXISTS `Koukoku`;
CREATE TABLE `Koukoku` (
  `id` int(11) default NULL,
  `s_name` varchar(50) default NULL,
  `catch` varchar(50) default NULL,
  `s_code` varchar(50) default NULL,
  `uri_monku` varchar(50) default NULL,
  `setsumei` text,
  `kakaku` varchar(50) default NULL,
  `img1` varchar(50) default NULL,
  `img2` varchar(50) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `Koukoku`
--


/*!40000 ALTER TABLE `Koukoku` DISABLE KEYS */;
LOCK TABLES `Koukoku` WRITE;
INSERT INTO `Koukoku` VALUES (0,'Reports.net','.NET 開発環境下でのレポート作成ツールの決定版！!','4912345678904','待望の新製品','\"・海外製品の翻訳版ではなく、日本の帳票に要求される機能を盛り込んだ\n　帳票作成ツールとして独自に開発した製品です。\n\n・多機能デザイナーでフレシキブルな帳票設計が可能です。\n\n・ＰＯＰやチラシ等にも使える柔軟な文字装飾機能を提供します。\n\n・帳票定義は仕様公開されたXMLファイルです。デザイナーを用いない設計や、\n　独自プログラムから帳票定義を動的生成する事等が可能です。\n\n・複数種類の帳票を1度に印刷(プレビュー)が可能です。\n\n・印刷データをそのままXMLファイルに保存し、それを読み込む事が可能です。\n\n・ユーザプログラムからは、従来の多くのツールが採用していた各イベントに\n　コードを書く形式ではなく、1箇所に印刷コードを書いて制御する形式です。\"','48,000','image1-1.jpg','image1-2.jpg'),(2,'BarCode.NET','.NET 開発環境下でのバーコード生成ツールの決定版！!','4923456789014','大好評発売中','\"　BarCode.NETは、次のことを念頭において開発いたしました。\n\n１．精密なこと\n　　単なるバーコードリーダでの検査でなく、RJSのレーザーインスペクター\n　　Model L2000 というバーコード検査機にて細かくバーコードの精度を\n　　検査しております。\n\n２．用途が様々\n　　皆様が作成されるアプリケーションからGraphicsオブジェクトを渡していた\n　　だいて、BarCode.NETが、そのGraphicsオブジェクトに対してバーコードを\n　　描画する仕組みになっておりますので、様々な用途に利用することが可能\n　　になっております。\n\n３．使いやすいこと\n　　わかりやすいクラスのインタフェイスになっております。\n　　2～3 Stepのロジックでバーコードの印刷等を行うことができます。\"','18,000','image2-1.jpg','image2-2.jpg'),(3,'FontTrans.NET','.NET 開発環境下での装飾フォント生成ツールの決定版！!','4934567890124','便利な話題作','\"　FontTrans.NETは、Microsoft .NET Framework上でフォントを加工した\n画像を作成するツールです。\n　フォントを物理的な大きさ(ポイント数等)で指定して描画するのではなく、\n決められた領域内に入るように拡大/縮小して描画します。\n\n　皆様がお作りになるアプリーケーションから、Graphicsオブジェクトを\n受け渡す事により、FontTrans.NETは、そのGraphicsオブジェクトに対して、\nフォントを加工した画像を描画します。\n\nこのため、簡単に様々な用途でお使い頂けると思います。\n価格POP作成時の価格数字印刷、帳票ツールの部品としての組み込み、\n資料のちょっとしたアクセント等にご利用頂ければ幸いです。\"','7,000','image3-1.jpg','image3-2.jpg'),(4,'Mail2DB','電子メールデータを自動的にデータベースに登録！！','4945678901234','ご存知定番！','\"　Mail2DBは、定型的な書式の電子メールデータを、自動的にデータベース\nに登録するソフトウエアです。\n\n　 登録したデータは、直接Excelに書き出して利用することが可能です。\n\n　Mail2DBで メールの受信を行い、あらかじめ設定しておいたルールに従い、\nメールのデータをAccess2000のデータベースへ自動振分登録します。\n\n　 WEB上のアンケートフォームからの顧客自動登録や、商品の受注管理\nなどにご利用いただけます。　\n\n　 Mail2DBは、マンション販売を目的とした不動産業への導入実績が複数\nあります。\"','50,000','image4-1.jpg','image4-2.jpg');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Koukoku` ENABLE KEYS */;

--
-- Table structure for table `Meishi`
--

DROP TABLE IF EXISTS `Meishi`;
CREATE TABLE `Meishi` (
  `id` int(11) default NULL,
  `name` varchar(50) default NULL,
  `katagaki` varchar(50) default NULL,
  `mail` varchar(50) default NULL,
  `mobile_phone` varchar(50) default NULL,
  `mobile_name` varchar(50) default NULL,
  `mobile_kana` varchar(50) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `Meishi`
--


/*!40000 ALTER TABLE `Meishi` DISABLE KEYS */;
LOCK TABLES `Meishi` WRITE;
INSERT INTO `Meishi` VALUES (1,'\"','\"','\"info@pao.ac\"','\"090-XXXX-XXXX\"','\"','\"'),(2,'\"','\"','\"xxx@pao.ac\"','\"090-YYYY-YYYY\"','\"','\"'),(3,'\"','\"','\"hoge@pao.ac\"','\"070-ZZZZ-ZZZZ\"','\"','\"');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Meishi` ENABLE KEYS */;

--
-- Table structure for table `MitsumoriDetail`
--

DROP TABLE IF EXISTS `MitsumoriDetail`;
CREATE TABLE `MitsumoriDetail` (
  `m_no` varchar(9) default NULL,
  `line_no` int(11) default NULL,
  `s_no` varchar(13) default NULL,
  `s_name` varchar(21) default NULL,
  `amount` int(11) default NULL,
  `unit_price` bigint(20) default NULL,
  `sum_mny` bigint(20) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `MitsumoriDetail`
--


/*!40000 ALTER TABLE `MitsumoriDetail` DISABLE KEYS */;
LOCK TABLES `MitsumoriDetail` WRITE;
INSERT INTO `MitsumoriDetail` VALUES ('﻿10000001',1,'1234567890123','かき氷屋三代記―我永遠に氷をアイス―',2,1900,3800),('10000001',2,'1234567890124','大衆操作暗黒史',4,500,2000),('10000001',3,'1234567890125','誰が為に鐘は鳴る',5,58000,290000),('10000001',4,'1234567890126','戦う動物大百科',300,15000,4500000),('10000001',5,'1234567890127','中国宮廷儀礼典範',23,1800,41400),('10000001',6,'1234567890128','中国拳法修行大鑑',42,1580,66360),('10000001',7,'1234567890129','中国拳法－その科学性－',76,2430,184680),('10000001',8,'1234567890130','世界気象大鑑',5,14800,74000),('10000001',9,'1234567890131','世界死闘決闘百選',2,5680,11360),('10000001',10,'1234567890132','中国古代吃驚医学大鑑',76,3450,262200),('10000001',11,'1234567890133','中国三千年の歴史に学ぶ現代人の知恵',24,12300,295200),('10000001',12,'1234567890134','中国電化大革命史',8,23000,184000),('10000001',13,'1234567890135','戦国異聞記',10,2300,23000),('10000001',14,'1234567890136','戦国決闘異聞第七巻',12,1890,22680),('10000231',1,'1234567890137','中国秘拳満漢全席',23,370,8510),('10000231',2,'1234567890138','教育と体罰',8,1280,10240),('10000231',3,'1234567890139','驚異の昆虫世界',32,1430,45760),('10000231',4,'1234567890140','ツタンカーメンの逆襲',13,3240,42120),('10000231',5,'1234567890141','現代麻薬集成',32,1200,38400),('10000231',6,'1234567890142','独習中国拳法',78,1450,113100),('10000231',7,'1234567890143','室内球技における中国文明の影響',23,12120,278760),('10000231',8,'1234567890144','戦国武将人情譚',42,2340,98280),('10000231',9,'1234567890145','相撲人生待ったなし',12,36780,441360),('10000231',10,'1234567890146','人体―その代謝機能の神秘―',74,3240,239760),('10000231',11,'1234567890147','スポーツ起源異聞',1,2350,2350),('10000231',12,'1234567890148','西欧文明－その爛熟と退廃－',200,250,50000),('10000231',13,'1234567890149','玩具にみる古代中国の英知',23,2300,52900);
UNLOCK TABLES;
/*!40000 ALTER TABLE `MitsumoriDetail` ENABLE KEYS */;

--
-- Table structure for table `MitsumoriHeader`
--

DROP TABLE IF EXISTS `MitsumoriHeader`;
CREATE TABLE `MitsumoriHeader` (
  `m_no` varchar(8) default NULL,
  `m_date` date default NULL,
  `customer` varchar(9) default NULL,
  `ttl_mny` bigint(20) default NULL,
  `tax_mny` bigint(20) default NULL,
  `t_name` varchar(6) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `MitsumoriHeader`
--


/*!40000 ALTER TABLE `MitsumoriHeader` DISABLE KEYS */;
LOCK TABLES `MitsumoriHeader` WRITE;
INSERT INTO `MitsumoriHeader` VALUES ('10000001','2003-05-12','織田信長',6258714,298034,'上杉謙信'),('10000231','2003-05-13','武田信玄',1492617,71077,'羽柴秀吉');
UNLOCK TABLES;
/*!40000 ALTER TABLE `MitsumoriHeader` ENABLE KEYS */;

--
-- Table structure for table `PostTable`
--

DROP TABLE IF EXISTS `PostTable`;
CREATE TABLE `PostTable` (
  `zip_code` varchar(32) default NULL,
  `area` varchar(64) default NULL,
  `address` varchar(128) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `PostTable`
--


/*!40000 ALTER TABLE `PostTable` DISABLE KEYS */;
LOCK TABLES `PostTable` WRITE;
INSERT INTO `PostTable` VALUES ('102-0072','東京都千代田区','飯田橋'),('102-0082','東京都千代田区','一番町'),('101-0032','東京都千代田区','岩本町'),('101-0047','東京都千代田区','内神田'),('100-0011','東京都千代田区','内幸町'),('100-0004','東京都千代田区','大手町'),('101-0044','東京都千代田区','鍛冶町'),('100-0013','東京都千代田区','霞が関（次のビルを除く）'),('100-6090','東京都千代田区','霞が関霞が関ビル（地階・階層不明）'),('100-6001','東京都千代田区','霞が関霞が関ビル（１階）'),('100-6002','東京都千代田区','霞が関霞が関ビル（２階）'),('100-6003','東京都千代田区','霞が関霞が関ビル（３階）'),('100-6004','東京都千代田区','霞が関霞が関ビル（４階）'),('100-6005','東京都千代田区','霞が関霞が関ビル（５階）'),('100-6006','東京都千代田区','霞が関霞が関ビル（６階）'),('100-6007','東京都千代田区','霞が関霞が関ビル（７階）'),('100-6008','東京都千代田区','霞が関霞が関ビル（８階）'),('100-6009','東京都千代田区','霞が関霞が関ビル（９階）'),('100-6010','東京都千代田区','霞が関霞が関ビル（１０階）'),('100-6011','東京都千代田区','霞が関霞が関ビル（１１階）'),('100-6012','東京都千代田区','霞が関霞が関ビル（１２階）'),('100-6013','東京都千代田区','霞が関霞が関ビル（１３階）'),('100-6014','東京都千代田区','霞が関霞が関ビル（１４階）'),('100-6015','東京都千代田区','霞が関霞が関ビル（１５階）'),('100-6016','東京都千代田区','霞が関霞が関ビル（１６階）'),('100-6017','東京都千代田区','霞が関霞が関ビル（１７階）'),('100-6018','東京都千代田区','霞が関霞が関ビル（１８階）'),('100-6019','東京都千代田区','霞が関霞が関ビル（１９階）'),('100-6020','東京都千代田区','霞が関霞が関ビル（２０階）'),('100-6021','東京都千代田区','霞が関霞が関ビル（２１階）'),('100-6022','東京都千代田区','霞が関霞が関ビル（２２階）'),('100-6023','東京都千代田区','霞が関霞が関ビル（２３階）'),('100-6024','東京都千代田区','霞が関霞が関ビル（２４階）'),('100-6025','東京都千代田区','霞が関霞が関ビル（２５階）'),('100-6026','東京都千代田区','霞が関霞が関ビル（２６階）'),('100-6027','東京都千代田区','霞が関霞が関ビル（２７階）'),('100-6028','東京都千代田区','霞が関霞が関ビル（２８階）'),('100-6029','東京都千代田区','霞が関霞が関ビル（２９階）'),('100-6030','東京都千代田区','霞が関霞が関ビル（３０階）'),('100-6031','東京都千代田区','霞が関霞が関ビル（３１階）'),('100-6032','東京都千代田区','霞が関霞が関ビル（３２階）'),('100-6033','東京都千代田区','霞が関霞が関ビル（３３階）'),('100-6034','東京都千代田区','霞が関霞が関ビル（３４階）'),('100-6035','東京都千代田区','霞が関霞が関ビル（３５階）'),('100-6036','東京都千代田区','霞が関霞が関ビル（３６階）'),('101-0029','東京都千代田区','神田相生町'),('101-0063','東京都千代田区','神田淡路町'),('101-0024','東京都千代田区','神田和泉町'),('101-0033','東京都千代田区','神田岩本町'),('101-0052','東京都千代田区','神田小川町'),('101-0045','東京都千代田区','神田鍛冶町'),('101-0036','東京都千代田区','神田北乗物町'),('101-0035','東京都千代田区','神田紺屋町'),('101-0026','東京都千代田区','神田佐久間河岸'),('101-0025','東京都千代田区','神田佐久間町'),('101-0051','東京都千代田区','神田神保町'),('101-0041','東京都千代田区','神田須田町'),('101-0062','東京都千代田区','神田駿河台'),('101-0046','東京都千代田区','神田多町'),('101-0048','東京都千代田区','神田司町'),('101-0043','東京都千代田区','神田富山町'),('101-0054','東京都千代田区','神田錦町'),('101-0037','東京都千代田区','神田西福田町'),('101-0022','東京都千代田区','神田練塀町'),('101-0028','東京都千代田区','神田花岡町'),('101-0034','東京都千代田区','神田東紺屋町'),('101-0042','東京都千代田区','神田東松下町'),('101-0027','東京都千代田区','神田平河町'),('101-0023','東京都千代田区','神田松永町'),('101-0038','東京都千代田区','神田美倉町'),('101-0053','東京都千代田区','神田美土代町'),('102-0094','東京都千代田区','紀尾井町'),('102-0091','東京都千代田区','北の丸公園'),('102-0074','東京都千代田区','九段南'),('102-0073','東京都千代田区','九段北'),('100-0002','東京都千代田区','皇居外苑'),('102-0083','東京都千代田区','麹町'),('102-0076','東京都千代田区','五番町'),('101-0064','東京都千代田区','猿楽町'),('102-0075','東京都千代田区','三番町'),('101-0021','東京都千代田区','外神田'),('100-0001','東京都千代田区','千代田'),('100-0014','東京都千代田区','永田町'),('101-0065','東京都千代田区','西神田'),('102-0084','東京都千代田区','二番町'),('102-0092','東京都千代田区','隼町'),('101-0031','東京都千代田区','東神田'),('100-0003','東京都千代田区','一ツ橋（１丁目）'),('101-0003','東京都千代田区','一ツ橋（２丁目）'),('100-0012','東京都千代田区','日比谷公園'),('102-0093','東京都千代田区','平河町'),('102-0071','東京都千代田区','富士見'),('100-0005','東京都千代田区','丸の内'),('101-0061','東京都千代田区','三崎町'),('100-0006','東京都千代田区','有楽町'),('102-0081','東京都千代田区','四番町'),('102-0085','東京都千代田区','六番町'),('100-0000','東京都千代田区','他に掲載がない場合'),('104-0044','東京都中央区','明石町'),('104-0042','東京都中央区','入船'),('104-0054','東京都中央区','勝どき'),('104-0031','東京都中央区','京橋'),('104-0061','東京都中央区','銀座'),('104-0033','東京都中央区','新川'),('104-0041','東京都中央区','新富'),('104-0052','東京都中央区','月島'),('104-0045','東京都中央区','築地'),('104-0051','東京都中央区','佃'),('104-0055','東京都中央区','豊海町'),('103-0027','東京都中央区','日本橋'),('103-0011','東京都中央区','日本橋大伝馬町'),('103-0014','東京都中央区','日本橋蛎殻町'),('103-0026','東京都中央区','日本橋兜町'),('103-0025','東京都中央区','日本橋茅場町'),('103-0016','東京都中央区','日本橋小網町'),('103-0001','東京都中央区','日本橋小伝馬町'),('103-0024','東京都中央区','日本橋小舟町'),('103-0006','東京都中央区','日本橋富沢町'),('103-0008','東京都中央区','日本橋中洲'),('103-0013','東京都中央区','日本橋人形町'),('103-0015','東京都中央区','日本橋箱崎町'),('103-0007','東京都中央区','日本橋浜町'),('103-0002','東京都中央区','日本橋馬喰町'),('103-0005','東京都中央区','日本橋久松町'),('103-0012','東京都中央区','日本橋堀留町'),('103-0021','東京都中央区','日本橋本石町'),('103-0023','東京都中央区','日本橋本町'),('103-0022','東京都中央区','日本橋室町'),('103-0003','東京都中央区','日本橋横山町'),('104-0032','東京都中央区','八丁堀'),('104-0046','東京都中央区','浜離宮庭園'),('104-0053','東京都中央区','晴海'),('103-0004','東京都中央区','東日本橋'),('104-0043','東京都中央区','湊'),('103-0028','東京都中央区','八重洲（１丁目）'),('104-0028','東京都中央区','八重洲（２丁目）'),('103-0000','東京都中央区','他に掲載がない場合'),('107-0052','東京都港区','赤坂（次のビルを除く）'),('107-6090','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（地階・階層不明）'),('107-6001','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１階）'),('107-6002','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２階）'),('107-6003','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３階）'),('107-6004','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（４階）'),('107-6005','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（５階）'),('107-6006','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（６階）'),('107-6007','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（７階）'),('107-6008','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（８階）'),('107-6009','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（９階）'),('107-6010','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１０階）'),('107-6011','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１１階）'),('107-6012','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１２階）'),('107-6013','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１３階）'),('107-6014','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１４階）'),('107-6015','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１５階）'),('107-6016','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１６階）'),('107-6017','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１７階）'),('107-6018','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１８階）'),('107-6019','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（１９階）'),('107-6020','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２０階）'),('107-6021','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２１階）'),('107-6022','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２２階）'),('107-6023','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２３階）'),('107-6024','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２４階）'),('107-6025','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２５階）'),('107-6026','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２６階）'),('107-6027','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２７階）'),('107-6028','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２８階）'),('107-6029','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（２９階）'),('107-6030','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３０階）'),('107-6031','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３１階）'),('107-6032','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３２階）'),('107-6033','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３３階）'),('107-6034','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３４階）'),('107-6035','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３５階）'),('107-6036','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３６階）'),('107-6037','東京都港区','赤坂赤坂アークヒルズ・アーク森ビル（３７階）'),('107-6190','東京都港区','赤坂赤坂パークビル（地階・階層不明）'),('107-6101','東京都港区','赤坂赤坂パークビル（１階）'),('107-6102','東京都港区','赤坂赤坂パークビル（２階）'),('107-6103','東京都港区','赤坂赤坂パークビル（３階）'),('107-6104','東京都港区','赤坂赤坂パークビル（４階）'),('107-6105','東京都港区','赤坂赤坂パークビル（５階）'),('107-6106','東京都港区','赤坂赤坂パークビル（６階）'),('107-6107','東京都港区','赤坂赤坂パークビル（７階）'),('107-6108','東京都港区','赤坂赤坂パークビル（８階）'),('107-6109','東京都港区','赤坂赤坂パークビル（９階）'),('107-6110','東京都港区','赤坂赤坂パークビル（１０階）'),('107-6111','東京都港区','赤坂赤坂パークビル（１１階）'),('107-6112','東京都港区','赤坂赤坂パークビル（１２階）'),('107-6113','東京都港区','赤坂赤坂パークビル（１３階）'),('107-6114','東京都港区','赤坂赤坂パークビル（１４階）'),('107-6115','東京都港区','赤坂赤坂パークビル（１５階）'),('107-6116','東京都港区','赤坂赤坂パークビル（１６階）'),('107-6117','東京都港区','赤坂赤坂パークビル（１７階）'),('107-6118','東京都港区','赤坂赤坂パークビル（１８階）'),('107-6119','東京都港区','赤坂赤坂パークビル（１９階）'),('107-6120','東京都港区','赤坂赤坂パークビル（２０階）'),('107-6121','東京都港区','赤坂赤坂パークビル（２１階）'),('107-6122','東京都港区','赤坂赤坂パークビル（２２階）'),('107-6123','東京都港区','赤坂赤坂パークビル（２３階）'),('107-6124','東京都港区','赤坂赤坂パークビル（２４階）'),('107-6125','東京都港区','赤坂赤坂パークビル（２５階）'),('107-6126','東京都港区','赤坂赤坂パークビル（２６階）'),('107-6127','東京都港区','赤坂赤坂パークビル（２７階）'),('107-6128','東京都港区','赤坂赤坂パークビル（２８階）'),('107-6129','東京都港区','赤坂赤坂パークビル（２９階）'),('107-6130','東京都港区','赤坂赤坂パークビル（３０階）'),('106-0045','東京都港区','麻布十番'),('106-0041','東京都港区','麻布台'),('106-0043','東京都港区','麻布永坂町'),('106-0042','東京都港区','麻布狸穴町'),('105-0002','東京都港区','愛宕'),('105-0022','東京都港区','海岸（１丁目）'),('105-0022','東京都港区','海岸（２丁目）'),('108-0022','東京都港区','海岸（３丁目）'),('107-0061','東京都港区','北青山'),('108-0075','東京都港区','港南'),('105-0014','東京都港区','芝（１丁目）'),('105-0014','東京都港区','芝（２丁目）'),('105-0014','東京都港区','芝（３丁目）'),('108-0014','東京都港区','芝（４丁目）'),('108-0014','東京都港区','芝（５丁目）'),('105-0023','東京都港区','芝浦（１丁目）'),('108-0023','東京都港区','芝浦（２丁目）'),('108-0023','東京都港区','芝浦（３丁目）'),('108-0023','東京都港区','芝浦（４丁目）'),('105-0011','東京都港区','芝公園'),('105-0012','東京都港区','芝大門'),('108-0072','東京都港区','白金'),('108-0071','東京都港区','白金台'),('105-0004','東京都港区','新橋'),('135-0091','東京都港区','台場'),('108-0074','東京都港区','高輪'),('105-0001','東京都港区','虎ノ門（次のビルを除く）'),('105-6090','東京都港区','虎ノ門城山ＪＴ森ビル（地階・階層不明）'),('105-6001','東京都港区','虎ノ門城山ＪＴ森ビル（１階）'),('105-6002','東京都港区','虎ノ門城山ＪＴ森ビル（２階）'),('105-6003','東京都港区','虎ノ門城山ＪＴ森ビル（３階）'),('105-6004','東京都港区','虎ノ門城山ＪＴ森ビル（４階）'),('105-6005','東京都港区','虎ノ門城山ＪＴ森ビル（５階）'),('105-6006','東京都港区','虎ノ門城山ＪＴ森ビル（６階）'),('105-6007','東京都港区','虎ノ門城山ＪＴ森ビル（７階）'),('105-6008','東京都港区','虎ノ門城山ＪＴ森ビル（８階）'),('105-6009','東京都港区','虎ノ門城山ＪＴ森ビル（９階）'),('105-6010','東京都港区','虎ノ門城山ＪＴ森ビル（１０階）'),('105-6011','東京都港区','虎ノ門城山ＪＴ森ビル（１１階）'),('105-6012','東京都港区','虎ノ門城山ＪＴ森ビル（１２階）'),('105-6013','東京都港区','虎ノ門城山ＪＴ森ビル（１３階）'),('105-6014','東京都港区','虎ノ門城山ＪＴ森ビル（１４階）'),('105-6015','東京都港区','虎ノ門城山ＪＴ森ビル（１５階）'),('105-6016','東京都港区','虎ノ門城山ＪＴ森ビル（１６階）'),('105-6017','東京都港区','虎ノ門城山ＪＴ森ビル（１７階）'),('105-6018','東京都港区','虎ノ門城山ＪＴ森ビル（１８階）'),('105-6019','東京都港区','虎ノ門城山ＪＴ森ビル（１９階）'),('105-6020','東京都港区','虎ノ門城山ＪＴ森ビル（２０階）'),('105-6021','東京都港区','虎ノ門城山ＪＴ森ビル（２１階）'),('105-6022','東京都港区','虎ノ門城山ＪＴ森ビル（２２階）'),('105-6023','東京都港区','虎ノ門城山ＪＴ森ビル（２３階）'),('105-6024','東京都港区','虎ノ門城山ＪＴ森ビル（２４階）'),('105-6025','東京都港区','虎ノ門城山ＪＴ森ビル（２５階）'),('105-6026','東京都港区','虎ノ門城山ＪＴ森ビル（２６階）'),('105-6027','東京都港区','虎ノ門城山ＪＴ森ビル（２７階）'),('105-6028','東京都港区','虎ノ門城山ＪＴ森ビル（２８階）'),('105-6029','東京都港区','虎ノ門城山ＪＴ森ビル（２９階）'),('105-6030','東京都港区','虎ノ門城山ＪＴ森ビル（３０階）'),('105-6031','東京都港区','虎ノ門城山ＪＴ森ビル（３１階）'),('105-6032','東京都港区','虎ノ門城山ＪＴ森ビル（３２階）'),('105-6033','東京都港区','虎ノ門城山ＪＴ森ビル（３３階）'),('105-6034','東京都港区','虎ノ門城山ＪＴ森ビル（３４階）'),('105-6035','東京都港区','虎ノ門城山ＪＴ森ビル（３５階）'),('105-6036','東京都港区','虎ノ門城山ＪＴ森ビル（３６階）'),('106-0031','東京都港区','西麻布'),('105-0003','東京都港区','西新橋'),('105-0013','東京都港区','浜松町（次のビルを除く）'),('105-6190','東京都港区','浜松町世界貿易センタービル（地階・階層不明）'),('105-6101','東京都港区','浜松町世界貿易センタービル（１階）'),('105-6102','東京都港区','浜松町世界貿易センタービル（２階）'),('105-6103','東京都港区','浜松町世界貿易センタービル（３階）'),('105-6104','東京都港区','浜松町世界貿易センタービル（４階）'),('105-6105','東京都港区','浜松町世界貿易センタービル（５階）'),('105-6106','東京都港区','浜松町世界貿易センタービル（６階）'),('105-6107','東京都港区','浜松町世界貿易センタービル（７階）'),('105-6108','東京都港区','浜松町世界貿易センタービル（８階）'),('105-6109','東京都港区','浜松町世界貿易センタービル（９階）'),('105-6110','東京都港区','浜松町世界貿易センタービル（１０階）'),('105-6111','東京都港区','浜松町世界貿易センタービル（１１階）'),('105-6112','東京都港区','浜松町世界貿易センタービル（１２階）'),('105-6113','東京都港区','浜松町世界貿易センタービル（１３階）'),('105-6114','東京都港区','浜松町世界貿易センタービル（１４階）'),('105-6115','東京都港区','浜松町世界貿易センタービル（１５階）'),('105-6116','東京都港区','浜松町世界貿易センタービル（１６階）'),('105-6117','東京都港区','浜松町世界貿易センタービル（１７階）'),('105-6118','東京都港区','浜松町世界貿易センタービル（１８階）'),('105-6119','東京都港区','浜松町世界貿易センタービル（１９階）'),('105-6120','東京都港区','浜松町世界貿易センタービル（２０階）'),('105-6121','東京都港区','浜松町世界貿易センタービル（２１階）'),('105-6122','東京都港区','浜松町世界貿易センタービル（２２階）'),('105-6123','東京都港区','浜松町世界貿易センタービル（２３階）'),('105-6124','東京都港区','浜松町世界貿易センタービル（２４階）'),('105-6125','東京都港区','浜松町世界貿易センタービル（２５階）'),('105-6126','東京都港区','浜松町世界貿易センタービル（２６階）'),('105-6127','東京都港区','浜松町世界貿易センタービル（２７階）'),('105-6128','東京都港区','浜松町世界貿易センタービル（２８階）'),('105-6129','東京都港区','浜松町世界貿易センタービル（２９階）'),('105-6130','東京都港区','浜松町世界貿易センタービル（３０階）'),('105-6131','東京都港区','浜松町世界貿易センタービル（３１階）'),('105-6132','東京都港区','浜松町世界貿易センタービル（３２階）'),('105-6133','東京都港区','浜松町世界貿易センタービル（３３階）'),('105-6134','東京都港区','浜松町世界貿易センタービル（３４階）'),('105-6135','東京都港区','浜松町世界貿易センタービル（３５階）'),('105-6136','東京都港区','浜松町世界貿易センタービル（３６階）'),('105-6137','東京都港区','浜松町世界貿易センタービル（３７階）'),('105-6138','東京都港区','浜松町世界貿易センタービル（３８階）'),('105-6139','東京都港区','浜松町世界貿易センタービル（３９階）'),('105-6140','東京都港区','浜松町世界貿易センタービル（４０階）'),('106-0044','東京都港区','東麻布'),('105-0021','東京都港区','東新橋'),('108-0073','東京都港区','三田'),('107-0062','東京都港区','南青山'),('106-0047','東京都港区','南麻布'),('107-0051','東京都港区','元赤坂'),('106-0046','東京都港区','元麻布'),('106-0032','東京都港区','六本木'),('105-0000','東京都港区','他に掲載がない場合'),('160-0005','東京都新宿区','愛住町'),('162-0803','東京都新宿区','赤城下町'),('162-0817','東京都新宿区','赤城元町'),('162-0824','東京都新宿区','揚場町'),('160-0007','東京都新宿区','荒木町'),('162-0062','東京都新宿区','市谷加賀町'),('162-0856','東京都新宿区','市谷甲良町'),('162-0842','東京都新宿区','市谷砂土原町'),('162-0846','東京都新宿区','市谷左内町'),('162-0848','東京都新宿区','市谷鷹匠町'),('162-0843','東京都新宿区','市谷田町'),('162-0066','東京都新宿区','市谷台町'),('162-0847','東京都新宿区','市谷長延寺町'),('162-0064','東京都新宿区','市谷仲之町'),('162-0844','東京都新宿区','市谷八幡町'),('162-0826','東京都新宿区','市谷船河原町'),('162-0845','東京都新宿区','市谷本村町'),('162-0063','東京都新宿区','市谷薬王寺町'),('162-0061','東京都新宿区','市谷柳町'),('162-0857','東京都新宿区','市谷山伏町'),('162-0832','東京都新宿区','岩戸町'),('162-0806','東京都新宿区','榎町'),('169-0072','東京都新宿区','大久保'),('162-0802','東京都新宿区','改代町'),('162-0823','東京都新宿区','神楽河岸'),('162-0825','東京都新宿区','神楽坂'),('160-0013','東京都新宿区','霞岳町'),('160-0001','東京都新宿区','片町'),('160-0021','東京都新宿区','歌舞伎町'),('161-0034','東京都新宿区','上落合'),('162-0054','東京都新宿区','河田町'),('162-0044','東京都新宿区','喜久井町'),('169-0074','東京都新宿区','北新宿'),('162-0834','東京都新宿区','北町'),('162-0853','東京都新宿区','北山伏町'),('162-0838','東京都新宿区','細工町'),('160-0002','東京都新宿区','坂町'),('160-0017','東京都新宿区','左門町'),('160-0008','東京都新宿区','三栄町'),('160-0016','東京都新宿区','信濃町'),('161-0033','東京都新宿区','下落合'),('162-0822','東京都新宿区','下宮比町'),('162-0816','東京都新宿区','白銀町'),('162-0814','東京都新宿区','新小川町'),('160-0022','東京都新宿区','新宿'),('162-0811','東京都新宿区','水道町'),('160-0018','東京都新宿区','須賀町'),('162-0065','東京都新宿区','住吉町'),('160-0015','東京都新宿区','大京町'),('169-0075','東京都新宿区','高田馬場'),('162-0833','東京都新宿区','箪笥町'),('162-0818','東京都新宿区','築地町'),('162-0821','東京都新宿区','津久戸町'),('162-0815','東京都新宿区','筑土八幡町'),('162-0808','東京都新宿区','天神町'),('169-0071','東京都新宿区','戸塚町'),('162-0067','東京都新宿区','富久町'),('169-0052','東京都新宿区','戸山（３丁目１８・２１番）'),('162-0052','東京都新宿区','戸山（その他）'),('160-0014','東京都新宿区','内藤町'),('161-0035','東京都新宿区','中井'),('161-0032','東京都新宿区','中落合'),('162-0804','東京都新宿区','中里町'),('162-0835','東京都新宿区','中町'),('162-0837','東京都新宿区','納戸町'),('161-0031','東京都新宿区','西落合'),('162-0812','東京都新宿区','西五軒町'),('160-0023','東京都新宿区','西新宿（次のビルを除く）'),('163-1390','東京都新宿区','西新宿新宿アイランドタワー（地階・階層不明）'),('163-1301','東京都新宿区','西新宿新宿アイランドタワー（１階）'),('163-1302','東京都新宿区','西新宿新宿アイランドタワー（２階）'),('163-1303','東京都新宿区','西新宿新宿アイランドタワー（３階）'),('163-1304','東京都新宿区','西新宿新宿アイランドタワー（４階）'),('163-1305','東京都新宿区','西新宿新宿アイランドタワー（５階）'),('163-1306','東京都新宿区','西新宿新宿アイランドタワー（６階）'),('163-1307','東京都新宿区','西新宿新宿アイランドタワー（７階）'),('163-1308','東京都新宿区','西新宿新宿アイランドタワー（８階）'),('163-1309','東京都新宿区','西新宿新宿アイランドタワー（９階）'),('163-1310','東京都新宿区','西新宿新宿アイランドタワー（１０階）'),('163-1311','東京都新宿区','西新宿新宿アイランドタワー（１１階）'),('163-1312','東京都新宿区','西新宿新宿アイランドタワー（１２階）'),('163-1313','東京都新宿区','西新宿新宿アイランドタワー（１３階）'),('163-1314','東京都新宿区','西新宿新宿アイランドタワー（１４階）'),('163-1315','東京都新宿区','西新宿新宿アイランドタワー（１５階）'),('163-1316','東京都新宿区','西新宿新宿アイランドタワー（１６階）'),('163-1317','東京都新宿区','西新宿新宿アイランドタワー（１７階）'),('163-1318','東京都新宿区','西新宿新宿アイランドタワー（１８階）'),('163-1319','東京都新宿区','西新宿新宿アイランドタワー（１９階）'),('163-1320','東京都新宿区','西新宿新宿アイランドタワー（２０階）'),('163-1321','東京都新宿区','西新宿新宿アイランドタワー（２１階）'),('163-1322','東京都新宿区','西新宿新宿アイランドタワー（２２階）'),('163-1323','東京都新宿区','西新宿新宿アイランドタワー（２３階）'),('163-1324','東京都新宿区','西新宿新宿アイランドタワー（２４階）'),('163-1325','東京都新宿区','西新宿新宿アイランドタワー（２５階）'),('163-1326','東京都新宿区','西新宿新宿アイランドタワー（２６階）'),('163-1327','東京都新宿区','西新宿新宿アイランドタワー（２７階）'),('163-1328','東京都新宿区','西新宿新宿アイランドタワー（２８階）'),('163-1329','東京都新宿区','西新宿新宿アイランドタワー（２９階）'),('163-1330','東京都新宿区','西新宿新宿アイランドタワー（３０階）'),('163-1331','東京都新宿区','西新宿新宿アイランドタワー（３１階）'),('163-1332','東京都新宿区','西新宿新宿アイランドタワー（３２階）'),('163-1333','東京都新宿区','西新宿新宿アイランドタワー（３３階）'),('163-1334','東京都新宿区','西新宿新宿アイランドタワー（３４階）'),('163-1335','東京都新宿区','西新宿新宿アイランドタワー（３５階）'),('163-1336','東京都新宿区','西新宿新宿アイランドタワー（３６階）'),('163-1337','東京都新宿区','西新宿新宿アイランドタワー（３７階）'),('163-1338','東京都新宿区','西新宿新宿アイランドタワー（３８階）'),('163-1339','東京都新宿区','西新宿新宿アイランドタワー（３９階）'),('163-1340','東京都新宿区','西新宿新宿アイランドタワー（４０階）'),('163-1341','東京都新宿区','西新宿新宿アイランドタワー（４１階）'),('163-1342','東京都新宿区','西新宿新宿アイランドタワー（４２階）'),('163-1343','東京都新宿区','西新宿新宿アイランドタワー（４３階）'),('163-1344','東京都新宿区','西新宿新宿アイランドタワー（４４階）'),('163-0890','東京都新宿区','西新宿新宿ＮＳビル（地階・階層不明）'),('163-0801','東京都新宿区','西新宿新宿ＮＳビル（１階）'),('163-0802','東京都新宿区','西新宿新宿ＮＳビル（２階）'),('163-0803','東京都新宿区','西新宿新宿ＮＳビル（３階）'),('163-0804','東京都新宿区','西新宿新宿ＮＳビル（４階）'),('163-0805','東京都新宿区','西新宿新宿ＮＳビル（５階）'),('163-0806','東京都新宿区','西新宿新宿ＮＳビル（６階）'),('163-0807','東京都新宿区','西新宿新宿ＮＳビル（７階）'),('163-0808','東京都新宿区','西新宿新宿ＮＳビル（８階）'),('163-0809','東京都新宿区','西新宿新宿ＮＳビル（９階）'),('163-0810','東京都新宿区','西新宿新宿ＮＳビル（１０階）'),('163-0811','東京都新宿区','西新宿新宿ＮＳビル（１１階）'),('163-0812','東京都新宿区','西新宿新宿ＮＳビル（１２階）'),('163-0813','東京都新宿区','西新宿新宿ＮＳビル（１３階）'),('163-0814','東京都新宿区','西新宿新宿ＮＳビル（１４階）'),('163-0815','東京都新宿区','西新宿新宿ＮＳビル（１５階）'),('163-0816','東京都新宿区','西新宿新宿ＮＳビル（１６階）'),('163-0817','東京都新宿区','西新宿新宿ＮＳビル（１７階）'),('163-0818','東京都新宿区','西新宿新宿ＮＳビル（１８階）'),('163-0819','東京都新宿区','西新宿新宿ＮＳビル（１９階）'),('163-0820','東京都新宿区','西新宿新宿ＮＳビル（２０階）'),('163-0821','東京都新宿区','西新宿新宿ＮＳビル（２１階）'),('163-0822','東京都新宿区','西新宿新宿ＮＳビル（２２階）'),('163-0823','東京都新宿区','西新宿新宿ＮＳビル（２３階）'),('163-0824','東京都新宿区','西新宿新宿ＮＳビル（２４階）'),('163-0825','東京都新宿区','西新宿新宿ＮＳビル（２５階）'),('163-0826','東京都新宿区','西新宿新宿ＮＳビル（２６階）'),('163-0827','東京都新宿区','西新宿新宿ＮＳビル（２７階）'),('163-0828','東京都新宿区','西新宿新宿ＮＳビル（２８階）'),('163-0829','東京都新宿区','西新宿新宿ＮＳビル（２９階）'),('163-0830','東京都新宿区','西新宿新宿ＮＳビル（３０階）'),('163-1590','東京都新宿区','西新宿新宿エルタワー（地階・階層不明）'),('163-1501','東京都新宿区','西新宿新宿エルタワー（１階）'),('163-1502','東京都新宿区','西新宿新宿エルタワー（２階）'),('163-1503','東京都新宿区','西新宿新宿エルタワー（３階）'),('163-1504','東京都新宿区','西新宿新宿エルタワー（４階）'),('163-1505','東京都新宿区','西新宿新宿エルタワー（５階）'),('163-1506','東京都新宿区','西新宿新宿エルタワー（６階）'),('163-1507','東京都新宿区','西新宿新宿エルタワー（７階）'),('163-1508','東京都新宿区','西新宿新宿エルタワー（８階）'),('163-1509','東京都新宿区','西新宿新宿エルタワー（９階）'),('163-1510','東京都新宿区','西新宿新宿エルタワー（１０階）'),('163-1511','東京都新宿区','西新宿新宿エルタワー（１１階）'),('163-1512','東京都新宿区','西新宿新宿エルタワー（１２階）'),('163-1513','東京都新宿区','西新宿新宿エルタワー（１３階）'),('163-1514','東京都新宿区','西新宿新宿エルタワー（１４階）'),('163-1515','東京都新宿区','西新宿新宿エルタワー（１５階）'),('163-1516','東京都新宿区','西新宿新宿エルタワー（１６階）'),('163-1517','東京都新宿区','西新宿新宿エルタワー（１７階）'),('163-1518','東京都新宿区','西新宿新宿エルタワー（１８階）'),('163-1519','東京都新宿区','西新宿新宿エルタワー（１９階）'),('163-1520','東京都新宿区','西新宿新宿エルタワー（２０階）'),('163-1521','東京都新宿区','西新宿新宿エルタワー（２１階）'),('163-1522','東京都新宿区','西新宿新宿エルタワー（２２階）'),('163-1523','東京都新宿区','西新宿新宿エルタワー（２３階）'),('163-1524','東京都新宿区','西新宿新宿エルタワー（２４階）'),('163-1525','東京都新宿区','西新宿新宿エルタワー（２５階）'),('163-1526','東京都新宿区','西新宿新宿エルタワー（２６階）'),('163-1527','東京都新宿区','西新宿新宿エルタワー（２７階）'),('163-1528','東京都新宿区','西新宿新宿エルタワー（２８階）'),('163-1529','東京都新宿区','西新宿新宿エルタワー（２９階）'),('163-1530','東京都新宿区','西新宿新宿エルタワー（３０階）'),('163-1531','東京都新宿区','西新宿新宿エルタワー（３１階）'),('163-1190','東京都新宿区','西新宿新宿スクエアタワー（地階・階層不明）'),('163-1101','東京都新宿区','西新宿新宿スクエアタワー（１階）'),('163-1102','東京都新宿区','西新宿新宿スクエアタワー（２階）'),('163-1103','東京都新宿区','西新宿新宿スクエアタワー（３階）'),('163-1104','東京都新宿区','西新宿新宿スクエアタワー（４階）'),('163-1105','東京都新宿区','西新宿新宿スクエアタワー（５階）'),('163-1106','東京都新宿区','西新宿新宿スクエアタワー（６階）'),('163-1107','東京都新宿区','西新宿新宿スクエアタワー（７階）'),('163-1108','東京都新宿区','西新宿新宿スクエアタワー（８階）'),('163-1109','東京都新宿区','西新宿新宿スクエアタワー（９階）'),('163-1110','東京都新宿区','西新宿新宿スクエアタワー（１０階）'),('163-1111','東京都新宿区','西新宿新宿スクエアタワー（１１階）'),('163-1112','東京都新宿区','西新宿新宿スクエアタワー（１２階）'),('163-1113','東京都新宿区','西新宿新宿スクエアタワー（１３階）'),('163-1114','東京都新宿区','西新宿新宿スクエアタワー（１４階）'),('163-1115','東京都新宿区','西新宿新宿スクエアタワー（１５階）'),('163-1116','東京都新宿区','西新宿新宿スクエアタワー（１６階）'),('163-1117','東京都新宿区','西新宿新宿スクエアタワー（１７階）'),('163-1118','東京都新宿区','西新宿新宿スクエアタワー（１８階）'),('163-1119','東京都新宿区','西新宿新宿スクエアタワー（１９階）'),('163-1120','東京都新宿区','西新宿新宿スクエアタワー（２０階）'),('163-1121','東京都新宿区','西新宿新宿スクエアタワー（２１階）'),('163-1122','東京都新宿区','西新宿新宿スクエアタワー（２２階）'),('163-1123','東京都新宿区','西新宿新宿スクエアタワー（２３階）'),('163-1124','東京都新宿区','西新宿新宿スクエアタワー（２４階）'),('163-1125','東京都新宿区','西新宿新宿スクエアタワー（２５階）'),('163-1126','東京都新宿区','西新宿新宿スクエアタワー（２６階）'),('163-1127','東京都新宿区','西新宿新宿スクエアタワー（２７階）'),('163-1128','東京都新宿区','西新宿新宿スクエアタワー（２８階）'),('163-1129','東京都新宿区','西新宿新宿スクエアタワー（２９階）'),('163-1130','東京都新宿区','西新宿新宿スクエアタワー（３０階）'),('163-0290','東京都新宿区','西新宿新宿住友ビル（地階・階層不明）'),('163-0201','東京都新宿区','西新宿新宿住友ビル（１階）'),('163-0202','東京都新宿区','西新宿新宿住友ビル（２階）'),('163-0203','東京都新宿区','西新宿新宿住友ビル（３階）'),('163-0204','東京都新宿区','西新宿新宿住友ビル（４階）'),('163-0205','東京都新宿区','西新宿新宿住友ビル（５階）'),('163-0206','東京都新宿区','西新宿新宿住友ビル（６階）'),('163-0207','東京都新宿区','西新宿新宿住友ビル（７階）'),('163-0208','東京都新宿区','西新宿新宿住友ビル（８階）'),('163-0209','東京都新宿区','西新宿新宿住友ビル（９階）'),('163-0210','東京都新宿区','西新宿新宿住友ビル（１０階）'),('163-0211','東京都新宿区','西新宿新宿住友ビル（１１階）'),('163-0212','東京都新宿区','西新宿新宿住友ビル（１２階）'),('163-0213','東京都新宿区','西新宿新宿住友ビル（１３階）'),('163-0214','東京都新宿区','西新宿新宿住友ビル（１４階）'),('163-0215','東京都新宿区','西新宿新宿住友ビル（１５階）'),('163-0216','東京都新宿区','西新宿新宿住友ビル（１６階）'),('163-0217','東京都新宿区','西新宿新宿住友ビル（１７階）'),('163-0218','東京都新宿区','西新宿新宿住友ビル（１８階）'),('163-0219','東京都新宿区','西新宿新宿住友ビル（１９階）'),('163-0220','東京都新宿区','西新宿新宿住友ビル（２０階）'),('163-0221','東京都新宿区','西新宿新宿住友ビル（２１階）'),('163-0222','東京都新宿区','西新宿新宿住友ビル（２２階）'),('163-0223','東京都新宿区','西新宿新宿住友ビル（２３階）'),('163-0224','東京都新宿区','西新宿新宿住友ビル（２４階）'),('163-0225','東京都新宿区','西新宿新宿住友ビル（２５階）'),('163-0226','東京都新宿区','西新宿新宿住友ビル（２６階）'),('163-0227','東京都新宿区','西新宿新宿住友ビル（２７階）'),('163-0228','東京都新宿区','西新宿新宿住友ビル（２８階）'),('163-0229','東京都新宿区','西新宿新宿住友ビル（２９階）'),('163-0230','東京都新宿区','西新宿新宿住友ビル（３０階）'),('163-0231','東京都新宿区','西新宿新宿住友ビル（３１階）'),('163-0232','東京都新宿区','西新宿新宿住友ビル（３２階）'),('163-0233','東京都新宿区','西新宿新宿住友ビル（３３階）'),('163-0234','東京都新宿区','西新宿新宿住友ビル（３４階）'),('163-0235','東京都新宿区','西新宿新宿住友ビル（３５階）'),('163-0236','東京都新宿区','西新宿新宿住友ビル（３６階）'),('163-0237','東京都新宿区','西新宿新宿住友ビル（３７階）'),('163-0238','東京都新宿区','西新宿新宿住友ビル（３８階）'),('163-0239','東京都新宿区','西新宿新宿住友ビル（３９階）'),('163-0240','東京都新宿区','西新宿新宿住友ビル（４０階）'),('163-0241','東京都新宿区','西新宿新宿住友ビル（４１階）'),('163-0242','東京都新宿区','西新宿新宿住友ビル（４２階）'),('163-0243','東京都新宿区','西新宿新宿住友ビル（４３階）'),('163-0244','東京都新宿区','西新宿新宿住友ビル（４４階）'),('163-0245','東京都新宿区','西新宿新宿住友ビル（４５階）'),('163-0246','東京都新宿区','西新宿新宿住友ビル（４６階）'),('163-0247','東京都新宿区','西新宿新宿住友ビル（４７階）'),('163-0248','東京都新宿区','西新宿新宿住友ビル（４８階）'),('163-0249','東京都新宿区','西新宿新宿住友ビル（４９階）'),('163-0250','東京都新宿区','西新宿新宿住友ビル（５０階）'),('163-0251','東京都新宿区','西新宿新宿住友ビル（５１階）'),('163-0252','東京都新宿区','西新宿新宿住友ビル（５２階）'),('163-0690','東京都新宿区','西新宿新宿センタービル（地階・階層不明）'),('163-0601','東京都新宿区','西新宿新宿センタービル（１階）'),('163-0602','東京都新宿区','西新宿新宿センタービル（２階）'),('163-0603','東京都新宿区','西新宿新宿センタービル（３階）'),('163-0604','東京都新宿区','西新宿新宿センタービル（４階）'),('163-0605','東京都新宿区','西新宿新宿センタービル（５階）'),('163-0606','東京都新宿区','西新宿新宿センタービル（６階）'),('163-0607','東京都新宿区','西新宿新宿センタービル（７階）'),('163-0608','東京都新宿区','西新宿新宿センタービル（８階）'),('163-0609','東京都新宿区','西新宿新宿センタービル（９階）'),('163-0610','東京都新宿区','西新宿新宿センタービル（１０階）'),('163-0611','東京都新宿区','西新宿新宿センタービル（１１階）'),('163-0612','東京都新宿区','西新宿新宿センタービル（１２階）'),('163-0613','東京都新宿区','西新宿新宿センタービル（１３階）'),('163-0614','東京都新宿区','西新宿新宿センタービル（１４階）'),('163-0615','東京都新宿区','西新宿新宿センタービル（１５階）'),('163-0616','東京都新宿区','西新宿新宿センタービル（１６階）'),('163-0617','東京都新宿区','西新宿新宿センタービル（１７階）'),('163-0618','東京都新宿区','西新宿新宿センタービル（１８階）'),('163-0619','東京都新宿区','西新宿新宿センタービル（１９階）'),('163-0620','東京都新宿区','西新宿新宿センタービル（２０階）'),('163-0621','東京都新宿区','西新宿新宿センタービル（２１階）'),('163-0622','東京都新宿区','西新宿新宿センタービル（２２階）'),('163-0623','東京都新宿区','西新宿新宿センタービル（２３階）'),('163-0624','東京都新宿区','西新宿新宿センタービル（２４階）'),('163-0625','東京都新宿区','西新宿新宿センタービル（２５階）'),('163-0626','東京都新宿区','西新宿新宿センタービル（２６階）'),('163-0627','東京都新宿区','西新宿新宿センタービル（２７階）'),('163-0628','東京都新宿区','西新宿新宿センタービル（２８階）'),('163-0629','東京都新宿区','西新宿新宿センタービル（２９階）'),('163-0630','東京都新宿区','西新宿新宿センタービル（３０階）'),('163-0631','東京都新宿区','西新宿新宿センタービル（３１階）'),('163-0632','東京都新宿区','西新宿新宿センタービル（３２階）'),('163-0633','東京都新宿区','西新宿新宿センタービル（３３階）'),('163-0634','東京都新宿区','西新宿新宿センタービル（３４階）'),('163-0635','東京都新宿区','西新宿新宿センタービル（３５階）'),('163-0636','東京都新宿区','西新宿新宿センタービル（３６階）'),('163-0637','東京都新宿区','西新宿新宿センタービル（３７階）'),('163-0638','東京都新宿区','西新宿新宿センタービル（３８階）'),('163-0639','東京都新宿区','西新宿新宿センタービル（３９階）'),('163-0640','東京都新宿区','西新宿新宿センタービル（４０階）'),('163-0641','東京都新宿区','西新宿新宿センタービル（４１階）'),('163-0642','東京都新宿区','西新宿新宿センタービル（４２階）'),('163-0643','東京都新宿区','西新宿新宿センタービル（４３階）'),('163-0644','東京都新宿区','西新宿新宿センタービル（４４階）'),('163-0645','東京都新宿区','西新宿新宿センタービル（４５階）'),('163-0646','東京都新宿区','西新宿新宿センタービル（４６階）'),('163-0647','東京都新宿区','西新宿新宿センタービル（４７階）'),('163-0648','東京都新宿区','西新宿新宿センタービル（４８階）'),('163-0649','東京都新宿区','西新宿新宿センタービル（４９階）'),('163-0650','東京都新宿区','西新宿新宿センタービル（５０階）'),('163-0651','東京都新宿区','西新宿新宿センタービル（５１階）'),('163-0652','東京都新宿区','西新宿新宿センタービル（５２階）'),('163-0653','東京都新宿区','西新宿新宿センタービル（５３階）'),('163-0654','東京都新宿区','西新宿新宿センタービル（５４階）'),('163-0790','東京都新宿区','西新宿新宿第一生命ビル（地階・階層不明）'),('163-0701','東京都新宿区','西新宿新宿第一生命ビル（１階）'),('163-0702','東京都新宿区','西新宿新宿第一生命ビル（２階）'),('163-0703','東京都新宿区','西新宿新宿第一生命ビル（３階）'),('163-0704','東京都新宿区','西新宿新宿第一生命ビル（４階）'),('163-0705','東京都新宿区','西新宿新宿第一生命ビル（５階）'),('163-0706','東京都新宿区','西新宿新宿第一生命ビル（６階）'),('163-0707','東京都新宿区','西新宿新宿第一生命ビル（７階）'),('163-0708','東京都新宿区','西新宿新宿第一生命ビル（８階）'),('163-0709','東京都新宿区','西新宿新宿第一生命ビル（９階）'),('163-0710','東京都新宿区','西新宿新宿第一生命ビル（１０階）'),('163-0711','東京都新宿区','西新宿新宿第一生命ビル（１１階）'),('163-0712','東京都新宿区','西新宿新宿第一生命ビル（１２階）'),('163-0713','東京都新宿区','西新宿新宿第一生命ビル（１３階）'),('163-0714','東京都新宿区','西新宿新宿第一生命ビル（１４階）'),('163-0715','東京都新宿区','西新宿新宿第一生命ビル（１５階）'),('163-0716','東京都新宿区','西新宿新宿第一生命ビル（１６階）'),('163-0717','東京都新宿区','西新宿新宿第一生命ビル（１７階）'),('163-0718','東京都新宿区','西新宿新宿第一生命ビル（１８階）'),('163-0719','東京都新宿区','西新宿新宿第一生命ビル（１９階）'),('163-0720','東京都新宿区','西新宿新宿第一生命ビル（２０階）'),('163-0721','東京都新宿区','西新宿新宿第一生命ビル（２１階）'),('163-0722','東京都新宿区','西新宿新宿第一生命ビル（２２階）'),('163-0723','東京都新宿区','西新宿新宿第一生命ビル（２３階）'),('163-0724','東京都新宿区','西新宿新宿第一生命ビル（２４階）'),('163-0725','東京都新宿区','西新宿新宿第一生命ビル（２５階）'),('163-0726','東京都新宿区','西新宿新宿第一生命ビル（２６階）'),('163-0590','東京都新宿区','西新宿新宿野村ビル（地階・階層不明）'),('163-0501','東京都新宿区','西新宿新宿野村ビル（１階）'),('163-0502','東京都新宿区','西新宿新宿野村ビル（２階）'),('163-0503','東京都新宿区','西新宿新宿野村ビル（３階）'),('163-0504','東京都新宿区','西新宿新宿野村ビル（４階）'),('163-0505','東京都新宿区','西新宿新宿野村ビル（５階）'),('163-0506','東京都新宿区','西新宿新宿野村ビル（６階）'),('163-0507','東京都新宿区','西新宿新宿野村ビル（７階）'),('163-0508','東京都新宿区','西新宿新宿野村ビル（８階）'),('163-0509','東京都新宿区','西新宿新宿野村ビル（９階）'),('163-0510','東京都新宿区','西新宿新宿野村ビル（１０階）'),('163-0511','東京都新宿区','西新宿新宿野村ビル（１１階）'),('163-0512','東京都新宿区','西新宿新宿野村ビル（１２階）'),('163-0513','東京都新宿区','西新宿新宿野村ビル（１３階）'),('163-0514','東京都新宿区','西新宿新宿野村ビル（１４階）'),('163-0515','東京都新宿区','西新宿新宿野村ビル（１５階）'),('163-0516','東京都新宿区','西新宿新宿野村ビル（１６階）'),('163-0517','東京都新宿区','西新宿新宿野村ビル（１７階）'),('163-0518','東京都新宿区','西新宿新宿野村ビル（１８階）'),('163-0519','東京都新宿区','西新宿新宿野村ビル（１９階）'),('163-0520','東京都新宿区','西新宿新宿野村ビル（２０階）'),('163-0521','東京都新宿区','西新宿新宿野村ビル（２１階）'),('163-0522','東京都新宿区','西新宿新宿野村ビル（２２階）'),('163-0523','東京都新宿区','西新宿新宿野村ビル（２３階）'),('163-0524','東京都新宿区','西新宿新宿野村ビル（２４階）'),('163-0525','東京都新宿区','西新宿新宿野村ビル（２５階）'),('163-0526','東京都新宿区','西新宿新宿野村ビル（２６階）'),('163-0527','東京都新宿区','西新宿新宿野村ビル（２７階）'),('163-0528','東京都新宿区','西新宿新宿野村ビル（２８階）'),('163-0529','東京都新宿区','西新宿新宿野村ビル（２９階）'),('163-0530','東京都新宿区','西新宿新宿野村ビル（３０階）'),('163-0531','東京都新宿区','西新宿新宿野村ビル（３１階）'),('163-0532','東京都新宿区','西新宿新宿野村ビル（３２階）'),('163-0533','東京都新宿区','西新宿新宿野村ビル（３３階）'),('163-0534','東京都新宿区','西新宿新宿野村ビル（３４階）'),('163-0535','東京都新宿区','西新宿新宿野村ビル（３５階）'),('163-0536','東京都新宿区','西新宿新宿野村ビル（３６階）'),('163-0537','東京都新宿区','西新宿新宿野村ビル（３７階）'),('163-0538','東京都新宿区','西新宿新宿野村ビル（３８階）'),('163-0539','東京都新宿区','西新宿新宿野村ビル（３９階）'),('163-0540','東京都新宿区','西新宿新宿野村ビル（４０階）'),('163-0541','東京都新宿区','西新宿新宿野村ビル（４１階）'),('163-0542','東京都新宿区','西新宿新宿野村ビル（４２階）'),('163-0543','東京都新宿区','西新宿新宿野村ビル（４３階）'),('163-0544','東京都新宿区','西新宿新宿野村ビル（４４階）'),('163-0545','東京都新宿区','西新宿新宿野村ビル（４５階）'),('163-0546','東京都新宿区','西新宿新宿野村ビル（４６階）'),('163-0547','東京都新宿区','西新宿新宿野村ビル（４７階）'),('163-0548','東京都新宿区','西新宿新宿野村ビル（４８階）'),('163-0549','東京都新宿区','西新宿新宿野村ビル（４９階）'),('163-0550','東京都新宿区','西新宿新宿野村ビル（５０階）'),('163-1090','東京都新宿区','西新宿新宿パークタワー（地階・階層不明）'),('163-1001','東京都新宿区','西新宿新宿パークタワー（１階）'),('163-1002','東京都新宿区','西新宿新宿パークタワー（２階）'),('163-1003','東京都新宿区','西新宿新宿パークタワー（３階）'),('163-1004','東京都新宿区','西新宿新宿パークタワー（４階）'),('163-1005','東京都新宿区','西新宿新宿パークタワー（５階）'),('163-1006','東京都新宿区','西新宿新宿パークタワー（６階）'),('163-1007','東京都新宿区','西新宿新宿パークタワー（７階）'),('163-1008','東京都新宿区','西新宿新宿パークタワー（８階）'),('163-1009','東京都新宿区','西新宿新宿パークタワー（９階）'),('163-1010','東京都新宿区','西新宿新宿パークタワー（１０階）'),('163-1011','東京都新宿区','西新宿新宿パークタワー（１１階）'),('163-1012','東京都新宿区','西新宿新宿パークタワー（１２階）'),('163-1013','東京都新宿区','西新宿新宿パークタワー（１３階）'),('163-1014','東京都新宿区','西新宿新宿パークタワー（１４階）'),('163-1015','東京都新宿区','西新宿新宿パークタワー（１５階）'),('163-1016','東京都新宿区','西新宿新宿パークタワー（１６階）'),('163-1017','東京都新宿区','西新宿新宿パークタワー（１７階）'),('163-1018','東京都新宿区','西新宿新宿パークタワー（１８階）'),('163-1019','東京都新宿区','西新宿新宿パークタワー（１９階）'),('163-1020','東京都新宿区','西新宿新宿パークタワー（２０階）'),('163-1021','東京都新宿区','西新宿新宿パークタワー（２１階）'),('163-1022','東京都新宿区','西新宿新宿パークタワー（２２階）'),('163-1023','東京都新宿区','西新宿新宿パークタワー（２３階）'),('163-1024','東京都新宿区','西新宿新宿パークタワー（２４階）'),('163-1025','東京都新宿区','西新宿新宿パークタワー（２５階）'),('163-1026','東京都新宿区','西新宿新宿パークタワー（２６階）'),('163-1027','東京都新宿区','西新宿新宿パークタワー（２７階）'),('163-1028','東京都新宿区','西新宿新宿パークタワー（２８階）'),('163-1029','東京都新宿区','西新宿新宿パークタワー（２９階）'),('163-1030','東京都新宿区','西新宿新宿パークタワー（３０階）'),('163-1031','東京都新宿区','西新宿新宿パークタワー（３１階）'),('163-1032','東京都新宿区','西新宿新宿パークタワー（３２階）'),('163-1033','東京都新宿区','西新宿新宿パークタワー（３３階）'),('163-1034','東京都新宿区','西新宿新宿パークタワー（３４階）'),('163-1035','東京都新宿区','西新宿新宿パークタワー（３５階）'),('163-1036','東京都新宿区','西新宿新宿パークタワー（３６階）'),('163-1037','東京都新宿区','西新宿新宿パークタワー（３７階）'),('163-1038','東京都新宿区','西新宿新宿パークタワー（３８階）'),('163-1039','東京都新宿区','西新宿新宿パークタワー（３９階）'),('163-1040','東京都新宿区','西新宿新宿パークタワー（４０階）'),('163-1041','東京都新宿区','西新宿新宿パークタワー（４１階）'),('163-1042','東京都新宿区','西新宿新宿パークタワー（４２階）'),('163-1043','東京都新宿区','西新宿新宿パークタワー（４３階）'),('163-1044','東京都新宿区','西新宿新宿パークタワー（４４階）'),('163-1045','東京都新宿区','西新宿新宿パークタワー（４５階）'),('163-1046','東京都新宿区','西新宿新宿パークタワー（４６階）'),('163-1047','東京都新宿区','西新宿新宿パークタワー（４７階）'),('163-1048','東京都新宿区','西新宿新宿パークタワー（４８階）'),('163-1049','東京都新宿区','西新宿新宿パークタワー（４９階）'),('163-1050','東京都新宿区','西新宿新宿パークタワー（５０階）'),('163-1051','東京都新宿区','西新宿新宿パークタワー（５１階）'),('163-1052','東京都新宿区','西新宿新宿パークタワー（５２階）'),('163-0490','東京都新宿区','西新宿新宿三井ビル（地階・階層不明）'),('163-0401','東京都新宿区','西新宿新宿三井ビル（１階）'),('163-0402','東京都新宿区','西新宿新宿三井ビル（２階）'),('163-0403','東京都新宿区','西新宿新宿三井ビル（３階）'),('163-0404','東京都新宿区','西新宿新宿三井ビル（４階）'),('163-0405','東京都新宿区','西新宿新宿三井ビル（５階）'),('163-0406','東京都新宿区','西新宿新宿三井ビル（６階）'),('163-0407','東京都新宿区','西新宿新宿三井ビル（７階）'),('163-0408','東京都新宿区','西新宿新宿三井ビル（８階）'),('163-0409','東京都新宿区','西新宿新宿三井ビル（９階）'),('163-0410','東京都新宿区','西新宿新宿三井ビル（１０階）'),('163-0411','東京都新宿区','西新宿新宿三井ビル（１１階）'),('163-0412','東京都新宿区','西新宿新宿三井ビル（１２階）'),('163-0413','東京都新宿区','西新宿新宿三井ビル（１３階）'),('163-0414','東京都新宿区','西新宿新宿三井ビル（１４階）'),('163-0415','東京都新宿区','西新宿新宿三井ビル（１５階）'),('163-0416','東京都新宿区','西新宿新宿三井ビル（１６階）'),('163-0417','東京都新宿区','西新宿新宿三井ビル（１７階）'),('163-0418','東京都新宿区','西新宿新宿三井ビル（１８階）'),('163-0419','東京都新宿区','西新宿新宿三井ビル（１９階）'),('163-0420','東京都新宿区','西新宿新宿三井ビル（２０階）'),('163-0421','東京都新宿区','西新宿新宿三井ビル（２１階）'),('163-0422','東京都新宿区','西新宿新宿三井ビル（２２階）'),('163-0423','東京都新宿区','西新宿新宿三井ビル（２３階）'),('163-0424','東京都新宿区','西新宿新宿三井ビル（２４階）'),('163-0425','東京都新宿区','西新宿新宿三井ビル（２５階）'),('163-0426','東京都新宿区','西新宿新宿三井ビル（２６階）'),('163-0427','東京都新宿区','西新宿新宿三井ビル（２７階）'),('163-0428','東京都新宿区','西新宿新宿三井ビル（２８階）'),('163-0429','東京都新宿区','西新宿新宿三井ビル（２９階）'),('163-0430','東京都新宿区','西新宿新宿三井ビル（３０階）'),('163-0431','東京都新宿区','西新宿新宿三井ビル（３１階）'),('163-0432','東京都新宿区','西新宿新宿三井ビル（３２階）'),('163-0433','東京都新宿区','西新宿新宿三井ビル（３３階）'),('163-0434','東京都新宿区','西新宿新宿三井ビル（３４階）'),('163-0435','東京都新宿区','西新宿新宿三井ビル（３５階）'),('163-0436','東京都新宿区','西新宿新宿三井ビル（３６階）'),('163-0437','東京都新宿区','西新宿新宿三井ビル（３７階）'),('163-0438','東京都新宿区','西新宿新宿三井ビル（３８階）'),('163-0439','東京都新宿区','西新宿新宿三井ビル（３９階）'),('163-0440','東京都新宿区','西新宿新宿三井ビル（４０階）'),('163-0441','東京都新宿区','西新宿新宿三井ビル（４１階）'),('163-0442','東京都新宿区','西新宿新宿三井ビル（４２階）'),('163-0443','東京都新宿区','西新宿新宿三井ビル（４３階）'),('163-0444','東京都新宿区','西新宿新宿三井ビル（４４階）'),('163-0445','東京都新宿区','西新宿新宿三井ビル（４５階）'),('163-0446','東京都新宿区','西新宿新宿三井ビル（４６階）'),('163-0447','東京都新宿区','西新宿新宿三井ビル（４７階）'),('163-0448','東京都新宿区','西新宿新宿三井ビル（４８階）'),('163-0449','東京都新宿区','西新宿新宿三井ビル（４９階）'),('163-0450','東京都新宿区','西新宿新宿三井ビル（５０階）'),('163-0451','東京都新宿区','西新宿新宿三井ビル（５１階）'),('163-0452','東京都新宿区','西新宿新宿三井ビル（５２階）'),('163-0453','東京都新宿区','西新宿新宿三井ビル（５３階）'),('163-0454','東京都新宿区','西新宿新宿三井ビル（５４階）'),('163-0455','東京都新宿区','西新宿新宿三井ビル（５５階）'),('163-0990','東京都新宿区','西新宿新宿モノリス（地階・階層不明）'),('163-0901','東京都新宿区','西新宿新宿モノリス（１階）'),('163-0902','東京都新宿区','西新宿新宿モノリス（２階）'),('163-0903','東京都新宿区','西新宿新宿モノリス（３階）'),('163-0904','東京都新宿区','西新宿新宿モノリス（４階）'),('163-0905','東京都新宿区','西新宿新宿モノリス（５階）'),('163-0906','東京都新宿区','西新宿新宿モノリス（６階）'),('163-0907','東京都新宿区','西新宿新宿モノリス（７階）'),('163-0908','東京都新宿区','西新宿新宿モノリス（８階）'),('163-0909','東京都新宿区','西新宿新宿モノリス（９階）'),('163-0910','東京都新宿区','西新宿新宿モノリス（１０階）'),('163-0911','東京都新宿区','西新宿新宿モノリス（１１階）'),('163-0912','東京都新宿区','西新宿新宿モノリス（１２階）'),('163-0913','東京都新宿区','西新宿新宿モノリス（１３階）'),('163-0914','東京都新宿区','西新宿新宿モノリス（１４階）'),('163-0915','東京都新宿区','西新宿新宿モノリス（１５階）'),('163-0916','東京都新宿区','西新宿新宿モノリス（１６階）'),('163-0917','東京都新宿区','西新宿新宿モノリス（１７階）'),('163-0918','東京都新宿区','西新宿新宿モノリス（１８階）'),('163-0919','東京都新宿区','西新宿新宿モノリス（１９階）'),('163-0920','東京都新宿区','西新宿新宿モノリス（２０階）'),('163-0921','東京都新宿区','西新宿新宿モノリス（２１階）'),('163-0922','東京都新宿区','西新宿新宿モノリス（２２階）'),('163-0923','東京都新宿区','西新宿新宿モノリス（２３階）'),('163-0924','東京都新宿区','西新宿新宿モノリス（２４階）'),('163-0925','東京都新宿区','西新宿新宿モノリス（２５階）'),('163-0926','東京都新宿区','西新宿新宿モノリス（２６階）'),('163-0927','東京都新宿区','西新宿新宿モノリス（２７階）'),('163-0928','東京都新宿区','西新宿新宿モノリス（２８階）'),('163-0929','東京都新宿区','西新宿新宿モノリス（２９階）'),('163-0930','東京都新宿区','西新宿新宿モノリス（３０階）'),('163-1490','東京都新宿区','西新宿東京オペラシティ（地階・階層不明）'),('163-1401','東京都新宿区','西新宿東京オペラシティ（１階）'),('163-1402','東京都新宿区','西新宿東京オペラシティ（２階）'),('163-1403','東京都新宿区','西新宿東京オペラシティ（３階）'),('163-1404','東京都新宿区','西新宿東京オペラシティ（４階）'),('163-1405','東京都新宿区','西新宿東京オペラシティ（５階）'),('163-1406','東京都新宿区','西新宿東京オペラシティ（６階）'),('163-1407','東京都新宿区','西新宿東京オペラシティ（７階）'),('163-1408','東京都新宿区','西新宿東京オペラシティ（８階）'),('163-1409','東京都新宿区','西新宿東京オペラシティ（９階）'),('163-1410','東京都新宿区','西新宿東京オペラシティ（１０階）'),('163-1411','東京都新宿区','西新宿東京オペラシティ（１１階）'),('163-1412','東京都新宿区','西新宿東京オペラシティ（１２階）'),('163-1413','東京都新宿区','西新宿東京オペラシティ（１３階）'),('163-1414','東京都新宿区','西新宿東京オペラシティ（１４階）'),('163-1415','東京都新宿区','西新宿東京オペラシティ（１５階）'),('163-1416','東京都新宿区','西新宿東京オペラシティ（１６階）'),('163-1417','東京都新宿区','西新宿東京オペラシティ（１７階）'),('163-1418','東京都新宿区','西新宿東京オペラシティ（１８階）'),('163-1419','東京都新宿区','西新宿東京オペラシティ（１９階）'),('163-1420','東京都新宿区','西新宿東京オペラシティ（２０階）'),('163-1421','東京都新宿区','西新宿東京オペラシティ（２１階）'),('163-1422','東京都新宿区','西新宿東京オペラシティ（２２階）'),('163-1423','東京都新宿区','西新宿東京オペラシティ（２３階）'),('163-1424','東京都新宿区','西新宿東京オペラシティ（２４階）'),('163-1425','東京都新宿区','西新宿東京オペラシティ（２５階）'),('163-1426','東京都新宿区','西新宿東京オペラシティ（２６階）'),('163-1427','東京都新宿区','西新宿東京オペラシティ（２７階）'),('163-1428','東京都新宿区','西新宿東京オペラシティ（２８階）'),('163-1429','東京都新宿区','西新宿東京オペラシティ（２９階）'),('163-1430','東京都新宿区','西新宿東京オペラシティ（３０階）'),('163-1431','東京都新宿区','西新宿東京オペラシティ（３１階）'),('163-1432','東京都新宿区','西新宿東京オペラシティ（３２階）'),('163-1433','東京都新宿区','西新宿東京オペラシティ（３３階）'),('163-1434','東京都新宿区','西新宿東京オペラシティ（３４階）'),('163-1435','東京都新宿区','西新宿東京オペラシティ（３５階）'),('163-1436','東京都新宿区','西新宿東京オペラシティ（３６階）'),('163-1437','東京都新宿区','西新宿東京オペラシティ（３７階）'),('163-1438','東京都新宿区','西新宿東京オペラシティ（３８階）'),('163-1439','東京都新宿区','西新宿東京オペラシティ（３９階）'),('163-1440','東京都新宿区','西新宿東京オペラシティ（４０階）'),('163-1441','東京都新宿区','西新宿東京オペラシティ（４１階）'),('163-1442','東京都新宿区','西新宿東京オペラシティ（４２階）'),('163-1443','東京都新宿区','西新宿東京オペラシティ（４３階）'),('163-1444','東京都新宿区','西新宿東京オペラシティ（４４階）'),('163-1445','東京都新宿区','西新宿東京オペラシティ（４５階）'),('163-1446','東京都新宿区','西新宿東京オペラシティ（４６階）'),('163-1447','東京都新宿区','西新宿東京オペラシティ（４７階）'),('163-1448','東京都新宿区','西新宿東京オペラシティ（４８階）'),('163-1449','東京都新宿区','西新宿東京オペラシティ（４９階）'),('163-1450','東京都新宿区','西新宿東京オペラシティ（５０階）'),('163-1451','東京都新宿区','西新宿東京オペラシティ（５１階）'),('163-1452','東京都新宿区','西新宿東京オペラシティ（５２階）'),('163-1453','東京都新宿区','西新宿東京オペラシティ（５３階）'),('163-1454','東京都新宿区','西新宿東京オペラシティ（５４階）'),('162-0051','東京都新宿区','西早稲田（２丁目１番１～２３号、２番）'),('169-0051','東京都新宿区','西早稲田（その他）'),('162-0855','東京都新宿区','二十騎町'),('162-0045','東京都新宿区','馬場下町'),('162-0841','東京都新宿区','払方町'),('162-0053','東京都新宿区','原町'),('162-0807','東京都新宿区','東榎町'),('162-0813','東京都新宿区','東五軒町'),('169-0073','東京都新宿区','百人町'),('162-0828','東京都新宿区','袋町'),('160-0006','東京都新宿区','舟町'),('162-0851','東京都新宿区','弁天町'),('160-0003','東京都新宿区','本塩町'),('162-0852','東京都新宿区','南榎町'),('162-0836','東京都新宿区','南町'),('160-0012','東京都新宿区','南元町'),('162-0854','東京都新宿区','南山伏町'),('162-0801','東京都新宿区','山吹町'),('162-0805','東京都新宿区','矢来町'),('162-0831','東京都新宿区','横寺町'),('162-0055','東京都新宿区','余丁町'),('160-0004','東京都新宿区','四谷'),('160-0011','東京都新宿区','若葉'),('162-0056','東京都新宿区','若松町'),('162-0827','東京都新宿区','若宮町'),('162-0041','東京都新宿区','早稲田鶴巻町'),('162-0043','東京都新宿区','早稲田南町'),('162-0042','東京都新宿区','早稲田町'),('160-0000','東京都新宿区','他に掲載がない場合'),('112-0012','東京都文京区','大塚'),('112-0013','東京都文京区','音羽'),('112-0003','東京都文京区','春日'),('112-0002','東京都文京区','小石川'),('112-0004','東京都文京区','後楽'),('112-0006','東京都文京区','小日向'),('112-0005','東京都文京区','水道'),('112-0014','東京都文京区','関口'),('112-0011','東京都文京区','千石'),('113-0022','東京都文京区','千駄木'),('113-0024','東京都文京区','西片'),('113-0031','東京都文京区','根津'),('113-0001','東京都文京区','白山（１丁目）'),('112-0001','東京都文京区','白山（２丁目）'),('112-0001','東京都文京区','白山（３丁目）'),('112-0001','東京都文京区','白山（４丁目）'),('112-0001','東京都文京区','白山（５丁目）'),('113-0021','東京都文京区','本駒込'),('113-0033','東京都文京区','本郷'),('113-0023','東京都文京区','向丘'),('112-0015','東京都文京区','目白台'),('113-0032','東京都文京区','弥生'),('113-0034','東京都文京区','湯島'),('112-0000','東京都文京区','他に掲載がない場合'),('110-0006','東京都台東区','秋葉原'),('111-0032','東京都台東区','浅草'),('111-0053','東京都台東区','浅草橋'),('110-0008','東京都台東区','池之端'),('111-0024','東京都台東区','今戸'),('110-0013','東京都台東区','入谷'),('110-0005','東京都台東区','上野'),('110-0007','東京都台東区','上野公園'),('110-0002','東京都台東区','上野桜木'),('111-0034','東京都台東区','雷門'),('110-0014','東京都台東区','北上野'),('111-0022','東京都台東区','清川'),('111-0051','東京都台東区','蔵前'),('111-0056','東京都台東区','小島'),('111-0042','東京都台東区','寿'),('111-0043','東京都台東区','駒形'),('110-0004','東京都台東区','下谷'),('111-0031','東京都台東区','千束'),('110-0016','東京都台東区','台東'),('111-0054','東京都台東区','鳥越'),('111-0035','東京都台東区','西浅草'),('111-0021','東京都台東区','日本堤'),('110-0003','東京都台東区','根岸'),('111-0023','東京都台東区','橋場'),('111-0033','東京都台東区','花川戸'),('111-0025','東京都台東区','東浅草'),('110-0015','東京都台東区','東上野'),('111-0036','東京都台東区','松が谷'),('111-0055','東京都台東区','三筋'),('110-0011','東京都台東区','三ノ輪'),('111-0041','東京都台東区','元浅草'),('110-0001','東京都台東区','谷中'),('111-0052','東京都台東区','柳橋'),('110-0012','東京都台東区','竜泉'),('110-0000','東京都台東区','他に掲載がない場合'),('130-0001','東京都墨田区','吾妻橋'),('130-0011','東京都墨田区','石原'),('131-0045','東京都墨田区','押上'),('130-0014','東京都墨田区','亀沢'),('130-0024','東京都墨田区','菊川'),('131-0046','東京都墨田区','京島'),('130-0013','東京都墨田区','錦糸'),('130-0022','東京都墨田区','江東橋'),('131-0031','東京都墨田区','墨田'),('130-0012','東京都墨田区','太平'),('131-0043','東京都墨田区','立花'),('130-0023','東京都墨田区','立川'),('130-0025','東京都墨田区','千歳'),('131-0034','東京都墨田区','堤通'),('130-0002','東京都墨田区','業平'),('130-0005','東京都墨田区','東駒形'),('131-0042','東京都墨田区','東墨田'),('131-0032','東京都墨田区','東向島'),('131-0044','東京都墨田区','文花'),('130-0004','東京都墨田区','本所'),('130-0021','東京都墨田区','緑'),('131-0033','東京都墨田区','向島'),('131-0041','東京都墨田区','八広'),('130-0015','東京都墨田区','横網'),('130-0003','東京都墨田区','横川'),('130-0026','東京都墨田区','両国'),('130-0000','東京都墨田区','他に掲載がない場合'),('135-0064','東京都江東区','青海'),('135-0063','東京都江東区','有明'),('135-0014','東京都江東区','石島'),('135-0012','東京都江東区','海辺'),('135-0034','東京都江東区','永代'),('135-0051','東京都江東区','枝川'),('135-0044','東京都江東区','越中島'),('135-0011','東京都江東区','扇橋'),('136-0072','東京都江東区','大島'),('136-0071','東京都江東区','亀戸'),('136-0073','東京都江東区','北砂'),('135-0042','東京都江東区','木場'),('135-0024','東京都江東区','清澄'),('135-0031','東京都江東区','佐賀'),('135-0003','東京都江東区','猿江'),('135-0043','東京都江東区','塩浜'),('135-0052','東京都江東区','潮見'),('135-0062','東京都江東区','東雲'),('135-0021','東京都江東区','白河'),('135-0007','東京都江東区','新大橋'),('136-0082','東京都江東区','新木場'),('136-0075','東京都江東区','新砂'),('135-0002','東京都江東区','住吉'),('135-0015','東京都江東区','千石'),('135-0013','東京都江東区','千田'),('135-0005','東京都江東区','高橋'),('135-0053','東京都江東区','辰巳'),('135-0065','東京都江東区','中央防波堤'),('135-0016','東京都江東区','東陽'),('135-0006','東京都江東区','常盤'),('135-0047','東京都江東区','富岡'),('135-0061','東京都江東区','豊洲（次のビルを除く）'),('135-6090','東京都江東区','豊洲豊洲センタービル（地階・階層不明）'),('135-6001','東京都江東区','豊洲豊洲センタービル（１階）'),('135-6002','東京都江東区','豊洲豊洲センタービル（２階）'),('135-6003','東京都江東区','豊洲豊洲センタービル（３階）'),('135-6004','東京都江東区','豊洲豊洲センタービル（４階）'),('135-6005','東京都江東区','豊洲豊洲センタービル（５階）'),('135-6006','東京都江東区','豊洲豊洲センタービル（６階）'),('135-6007','東京都江東区','豊洲豊洲センタービル（７階）'),('135-6008','東京都江東区','豊洲豊洲センタービル（８階）'),('135-6009','東京都江東区','豊洲豊洲センタービル（９階）'),('135-6010','東京都江東区','豊洲豊洲センタービル（１０階）'),('135-6011','東京都江東区','豊洲豊洲センタービル（１１階）'),('135-6012','東京都江東区','豊洲豊洲センタービル（１２階）'),('135-6013','東京都江東区','豊洲豊洲センタービル（１３階）'),('135-6014','東京都江東区','豊洲豊洲センタービル（１４階）'),('135-6015','東京都江東区','豊洲豊洲センタービル（１５階）'),('135-6016','東京都江東区','豊洲豊洲センタービル（１６階）'),('135-6017','東京都江東区','豊洲豊洲センタービル（１７階）'),('135-6018','東京都江東区','豊洲豊洲センタービル（１８階）'),('135-6019','東京都江東区','豊洲豊洲センタービル（１９階）'),('135-6020','東京都江東区','豊洲豊洲センタービル（２０階）'),('135-6021','東京都江東区','豊洲豊洲センタービル（２１階）'),('135-6022','東京都江東区','豊洲豊洲センタービル（２２階）'),('135-6023','東京都江東区','豊洲豊洲センタービル（２３階）'),('135-6024','東京都江東区','豊洲豊洲センタービル（２４階）'),('135-6025','東京都江東区','豊洲豊洲センタービル（２５階）'),('135-6026','東京都江東区','豊洲豊洲センタービル（２６階）'),('135-6027','東京都江東区','豊洲豊洲センタービル（２７階）'),('135-6028','東京都江東区','豊洲豊洲センタービル（２８階）'),('135-6029','東京都江東区','豊洲豊洲センタービル（２９階）'),('135-6030','東京都江東区','豊洲豊洲センタービル（３０階）'),('135-6031','東京都江東区','豊洲豊洲センタービル（３１階）'),('135-6032','東京都江東区','豊洲豊洲センタービル（３２階）'),('135-6033','東京都江東区','豊洲豊洲センタービル（３３階）'),('135-6034','東京都江東区','豊洲豊洲センタービル（３４階）'),('135-6035','東京都江東区','豊洲豊洲センタービル（３５階）'),('135-6036','東京都江東区','豊洲豊洲センタービル（３６階）'),('135-6037','東京都江東区','豊洲豊洲センタービル（３７階）'),('136-0074','東京都江東区','東砂'),('135-0023','東京都江東区','平野'),('135-0033','東京都江東区','深川'),('135-0032','東京都江東区','福住'),('135-0041','東京都江東区','冬木'),('135-0045','東京都江東区','古石場'),('135-0046','東京都江東区','牡丹'),('136-0076','東京都江東区','南砂'),('135-0022','東京都江東区','三好'),('135-0001','東京都江東区','毛利'),('135-0004','東京都江東区','森下'),('135-0048','東京都江東区','門前仲町'),('136-0081','東京都江東区','夢の島'),('136-0083','東京都江東区','若洲'),('135-0000','東京都江東区','他に掲載がない場合'),('142-0063','東京都品川区','荏原'),('140-0014','東京都品川区','大井'),('141-0032','東京都品川区','大崎'),('140-0012','東京都品川区','勝島'),('141-0021','東京都品川区','上大崎'),('140-0001','東京都品川区','北品川（１丁目）'),('140-0001','東京都品川区','北品川（２丁目）'),('140-0001','東京都品川区','北品川（３丁目）'),('140-0001','東京都品川区','北品川（４丁目）'),('141-0001','東京都品川区','北品川（５丁目）'),('141-0001','東京都品川区','北品川（６丁目）'),('142-0062','東京都品川区','小山'),('142-0061','東京都品川区','小山台'),('142-0041','東京都品川区','戸越'),('142-0053','東京都品川区','中延'),('140-0015','東京都品川区','西大井'),('141-0031','東京都品川区','西五反田'),('141-0033','東京都品川区','西品川'),('142-0054','東京都品川区','西中延'),('142-0064','東京都品川区','旗の台'),('140-0011','東京都品川区','東大井'),('141-0022','東京都品川区','東五反田'),('140-0002','東京都品川区','東品川'),('142-0052','東京都品川区','東中延'),('135-0092','東京都品川区','東八潮'),('142-0051','東京都品川区','平塚'),('140-0005','東京都品川区','広町'),('142-0043','東京都品川区','二葉'),('140-0013','東京都品川区','南大井'),('140-0004','東京都品川区','南品川'),('140-0003','東京都品川区','八潮'),('142-0042','東京都品川区','豊町'),('140-0000','東京都品川区','他に掲載がない場合'),('153-0042','東京都目黒区','青葉台'),('152-0033','東京都目黒区','大岡山'),('153-0044','東京都目黒区','大橋'),('152-0022','東京都目黒区','柿の木坂'),('153-0051','東京都目黒区','上目黒'),('153-0053','東京都目黒区','五本木'),('153-0041','東京都目黒区','駒場'),('153-0064','東京都目黒区','下目黒'),('152-0035','東京都目黒区','自由が丘'),('152-0012','東京都目黒区','洗足'),('152-0032','東京都目黒区','平町'),('152-0004','東京都目黒区','鷹番'),('152-0001','東京都目黒区','中央町'),('153-0065','東京都目黒区','中町'),('152-0031','東京都目黒区','中根'),('153-0061','東京都目黒区','中目黒'),('152-0011','東京都目黒区','原町'),('152-0021','東京都目黒区','東が丘'),('153-0043','東京都目黒区','東山'),('152-0003','東京都目黒区','碑文谷'),('153-0062','東京都目黒区','三田'),('152-0034','東京都目黒区','緑が丘'),('152-0013','東京都目黒区','南'),('153-0063','東京都目黒区','目黒'),('152-0002','東京都目黒区','目黒本町'),('152-0023','東京都目黒区','八雲'),('153-0052','東京都目黒区','祐天寺'),('152-0000','東京都目黒区','他に掲載がない場合'),('146-0082','東京都大田区','池上'),('145-0061','東京都大田区','石川町'),('146-0091','東京都大田区','鵜の木'),('143-0014','東京都大田区','大森中'),('143-0011','東京都大田区','大森本町'),('143-0012','東京都大田区','大森東'),('143-0015','東京都大田区','大森西'),('143-0013','東京都大田区','大森南'),('143-0016','東京都大田区','大森北'),('144-0052','東京都大田区','蒲田'),('144-0053','東京都大田区','蒲田本町'),('145-0064','東京都大田区','上池台'),('144-0032','東京都大田区','北糀谷'),('145-0062','東京都大田区','北千束'),('143-0021','東京都大田区','北馬込'),('145-0073','東京都大田区','北嶺町'),('146-0085','東京都大田区','久が原'),('143-0003','東京都大田区','京浜島'),('143-0023','東京都大田区','山王'),('146-0092','東京都大田区','下丸子'),('143-0002','東京都大田区','城南島'),('143-0004','東京都大田区','昭和島'),('144-0054','東京都大田区','新蒲田'),('146-0095','東京都大田区','多摩川'),('146-0083','東京都大田区','千鳥'),('143-0024','東京都大田区','中央'),('145-0071','東京都大田区','田園調布'),('145-0072','東京都大田区','田園調布本町'),('145-0076','東京都大田区','田園調布南'),('143-0001','東京都大田区','東海'),('146-0081','東京都大田区','仲池上'),('143-0027','東京都大田区','中馬込'),('144-0055','東京都大田区','仲六郷'),('144-0051','東京都大田区','西蒲田'),('144-0034','東京都大田区','西糀谷'),('143-0026','東京都大田区','西馬込'),('145-0075','東京都大田区','西嶺町'),('144-0056','東京都大田区','西六郷'),('144-0047','東京都大田区','萩中'),('144-0043','東京都大田区','羽田'),('144-0042','東京都大田区','羽田旭町'),('144-0041','東京都大田区','羽田空港'),('144-0031','東京都大田区','東蒲田'),('144-0033','東京都大田区','東糀谷'),('143-0022','東京都大田区','東馬込'),('145-0074','東京都大田区','東嶺町'),('146-0094','東京都大田区','東矢口'),('145-0065','東京都大田区','東雪谷'),('144-0046','東京都大田区','東六郷'),('143-0006','東京都大田区','平和島'),('143-0005','東京都大田区','平和の森公園'),('144-0044','東京都大田区','本羽田'),('144-0035','東京都大田区','南蒲田'),('146-0084','東京都大田区','南久が原'),('145-0063','東京都大田区','南千束'),('143-0025','東京都大田区','南馬込'),('145-0066','東京都大田区','南雪谷'),('144-0045','東京都大田区','南六郷'),('146-0093','東京都大田区','矢口'),('145-0067','東京都大田区','雪谷大塚町'),('144-0000','東京都大田区','他に掲載がない場合'),('156-0044','東京都世田谷区','赤堤'),('154-0001','東京都世田谷区','池尻'),('157-0068','東京都世田谷区','宇奈根'),('154-0022','東京都世田谷区','梅丘'),('157-0074','東京都世田谷区','大蔵'),('156-0041','東京都世田谷区','大原'),('157-0076','東京都世田谷区','岡本'),('158-0083','東京都世田谷区','奥沢'),('158-0086','東京都世田谷区','尾山台'),('157-0063','東京都世田谷区','粕谷'),('157-0077','東京都世田谷区','鎌田'),('154-0011','東京都世田谷区','上馬'),('156-0057','東京都世田谷区','上北沢'),('157-0065','東京都世田谷区','上祖師谷'),('158-0093','東京都世田谷区','上野毛'),('158-0098','東京都世田谷区','上用賀'),('157-0061','東京都世田谷区','北烏山'),('155-0031','東京都世田谷区','北沢'),('157-0067','東京都世田谷区','喜多見'),('157-0073','東京都世田谷区','砧'),('157-0075','東京都世田谷区','砧公園'),('157-0064','東京都世田谷区','給田'),('156-0052','東京都世田谷区','経堂'),('154-0021','東京都世田谷区','豪徳寺'),('154-0012','東京都世田谷区','駒沢'),('154-0013','東京都世田谷区','駒沢公園'),('156-0053','東京都世田谷区','桜'),('156-0054','東京都世田谷区','桜丘'),('154-0015','東京都世田谷区','桜新町'),('156-0045','東京都世田谷区','桜上水'),('154-0024','東京都世田谷区','三軒茶屋'),('154-0002','東京都世田谷区','下馬'),('154-0014','東京都世田谷区','新町'),('157-0066','東京都世田谷区','成城'),('158-0095','東京都世田谷区','瀬田'),('154-0017','東京都世田谷区','世田谷'),('157-0072','東京都世田谷区','祖師谷'),('154-0004','東京都世田谷区','太子堂'),('155-0032','東京都世田谷区','代沢'),('155-0033','東京都世田谷区','代田'),('158-0094','東京都世田谷区','玉川'),('158-0096','東京都世田谷区','玉川台'),('158-0085','東京都世田谷区','玉川田園調布'),('158-0087','東京都世田谷区','玉堤'),('157-0071','東京都世田谷区','千歳台'),('154-0016','東京都世田谷区','弦巻'),('158-0082','東京都世田谷区','等々力'),('158-0091','東京都世田谷区','中町'),('158-0092','東京都世田谷区','野毛'),('154-0003','東京都世田谷区','野沢'),('156-0056','東京都世田谷区','八幡山'),('156-0042','東京都世田谷区','羽根木'),('158-0084','東京都世田谷区','東玉川'),('158-0081','東京都世田谷区','深沢'),('156-0055','東京都世田谷区','船橋'),('156-0043','東京都世田谷区','松原'),('154-0005','東京都世田谷区','三宿'),('157-0062','東京都世田谷区','南烏山'),('156-0051','東京都世田谷区','宮坂'),('158-0097','東京都世田谷区','用賀'),('154-0023','東京都世田谷区','若林'),('154-0000','東京都世田谷区','他に掲載がない場合'),('151-0064','東京都渋谷区','上原'),('150-0032','東京都渋谷区','鶯谷町'),('150-0042','東京都渋谷区','宇田川町'),('150-0013','東京都渋谷区','恵比寿（次のビルを除く）'),('150-6090','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（地階・階層不明）'),('150-6001','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１階）'),('150-6002','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２階）'),('150-6003','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３階）'),('150-6004','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（４階）'),('150-6005','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（５階）'),('150-6006','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（６階）'),('150-6007','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（７階）'),('150-6008','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（８階）'),('150-6009','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（９階）'),('150-6010','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１０階）'),('150-6011','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１１階）'),('150-6012','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１２階）'),('150-6013','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１３階）'),('150-6014','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１４階）'),('150-6015','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１５階）'),('150-6016','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１６階）'),('150-6017','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１７階）'),('150-6018','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１８階）'),('150-6019','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（１９階）'),('150-6020','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２０階）'),('150-6021','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２１階）'),('150-6022','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２２階）'),('150-6023','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２３階）'),('150-6024','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２４階）'),('150-6025','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２５階）'),('150-6026','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２６階）'),('150-6027','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２７階）'),('150-6028','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２８階）'),('150-6029','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（２９階）'),('150-6030','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３０階）'),('150-6031','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３１階）'),('150-6032','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３２階）'),('150-6033','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３３階）'),('150-6034','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３４階）'),('150-6035','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３５階）'),('150-6036','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３６階）'),('150-6037','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３７階）'),('150-6038','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３８階）'),('150-6039','東京都渋谷区','恵比寿恵比寿ガーデンプレイス（３９階）'),('150-0021','東京都渋谷区','恵比寿西'),('150-0022','東京都渋谷区','恵比寿南'),('151-0065','東京都渋谷区','大山町'),('150-0047','東京都渋谷区','神山町'),('150-0031','東京都渋谷区','桜丘町'),('151-0073','東京都渋谷区','笹塚'),('150-0033','東京都渋谷区','猿楽町'),('150-0002','東京都渋谷区','渋谷'),('150-0046','東京都渋谷区','松濤'),('150-0001','東京都渋谷区','神宮前'),('150-0045','東京都渋谷区','神泉町'),('150-0041','東京都渋谷区','神南'),('151-0051','東京都渋谷区','千駄ヶ谷'),('150-0034','東京都渋谷区','代官山町'),('150-0043','東京都渋谷区','道玄坂'),('151-0063','東京都渋谷区','富ヶ谷'),('150-0036','東京都渋谷区','南平台町'),('151-0066','東京都渋谷区','西原'),('151-0072','東京都渋谷区','幡ヶ谷'),('150-0035','東京都渋谷区','鉢山町'),('151-0061','東京都渋谷区','初台'),('150-0011','東京都渋谷区','東'),('150-0012','東京都渋谷区','広尾'),('151-0071','東京都渋谷区','本町'),('150-0044','東京都渋谷区','円山町'),('151-0062','東京都渋谷区','元代々木町'),('151-0053','東京都渋谷区','代々木'),('151-0052','東京都渋谷区','代々木神園町'),('150-0000','東京都渋谷区','他に掲載がない場合'),('165-0026','東京都中野区','新井'),('165-0022','東京都中野区','江古田'),('165-0023','東京都中野区','江原町'),('165-0031','東京都中野区','上鷺宮'),('164-0002','東京都中野区','上高田'),('165-0032','東京都中野区','鷺宮'),('165-0035','東京都中野区','白鷺'),('164-0011','東京都中野区','中央'),('164-0001','東京都中野区','中野'),('165-0025','東京都中野区','沼袋'),('165-0027','東京都中野区','野方'),('164-0003','東京都中野区','東中野'),('164-0012','東京都中野区','本町'),('165-0024','東京都中野区','松が丘'),('165-0021','東京都中野区','丸山'),('164-0014','東京都中野区','南台'),('165-0034','東京都中野区','大和町'),('164-0013','東京都中野区','弥生町'),('165-0033','東京都中野区','若宮'),('164-0000','東京都中野区','他に掲載がない場合'),('166-0004','東京都杉並区','阿佐谷南'),('166-0001','東京都杉並区','阿佐谷北'),('167-0032','東京都杉並区','天沼'),('167-0021','東京都杉並区','井草'),('168-0063','東京都杉並区','和泉'),('167-0035','東京都杉並区','今川'),('166-0011','東京都杉並区','梅里'),('168-0064','東京都杉並区','永福'),('168-0061','東京都杉並区','大宮'),('167-0051','東京都杉並区','荻窪'),('167-0023','東京都杉並区','上井草'),('167-0043','東京都杉並区','上荻'),('168-0074','東京都杉並区','上高井戸'),('168-0082','東京都杉並区','久我山'),('166-0003','東京都杉並区','高円寺南'),('166-0002','東京都杉並区','高円寺北'),('167-0033','東京都杉並区','清水'),('167-0022','東京都杉並区','下井草'),('168-0073','東京都杉並区','下高井戸'),('167-0054','東京都杉並区','松庵'),('167-0041','東京都杉並区','善福寺'),('168-0072','東京都杉並区','高井戸東'),('168-0071','東京都杉並区','高井戸西'),('166-0015','東京都杉並区','成田東'),('166-0016','東京都杉並区','成田西'),('167-0053','東京都杉並区','西荻南'),('167-0042','東京都杉並区','西荻北'),('168-0065','東京都杉並区','浜田山'),('168-0062','東京都杉並区','方南'),('166-0013','東京都杉並区','堀ノ内'),('167-0031','東京都杉並区','本天沼'),('166-0014','東京都杉並区','松ノ木'),('167-0052','東京都杉並区','南荻窪'),('168-0081','東京都杉並区','宮前'),('167-0034','東京都杉並区','桃井'),('166-0012','東京都杉並区','和田'),('166-0000','東京都杉並区','他に掲載がない場合'),('170-0014','東京都豊島区','池袋（１丁目）'),('171-0014','東京都豊島区','池袋（２丁目）'),('171-0014','東京都豊島区','池袋（３丁目）'),('171-0014','東京都豊島区','池袋（４丁目）'),('170-0011','東京都豊島区','池袋本町'),('171-0043','東京都豊島区','要町'),('170-0012','東京都豊島区','上池袋'),('170-0004','東京都豊島区','北大塚'),('170-0003','東京都豊島区','駒込'),('170-0002','東京都豊島区','巣鴨'),('171-0041','東京都豊島区','千川'),('171-0032','東京都豊島区','雑司が谷'),('171-0033','東京都豊島区','高田'),('171-0042','東京都豊島区','高松'),('171-0044','東京都豊島区','千早'),('171-0051','東京都豊島区','長崎'),('171-0021','東京都豊島区','西池袋'),('170-0001','東京都豊島区','西巣鴨'),('170-0013','東京都豊島区','東池袋（次のビルを除く）'),('170-6090','東京都豊島区','東池袋サンシャイン６０（地階・階層不明）'),('170-6001','東京都豊島区','東池袋サンシャイン６０（１階）'),('170-6002','東京都豊島区','東池袋サンシャイン６０（２階）'),('170-6003','東京都豊島区','東池袋サンシャイン６０（３階）'),('170-6004','東京都豊島区','東池袋サンシャイン６０（４階）'),('170-6005','東京都豊島区','東池袋サンシャイン６０（５階）'),('170-6006','東京都豊島区','東池袋サンシャイン６０（６階）'),('170-6007','東京都豊島区','東池袋サンシャイン６０（７階）'),('170-6008','東京都豊島区','東池袋サンシャイン６０（８階）'),('170-6009','東京都豊島区','東池袋サンシャイン６０（９階）'),('170-6010','東京都豊島区','東池袋サンシャイン６０（１０階）'),('170-6011','東京都豊島区','東池袋サンシャイン６０（１１階）'),('170-6012','東京都豊島区','東池袋サンシャイン６０（１２階）'),('170-6013','東京都豊島区','東池袋サンシャイン６０（１３階）'),('170-6014','東京都豊島区','東池袋サンシャイン６０（１４階）'),('170-6015','東京都豊島区','東池袋サンシャイン６０（１５階）'),('170-6016','東京都豊島区','東池袋サンシャイン６０（１６階）'),('170-6017','東京都豊島区','東池袋サンシャイン６０（１７階）'),('170-6018','東京都豊島区','東池袋サンシャイン６０（１８階）'),('170-6019','東京都豊島区','東池袋サンシャイン６０（１９階）'),('170-6020','東京都豊島区','東池袋サンシャイン６０（２０階）'),('170-6021','東京都豊島区','東池袋サンシャイン６０（２１階）'),('170-6022','東京都豊島区','東池袋サンシャイン６０（２２階）'),('170-6023','東京都豊島区','東池袋サンシャイン６０（２３階）'),('170-6024','東京都豊島区','東池袋サンシャイン６０（２４階）'),('170-6025','東京都豊島区','東池袋サンシャイン６０（２５階）'),('170-6026','東京都豊島区','東池袋サンシャイン６０（２６階）'),('170-6027','東京都豊島区','東池袋サンシャイン６０（２７階）'),('170-6028','東京都豊島区','東池袋サンシャイン６０（２８階）'),('170-6029','東京都豊島区','東池袋サンシャイン６０（２９階）'),('170-6030','東京都豊島区','東池袋サンシャイン６０（３０階）'),('170-6031','東京都豊島区','東池袋サンシャイン６０（３１階）'),('170-6032','東京都豊島区','東池袋サンシャイン６０（３２階）'),('170-6033','東京都豊島区','東池袋サンシャイン６０（３３階）'),('170-6034','東京都豊島区','東池袋サンシャイン６０（３４階）'),('170-6035','東京都豊島区','東池袋サンシャイン６０（３５階）'),('170-6036','東京都豊島区','東池袋サンシャイン６０（３６階）'),('170-6037','東京都豊島区','東池袋サンシャイン６０（３７階）'),('170-6038','東京都豊島区','東池袋サンシャイン６０（３８階）'),('170-6039','東京都豊島区','東池袋サンシャイン６０（３９階）'),('170-6040','東京都豊島区','東池袋サンシャイン６０（４０階）'),('170-6041','東京都豊島区','東池袋サンシャイン６０（４１階）'),('170-6042','東京都豊島区','東池袋サンシャイン６０（４２階）'),('170-6043','東京都豊島区','東池袋サンシャイン６０（４３階）'),('170-6044','東京都豊島区','東池袋サンシャイン６０（４４階）'),('170-6045','東京都豊島区','東池袋サンシャイン６０（４５階）'),('170-6046','東京都豊島区','東池袋サンシャイン６０（４６階）'),('170-6047','東京都豊島区','東池袋サンシャイン６０（４７階）'),('170-6048','東京都豊島区','東池袋サンシャイン６０（４８階）'),('170-6049','東京都豊島区','東池袋サンシャイン６０（４９階）'),('170-6050','東京都豊島区','東池袋サンシャイン６０（５０階）'),('170-6051','東京都豊島区','東池袋サンシャイン６０（５１階）'),('170-6052','東京都豊島区','東池袋サンシャイン６０（５２階）'),('170-6053','東京都豊島区','東池袋サンシャイン６０（５３階）'),('170-6054','東京都豊島区','東池袋サンシャイン６０（５４階）'),('170-6055','東京都豊島区','東池袋サンシャイン６０（５５階）'),('170-6056','東京都豊島区','東池袋サンシャイン６０（５６階）'),('170-6057','東京都豊島区','東池袋サンシャイン６０（５７階）'),('170-6058','東京都豊島区','東池袋サンシャイン６０（５８階）'),('170-6059','東京都豊島区','東池袋サンシャイン６０（５９階）'),('170-6060','東京都豊島区','東池袋サンシャイン６０（６０階）'),('171-0022','東京都豊島区','南池袋'),('170-0005','東京都豊島区','南大塚'),('171-0052','東京都豊島区','南長崎'),('171-0031','東京都豊島区','目白'),('170-0000','東京都豊島区','他に掲載がない場合'),('115-0045','東京都北区','赤羽'),('115-0053','東京都北区','赤羽台'),('115-0055','東京都北区','赤羽西'),('115-0044','東京都北区','赤羽南'),('115-0052','東京都北区','赤羽北'),('115-0041','東京都北区','岩淵町'),('115-0051','東京都北区','浮間'),('114-0002','東京都北区','王子'),('114-0022','東京都北区','王子本町'),('114-0034','東京都北区','上十条'),('114-0016','東京都北区','上中里'),('115-0043','東京都北区','神谷'),('114-0021','東京都北区','岸町'),('115-0054','東京都北区','桐ヶ丘'),('114-0005','東京都北区','栄町'),('115-0042','東京都北区','志茂'),('114-0033','東京都北区','十条台'),('114-0031','東京都北区','十条仲原'),('114-0011','東京都北区','昭和町'),('114-0023','東京都北区','滝野川'),('114-0014','東京都北区','田端'),('114-0012','東京都北区','田端新町'),('114-0003','東京都北区','豊島'),('114-0015','東京都北区','中里'),('114-0032','東京都北区','中十条'),('115-0056','東京都北区','西が丘'),('114-0024','東京都北区','西ヶ原'),('114-0001','東京都北区','東十条'),('114-0013','東京都北区','東田端'),('114-0004','東京都北区','堀船'),('114-0000','東京都北区','他に掲載がない場合'),('116-0002','東京都荒川区','荒川'),('116-0011','東京都荒川区','西尾久'),('116-0013','東京都荒川区','西日暮里'),('116-0012','東京都荒川区','東尾久'),('116-0014','東京都荒川区','東日暮里'),('116-0001','東京都荒川区','町屋'),('116-0003','東京都荒川区','南千住'),('116-0000','東京都荒川区','他に掲載がない場合'),('174-0044','東京都板橋区','相生町'),('175-0092','東京都板橋区','赤塚'),('175-0093','東京都板橋区','赤塚新町'),('174-0051','東京都板橋区','小豆沢'),('174-0055','東京都板橋区','泉町'),('173-0004','東京都板橋区','板橋'),('173-0002','東京都板橋区','稲荷台'),('174-0061','東京都板橋区','大原町'),('173-0035','東京都板橋区','大谷口'),('173-0032','東京都板橋区','大谷口上町'),('173-0031','東京都板橋区','大谷口北町'),('173-0024','東京都板橋区','大山金井町'),('173-0014','東京都板橋区','大山東町'),('173-0033','東京都板橋区','大山西町'),('173-0023','東京都板橋区','大山町'),('173-0003','東京都板橋区','加賀'),('174-0076','東京都板橋区','上板橋'),('173-0025','東京都板橋区','熊野町'),('173-0037','東京都板橋区','小茂根'),('173-0034','東京都板橋区','幸町'),('173-0015','東京都板橋区','栄町'),('174-0043','東京都板橋区','坂下'),('174-0075','東京都板橋区','桜川'),('174-0053','東京都板橋区','清水町'),('174-0056','東京都板橋区','志村'),('175-0081','東京都板橋区','新河岸'),('175-0085','東京都板橋区','大門'),('175-0082','東京都板橋区','高島平'),('174-0074','東京都板橋区','東新町'),('174-0071','東京都板橋区','常盤台'),('175-0083','東京都板橋区','徳丸'),('173-0016','東京都板橋区','中板橋'),('173-0005','東京都板橋区','仲宿'),('174-0064','東京都板橋区','中台'),('173-0022','東京都板橋区','仲町'),('173-0026','東京都板橋区','中丸町'),('175-0094','東京都板橋区','成増'),('174-0045','東京都板橋区','西台（１丁目）'),('175-0045','東京都板橋区','西台（２丁目）'),('175-0045','東京都板橋区','西台（３丁目）'),('175-0045','東京都板橋区','西台（４丁目）'),('174-0052','東京都板橋区','蓮沼町'),('174-0046','東京都板橋区','蓮根'),('173-0013','東京都板橋区','氷川町'),('174-0042','東京都板橋区','東坂下'),('174-0073','東京都板橋区','東山町'),('174-0062','東京都板橋区','富士見町'),('173-0011','東京都板橋区','双葉町'),('174-0041','東京都板橋区','舟渡'),('173-0001','東京都板橋区','本町'),('174-0063','東京都板橋区','前野町'),('175-0091','東京都板橋区','三園'),('173-0027','東京都板橋区','南町'),('174-0072','東京都板橋区','南常盤台'),('174-0054','東京都板橋区','宮本町'),('173-0036','東京都板橋区','向原'),('173-0012','東京都板橋区','大和町'),('173-0021','東京都板橋区','弥生町'),('175-0084','東京都板橋区','四葉'),('174-0065','東京都板橋区','若木'),('174-0000','東京都板橋区','他に掲載がない場合'),('176-0005','東京都練馬区','旭丘'),('179-0071','東京都練馬区','旭町'),('178-0061','東京都練馬区','大泉学園町'),('178-0062','東京都練馬区','大泉町'),('179-0074','東京都練馬区','春日町'),('177-0044','東京都練馬区','上石神井'),('177-0043','東京都練馬区','上石神井南町'),('179-0081','東京都練馬区','北町'),('176-0022','東京都練馬区','向山'),('176-0004','東京都練馬区','小竹町'),('176-0006','東京都練馬区','栄町'),('176-0002','東京都練馬区','桜台'),('177-0042','東京都練馬区','下石神井'),('177-0045','東京都練馬区','石神井台'),('177-0041','東京都練馬区','石神井町'),('177-0052','東京都練馬区','関町東'),('177-0053','東京都練馬区','関町南'),('177-0051','東京都練馬区','関町北'),('177-0033','東京都練馬区','高野台'),('179-0075','東京都練馬区','高松'),('179-0073','東京都練馬区','田柄'),('177-0054','東京都練馬区','立野町'),('179-0076','東京都練馬区','土支田'),('176-0011','東京都練馬区','豊玉上'),('176-0013','東京都練馬区','豊玉中'),('176-0014','東京都練馬区','豊玉南'),('176-0012','東京都練馬区','豊玉北'),('176-0024','東京都練馬区','中村'),('176-0025','東京都練馬区','中村南'),('176-0023','東京都練馬区','中村北'),('178-0065','東京都練馬区','西大泉'),('178-0066','東京都練馬区','西大泉町'),('179-0082','東京都練馬区','錦'),('176-0021','東京都練馬区','貫井'),('176-0001','東京都練馬区','練馬'),('176-0003','東京都練馬区','羽沢'),('179-0085','東京都練馬区','早宮'),('179-0072','東京都練馬区','光が丘'),('179-0084','東京都練馬区','氷川台'),('178-0063','東京都練馬区','東大泉'),('177-0034','東京都練馬区','富士見台'),('179-0083','東京都練馬区','平和台'),('178-0064','東京都練馬区','南大泉'),('177-0035','東京都練馬区','南田中'),('177-0031','東京都練馬区','三原台'),('177-0032','東京都練馬区','谷原'),('176-0000','東京都練馬区','他に掲載がない場合'),('120-0012','東京都足立区','青井（１丁目）'),('120-0012','東京都足立区','青井（２丁目）'),('120-0012','東京都足立区','青井（３丁目）'),('121-0012','東京都足立区','青井（４丁目）'),('121-0012','東京都足立区','青井（５丁目）'),('121-0012','東京都足立区','青井（６丁目）'),('120-0015','東京都足立区','足立'),('120-0005','東京都足立区','綾瀬'),('121-0823','東京都足立区','伊興'),('121-0803','東京都足立区','伊興町白幡'),('121-0802','東京都足立区','伊興町狭間'),('121-0807','東京都足立区','伊興本町'),('121-0836','東京都足立区','入谷'),('121-0834','東京都足立区','入谷町'),('121-0816','東京都足立区','梅島'),('123-0851','東京都足立区','梅田'),('123-0873','東京都足立区','扇'),('120-0001','東京都足立区','大谷田'),('123-0844','東京都足立区','興野'),('120-0046','東京都足立区','小台'),('123-0861','東京都足立区','加賀'),('121-0055','東京都足立区','加平'),('121-0056','東京都足立区','北加平町'),('123-0842','東京都足立区','栗原'),('120-0013','東京都足立区','弘道'),('123-0872','東京都足立区','江北'),('121-0833','東京都足立区','古千谷'),('121-0832','東京都足立区','古千谷本町'),('121-0053','東京都足立区','佐野'),('123-0862','東京都足立区','皿沼'),('123-0864','東京都足立区','鹿浜'),('121-0815','東京都足立区','島根'),('123-0865','東京都足立区','新田'),('121-0051','東京都足立区','神明'),('121-0057','東京都足立区','神明南'),('123-0852','東京都足立区','関原'),('120-0034','東京都足立区','千住'),('120-0023','東京都足立区','千住曙町'),('120-0026','東京都足立区','千住旭町'),('120-0025','東京都足立区','千住東'),('120-0031','東京都足立区','千住大川町'),('120-0037','東京都足立区','千住河原町'),('120-0033','東京都足立区','千住寿町'),('120-0045','東京都足立区','千住桜木'),('120-0024','東京都足立区','千住関屋町'),('120-0042','東京都足立区','千住龍田町'),('120-0035','東京都足立区','千住中居町'),('120-0036','東京都足立区','千住仲町'),('120-0038','東京都足立区','千住橋戸町'),('120-0044','東京都足立区','千住緑町'),('120-0043','東京都足立区','千住宮元町'),('120-0041','東京都足立区','千住元町'),('120-0032','東京都足立区','千住柳町'),('121-0813','東京都足立区','竹の塚'),('121-0054','東京都足立区','辰沼'),('120-0011','東京都足立区','中央本町（１丁目）'),('120-0011','東京都足立区','中央本町（２丁目）'),('121-0011','東京都足立区','中央本町（３丁目）'),('121-0011','東京都足立区','中央本町（４丁目）'),('121-0011','東京都足立区','中央本町（５丁目）'),('123-0871','東京都足立区','椿'),('120-0003','東京都足立区','東和'),('121-0831','東京都足立区','舎人'),('121-0837','東京都足立区','舎人公園'),('121-0835','東京都足立区','舎人町'),('120-0002','東京都足立区','中川'),('120-0014','東京都足立区','西綾瀬'),('123-0841','東京都足立区','西新井'),('123-0843','東京都足立区','西新井栄町'),('123-0845','東京都足立区','西新井本町'),('121-0824','東京都足立区','西伊興'),('121-0825','東京都足立区','西伊興町'),('121-0074','東京都足立区','西加平'),('121-0822','東京都足立区','西竹の塚'),('121-0812','東京都足立区','西保木間'),('121-0061','東京都足立区','花畑'),('120-0004','東京都足立区','東綾瀬'),('121-0801','東京都足立区','東伊興'),('121-0805','東京都足立区','東伊興町'),('121-0063','東京都足立区','東保木間'),('121-0071','東京都足立区','東六月町'),('121-0075','東京都足立区','一ツ家'),('120-0021','東京都足立区','日ノ出町'),('121-0076','東京都足立区','平野'),('121-0064','東京都足立区','保木間'),('121-0072','東京都足立区','保塚町'),('123-0874','東京都足立区','堀之内'),('121-0062','東京都足立区','南花畑'),('120-0047','東京都足立区','宮城'),('121-0052','東京都足立区','六木'),('123-0853','東京都足立区','本木'),('123-0854','東京都足立区','本木東町'),('123-0856','東京都足立区','本木西町'),('123-0855','東京都足立区','本木南町'),('123-0857','東京都足立区','本木北町'),('123-0863','東京都足立区','谷在家'),('120-0006','東京都足立区','谷中'),('120-0022','東京都足立区','柳原'),('121-0814','東京都足立区','六月'),('121-0073','東京都足立区','六町'),('120-0000','東京都足立区','他に掲載がない場合'),('125-0062','東京都葛飾区','青戸'),('124-0022','東京都葛飾区','奥戸'),('124-0003','東京都葛飾区','お花茶屋'),('125-0042','東京都葛飾区','金町'),('125-0043','東京都葛飾区','金町浄水場'),('125-0053','東京都葛飾区','鎌倉'),('125-0061','東京都葛飾区','亀有'),('124-0001','東京都葛飾区','小菅'),('125-0052','東京都葛飾区','柴又'),('125-0063','東京都葛飾区','白鳥'),('124-0024','東京都葛飾区','新小岩'),('125-0054','東京都葛飾区','高砂'),('124-0005','東京都葛飾区','宝町'),('124-0012','東京都葛飾区','立石'),('125-0051','東京都葛飾区','新宿'),('124-0002','東京都葛飾区','西亀有（１丁目）'),('124-0002','東京都葛飾区','西亀有（２丁目）'),('125-0002','東京都葛飾区','西亀有（３丁目）'),('125-0002','東京都葛飾区','西亀有（４丁目）'),('124-0025','東京都葛飾区','西新小岩'),('125-0031','東京都葛飾区','西水元'),('125-0041','東京都葛飾区','東金町'),('124-0023','東京都葛飾区','東新小岩'),('124-0013','東京都葛飾区','東立石'),('124-0004','東京都葛飾区','東堀切'),('125-0033','東京都葛飾区','東水元'),('124-0014','東京都葛飾区','東四つ木'),('124-0021','東京都葛飾区','細田'),('124-0006','東京都葛飾区','堀切'),('125-0032','東京都葛飾区','水元'),('125-0034','東京都葛飾区','水元公園'),('125-0035','東京都葛飾区','南水元'),('124-0011','東京都葛飾区','四つ木'),('124-0000','東京都葛飾区','他に掲載がない場合'),('132-0024','東京都江戸川区','一之江'),('134-0092','東京都江戸川区','一之江町'),('134-0082','東京都江戸川区','宇喜田町'),('132-0013','東京都江戸川区','江戸川（１丁目）'),('132-0013','東京都江戸川区','江戸川（２丁目）'),('132-0013','東京都江戸川区','江戸川（３丁目）'),('132-0013','東京都江戸川区','江戸川（４丁目１～１４番）'),('134-0013','東京都江戸川区','江戸川（その他）'),('132-0022','東京都江戸川区','大杉'),('133-0042','東京都江戸川区','興宮町'),('133-0041','東京都江戸川区','上一色'),('133-0054','東京都江戸川区','上篠崎'),('134-0081','東京都江戸川区','北葛西'),('133-0051','東京都江戸川区','北小岩'),('133-0053','東京都江戸川区','北篠崎'),('132-0034','東京都江戸川区','小松川'),('133-0073','東京都江戸川区','鹿骨'),('133-0072','東京都江戸川区','鹿骨町'),('133-0061','東京都江戸川区','篠崎町'),('132-0012','東京都江戸川区','下鎌田町'),('133-0064','東京都江戸川区','下篠崎町'),('134-0087','東京都江戸川区','清新町'),('132-0021','東京都江戸川区','中央'),('134-0083','東京都江戸川区','中葛西'),('132-0001','東京都江戸川区','新堀'),('132-0023','東京都江戸川区','西一之江'),('134-0088','東京都江戸川区','西葛西'),('133-0057','東京都江戸川区','西小岩'),('132-0032','東京都江戸川区','西小松川町'),('133-0055','東京都江戸川区','西篠崎'),('132-0015','東京都江戸川区','西瑞江（１丁目）'),('132-0015','東京都江戸川区','西瑞江（２丁目）'),('132-0015','東京都江戸川区','西瑞江（３丁目）'),('132-0015','東京都江戸川区','西瑞江（４丁目３～９番）'),('134-0015','東京都江戸川区','西瑞江（その他）'),('134-0093','東京都江戸川区','二之江町'),('132-0003','東京都江戸川区','春江町（１丁目）'),('132-0003','東京都江戸川区','春江町（２丁目）'),('132-0003','東京都江戸川区','春江町（３丁目）'),('134-0003','東京都江戸川区','春江町（４丁目）'),('134-0003','東京都江戸川区','春江町（５丁目）'),('134-0084','東京都江戸川区','東葛西'),('133-0052','東京都江戸川区','東小岩'),('132-0033','東京都江戸川区','東小松川'),('133-0063','東京都江戸川区','東篠崎'),('133-0062','東京都江戸川区','東篠崎町'),('133-0071','東京都江戸川区','東松本'),('132-0014','東京都江戸川区','東瑞江'),('132-0035','東京都江戸川区','平井'),('134-0091','東京都江戸川区','船堀'),('133-0044','東京都江戸川区','本一色'),('132-0025','東京都江戸川区','松江'),('132-0031','東京都江戸川区','松島'),('133-0043','東京都江戸川区','松本'),('132-0011','東京都江戸川区','瑞江'),('134-0085','東京都江戸川区','南葛西'),('133-0056','東京都江戸川区','南小岩'),('133-0065','東京都江戸川区','南篠崎町'),('132-0002','東京都江戸川区','谷河内（１丁目）'),('133-0002','東京都江戸川区','谷河内（２丁目）'),('134-0086','東京都江戸川区','臨海町'),('132-0000','東京都江戸川区','他に掲載がない場合'),('192-0043','東京都八王子市','暁町'),('192-0083','東京都八王子市','旭町'),('192-0082','東京都八王子市','東町'),('192-0032','東京都八王子市','石川町'),('193-0814','東京都八王子市','泉町'),('193-0802','東京都八王子市','犬目町'),('192-0902','東京都八王子市','上野町'),('192-0911','東京都八王子市','打越町'),('192-0024','東京都八王子市','宇津木町'),('192-0915','東京都八王子市','宇津貫町'),('192-0013','東京都八王子市','梅坪町'),('193-0841','東京都八王子市','裏高尾町'),('192-0056','東京都八王子市','追分町'),('192-0352','東京都八王子市','大塚'),('193-0935','東京都八王子市','大船町'),('192-0034','東京都八王子市','大谷町'),('192-0062','東京都八王子市','大横町'),('192-0045','東京都八王子市','大和田町'),('192-0054','東京都八王子市','小門町'),('192-0025','東京都八王子市','尾崎町'),('192-0155','東京都八王子市','小津町'),('192-0353','東京都八王子市','鹿島'),('192-0004','東京都八王子市','加住町'),('192-0914','東京都八王子市','片倉町'),('193-0815','東京都八王子市','叶谷町'),('193-0811','東京都八王子市','上壱分方町'),('192-0156','東京都八王子市','上恩方町'),('192-0151','東京都八王子市','上川町'),('192-0373','東京都八王子市','上柚木'),('193-0801','東京都八王子市','川口町'),('193-0821','東京都八王子市','川町'),('192-0913','東京都八王子市','北野台'),('192-0906','東京都八王子市','北野町'),('192-0912','東京都八王子市','絹ヶ丘'),('193-0804','東京都八王子市','清川町'),('193-0942','東京都八王子市','椚田町'),('192-0023','東京都八王子市','久保山町'),('192-0361','東京都八王子市','越野'),('193-0934','東京都八王子市','小比企町'),('192-0031','東京都八王子市','小宮町'),('192-0904','東京都八王子市','子安町'),('192-0012','東京都八王子市','左入町'),('193-0832','東京都八王子市','散田町'),('192-0154','東京都八王子市','下恩方町'),('192-0372','東京都八王子市','下柚木'),('193-0825','東京都八王子市','城山手'),('192-0065','東京都八王子市','新町'),('193-0812','東京都八王子市','諏訪町'),('193-0835','東京都八王子市','千人町'),('193-0931','東京都八王子市','台町'),('193-0816','東京都八王子市','大楽寺町'),('192-0022','東京都八王子市','平町'),('193-0844','東京都八王子市','高尾町'),('192-0033','東京都八王子市','高倉町'),('192-0002','東京都八王子市','高月町'),('192-0011','東京都八王子市','滝山町'),('193-0944','東京都八王子市','館町'),('192-0064','東京都八王子市','田町'),('192-0003','東京都八王子市','丹木町'),('193-0943','東京都八王子市','寺田町'),('192-0073','東京都八王子市','寺町'),('192-0074','東京都八王子市','天神町'),('193-0843','東京都八王子市','廿里町'),('192-0001','東京都八王子市','戸吹町'),('192-0085','東京都八王子市','中町'),('192-0041','東京都八王子市','中野上町'),('192-0042','東京都八王子市','中野山王'),('192-0015','東京都八王子市','中野町'),('192-0374','東京都八王子市','中山'),('192-0907','東京都八王子市','長沼町'),('193-0824','東京都八王子市','長房町'),('192-0919','東京都八王子市','七国'),('193-0831','東京都八王子市','並木町'),('193-0803','東京都八王子市','楢原町'),('192-0371','東京都八王子市','南陽台'),('193-0842','東京都八王子市','西浅川町'),('192-0917','東京都八王子市','西片倉'),('192-0153','東京都八王子市','西寺方町'),('193-0822','東京都八王子市','弐分方町'),('193-0941','東京都八王子市','狭間町'),('192-0053','東京都八王子市','八幡町'),('193-0845','東京都八王子市','初沢町'),('193-0834','東京都八王子市','東浅川町'),('192-0351','東京都八王子市','東中野'),('192-0918','東京都八王子市','兵衛'),('193-0836','東京都八王子市','日吉町'),('192-0061','東京都八王子市','平岡町'),('192-0044','東京都八王子市','富士見町'),('192-0363','東京都八王子市','別所'),('192-0355','東京都八王子市','堀之内'),('192-0052','東京都八王子市','本郷町'),('192-0066','東京都八王子市','本町'),('192-0354','東京都八王子市','松が谷'),('192-0362','東京都八王子市','松木'),('192-0021','東京都八王子市','丸山町'),('192-0084','東京都八王子市','三崎町'),('192-0014','東京都八王子市','みつい台'),('193-0932','東京都八王子市','緑町'),('193-0846','東京都八王子市','南浅川町'),('192-0364','東京都八王子市','南大沢'),('192-0075','東京都八王子市','南新町'),('192-0072','東京都八王子市','南町'),('192-0916','東京都八王子市','みなみ野'),('192-0005','東京都八王子市','宮下町'),('192-0152','東京都八王子市','美山町'),('192-0046','東京都八王子市','明神町'),('193-0833','東京都八王子市','めじろ台'),('193-0826','東京都八王子市','元八王子町'),('192-0051','東京都八王子市','元本郷町'),('192-0063','東京都八王子市','元横山町'),('192-0055','東京都八王子市','八木町'),('192-0016','東京都八王子市','谷野町'),('193-0933','東京都八王子市','山田町'),('192-0375','東京都八王子市','鑓水'),('192-0071','東京都八王子市','八日町'),('193-0823','東京都八王子市','横川町'),('192-0081','東京都八王子市','横山町'),('193-0813','東京都八王子市','四谷町'),('192-0903','東京都八王子市','万町'),('192-0000','東京都八王子市','他に掲載がない場合'),('190-0012','東京都立川市','曙町'),('190-0015','東京都立川市','泉町'),('190-0033','東京都立川市','一番町'),('190-0004','東京都立川市','柏町'),('190-0032','東京都立川市','上砂町'),('190-0002','東京都立川市','幸町'),('190-0003','東京都立川市','栄町'),('190-0023','東京都立川市','柴崎町'),('190-0031','東京都立川市','砂川町'),('190-0011','東京都立川市','高松町'),('190-0022','東京都立川市','錦町'),('190-0034','東京都立川市','西砂町'),('190-0021','東京都立川市','羽衣町'),('190-0013','東京都立川市','富士見町'),('190-0014','東京都立川市','緑町'),('190-0001','東京都立川市','若葉町'),('190-0000','東京都立川市','他に掲載がない場合'),('180-0004','東京都武蔵野市','吉祥寺本町'),('180-0002','東京都武蔵野市','吉祥寺東町'),('180-0003','東京都武蔵野市','吉祥寺南町'),('180-0001','東京都武蔵野市','吉祥寺北町'),('180-0023','東京都武蔵野市','境南町'),('180-0005','東京都武蔵野市','御殿山'),('180-0022','東京都武蔵野市','境'),('180-0021','東京都武蔵野市','桜堤'),('180-0014','東京都武蔵野市','関前'),('180-0006','東京都武蔵野市','中町'),('180-0013','東京都武蔵野市','西久保'),('180-0012','東京都武蔵野市','緑町'),('180-0011','東京都武蔵野市','八幡町'),('180-0000','東京都武蔵野市','他に掲載がない場合'),('181-0011','東京都三鷹市','井口'),('181-0001','東京都三鷹市','井の頭'),('181-0015','東京都三鷹市','大沢'),('181-0012','東京都三鷹市','上連雀'),('181-0003','東京都三鷹市','北野'),('181-0013','東京都三鷹市','下連雀'),('181-0004','東京都三鷹市','新川'),('181-0016','東京都三鷹市','深大寺'),('181-0005','東京都三鷹市','中原'),('181-0014','東京都三鷹市','野崎'),('181-0002','東京都三鷹市','牟礼'),('181-0000','東京都三鷹市','他に掲載がない場合'),('198-0087','東京都青梅市','天ヶ瀬町'),('198-0023','東京都青梅市','今井'),('198-0021','東京都青梅市','今寺'),('198-0088','東京都青梅市','裏宿町'),('198-0086','東京都青梅市','大柳町'),('198-0003','東京都青梅市','小曾木'),('198-0041','東京都青梅市','勝沼'),('198-0036','東京都青梅市','河辺町'),('198-0081','東京都青梅市','上町'),('198-0013','東京都青梅市','木野下'),('198-0005','東京都青梅市','黒沢'),('198-0053','東京都青梅市','駒木町'),('198-0172','東京都青梅市','沢井'),('198-0011','東京都青梅市','塩船'),('198-0024','東京都青梅市','新町'),('198-0025','東京都青梅市','末広町'),('198-0084','東京都青梅市','住江町'),('198-0014','東京都青梅市','大門'),('198-0085','東京都青梅市','滝ノ上町'),('198-0043','東京都青梅市','千ヶ瀬町'),('198-0002','東京都青梅市','富岡'),('198-0051','東京都青梅市','友田町'),('198-0082','東京都青梅市','仲町'),('198-0052','東京都青梅市','長淵'),('198-0001','東京都青梅市','成木'),('198-0044','東京都青梅市','西分町'),('198-0004','東京都青梅市','根ヶ布'),('198-0032','東京都青梅市','野上町'),('198-0063','東京都青梅市','梅郷'),('198-0061','東京都青梅市','畑中'),('198-0042','東京都青梅市','東青梅'),('198-0046','東京都青梅市','日向和田'),('198-0015','東京都青梅市','吹上'),('198-0022','東京都青梅市','藤橋'),('198-0171','東京都青梅市','二俣尾'),('198-0083','東京都青梅市','本町'),('198-0174','東京都青梅市','御岳'),('198-0175','東京都青梅市','御岳山'),('198-0173','東京都青梅市','御岳本町'),('198-0089','東京都青梅市','森下町'),('198-0031','東京都青梅市','師岡町'),('198-0012','東京都青梅市','谷野'),('198-0064','東京都青梅市','柚木町'),('198-0062','東京都青梅市','和田町'),('198-0000','東京都青梅市','他に掲載がない場合'),('183-0003','東京都府中市','朝日町'),('183-0012','東京都府中市','押立町'),('183-0021','東京都府中市','片町'),('183-0041','東京都府中市','北山町'),('183-0056','東京都府中市','寿町'),('183-0013','東京都府中市','小柳町'),('183-0014','東京都府中市','是政'),('183-0054','東京都府中市','幸町'),('183-0051','東京都府中市','栄町'),('183-0015','東京都府中市','清水が丘'),('183-0011','東京都府中市','白糸台'),('183-0052','東京都府中市','新町'),('183-0034','東京都府中市','住吉町'),('183-0001','東京都府中市','浅間町'),('183-0002','東京都府中市','多磨町'),('183-0053','東京都府中市','天神町'),('183-0043','東京都府中市','東芝町'),('183-0046','東京都府中市','西原町'),('183-0031','東京都府中市','西府町'),('183-0044','東京都府中市','日鋼町'),('183-0036','東京都府中市','日新町'),('183-0016','東京都府中市','八幡町'),('183-0057','東京都府中市','晴見町'),('183-0024','東京都府中市','日吉町'),('183-0055','東京都府中市','府中町'),('183-0033','東京都府中市','分梅町'),('183-0032','東京都府中市','本宿町'),('183-0027','東京都府中市','本町'),('183-0006','東京都府中市','緑町'),('183-0026','東京都府中市','南町'),('183-0022','東京都府中市','宮西町'),('183-0023','東京都府中市','宮町'),('183-0045','東京都府中市','美好町'),('183-0042','東京都府中市','武蔵台'),('183-0004','東京都府中市','紅葉丘'),('183-0025','東京都府中市','矢崎町'),('183-0035','東京都府中市','四谷'),('183-0005','東京都府中市','若松町'),('183-0000','東京都府中市','他に掲載がない場合'),('196-0025','東京都昭島市','朝日町'),('196-0033','東京都昭島市','東町'),('196-0013','東京都昭島市','大神町'),('196-0032','東京都昭島市','郷地町'),('196-0011','東京都昭島市','上川原町'),('196-0015','東京都昭島市','昭和町'),('196-0014','東京都昭島市','田中町'),('196-0034','東京都昭島市','玉川町'),('196-0023','東京都昭島市','築地町'),('196-0012','東京都昭島市','つつじが丘'),('196-0022','東京都昭島市','中神町'),('196-0002','東京都昭島市','拝島町'),('196-0031','東京都昭島市','福島町'),('196-0003','東京都昭島市','松原町'),('196-0004','東京都昭島市','緑町'),('196-0001','東京都昭島市','美堀町'),('196-0024','東京都昭島市','宮沢町'),('196-0021','東京都昭島市','武蔵野'),('196-0000','東京都昭島市','他に掲載がない場合'),('182-0004','東京都調布市','入間町'),('182-0035','東京都調布市','上石原'),('182-0007','東京都調布市','菊野台'),('182-0022','東京都調布市','国領町'),('182-0026','東京都調布市','小島町'),('182-0016','東京都調布市','佐須町'),('182-0014','東京都調布市','柴崎'),('182-0034','東京都調布市','下石原'),('182-0012','東京都調布市','深大寺東町'),('182-0013','東京都調布市','深大寺南町'),('182-0011','東京都調布市','深大寺北町'),('182-0017','東京都調布市','深大寺元町'),('182-0002','東京都調布市','仙川町'),('182-0023','東京都調布市','染地'),('182-0025','東京都調布市','多摩川'),('182-0021','東京都調布市','調布ヶ丘'),('182-0036','東京都調布市','飛田給'),('182-0006','東京都調布市','西つつじヶ丘'),('182-0032','東京都調布市','西町'),('182-0031','東京都調布市','野水'),('182-0005','東京都調布市','東つつじヶ丘'),('182-0033','東京都調布市','富士見町'),('182-0024','東京都調布市','布田'),('182-0001','東京都調布市','緑ヶ丘'),('182-0015','東京都調布市','八雲台'),('182-0003','東京都調布市','若葉町'),('182-0000','東京都調布市','他に掲載がない場合'),('194-0211','東京都町田市','相原町'),('194-0023','東京都町田市','旭町'),('195-0062','東京都町田市','大蔵町'),('194-0003','東京都町田市','小川'),('195-0064','東京都町田市','小野路町'),('194-0204','東京都町田市','小山田桜台'),('194-0212','東京都町田市','小山町'),('195-0072','東京都町田市','金井'),('195-0071','東京都町田市','金井町'),('194-0012','東京都町田市','金森'),('194-0201','東京都町田市','上小山田町'),('194-0033','東京都町田市','木曽町'),('194-0014','東京都町田市','高ヶ坂'),('194-0202','東京都町田市','下小山田町'),('195-0057','東京都町田市','真光寺'),('195-0051','東京都町田市','真光寺町'),('194-0203','東京都町田市','図師町'),('194-0035','東京都町田市','忠生'),('194-0041','東京都町田市','玉川学園'),('194-0001','東京都町田市','つくし野'),('195-0061','東京都町田市','鶴川'),('194-0004','東京都町田市','鶴間'),('194-0213','東京都町田市','常盤町'),('194-0021','東京都町田市','中町'),('194-0044','東京都町田市','成瀬'),('194-0011','東京都町田市','成瀬が丘'),('194-0043','東京都町田市','成瀬台'),('194-0034','東京都町田市','根岸町'),('195-0053','東京都町田市','能ヶ谷町'),('195-0063','東京都町田市','野津田町'),('194-0013','東京都町田市','原町田'),('194-0042','東京都町田市','東玉川学園'),('195-0056','東京都町田市','広袴'),('195-0052','東京都町田市','広袴町'),('194-0032','東京都町田市','本町田'),('194-0031','東京都町田市','南大谷'),('194-0002','東京都町田市','南つくし野'),('194-0045','東京都町田市','南成瀬'),('195-0054','東京都町田市','三輪町'),('195-0055','東京都町田市','三輪緑山'),('194-0022','東京都町田市','森野'),('195-0073','東京都町田市','薬師台'),('194-0214','東京都町田市','矢部町'),('195-0074','東京都町田市','山崎町'),('194-0000','東京都町田市','他に掲載がない場合'),('184-0002','東京都小金井市','梶野町'),('184-0005','東京都小金井市','桜町'),('184-0001','東京都小金井市','関野町'),('184-0012','東京都小金井市','中町'),('184-0014','東京都小金井市','貫井南町'),('184-0015','東京都小金井市','貫井北町'),('184-0011','東京都小金井市','東町'),('184-0004','東京都小金井市','本町'),('184-0013','東京都小金井市','前原町'),('184-0003','東京都小金井市','緑町'),('184-0000','東京都小金井市','他に掲載がない場合'),('187-0001','東京都小平市','大沼町'),('187-0031','東京都小平市','小川東町'),('187-0035','東京都小平市','小川西町'),('187-0032','東京都小平市','小川町'),('187-0043','東京都小平市','学園東町'),('187-0045','東京都小平市','学園西町'),('187-0044','東京都小平市','喜平町'),('187-0034','東京都小平市','栄町'),('187-0023','東京都小平市','上水新町'),('187-0022','東京都小平市','上水本町'),('187-0021','東京都小平市','上水南町'),('187-0011','東京都小平市','鈴木町'),('187-0024','東京都小平市','たかの台'),('187-0025','東京都小平市','津田町'),('187-0004','東京都小平市','天神町'),('187-0033','東京都小平市','中島町'),('187-0042','東京都小平市','仲町'),('187-0002','東京都小平市','花小金井'),('187-0003','東京都小平市','花小金井南町'),('187-0041','東京都小平市','美園町'),('187-0012','東京都小平市','御幸町'),('187-0013','東京都小平市','回田町'),('187-0000','東京都小平市','他に掲載がない場合'),('191-0065','東京都日野市','旭が丘'),('191-0022','東京都日野市','新井'),('191-0021','東京都日野市','石田'),('191-0061','東京都日野市','大坂上'),('191-0034','東京都日野市','落川'),('191-0014','東京都日野市','上田'),('191-0015','東京都日野市','川辺堀之内'),('191-0001','東京都日野市','栄町'),('191-0063','東京都日野市','さくら町'),('191-0023','東京都日野市','下田'),('191-0002','東京都日野市','新町'),('191-0016','東京都日野市','神明'),('191-0031','東京都日野市','高幡'),('191-0062','東京都日野市','多摩平'),('191-0051','東京都日野市','豊田（大字）'),('191-0053','東京都日野市','豊田（丁目）'),('191-0055','東京都日野市','西平山'),('191-0052','東京都日野市','東豊田'),('191-0054','東京都日野市','東平山'),('191-0012','東京都日野市','日野'),('191-0003','東京都日野市','日野台'),('191-0011','東京都日野市','日野本町'),('191-0043','東京都日野市','平山'),('191-0064','東京都日野市','富士町'),('191-0042','東京都日野市','程久保'),('191-0024','東京都日野市','万願寺'),('191-0032','東京都日野市','三沢'),('191-0041','東京都日野市','南平'),('191-0013','東京都日野市','宮'),('191-0033','東京都日野市','百草'),('191-0000','東京都日野市','他に掲載がない場合'),('189-0002','東京都東村山市','青葉町'),('189-0001','東京都東村山市','秋津町'),('189-0011','東京都東村山市','恩多町'),('189-0003','東京都東村山市','久米川町'),('189-0013','東京都東村山市','栄町'),('189-0021','東京都東村山市','諏訪町'),('189-0026','東京都東村山市','多摩湖町'),('189-0022','東京都東村山市','野口町'),('189-0012','東京都東村山市','萩山町'),('189-0024','東京都東村山市','富士見町'),('189-0014','東京都東村山市','本町'),('189-0023','東京都東村山市','美住町'),('189-0025','東京都東村山市','廻田町'),('189-0000','東京都東村山市','他に掲載がない場合'),('185-0024','東京都国分寺市','泉町'),('185-0001','東京都国分寺市','北町'),('185-0004','東京都国分寺市','新町'),('185-0036','東京都国分寺市','高木町'),('185-0003','東京都国分寺市','戸倉'),('185-0033','東京都国分寺市','内藤'),('185-0005','東京都国分寺市','並木町'),('185-0013','東京都国分寺市','西恋ヶ窪'),('185-0035','東京都国分寺市','西町'),('185-0023','東京都国分寺市','西元町'),('185-0034','東京都国分寺市','光町'),('185-0014','東京都国分寺市','東恋ヶ窪'),('185-0002','東京都国分寺市','東戸倉'),('185-0022','東京都国分寺市','東元町'),('185-0032','東京都国分寺市','日吉町'),('185-0031','東京都国分寺市','富士本'),('185-0011','東京都国分寺市','本多'),('185-0012','東京都国分寺市','本町'),('185-0021','東京都国分寺市','南町'),('185-0000','東京都国分寺市','他に掲載がない場合'),('186-0013','東京都国立市','青柳'),('186-0014','東京都国立市','石田'),('186-0012','東京都国立市','泉'),('186-0001','東京都国立市','北'),('186-0004','東京都国立市','中'),('186-0005','東京都国立市','西'),('186-0002','東京都国立市','東'),('186-0003','東京都国立市','富士見台'),('186-0011','東京都国立市','谷保'),('186-0000','東京都国立市','他に掲載がない場合'),('197-0024','東京都福生市','牛浜'),('197-0012','東京都福生市','加美平'),('197-0005','東京都福生市','北田園'),('197-0003','東京都福生市','熊川'),('197-0002','東京都福生市','熊川二宮'),('197-0023','東京都福生市','志茂'),('197-0021','東京都福生市','東町'),('197-0011','東京都福生市','福生'),('197-0014','東京都福生市','福生二宮'),('197-0022','東京都福生市','本町'),('197-0004','東京都福生市','南田園'),('197-0013','東京都福生市','武蔵野台'),('197-0001','東京都福生市','横田基地内'),('197-0000','東京都福生市','他に掲載がない場合'),('201-0003','東京都狛江市','和泉本町'),('201-0015','東京都狛江市','猪方'),('201-0005','東京都狛江市','岩戸南'),('201-0004','東京都狛江市','岩戸北'),('201-0016','東京都狛江市','駒井町'),('201-0012','東京都狛江市','中和泉'),('201-0011','東京都狛江市','西和泉'),('201-0001','東京都狛江市','西野川'),('201-0014','東京都狛江市','東和泉'),('201-0002','東京都狛江市','東野川'),('201-0013','東京都狛江市','元和泉'),('201-0000','東京都狛江市','他に掲載がない場合'),('207-0033','東京都東大和市','芋窪'),('207-0023','東京都東大和市','上北台'),('207-0011','東京都東大和市','清原'),('207-0002','東京都東大和市','湖畔'),('207-0022','東京都東大和市','桜が丘'),('207-0003','東京都東大和市','狭山'),('207-0004','東京都東大和市','清水'),('207-0012','東京都東大和市','新堀'),('207-0032','東京都東大和市','蔵敷'),('207-0005','東京都東大和市','高木'),('207-0021','東京都東大和市','立野'),('207-0001','東京都東大和市','多摩湖'),('207-0015','東京都東大和市','中央'),('207-0016','東京都東大和市','仲原'),('207-0031','東京都東大和市','奈良橋'),('207-0014','東京都東大和市','南街'),('207-0013','東京都東大和市','向原'),('207-0000','東京都東大和市','他に掲載がない場合'),('204-0002','東京都清瀬市','旭が丘'),('204-0024','東京都清瀬市','梅園'),('204-0013','東京都清瀬市','上清戸'),('204-0001','東京都清瀬市','下宿'),('204-0011','東京都清瀬市','下清戸'),('204-0023','東京都清瀬市','竹丘'),('204-0012','東京都清瀬市','中清戸'),('204-0003','東京都清瀬市','中里'),('204-0004','東京都清瀬市','野塩'),('204-0022','東京都清瀬市','松山'),('204-0021','東京都清瀬市','元町'),('204-0000','東京都清瀬市','他に掲載がない場合'),('203-0001','東京都東久留米市','上の原'),('203-0021','東京都東久留米市','学園町'),('203-0003','東京都東久留米市','金山町'),('203-0051','東京都東久留米市','小山'),('203-0052','東京都東久留米市','幸町'),('203-0043','東京都東久留米市','下里'),('203-0013','東京都東久留米市','新川町'),('203-0002','東京都東久留米市','神宝町'),('203-0012','東京都東久留米市','浅間町'),('203-0011','東京都東久留米市','大門町'),('203-0033','東京都東久留米市','滝山'),('203-0054','東京都東久留米市','中央町'),('203-0041','東京都東久留米市','野火止'),('203-0042','東京都東久留米市','八幡町'),('203-0004','東京都東久留米市','氷川台'),('203-0014','東京都東久留米市','東本町'),('203-0022','東京都東久留米市','ひばりが丘団地'),('203-0053','東京都東久留米市','本町'),('203-0032','東京都東久留米市','前沢'),('203-0023','東京都東久留米市','南沢'),('203-0031','東京都東久留米市','南町'),('203-0044','東京都東久留米市','柳窪'),('203-0034','東京都東久留米市','弥生'),('203-0000','東京都東久留米市','他に掲載がない場合'),('208-0023','東京都武蔵村山市','伊奈平'),('208-0022','東京都武蔵村山市','榎'),('208-0013','東京都武蔵村山市','大南'),('208-0011','東京都武蔵村山市','学園'),('208-0031','東京都武蔵村山市','岸'),('208-0034','東京都武蔵村山市','残堀'),('208-0002','東京都武蔵村山市','神明'),('208-0003','東京都武蔵村山市','中央'),('208-0001','東京都武蔵村山市','中藤'),('208-0035','東京都武蔵村山市','中原'),('208-0004','東京都武蔵村山市','本町'),('208-0033','東京都武蔵村山市','三ツ木（大字）'),('208-0032','東京都武蔵村山市','三ツ木（１丁目）'),('208-0032','東京都武蔵村山市','三ツ木（２丁目）'),('208-0032','東京都武蔵村山市','三ツ木（３丁目）'),('208-0032','東京都武蔵村山市','三ツ木（４丁目）'),('208-0032','東京都武蔵村山市','三ツ木（５丁目）'),('208-0021','東京都武蔵村山市','三ツ藤'),('208-0012','東京都武蔵村山市','緑が丘'),('208-0000','東京都武蔵村山市','他に掲載がない場合'),('206-0041','東京都多摩市','愛宕'),('206-0002','東京都多摩市','一ノ宮'),('206-0033','東京都多摩市','落合'),('206-0015','東京都多摩市','落川'),('206-0012','東京都多摩市','貝取'),('206-0035','東京都多摩市','唐木田'),('206-0014','東京都多摩市','乞田'),('206-0013','東京都多摩市','桜ヶ丘'),('206-0042','東京都多摩市','山王下'),('206-0024','東京都多摩市','諏訪'),('206-0011','東京都多摩市','関戸'),('206-0034','東京都多摩市','鶴牧'),('206-0031','東京都多摩市','豊ヶ丘'),('206-0036','東京都多摩市','中沢'),('206-0025','東京都多摩市','永山'),('206-0003','東京都多摩市','東寺方'),('206-0022','東京都多摩市','聖ヶ丘'),('206-0023','東京都多摩市','馬引沢'),('206-0032','東京都多摩市','南野'),('206-0004','東京都多摩市','百草'),('206-0021','東京都多摩市','連光寺'),('206-0001','東京都多摩市','和田'),('206-0000','東京都多摩市','他に掲載がない場合'),('206-0801','東京都稲城市','大丸'),('206-0811','東京都稲城市','押立'),('206-0803','東京都稲城市','向陽台'),('206-0822','東京都稲城市','坂浜'),('206-0821','東京都稲城市','長峰'),('206-0802','東京都稲城市','東長沼'),('206-0823','東京都稲城市','平尾'),('206-0804','東京都稲城市','百村'),('206-0812','東京都稲城市','矢野口'),('206-0824','東京都稲城市','若葉台'),('206-0000','東京都稲城市','他に掲載がない場合'),('205-0001','東京都羽村市','小作台'),('205-0021','東京都羽村市','川崎'),('205-0011','東京都羽村市','五ノ神'),('205-0002','東京都羽村市','栄町'),('205-0023','東京都羽村市','神明台'),('205-0024','東京都羽村市','玉川'),('205-0012','東京都羽村市','羽'),('205-0016','東京都羽村市','羽加美'),('205-0015','東京都羽村市','羽中'),('205-0014','東京都羽村市','羽東'),('205-0017','東京都羽村市','羽西'),('205-0013','東京都羽村市','富士見平'),('205-0022','東京都羽村市','双葉町'),('205-0003','東京都羽村市','緑ヶ丘'),('205-0000','東京都羽村市','他に掲載がない場合'),('197-0804','東京都あきる野市','秋川'),('190-0155','東京都あきる野市','網代'),('197-0827','東京都あきる野市','油平'),('197-0825','東京都あきる野市','雨間'),('190-0164','東京都あきる野市','五日市'),('190-0142','東京都あきる野市','伊奈'),('190-0161','東京都あきる野市','入野'),('190-0143','東京都あきる野市','上ノ台'),('197-0826','東京都あきる野市','牛沼'),('197-0821','東京都あきる野市','小川'),('197-0822','東京都あきる野市','小川東'),('190-0174','東京都あきる野市','乙津'),('197-0832','東京都あきる野市','上代継'),('197-0824','東京都あきる野市','切欠'),('197-0802','東京都あきる野市','草花'),('190-0165','東京都あきる野市','小中野'),('190-0153','東京都あきる野市','小峰台'),('190-0151','東京都あきる野市','小和田'),('190-0162','東京都あきる野市','三内'),('197-0831','東京都あきる野市','下代継'),('197-0801','東京都あきる野市','菅生'),('197-0803','東京都あきる野市','瀬戸岡'),('190-0154','東京都あきる野市','高尾'),('190-0163','東京都あきる野市','舘谷'),('190-0173','東京都あきる野市','戸倉'),('190-0152','東京都あきる野市','留原'),('197-0814','東京都あきる野市','二宮'),('197-0815','東京都あきる野市','二宮東'),('197-0823','東京都あきる野市','野辺'),('197-0811','東京都あきる野市','原小宮'),('197-0834','東京都あきる野市','引田'),('197-0812','東京都あきる野市','平沢'),('197-0813','東京都あきる野市','平沢東'),('190-0172','東京都あきる野市','深沢'),('197-0833','東京都あきる野市','渕上'),('190-0144','東京都あきる野市','山田'),('190-0171','東京都あきる野市','養沢'),('190-0141','東京都あきる野市','横沢'),('190-0100','東京都あきる野市','他に掲載がない場合'),('202-0011','東京都西東京市','泉町'),('188-0003','東京都西東京市','北原町'),('202-0003','東京都西東京市','北町'),('202-0006','東京都西東京市','栄町'),('188-0014','東京都西東京市','芝久保町'),('202-0004','東京都西東京市','下保谷'),('202-0023','東京都西東京市','新町'),('202-0005','東京都西東京市','住吉町'),('188-0011','東京都西東京市','田無町'),('202-0013','東京都西東京市','中町'),('188-0004','東京都西東京市','西原町'),('202-0012','東京都西東京市','東町'),('202-0021','東京都西東京市','東伏見'),('202-0001','東京都西東京市','ひばりが丘'),('202-0002','東京都西東京市','ひばりが丘北'),('202-0014','東京都西東京市','富士町'),('202-0015','東京都西東京市','保谷町'),('188-0002','東京都西東京市','緑町'),('188-0012','東京都西東京市','南町'),('188-0013','東京都西東京市','向台町'),('202-0022','東京都西東京市','柳沢'),('188-0001','東京都西東京市','谷戸町'),('188-0000','東京都西東京市','他に掲載がない場合'),('190-1211','東京都西多摩郡瑞穂町','石畑'),('190-1202','東京都西多摩郡瑞穂町','駒形富士山'),('190-1203','東京都西多摩郡瑞穂町','高根'),('190-1212','東京都西多摩郡瑞穂町','殿ヶ谷'),('190-1232','東京都西多摩郡瑞穂町','長岡'),('190-1233','東京都西多摩郡瑞穂町','長岡下師岡'),('190-1231','東京都西多摩郡瑞穂町','長岡長谷部'),('190-1234','東京都西多摩郡瑞穂町','長岡藤橋'),('190-1201','東京都西多摩郡瑞穂町','二本木'),('190-1221','東京都西多摩郡瑞穂町','箱根ヶ崎'),('190-1222','東京都西多摩郡瑞穂町','箱根ヶ崎東松原'),('190-1223','東京都西多摩郡瑞穂町','箱根ヶ崎西松原'),('190-1204','東京都西多摩郡瑞穂町','富士山栗原新田'),('190-1224','東京都西多摩郡瑞穂町','南平'),('190-1213','東京都西多摩郡瑞穂町','武蔵'),('190-1200','東京都西多摩郡瑞穂町','他に掲載がない場合'),('190-0181','東京都西多摩郡日の出町','大久野'),('190-0182','東京都西多摩郡日の出町','平井'),('190-0100','東京都西多摩郡日の出町','他に掲載がない場合'),('190-0204','東京都西多摩郡檜原村','小沢'),('190-0221','東京都西多摩郡檜原村','数馬'),('190-0203','東京都西多摩郡檜原村','神戸'),('190-0212','東京都西多摩郡檜原村','上元郷'),('190-0201','東京都西多摩郡檜原村','倉掛'),('190-0213','東京都西多摩郡檜原村','下元郷'),('190-0223','東京都西多摩郡檜原村','南郷'),('190-0205','東京都西多摩郡檜原村','樋里'),('190-0202','東京都西多摩郡檜原村','藤原'),('190-0222','東京都西多摩郡檜原村','人里'),('190-0211','東京都西多摩郡檜原村','三都郷'),('190-0214','東京都西多摩郡檜原村','本宿'),('190-0200','東京都西多摩郡檜原村','他に掲載がない場合'),('198-0213','東京都西多摩郡奥多摩町','海沢'),('198-0103','東京都西多摩郡奥多摩町','梅沢'),('198-0101','東京都西多摩郡奥多摩町','大丹波'),('198-0102','東京都西多摩郡奥多摩町','川井'),('198-0225','東京都西多摩郡奥多摩町','川野'),('198-0224','東京都西多摩郡奥多摩町','河内'),('198-0105','東京都西多摩郡奥多摩町','小丹波'),('198-0222','東京都西多摩郡奥多摩町','境'),('198-0107','東京都西多摩郡奥多摩町','白丸'),('198-0106','東京都西多摩郡奥多摩町','棚沢'),('198-0104','東京都西多摩郡奥多摩町','丹三郎'),('198-0221','東京都西多摩郡奥多摩町','留浦'),('198-0211','東京都西多摩郡奥多摩町','日原'),('198-0223','東京都西多摩郡奥多摩町','原'),('198-0212','東京都西多摩郡奥多摩町','氷川'),('198-0000','東京都西多摩郡奥多摩町','他に掲載がない場合'),('100-0102','東京都大島支庁大島町','岡田'),('100-0211','東京都大島支庁大島町','差木地'),('100-0103','東京都大島支庁大島町','泉津'),('100-0104','東京都大島支庁大島町','野増'),('100-0212','東京都大島支庁大島町','波浮港'),('100-0101','東京都大島支庁大島町','元町'),('100-0100','東京都大島支庁大島町','他に掲載がない場合'),('100-0301','東京都大島支庁利島村','利島村全域'),('100-0511','東京都大島支庁新島村','式根島'),('100-0402','東京都大島支庁新島村','本村'),('100-0401','東京都大島支庁新島村','若郷'),('100-0400','東京都大島支庁新島村','他に掲載がない場合'),('100-0601','東京都大島支庁神津島村','神津島村全域'),('100-1212','東京都三宅支庁三宅村','阿古'),('100-1103','東京都三宅支庁三宅村','伊ヶ谷'),('100-1102','東京都三宅支庁三宅村','伊豆'),('100-1213','東京都三宅支庁三宅村','雄山'),('100-1101','東京都三宅支庁三宅村','神着'),('100-1211','東京都三宅支庁三宅村','坪田'),('100-1100','東京都三宅支庁三宅村','他に掲載がない場合'),('100-1301','東京都三宅支庁御蔵島村','御蔵島村全域'),('100-1401','東京都八丈支庁八丈町','大賀郷'),('100-1621','東京都八丈支庁八丈町','樫立'),('100-1622','東京都八丈支庁八丈町','末吉'),('100-1623','東京都八丈支庁八丈町','中之郷'),('100-1511','東京都八丈支庁八丈町','三根'),('100-1400','東京都八丈支庁八丈町','他に掲載がない場合'),('100-1701','東京都八丈支庁青ヶ島村','青ヶ島村全域'),('100-2101','東京都小笠原支庁小笠原村','父島'),('100-2211','東京都小笠原支庁小笠原村','母島'),('100-2100','東京都小笠原支庁小笠原村','他に掲載がない場合');
UNLOCK TABLES;
/*!40000 ALTER TABLE `PostTable` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

